#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2300
#define LARGE_STATE_COUNT 582
#define SYMBOL_COUNT 348
#define ALIAS_COUNT 3
#define TOKEN_COUNT 155
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 39
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 127

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_auto = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  sym_primitive_type = 89,
  anon_sym_enum = 90,
  anon_sym_COLON = 91,
  anon_sym_struct = 92,
  anon_sym_union = 93,
  anon_sym_if = 94,
  anon_sym_else = 95,
  anon_sym_switch = 96,
  anon_sym_case = 97,
  anon_sym_default = 98,
  anon_sym_while = 99,
  anon_sym_do = 100,
  anon_sym_for = 101,
  anon_sym_return = 102,
  anon_sym_break = 103,
  anon_sym_continue = 104,
  anon_sym_goto = 105,
  anon_sym___try = 106,
  anon_sym___except = 107,
  anon_sym___finally = 108,
  anon_sym___leave = 109,
  anon_sym_QMARK = 110,
  anon_sym_STAR_EQ = 111,
  anon_sym_SLASH_EQ = 112,
  anon_sym_PERCENT_EQ = 113,
  anon_sym_PLUS_EQ = 114,
  anon_sym_DASH_EQ = 115,
  anon_sym_LT_LT_EQ = 116,
  anon_sym_GT_GT_EQ = 117,
  anon_sym_AMP_EQ = 118,
  anon_sym_CARET_EQ = 119,
  anon_sym_PIPE_EQ = 120,
  anon_sym_DASH_DASH = 121,
  anon_sym_PLUS_PLUS = 122,
  anon_sym_sizeof = 123,
  anon_sym___alignof__ = 124,
  anon_sym___alignof = 125,
  anon_sym__alignof = 126,
  anon_sym_alignof = 127,
  anon_sym__Alignof = 128,
  anon_sym_offsetof = 129,
  anon_sym__Generic = 130,
  anon_sym_asm = 131,
  anon_sym___asm__ = 132,
  anon_sym_DOT = 133,
  anon_sym_DASH_GT = 134,
  sym_number_literal = 135,
  anon_sym_L_SQUOTE = 136,
  anon_sym_u_SQUOTE = 137,
  anon_sym_U_SQUOTE = 138,
  anon_sym_u8_SQUOTE = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_char_literal_token1 = 141,
  anon_sym_L_DQUOTE = 142,
  anon_sym_u_DQUOTE = 143,
  anon_sym_U_DQUOTE = 144,
  anon_sym_u8_DQUOTE = 145,
  anon_sym_DQUOTE = 146,
  aux_sym_string_literal_token1 = 147,
  sym_escape_sequence = 148,
  sym_system_lib_string = 149,
  sym_true = 150,
  sym_false = 151,
  anon_sym_NULL = 152,
  anon_sym_nullptr = 153,
  sym_comment = 154,
  sym_translation_unit = 155,
  sym_preproc_include = 156,
  sym_preproc_def = 157,
  sym_preproc_function_def = 158,
  sym_preproc_params = 159,
  sym_preproc_call = 160,
  sym_preproc_if = 161,
  sym_preproc_ifdef = 162,
  sym_preproc_else = 163,
  sym_preproc_elif = 164,
  sym_preproc_elifdef = 165,
  sym_preproc_if_in_field_declaration_list = 166,
  sym_preproc_ifdef_in_field_declaration_list = 167,
  sym_preproc_else_in_field_declaration_list = 168,
  sym_preproc_elif_in_field_declaration_list = 169,
  sym_preproc_elifdef_in_field_declaration_list = 170,
  sym_preproc_if_in_enumerator_list = 171,
  sym_preproc_ifdef_in_enumerator_list = 172,
  sym_preproc_else_in_enumerator_list = 173,
  sym_preproc_elif_in_enumerator_list = 174,
  sym_preproc_elifdef_in_enumerator_list = 175,
  sym_preproc_if_in_enumerator_list_no_comma = 176,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 177,
  sym_preproc_else_in_enumerator_list_no_comma = 178,
  sym_preproc_elif_in_enumerator_list_no_comma = 179,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 180,
  sym__preproc_expression = 181,
  sym_preproc_parenthesized_expression = 182,
  sym_preproc_defined = 183,
  sym_preproc_unary_expression = 184,
  sym_preproc_call_expression = 185,
  sym_preproc_argument_list = 186,
  sym_preproc_binary_expression = 187,
  sym_function_definition = 188,
  sym__old_style_function_definition = 189,
  sym_declaration = 190,
  sym_type_definition = 191,
  sym__type_definition_type = 192,
  sym__type_definition_declarators = 193,
  sym__declaration_modifiers = 194,
  sym__declaration_specifiers = 195,
  sym_linkage_specification = 196,
  sym_attribute_specifier = 197,
  sym_attribute = 198,
  sym_attribute_declaration = 199,
  sym_ms_declspec_modifier = 200,
  sym_ms_based_modifier = 201,
  sym_ms_call_modifier = 202,
  sym_ms_unaligned_ptr_modifier = 203,
  sym_ms_pointer_modifier = 204,
  sym_declaration_list = 205,
  sym__declarator = 206,
  sym__declaration_declarator = 207,
  sym__field_declarator = 208,
  sym__type_declarator = 209,
  sym__abstract_declarator = 210,
  sym_parenthesized_declarator = 211,
  sym_parenthesized_field_declarator = 212,
  sym_parenthesized_type_declarator = 213,
  sym_abstract_parenthesized_declarator = 214,
  sym_attributed_declarator = 215,
  sym_attributed_field_declarator = 216,
  sym_attributed_type_declarator = 217,
  sym_pointer_declarator = 218,
  sym_pointer_field_declarator = 219,
  sym_pointer_type_declarator = 220,
  sym_abstract_pointer_declarator = 221,
  sym_function_declarator = 222,
  sym__function_declaration_declarator = 223,
  sym_function_field_declarator = 224,
  sym_function_type_declarator = 225,
  sym_abstract_function_declarator = 226,
  sym__old_style_function_declarator = 227,
  sym_array_declarator = 228,
  sym_array_field_declarator = 229,
  sym_array_type_declarator = 230,
  sym_abstract_array_declarator = 231,
  sym_init_declarator = 232,
  sym_compound_statement = 233,
  sym_storage_class_specifier = 234,
  sym_type_qualifier = 235,
  sym__type_specifier = 236,
  sym_sized_type_specifier = 237,
  sym_enum_specifier = 238,
  sym_enumerator_list = 239,
  sym_struct_specifier = 240,
  sym_union_specifier = 241,
  sym_field_declaration_list = 242,
  sym__field_declaration_list_item = 243,
  sym_field_declaration = 244,
  sym__field_declaration_declarator = 245,
  sym_bitfield_clause = 246,
  sym_enumerator = 247,
  sym_variadic_parameter = 248,
  sym_parameter_list = 249,
  sym__old_style_parameter_list = 250,
  sym_parameter_declaration = 251,
  sym_attributed_statement = 252,
  sym_labeled_statement = 253,
  sym__top_level_expression_statement = 254,
  sym_expression_statement = 255,
  sym_if_statement = 256,
  sym_else_clause = 257,
  sym_switch_statement = 258,
  sym_case_statement = 259,
  sym_while_statement = 260,
  sym_do_statement = 261,
  sym_for_statement = 262,
  sym__for_statement_body = 263,
  sym_return_statement = 264,
  sym_break_statement = 265,
  sym_continue_statement = 266,
  sym_goto_statement = 267,
  sym_seh_try_statement = 268,
  sym_seh_except_clause = 269,
  sym_seh_finally_clause = 270,
  sym_seh_leave_statement = 271,
  sym__expression = 272,
  sym__expression_not_binary = 273,
  sym__string = 274,
  sym_comma_expression = 275,
  sym_conditional_expression = 276,
  sym_assignment_expression = 277,
  sym_pointer_expression = 278,
  sym_unary_expression = 279,
  sym_binary_expression = 280,
  sym_update_expression = 281,
  sym_cast_expression = 282,
  sym_type_descriptor = 283,
  sym_sizeof_expression = 284,
  sym_alignof_expression = 285,
  sym_offsetof_expression = 286,
  sym_generic_expression = 287,
  sym_subscript_expression = 288,
  sym_call_expression = 289,
  sym_gnu_asm_expression = 290,
  sym_gnu_asm_qualifier = 291,
  sym_gnu_asm_output_operand_list = 292,
  sym_gnu_asm_output_operand = 293,
  sym_gnu_asm_input_operand_list = 294,
  sym_gnu_asm_input_operand = 295,
  sym_gnu_asm_clobber_list = 296,
  sym_gnu_asm_goto_list = 297,
  sym_argument_list = 298,
  sym_field_expression = 299,
  sym_compound_literal_expression = 300,
  sym_parenthesized_expression = 301,
  sym_initializer_list = 302,
  sym_initializer_pair = 303,
  sym_subscript_designator = 304,
  sym_subscript_range_designator = 305,
  sym_field_designator = 306,
  sym_char_literal = 307,
  sym_concatenated_string = 308,
  sym_string_literal = 309,
  sym_null = 310,
  sym__empty_declaration = 311,
  sym_macro_type_specifier = 312,
  aux_sym_translation_unit_repeat1 = 313,
  aux_sym_preproc_params_repeat1 = 314,
  aux_sym_preproc_if_repeat1 = 315,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 316,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 317,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 318,
  aux_sym_preproc_argument_list_repeat1 = 319,
  aux_sym__old_style_function_definition_repeat1 = 320,
  aux_sym_declaration_repeat1 = 321,
  aux_sym_type_definition_repeat1 = 322,
  aux_sym__type_definition_type_repeat1 = 323,
  aux_sym__type_definition_declarators_repeat1 = 324,
  aux_sym__declaration_specifiers_repeat1 = 325,
  aux_sym_attribute_declaration_repeat1 = 326,
  aux_sym_attributed_declarator_repeat1 = 327,
  aux_sym_pointer_declarator_repeat1 = 328,
  aux_sym_function_declarator_repeat1 = 329,
  aux_sym_sized_type_specifier_repeat1 = 330,
  aux_sym_enumerator_list_repeat1 = 331,
  aux_sym__field_declaration_declarator_repeat1 = 332,
  aux_sym_parameter_list_repeat1 = 333,
  aux_sym__old_style_parameter_list_repeat1 = 334,
  aux_sym_case_statement_repeat1 = 335,
  aux_sym_generic_expression_repeat1 = 336,
  aux_sym_gnu_asm_expression_repeat1 = 337,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 338,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 339,
  aux_sym_gnu_asm_clobber_list_repeat1 = 340,
  aux_sym_gnu_asm_goto_list_repeat1 = 341,
  aux_sym_argument_list_repeat1 = 342,
  aux_sym_initializer_list_repeat1 = 343,
  aux_sym_initializer_pair_repeat1 = 344,
  aux_sym_char_literal_repeat1 = 345,
  aux_sym_concatenated_string_repeat1 = 346,
  aux_sym_string_literal_repeat1 = 347,
  alias_sym_field_identifier = 348,
  alias_sym_statement_identifier = 349,
  alias_sym_type_identifier = 350,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym__old_style_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym__function_declaration_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym__old_style_function_declarator] = "function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym__old_style_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__old_style_function_definition_repeat1] = "_old_style_function_definition_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym__old_style_parameter_list_repeat1] = "_old_style_parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym__old_style_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym__function_declaration_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym__old_style_function_declarator] = sym_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym__old_style_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__old_style_function_definition_repeat1] = aux_sym__old_style_function_definition_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym__old_style_parameter_list_repeat1] = aux_sym__old_style_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_end = 13,
  field_field = 14,
  field_filter = 15,
  field_function = 16,
  field_goto_labels = 17,
  field_index = 18,
  field_initializer = 19,
  field_input_operands = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_operand = 25,
  field_operator = 26,
  field_output_operands = 27,
  field_parameters = 28,
  field_path = 29,
  field_prefix = 30,
  field_register = 31,
  field_right = 32,
  field_size = 33,
  field_start = 34,
  field_symbol = 35,
  field_type = 36,
  field_underlying_type = 37,
  field_update = 38,
  field_value = 39,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 3},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 8, .length = 1},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 1},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 1},
  [26] = {.index = 30, .length = 1},
  [27] = {.index = 31, .length = 2},
  [28] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 3},
  [31] = {.index = 39, .length = 1},
  [32] = {.index = 40, .length = 1},
  [33] = {.index = 41, .length = 3},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 2},
  [36] = {.index = 48, .length = 5},
  [37] = {.index = 53, .length = 3},
  [38] = {.index = 56, .length = 2},
  [39] = {.index = 58, .length = 2},
  [40] = {.index = 60, .length = 1},
  [41] = {.index = 61, .length = 2},
  [42] = {.index = 63, .length = 1},
  [43] = {.index = 64, .length = 2},
  [44] = {.index = 66, .length = 2},
  [45] = {.index = 68, .length = 2},
  [46] = {.index = 70, .length = 2},
  [47] = {.index = 72, .length = 2},
  [48] = {.index = 74, .length = 2},
  [49] = {.index = 76, .length = 2},
  [50] = {.index = 78, .length = 2},
  [52] = {.index = 80, .length = 2},
  [53] = {.index = 82, .length = 1},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 3},
  [56] = {.index = 87, .length = 1},
  [57] = {.index = 88, .length = 1},
  [58] = {.index = 89, .length = 1},
  [59] = {.index = 90, .length = 2},
  [60] = {.index = 92, .length = 1},
  [61] = {.index = 93, .length = 2},
  [62] = {.index = 95, .length = 3},
  [63] = {.index = 98, .length = 3},
  [64] = {.index = 101, .length = 2},
  [65] = {.index = 103, .length = 5},
  [66] = {.index = 108, .length = 3},
  [67] = {.index = 111, .length = 5},
  [68] = {.index = 116, .length = 2},
  [69] = {.index = 118, .length = 2},
  [70] = {.index = 120, .length = 3},
  [71] = {.index = 123, .length = 2},
  [72] = {.index = 125, .length = 2},
  [73] = {.index = 127, .length = 1},
  [74] = {.index = 128, .length = 2},
  [75] = {.index = 130, .length = 2},
  [76] = {.index = 132, .length = 2},
  [77] = {.index = 134, .length = 3},
  [78] = {.index = 137, .length = 2},
  [79] = {.index = 139, .length = 2},
  [80] = {.index = 141, .length = 2},
  [81] = {.index = 143, .length = 1},
  [82] = {.index = 144, .length = 2},
  [83] = {.index = 146, .length = 2},
  [84] = {.index = 148, .length = 4},
  [85] = {.index = 152, .length = 1},
  [86] = {.index = 153, .length = 2},
  [87] = {.index = 155, .length = 1},
  [88] = {.index = 156, .length = 1},
  [89] = {.index = 157, .length = 2},
  [90] = {.index = 159, .length = 2},
  [91] = {.index = 161, .length = 4},
  [92] = {.index = 165, .length = 5},
  [93] = {.index = 170, .length = 3},
  [94] = {.index = 173, .length = 2},
  [95] = {.index = 175, .length = 1},
  [97] = {.index = 176, .length = 2},
  [98] = {.index = 178, .length = 2},
  [99] = {.index = 180, .length = 2},
  [100] = {.index = 182, .length = 3},
  [101] = {.index = 185, .length = 2},
  [102] = {.index = 187, .length = 2},
  [103] = {.index = 189, .length = 2},
  [104] = {.index = 191, .length = 2},
  [105] = {.index = 193, .length = 3},
  [106] = {.index = 196, .length = 2},
  [107] = {.index = 198, .length = 1},
  [108] = {.index = 199, .length = 2},
  [109] = {.index = 201, .length = 2},
  [110] = {.index = 201, .length = 2},
  [111] = {.index = 203, .length = 3},
  [112] = {.index = 206, .length = 2},
  [113] = {.index = 208, .length = 1},
  [114] = {.index = 209, .length = 4},
  [115] = {.index = 213, .length = 3},
  [116] = {.index = 216, .length = 2},
  [117] = {.index = 218, .length = 2},
  [118] = {.index = 35, .length = 1},
  [119] = {.index = 220, .length = 5},
  [120] = {.index = 225, .length = 4},
  [121] = {.index = 229, .length = 2},
  [122] = {.index = 231, .length = 2},
  [123] = {.index = 233, .length = 2},
  [124] = {.index = 235, .length = 5},
  [125] = {.index = 240, .length = 2},
  [126] = {.index = 242, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0, .inherited = true},
    {field_declarator, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [3] =
    {field_type, 0},
  [4] =
    {field_directive, 0},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_name, 0},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 1},
  [10] =
    {field_value, 1},
  [11] =
    {field_declarator, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
  [13] =
    {field_argument, 0},
    {field_operator, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_type, 1},
  [18] =
    {field_path, 1},
  [19] =
    {field_argument, 1},
    {field_directive, 0},
  [21] =
    {field_declarator, 1},
    {field_type, 0},
  [23] =
    {field_parameters, 0},
  [24] =
    {field_declarator, 0},
  [25] =
    {field_body, 2},
    {field_value, 1},
  [27] =
    {field_body, 2},
    {field_name, 1},
  [29] =
    {field_name, 2},
  [30] =
    {field_body, 2},
  [31] =
    {field_condition, 1},
    {field_consequence, 2},
  [33] =
    {field_body, 2},
    {field_condition, 1},
  [35] =
    {field_label, 1},
  [36] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [39] =
    {field_label, 0},
  [40] =
    {field_declarator, 1},
  [41] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [44] =
    {field_declarator, 0},
    {field_parameters, 1},
  [46] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [48] =
    {field_body, 2},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [53] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [56] =
    {field_name, 1},
    {field_value, 2},
  [58] =
    {field_name, 1},
    {field_parameters, 2},
  [60] =
    {field_condition, 1},
  [61] =
    {field_alternative, 2},
    {field_name, 1},
  [63] =
    {field_type, 0, .inherited = true},
  [64] =
    {field_declarator, 2},
    {field_type, 0},
  [66] =
    {field_left, 0},
    {field_right, 2},
  [68] =
    {field_type, 1},
    {field_value, 3},
  [70] =
    {field_declarator, 2},
    {field_type, 1},
  [72] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [74] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [76] =
    {field_name, 2},
    {field_prefix, 0},
  [78] =
    {field_name, 1},
    {field_underlying_type, 3},
  [80] =
    {field_body, 3},
    {field_name, 2},
  [82] =
    {field_name, 3},
  [83] =
    {field_body, 3},
  [84] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [87] =
    {field_initializer, 0},
  [88] =
    {field_type, 2},
  [89] =
    {field_assembly_code, 2},
  [90] =
    {field_name, 0},
    {field_type, 2},
  [92] =
    {field_declarator, 2},
  [93] =
    {field_declarator, 0},
    {field_value, 2},
  [95] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [98] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [101] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [103] =
    {field_body, 3},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [108] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [111] =
    {field_body, 3},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [116] =
    {field_argument, 0},
    {field_index, 2},
  [118] =
    {field_alternative, 3},
    {field_condition, 0},
  [120] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [123] =
    {field_alternative, 3},
    {field_condition, 1},
  [125] =
    {field_alternative, 3},
    {field_name, 1},
  [127] =
    {field_size, 1},
  [128] =
    {field_declarator, 3},
    {field_type, 1},
  [130] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [132] =
    {field_name, 0},
    {field_value, 2},
  [134] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [137] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [139] =
    {field_body, 4},
    {field_name, 3},
  [141] =
    {field_body, 1},
    {field_condition, 3},
  [143] =
    {field_update, 2},
  [144] =
    {field_initializer, 0},
    {field_update, 2},
  [146] =
    {field_condition, 1},
    {field_initializer, 0},
  [148] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [152] =
    {field_operand, 1},
  [153] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [155] =
    {field_assembly_code, 3},
  [156] =
    {field_declarator, 3},
  [157] =
    {field_declarator, 0},
    {field_size, 2},
  [159] =
    {field_declarator, 1},
    {field_declarator, 2},
  [161] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [165] =
    {field_body, 4},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [170] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [173] =
    {field_alternative, 4},
    {field_condition, 1},
  [175] =
    {field_size, 2},
  [176] =
    {field_body, 2},
    {field_filter, 1},
  [178] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [180] =
    {field_condition, 1},
    {field_update, 3},
  [182] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [185] =
    {field_initializer, 0},
    {field_update, 3},
  [187] =
    {field_condition, 2},
    {field_initializer, 0},
  [189] =
    {field_member, 4},
    {field_type, 2},
  [191] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [193] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [196] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [198] =
    {field_declarator, 4},
  [199] =
    {field_declarator, 0},
    {field_size, 3},
  [201] =
    {field_designator, 0},
    {field_value, 2},
  [203] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [206] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [208] =
    {field_register, 1},
  [209] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [213] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [216] =
    {field_constraint, 0},
    {field_value, 2},
  [218] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [220] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [225] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [229] =
    {field_end, 3},
    {field_start, 1},
  [231] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [233] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [235] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [240] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [242] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [21] = {
    [0] = sym_primitive_type,
  },
  [24] = {
    [1] = alias_sym_type_identifier,
  },
  [25] = {
    [2] = alias_sym_type_identifier,
  },
  [29] = {
    [1] = alias_sym_statement_identifier,
  },
  [31] = {
    [0] = alias_sym_statement_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [51] = {
    [0] = alias_sym_field_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [53] = {
    [3] = alias_sym_type_identifier,
  },
  [77] = {
    [1] = alias_sym_type_identifier,
  },
  [79] = {
    [3] = alias_sym_type_identifier,
  },
  [96] = {
    [1] = alias_sym_field_identifier,
  },
  [103] = {
    [4] = alias_sym_field_identifier,
  },
  [109] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 2,
  [6] = 4,
  [7] = 4,
  [8] = 2,
  [9] = 4,
  [10] = 2,
  [11] = 4,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 15,
  [17] = 17,
  [18] = 14,
  [19] = 15,
  [20] = 14,
  [21] = 15,
  [22] = 14,
  [23] = 14,
  [24] = 15,
  [25] = 25,
  [26] = 26,
  [27] = 26,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 28,
  [34] = 26,
  [35] = 26,
  [36] = 36,
  [37] = 36,
  [38] = 32,
  [39] = 30,
  [40] = 28,
  [41] = 30,
  [42] = 30,
  [43] = 28,
  [44] = 32,
  [45] = 28,
  [46] = 32,
  [47] = 36,
  [48] = 36,
  [49] = 30,
  [50] = 36,
  [51] = 32,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 56,
  [60] = 58,
  [61] = 57,
  [62] = 55,
  [63] = 54,
  [64] = 58,
  [65] = 58,
  [66] = 58,
  [67] = 57,
  [68] = 56,
  [69] = 57,
  [70] = 57,
  [71] = 55,
  [72] = 55,
  [73] = 54,
  [74] = 55,
  [75] = 56,
  [76] = 54,
  [77] = 56,
  [78] = 54,
  [79] = 57,
  [80] = 56,
  [81] = 58,
  [82] = 54,
  [83] = 55,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 84,
  [88] = 84,
  [89] = 84,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 117,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 97,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 90,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 91,
  [167] = 98,
  [168] = 132,
  [169] = 130,
  [170] = 117,
  [171] = 126,
  [172] = 125,
  [173] = 124,
  [174] = 131,
  [175] = 123,
  [176] = 122,
  [177] = 127,
  [178] = 119,
  [179] = 114,
  [180] = 112,
  [181] = 113,
  [182] = 92,
  [183] = 120,
  [184] = 121,
  [185] = 93,
  [186] = 94,
  [187] = 95,
  [188] = 96,
  [189] = 110,
  [190] = 99,
  [191] = 100,
  [192] = 118,
  [193] = 108,
  [194] = 116,
  [195] = 134,
  [196] = 115,
  [197] = 101,
  [198] = 137,
  [199] = 102,
  [200] = 136,
  [201] = 103,
  [202] = 104,
  [203] = 105,
  [204] = 135,
  [205] = 106,
  [206] = 133,
  [207] = 107,
  [208] = 128,
  [209] = 109,
  [210] = 111,
  [211] = 97,
  [212] = 143,
  [213] = 161,
  [214] = 162,
  [215] = 164,
  [216] = 163,
  [217] = 149,
  [218] = 160,
  [219] = 152,
  [220] = 159,
  [221] = 153,
  [222] = 142,
  [223] = 141,
  [224] = 148,
  [225] = 156,
  [226] = 150,
  [227] = 227,
  [228] = 227,
  [229] = 90,
  [230] = 90,
  [231] = 144,
  [232] = 154,
  [233] = 139,
  [234] = 145,
  [235] = 165,
  [236] = 151,
  [237] = 146,
  [238] = 147,
  [239] = 155,
  [240] = 140,
  [241] = 157,
  [242] = 90,
  [243] = 137,
  [244] = 115,
  [245] = 110,
  [246] = 111,
  [247] = 118,
  [248] = 116,
  [249] = 115,
  [250] = 92,
  [251] = 113,
  [252] = 112,
  [253] = 107,
  [254] = 132,
  [255] = 130,
  [256] = 107,
  [257] = 97,
  [258] = 111,
  [259] = 136,
  [260] = 110,
  [261] = 131,
  [262] = 135,
  [263] = 101,
  [264] = 112,
  [265] = 109,
  [266] = 91,
  [267] = 133,
  [268] = 106,
  [269] = 113,
  [270] = 105,
  [271] = 104,
  [272] = 92,
  [273] = 102,
  [274] = 135,
  [275] = 103,
  [276] = 132,
  [277] = 120,
  [278] = 130,
  [279] = 109,
  [280] = 126,
  [281] = 102,
  [282] = 101,
  [283] = 100,
  [284] = 125,
  [285] = 117,
  [286] = 128,
  [287] = 126,
  [288] = 125,
  [289] = 99,
  [290] = 124,
  [291] = 124,
  [292] = 123,
  [293] = 123,
  [294] = 122,
  [295] = 98,
  [296] = 121,
  [297] = 96,
  [298] = 122,
  [299] = 118,
  [300] = 95,
  [301] = 94,
  [302] = 93,
  [303] = 114,
  [304] = 119,
  [305] = 127,
  [306] = 128,
  [307] = 122,
  [308] = 131,
  [309] = 116,
  [310] = 136,
  [311] = 134,
  [312] = 108,
  [313] = 137,
  [314] = 115,
  [315] = 111,
  [316] = 110,
  [317] = 127,
  [318] = 109,
  [319] = 91,
  [320] = 106,
  [321] = 105,
  [322] = 104,
  [323] = 103,
  [324] = 102,
  [325] = 121,
  [326] = 101,
  [327] = 100,
  [328] = 99,
  [329] = 98,
  [330] = 120,
  [331] = 96,
  [332] = 119,
  [333] = 95,
  [334] = 114,
  [335] = 94,
  [336] = 93,
  [337] = 93,
  [338] = 114,
  [339] = 119,
  [340] = 127,
  [341] = 128,
  [342] = 107,
  [343] = 94,
  [344] = 134,
  [345] = 95,
  [346] = 108,
  [347] = 96,
  [348] = 116,
  [349] = 133,
  [350] = 97,
  [351] = 98,
  [352] = 99,
  [353] = 123,
  [354] = 100,
  [355] = 124,
  [356] = 137,
  [357] = 121,
  [358] = 120,
  [359] = 118,
  [360] = 136,
  [361] = 92,
  [362] = 113,
  [363] = 135,
  [364] = 112,
  [365] = 126,
  [366] = 133,
  [367] = 125,
  [368] = 91,
  [369] = 106,
  [370] = 105,
  [371] = 132,
  [372] = 131,
  [373] = 130,
  [374] = 134,
  [375] = 104,
  [376] = 117,
  [377] = 103,
  [378] = 108,
  [379] = 379,
  [380] = 145,
  [381] = 381,
  [382] = 163,
  [383] = 164,
  [384] = 379,
  [385] = 385,
  [386] = 155,
  [387] = 160,
  [388] = 385,
  [389] = 389,
  [390] = 390,
  [391] = 390,
  [392] = 165,
  [393] = 156,
  [394] = 394,
  [395] = 159,
  [396] = 389,
  [397] = 161,
  [398] = 153,
  [399] = 385,
  [400] = 381,
  [401] = 153,
  [402] = 394,
  [403] = 394,
  [404] = 379,
  [405] = 381,
  [406] = 165,
  [407] = 381,
  [408] = 385,
  [409] = 381,
  [410] = 390,
  [411] = 159,
  [412] = 227,
  [413] = 155,
  [414] = 389,
  [415] = 379,
  [416] = 416,
  [417] = 389,
  [418] = 143,
  [419] = 416,
  [420] = 420,
  [421] = 152,
  [422] = 394,
  [423] = 154,
  [424] = 140,
  [425] = 151,
  [426] = 390,
  [427] = 139,
  [428] = 162,
  [429] = 143,
  [430] = 156,
  [431] = 389,
  [432] = 160,
  [433] = 154,
  [434] = 157,
  [435] = 420,
  [436] = 394,
  [437] = 148,
  [438] = 149,
  [439] = 379,
  [440] = 385,
  [441] = 420,
  [442] = 139,
  [443] = 420,
  [444] = 416,
  [445] = 416,
  [446] = 151,
  [447] = 162,
  [448] = 390,
  [449] = 157,
  [450] = 389,
  [451] = 147,
  [452] = 390,
  [453] = 147,
  [454] = 146,
  [455] = 146,
  [456] = 145,
  [457] = 385,
  [458] = 149,
  [459] = 144,
  [460] = 161,
  [461] = 420,
  [462] = 144,
  [463] = 164,
  [464] = 163,
  [465] = 420,
  [466] = 379,
  [467] = 416,
  [468] = 152,
  [469] = 148,
  [470] = 394,
  [471] = 140,
  [472] = 142,
  [473] = 141,
  [474] = 150,
  [475] = 150,
  [476] = 142,
  [477] = 416,
  [478] = 141,
  [479] = 156,
  [480] = 154,
  [481] = 227,
  [482] = 144,
  [483] = 141,
  [484] = 146,
  [485] = 485,
  [486] = 145,
  [487] = 162,
  [488] = 153,
  [489] = 148,
  [490] = 143,
  [491] = 157,
  [492] = 155,
  [493] = 142,
  [494] = 159,
  [495] = 163,
  [496] = 161,
  [497] = 152,
  [498] = 164,
  [499] = 150,
  [500] = 147,
  [501] = 160,
  [502] = 151,
  [503] = 139,
  [504] = 504,
  [505] = 165,
  [506] = 149,
  [507] = 507,
  [508] = 508,
  [509] = 508,
  [510] = 507,
  [511] = 508,
  [512] = 507,
  [513] = 508,
  [514] = 508,
  [515] = 508,
  [516] = 508,
  [517] = 507,
  [518] = 507,
  [519] = 508,
  [520] = 507,
  [521] = 507,
  [522] = 507,
  [523] = 227,
  [524] = 524,
  [525] = 525,
  [526] = 227,
  [527] = 227,
  [528] = 227,
  [529] = 90,
  [530] = 530,
  [531] = 531,
  [532] = 531,
  [533] = 531,
  [534] = 531,
  [535] = 531,
  [536] = 531,
  [537] = 531,
  [538] = 531,
  [539] = 531,
  [540] = 531,
  [541] = 531,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 553,
  [555] = 555,
  [556] = 556,
  [557] = 556,
  [558] = 555,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 561,
  [563] = 560,
  [564] = 564,
  [565] = 560,
  [566] = 561,
  [567] = 561,
  [568] = 560,
  [569] = 569,
  [570] = 569,
  [571] = 571,
  [572] = 572,
  [573] = 572,
  [574] = 569,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 572,
  [579] = 569,
  [580] = 580,
  [581] = 572,
  [582] = 582,
  [583] = 582,
  [584] = 584,
  [585] = 571,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 588,
  [591] = 591,
  [592] = 588,
  [593] = 593,
  [594] = 594,
  [595] = 588,
  [596] = 588,
  [597] = 594,
  [598] = 594,
  [599] = 599,
  [600] = 588,
  [601] = 588,
  [602] = 594,
  [603] = 603,
  [604] = 604,
  [605] = 594,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 588,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 614,
  [617] = 614,
  [618] = 618,
  [619] = 571,
  [620] = 620,
  [621] = 614,
  [622] = 614,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 614,
  [630] = 630,
  [631] = 631,
  [632] = 571,
  [633] = 614,
  [634] = 634,
  [635] = 635,
  [636] = 614,
  [637] = 611,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 638,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 639,
  [651] = 643,
  [652] = 652,
  [653] = 644,
  [654] = 648,
  [655] = 655,
  [656] = 647,
  [657] = 657,
  [658] = 658,
  [659] = 638,
  [660] = 660,
  [661] = 657,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 645,
  [666] = 666,
  [667] = 655,
  [668] = 668,
  [669] = 669,
  [670] = 662,
  [671] = 671,
  [672] = 639,
  [673] = 668,
  [674] = 674,
  [675] = 675,
  [676] = 643,
  [677] = 677,
  [678] = 668,
  [679] = 663,
  [680] = 639,
  [681] = 669,
  [682] = 658,
  [683] = 647,
  [684] = 664,
  [685] = 655,
  [686] = 668,
  [687] = 647,
  [688] = 666,
  [689] = 668,
  [690] = 690,
  [691] = 643,
  [692] = 639,
  [693] = 648,
  [694] = 664,
  [695] = 663,
  [696] = 658,
  [697] = 638,
  [698] = 660,
  [699] = 657,
  [700] = 662,
  [701] = 660,
  [702] = 663,
  [703] = 645,
  [704] = 664,
  [705] = 648,
  [706] = 666,
  [707] = 666,
  [708] = 655,
  [709] = 669,
  [710] = 645,
  [711] = 711,
  [712] = 668,
  [713] = 652,
  [714] = 669,
  [715] = 677,
  [716] = 643,
  [717] = 647,
  [718] = 669,
  [719] = 658,
  [720] = 638,
  [721] = 660,
  [722] = 657,
  [723] = 662,
  [724] = 724,
  [725] = 668,
  [726] = 662,
  [727] = 643,
  [728] = 674,
  [729] = 658,
  [730] = 638,
  [731] = 639,
  [732] = 648,
  [733] = 645,
  [734] = 734,
  [735] = 660,
  [736] = 657,
  [737] = 648,
  [738] = 724,
  [739] = 639,
  [740] = 677,
  [741] = 643,
  [742] = 648,
  [743] = 669,
  [744] = 655,
  [745] = 666,
  [746] = 664,
  [747] = 647,
  [748] = 663,
  [749] = 662,
  [750] = 643,
  [751] = 662,
  [752] = 657,
  [753] = 674,
  [754] = 660,
  [755] = 639,
  [756] = 648,
  [757] = 645,
  [758] = 758,
  [759] = 663,
  [760] = 638,
  [761] = 658,
  [762] = 658,
  [763] = 663,
  [764] = 647,
  [765] = 664,
  [766] = 666,
  [767] = 655,
  [768] = 669,
  [769] = 664,
  [770] = 647,
  [771] = 660,
  [772] = 657,
  [773] = 652,
  [774] = 655,
  [775] = 666,
  [776] = 674,
  [777] = 658,
  [778] = 638,
  [779] = 660,
  [780] = 657,
  [781] = 662,
  [782] = 663,
  [783] = 664,
  [784] = 666,
  [785] = 655,
  [786] = 669,
  [787] = 734,
  [788] = 668,
  [789] = 677,
  [790] = 711,
  [791] = 542,
  [792] = 792,
  [793] = 793,
  [794] = 793,
  [795] = 795,
  [796] = 793,
  [797] = 793,
  [798] = 793,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 524,
  [814] = 814,
  [815] = 814,
  [816] = 816,
  [817] = 525,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 822,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 819,
  [831] = 831,
  [832] = 819,
  [833] = 833,
  [834] = 826,
  [835] = 835,
  [836] = 836,
  [837] = 818,
  [838] = 826,
  [839] = 839,
  [840] = 818,
  [841] = 826,
  [842] = 842,
  [843] = 843,
  [844] = 826,
  [845] = 818,
  [846] = 822,
  [847] = 847,
  [848] = 822,
  [849] = 819,
  [850] = 850,
  [851] = 822,
  [852] = 819,
  [853] = 818,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 800,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 816,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 795,
  [872] = 799,
  [873] = 800,
  [874] = 792,
  [875] = 800,
  [876] = 800,
  [877] = 816,
  [878] = 878,
  [879] = 879,
  [880] = 879,
  [881] = 802,
  [882] = 882,
  [883] = 882,
  [884] = 879,
  [885] = 882,
  [886] = 879,
  [887] = 801,
  [888] = 882,
  [889] = 879,
  [890] = 882,
  [891] = 891,
  [892] = 891,
  [893] = 893,
  [894] = 891,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 891,
  [899] = 891,
  [900] = 891,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 800,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 901,
  [915] = 904,
  [916] = 916,
  [917] = 865,
  [918] = 918,
  [919] = 907,
  [920] = 909,
  [921] = 910,
  [922] = 911,
  [923] = 902,
  [924] = 913,
  [925] = 912,
  [926] = 903,
  [927] = 862,
  [928] = 906,
  [929] = 859,
  [930] = 858,
  [931] = 905,
  [932] = 864,
  [933] = 866,
  [934] = 904,
  [935] = 869,
  [936] = 905,
  [937] = 906,
  [938] = 912,
  [939] = 913,
  [940] = 902,
  [941] = 911,
  [942] = 910,
  [943] = 909,
  [944] = 907,
  [945] = 903,
  [946] = 901,
  [947] = 916,
  [948] = 870,
  [949] = 868,
  [950] = 860,
  [951] = 821,
  [952] = 811,
  [953] = 953,
  [954] = 954,
  [955] = 842,
  [956] = 809,
  [957] = 803,
  [958] = 836,
  [959] = 823,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 807,
  [964] = 806,
  [965] = 855,
  [966] = 966,
  [967] = 854,
  [968] = 810,
  [969] = 812,
  [970] = 831,
  [971] = 808,
  [972] = 847,
  [973] = 814,
  [974] = 974,
  [975] = 143,
  [976] = 151,
  [977] = 139,
  [978] = 156,
  [979] = 828,
  [980] = 829,
  [981] = 160,
  [982] = 154,
  [983] = 839,
  [984] = 827,
  [985] = 820,
  [986] = 986,
  [987] = 833,
  [988] = 805,
  [989] = 804,
  [990] = 843,
  [991] = 835,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 916,
  [996] = 996,
  [997] = 913,
  [998] = 860,
  [999] = 996,
  [1000] = 994,
  [1001] = 151,
  [1002] = 993,
  [1003] = 992,
  [1004] = 986,
  [1005] = 974,
  [1006] = 1006,
  [1007] = 895,
  [1008] = 953,
  [1009] = 143,
  [1010] = 954,
  [1011] = 960,
  [1012] = 961,
  [1013] = 868,
  [1014] = 962,
  [1015] = 966,
  [1016] = 1016,
  [1017] = 869,
  [1018] = 1018,
  [1019] = 904,
  [1020] = 866,
  [1021] = 1021,
  [1022] = 139,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 870,
  [1026] = 864,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 154,
  [1030] = 160,
  [1031] = 156,
  [1032] = 901,
  [1033] = 903,
  [1034] = 907,
  [1035] = 909,
  [1036] = 910,
  [1037] = 911,
  [1038] = 902,
  [1039] = 912,
  [1040] = 906,
  [1041] = 1041,
  [1042] = 905,
  [1043] = 801,
  [1044] = 525,
  [1045] = 802,
  [1046] = 916,
  [1047] = 1047,
  [1048] = 524,
  [1049] = 1049,
  [1050] = 151,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 996,
  [1054] = 1054,
  [1055] = 143,
  [1056] = 994,
  [1057] = 993,
  [1058] = 992,
  [1059] = 986,
  [1060] = 1060,
  [1061] = 974,
  [1062] = 953,
  [1063] = 954,
  [1064] = 960,
  [1065] = 961,
  [1066] = 962,
  [1067] = 966,
  [1068] = 151,
  [1069] = 1069,
  [1070] = 139,
  [1071] = 994,
  [1072] = 1069,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 996,
  [1078] = 1078,
  [1079] = 954,
  [1080] = 993,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 960,
  [1084] = 966,
  [1085] = 961,
  [1086] = 1069,
  [1087] = 1069,
  [1088] = 992,
  [1089] = 962,
  [1090] = 154,
  [1091] = 1069,
  [1092] = 160,
  [1093] = 156,
  [1094] = 154,
  [1095] = 139,
  [1096] = 143,
  [1097] = 986,
  [1098] = 160,
  [1099] = 156,
  [1100] = 974,
  [1101] = 953,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 92,
  [1118] = 1118,
  [1119] = 113,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 112,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 121,
  [1129] = 131,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 120,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1154,
  [1157] = 1154,
  [1158] = 1154,
  [1159] = 1154,
  [1160] = 1160,
  [1161] = 913,
  [1162] = 903,
  [1163] = 905,
  [1164] = 907,
  [1165] = 901,
  [1166] = 909,
  [1167] = 910,
  [1168] = 911,
  [1169] = 1169,
  [1170] = 902,
  [1171] = 904,
  [1172] = 912,
  [1173] = 1173,
  [1174] = 906,
  [1175] = 112,
  [1176] = 907,
  [1177] = 1177,
  [1178] = 903,
  [1179] = 1179,
  [1180] = 1179,
  [1181] = 121,
  [1182] = 1179,
  [1183] = 1179,
  [1184] = 120,
  [1185] = 92,
  [1186] = 113,
  [1187] = 904,
  [1188] = 901,
  [1189] = 1189,
  [1190] = 131,
  [1191] = 905,
  [1192] = 912,
  [1193] = 909,
  [1194] = 1179,
  [1195] = 910,
  [1196] = 911,
  [1197] = 902,
  [1198] = 906,
  [1199] = 913,
  [1200] = 1200,
  [1201] = 911,
  [1202] = 905,
  [1203] = 1203,
  [1204] = 903,
  [1205] = 1205,
  [1206] = 1173,
  [1207] = 901,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 907,
  [1212] = 909,
  [1213] = 904,
  [1214] = 910,
  [1215] = 902,
  [1216] = 913,
  [1217] = 912,
  [1218] = 906,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1234,
  [1237] = 1237,
  [1238] = 1231,
  [1239] = 1237,
  [1240] = 1233,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1242,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 910,
  [1249] = 911,
  [1250] = 1244,
  [1251] = 902,
  [1252] = 903,
  [1253] = 1244,
  [1254] = 1254,
  [1255] = 913,
  [1256] = 912,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1244,
  [1262] = 904,
  [1263] = 1242,
  [1264] = 901,
  [1265] = 906,
  [1266] = 1173,
  [1267] = 1267,
  [1268] = 1242,
  [1269] = 1247,
  [1270] = 905,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1267,
  [1275] = 1275,
  [1276] = 1272,
  [1277] = 1273,
  [1278] = 1278,
  [1279] = 1260,
  [1280] = 907,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1272,
  [1284] = 1242,
  [1285] = 909,
  [1286] = 1273,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1244,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1273,
  [1294] = 1260,
  [1295] = 1295,
  [1296] = 1272,
  [1297] = 1297,
  [1298] = 1272,
  [1299] = 1299,
  [1300] = 1287,
  [1301] = 1301,
  [1302] = 1273,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1307,
  [1309] = 1304,
  [1310] = 1304,
  [1311] = 1311,
  [1312] = 1303,
  [1313] = 1313,
  [1314] = 1304,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1304,
  [1319] = 1319,
  [1320] = 1303,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1303,
  [1329] = 1329,
  [1330] = 1327,
  [1331] = 1303,
  [1332] = 1332,
  [1333] = 1304,
  [1334] = 1304,
  [1335] = 1304,
  [1336] = 1324,
  [1337] = 1303,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 878,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1155,
  [1344] = 1344,
  [1345] = 1169,
  [1346] = 1203,
  [1347] = 1209,
  [1348] = 1208,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1125,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1118,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1367,
  [1369] = 1367,
  [1370] = 1361,
  [1371] = 1366,
  [1372] = 1366,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1374,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1383,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1391,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1377,
  [1400] = 1377,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1386,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1377,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1374,
  [1416] = 1374,
  [1417] = 1380,
  [1418] = 1378,
  [1419] = 1376,
  [1420] = 1377,
  [1421] = 1381,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 847,
  [1428] = 1382,
  [1429] = 1395,
  [1430] = 1430,
  [1431] = 1423,
  [1432] = 1432,
  [1433] = 1385,
  [1434] = 1373,
  [1435] = 1396,
  [1436] = 1436,
  [1437] = 1224,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1413,
  [1441] = 1414,
  [1442] = 1230,
  [1443] = 1443,
  [1444] = 1432,
  [1445] = 1410,
  [1446] = 1439,
  [1447] = 1439,
  [1448] = 1403,
  [1449] = 1406,
  [1450] = 1426,
  [1451] = 1118,
  [1452] = 1409,
  [1453] = 1453,
  [1454] = 847,
  [1455] = 1430,
  [1456] = 1219,
  [1457] = 1398,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1220,
  [1461] = 1107,
  [1462] = 1132,
  [1463] = 1115,
  [1464] = 1397,
  [1465] = 1424,
  [1466] = 1109,
  [1467] = 1116,
  [1468] = 1468,
  [1469] = 1106,
  [1470] = 1470,
  [1471] = 1458,
  [1472] = 1438,
  [1473] = 1125,
  [1474] = 1458,
  [1475] = 1111,
  [1476] = 1120,
  [1477] = 1439,
  [1478] = 1439,
  [1479] = 1479,
  [1480] = 1458,
  [1481] = 1408,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1482,
  [1485] = 1483,
  [1486] = 1482,
  [1487] = 1483,
  [1488] = 1482,
  [1489] = 1155,
  [1490] = 1483,
  [1491] = 1482,
  [1492] = 1483,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1500,
  [1503] = 1499,
  [1504] = 1500,
  [1505] = 1499,
  [1506] = 1500,
  [1507] = 1499,
  [1508] = 1508,
  [1509] = 1500,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1513,
  [1515] = 1515,
  [1516] = 1513,
  [1517] = 1512,
  [1518] = 1513,
  [1519] = 1513,
  [1520] = 1513,
  [1521] = 1512,
  [1522] = 1512,
  [1523] = 1513,
  [1524] = 1512,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1536,
  [1538] = 1538,
  [1539] = 1536,
  [1540] = 1540,
  [1541] = 1536,
  [1542] = 1536,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1545,
  [1554] = 1545,
  [1555] = 1545,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1545,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1571,
  [1573] = 1571,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1571,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1571,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1585,
  [1590] = 1585,
  [1591] = 1586,
  [1592] = 1587,
  [1593] = 1586,
  [1594] = 1585,
  [1595] = 1595,
  [1596] = 1587,
  [1597] = 1587,
  [1598] = 1586,
  [1599] = 1599,
  [1600] = 1587,
  [1601] = 1586,
  [1602] = 1599,
  [1603] = 1585,
  [1604] = 1583,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1609,
  [1616] = 1616,
  [1617] = 1609,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1609,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1609,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1625,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1656,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1660,
  [1668] = 1656,
  [1669] = 1662,
  [1670] = 1656,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1656,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1610,
  [1681] = 1656,
  [1682] = 1611,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1656,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1637,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1674,
  [1721] = 1721,
  [1722] = 1715,
  [1723] = 1716,
  [1724] = 1717,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1716,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1721,
  [1732] = 1716,
  [1733] = 1721,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1725,
  [1739] = 1739,
  [1740] = 1728,
  [1741] = 1717,
  [1742] = 1742,
  [1743] = 1716,
  [1744] = 1730,
  [1745] = 1736,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1725,
  [1750] = 1736,
  [1751] = 1730,
  [1752] = 1752,
  [1753] = 1736,
  [1754] = 1754,
  [1755] = 1715,
  [1756] = 1725,
  [1757] = 1730,
  [1758] = 1758,
  [1759] = 1717,
  [1760] = 1760,
  [1761] = 1737,
  [1762] = 1737,
  [1763] = 1728,
  [1764] = 1736,
  [1765] = 1765,
  [1766] = 1717,
  [1767] = 1767,
  [1768] = 1730,
  [1769] = 1737,
  [1770] = 1737,
  [1771] = 1716,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1721,
  [1775] = 1775,
  [1776] = 1721,
  [1777] = 1737,
  [1778] = 1778,
  [1779] = 1737,
  [1780] = 1737,
  [1781] = 1728,
  [1782] = 1715,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1737,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1625,
  [1809] = 1809,
  [1810] = 1787,
  [1811] = 1804,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1786,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1804,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1788,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1805,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1830,
  [1835] = 1803,
  [1836] = 1836,
  [1837] = 1837,
  [1838] = 1824,
  [1839] = 1799,
  [1840] = 1840,
  [1841] = 1821,
  [1842] = 1842,
  [1843] = 1803,
  [1844] = 1844,
  [1845] = 1788,
  [1846] = 1804,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1824,
  [1850] = 1809,
  [1851] = 1807,
  [1852] = 1806,
  [1853] = 1786,
  [1854] = 1805,
  [1855] = 1824,
  [1856] = 1809,
  [1857] = 1807,
  [1858] = 1806,
  [1859] = 1859,
  [1860] = 1786,
  [1861] = 1824,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1809,
  [1865] = 1807,
  [1866] = 1806,
  [1867] = 1799,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1786,
  [1871] = 1868,
  [1872] = 1806,
  [1873] = 1807,
  [1874] = 1809,
  [1875] = 1875,
  [1876] = 1788,
  [1877] = 1877,
  [1878] = 1833,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1786,
  [1882] = 1882,
  [1883] = 1788,
  [1884] = 1879,
  [1885] = 1824,
  [1886] = 1886,
  [1887] = 1830,
  [1888] = 1830,
  [1889] = 1829,
  [1890] = 1793,
  [1891] = 1827,
  [1892] = 1812,
  [1893] = 1824,
  [1894] = 1809,
  [1895] = 1806,
  [1896] = 1807,
  [1897] = 1789,
  [1898] = 1807,
  [1899] = 1806,
  [1900] = 1823,
  [1901] = 1797,
  [1902] = 1801,
  [1903] = 1802,
  [1904] = 1875,
  [1905] = 1821,
  [1906] = 1809,
  [1907] = 1786,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1911,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1920,
  [1928] = 1925,
  [1929] = 1929,
  [1930] = 1922,
  [1931] = 1923,
  [1932] = 1925,
  [1933] = 1929,
  [1934] = 1911,
  [1935] = 1910,
  [1936] = 1936,
  [1937] = 1937,
  [1938] = 1922,
  [1939] = 1924,
  [1940] = 1923,
  [1941] = 1921,
  [1942] = 1925,
  [1943] = 1929,
  [1944] = 1922,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1936,
  [1948] = 1910,
  [1949] = 1924,
  [1950] = 1923,
  [1951] = 1951,
  [1952] = 1921,
  [1953] = 1918,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1913,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1924,
  [1962] = 1962,
  [1963] = 1925,
  [1964] = 1964,
  [1965] = 1936,
  [1966] = 1929,
  [1967] = 1921,
  [1968] = 1922,
  [1969] = 1969,
  [1970] = 1936,
  [1971] = 1925,
  [1972] = 1972,
  [1973] = 1913,
  [1974] = 1974,
  [1975] = 1913,
  [1976] = 1922,
  [1977] = 1910,
  [1978] = 1921,
  [1979] = 1920,
  [1980] = 1920,
  [1981] = 1924,
  [1982] = 1982,
  [1983] = 1924,
  [1984] = 1957,
  [1985] = 1923,
  [1986] = 1921,
  [1987] = 1918,
  [1988] = 1988,
  [1989] = 1911,
  [1990] = 1990,
  [1991] = 1913,
  [1992] = 1911,
  [1993] = 1911,
  [1994] = 1913,
  [1995] = 1911,
  [1996] = 1996,
  [1997] = 1913,
  [1998] = 1913,
  [1999] = 1910,
  [2000] = 1929,
  [2001] = 1936,
  [2002] = 1910,
  [2003] = 1913,
  [2004] = 2004,
  [2005] = 1911,
  [2006] = 1920,
  [2007] = 1911,
  [2008] = 1936,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2014,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2015,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2027,
  [2030] = 2017,
  [2031] = 2026,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2013,
  [2037] = 2037,
  [2038] = 2037,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2014,
  [2042] = 2024,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2037,
  [2046] = 2046,
  [2047] = 2032,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2013,
  [2051] = 2051,
  [2052] = 2037,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2014,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2032,
  [2061] = 2013,
  [2062] = 2012,
  [2063] = 2014,
  [2064] = 2037,
  [2065] = 2033,
  [2066] = 2032,
  [2067] = 2013,
  [2068] = 2013,
  [2069] = 2014,
  [2070] = 2070,
  [2071] = 2010,
  [2072] = 2072,
  [2073] = 2032,
  [2074] = 2074,
  [2075] = 2025,
  [2076] = 2076,
  [2077] = 2028,
  [2078] = 2026,
  [2079] = 2027,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2033,
  [2088] = 2088,
  [2089] = 2086,
  [2090] = 2028,
  [2091] = 2085,
  [2092] = 2035,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 802,
  [2098] = 2033,
  [2099] = 2024,
  [2100] = 2100,
  [2101] = 2049,
  [2102] = 2081,
  [2103] = 2103,
  [2104] = 2032,
  [2105] = 2021,
  [2106] = 2106,
  [2107] = 2095,
  [2108] = 2020,
  [2109] = 2109,
  [2110] = 2035,
  [2111] = 2111,
  [2112] = 2095,
  [2113] = 2084,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2015,
  [2117] = 2117,
  [2118] = 2106,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2012,
  [2122] = 2058,
  [2123] = 2037,
  [2124] = 2084,
  [2125] = 2125,
  [2126] = 2017,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2085,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2021,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2131,
  [2138] = 2033,
  [2139] = 2070,
  [2140] = 2028,
  [2141] = 2086,
  [2142] = 2032,
  [2143] = 2028,
  [2144] = 2086,
  [2145] = 2145,
  [2146] = 2018,
  [2147] = 2147,
  [2148] = 2049,
  [2149] = 2017,
  [2150] = 2053,
  [2151] = 2151,
  [2152] = 2015,
  [2153] = 2014,
  [2154] = 1219,
  [2155] = 2072,
  [2156] = 2084,
  [2157] = 1224,
  [2158] = 2158,
  [2159] = 2055,
  [2160] = 2059,
  [2161] = 2085,
  [2162] = 2081,
  [2163] = 2080,
  [2164] = 2109,
  [2165] = 2147,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2013,
  [2170] = 2170,
  [2171] = 2051,
  [2172] = 2172,
  [2173] = 2024,
  [2174] = 2120,
  [2175] = 2106,
  [2176] = 2058,
  [2177] = 2177,
  [2178] = 2032,
  [2179] = 2179,
  [2180] = 2084,
  [2181] = 2181,
  [2182] = 2010,
  [2183] = 2072,
  [2184] = 801,
  [2185] = 2185,
  [2186] = 1220,
  [2187] = 2021,
  [2188] = 2188,
  [2189] = 2033,
  [2190] = 2080,
  [2191] = 2032,
  [2192] = 2192,
  [2193] = 2070,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2049,
  [2197] = 2106,
  [2198] = 2013,
  [2199] = 2199,
  [2200] = 2120,
  [2201] = 2095,
  [2202] = 2058,
  [2203] = 2203,
  [2204] = 2021,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2010,
  [2209] = 2072,
  [2210] = 2033,
  [2211] = 2211,
  [2212] = 2035,
  [2213] = 2213,
  [2214] = 2080,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2017,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2081,
  [2222] = 2053,
  [2223] = 2059,
  [2224] = 2015,
  [2225] = 2014,
  [2226] = 2010,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2115,
  [2230] = 2010,
  [2231] = 2010,
  [2232] = 2010,
  [2233] = 2053,
  [2234] = 2080,
  [2235] = 2085,
  [2236] = 2086,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2238,
  [2240] = 2240,
  [2241] = 2228,
  [2242] = 2055,
  [2243] = 2028,
  [2244] = 2244,
  [2245] = 2033,
  [2246] = 2055,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2082,
  [2250] = 2027,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2037,
  [2255] = 2255,
  [2256] = 2022,
  [2257] = 2058,
  [2258] = 2252,
  [2259] = 2095,
  [2260] = 2035,
  [2261] = 2238,
  [2262] = 2026,
  [2263] = 2263,
  [2264] = 2082,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2128,
  [2268] = 2268,
  [2269] = 2037,
  [2270] = 2270,
  [2271] = 2120,
  [2272] = 2082,
  [2273] = 2273,
  [2274] = 2251,
  [2275] = 2059,
  [2276] = 2058,
  [2277] = 1230,
  [2278] = 2278,
  [2279] = 2027,
  [2280] = 2082,
  [2281] = 2024,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2238,
  [2286] = 2012,
  [2287] = 2181,
  [2288] = 2026,
  [2289] = 2014,
  [2290] = 2238,
  [2291] = 2291,
  [2292] = 2072,
  [2293] = 2238,
  [2294] = 2012,
  [2295] = 2013,
  [2296] = 2227,
  [2297] = 2297,
  [2298] = 2010,
  [2299] = 2219,
};

static inline bool sym_number_literal_character_set_1(int32_t c) {
  return (c < 'b'
    ? (c < 'L'
      ? (c < 'D'
        ? c == 'B'
        : c <= 'F')
      : (c <= 'L' || (c < 'W'
        ? c == 'U'
        : c <= 'W')))
    : (c <= 'b' || (c < 'u'
      ? (c < 'l'
        ? (c >= 'd' && c <= 'f')
        : c <= 'l')
      : (c <= 'u' || c == 'w'))));
}

static inline bool sym_number_literal_character_set_2(int32_t c) {
  return (c < 'b'
    ? (c < 'L'
      ? (c < 'D'
        ? c == 'B'
        : (c <= 'D' || c == 'F'))
      : (c <= 'L' || (c < 'W'
        ? c == 'U'
        : c <= 'W')))
    : (c <= 'b' || (c < 'l'
      ? (c < 'f'
        ? c == 'd'
        : c <= 'f')
      : (c <= 'l' || (c < 'w'
        ? c == 'u'
        : c <= 'w')))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(141);
      if (lookahead == '!') ADVANCE(213);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(89);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(145);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(221);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '.') ADVANCE(279);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '}') ADVANCE(257);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(52)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(52)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(56)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(56)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(55)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(55)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(58)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(58)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(54)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(54)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(60)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(60)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(64)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(64)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(65)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(65)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(71)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(71)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(70)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(70)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(62)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(62)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(63)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(63)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(61)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(61)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(66)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(66)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(59)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(59)
      if (lookahead == '\r') SKIP(29)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(33)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(33)
      if (lookahead == '\r') SKIP(31)
      END_STATE();
    case 33:
      if (lookahead == '\n') ADVANCE(150);
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '%') ADVANCE(229);
      if (lookahead == '&') ADVANCE(238);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '*') ADVANCE(225);
      if (lookahead == '+') ADVANCE(220);
      if (lookahead == '-') ADVANCE(215);
      if (lookahead == '/') ADVANCE(227);
      if (lookahead == '<') ADVANCE(247);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(243);
      if (lookahead == '\\') SKIP(32)
      if (lookahead == '^') ADVANCE(235);
      if (lookahead == '|') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(69)
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(69)
      if (lookahead == '\r') SKIP(34)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(68)
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(68)
      if (lookahead == '\r') SKIP(36)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(67)
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '/') ADVANCE(313);
      if (lookahead == '\\') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(316);
      if (lookahead != 0) ADVANCE(317);
      END_STATE();
    case 39:
      if (lookahead == '\n') ADVANCE(319);
      if (lookahead == '\r') ADVANCE(318);
      if (lookahead == 'U') ADVANCE(136);
      if (lookahead == 'u') ADVANCE(128);
      if (lookahead == 'x') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(321);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(72)
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '/') ADVANCE(306);
      if (lookahead == '\\') ADVANCE(305);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(307);
      if (lookahead != 0) ADVANCE(304);
      END_STATE();
    case 41:
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '\r') ADVANCE(45);
      if (lookahead == '(') ADVANCE(145);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead == '\\') ADVANCE(168);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(80)
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 42:
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '\r') ADVANCE(45);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead == '\\') ADVANCE(168);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(80)
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 43:
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '\r') ADVANCE(44);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') SKIP(47)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(73)
      END_STATE();
    case 44:
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') SKIP(47)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73)
      END_STATE();
    case 45:
      if (lookahead == '\n') ADVANCE(143);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead == '\\') ADVANCE(168);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80)
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(73)
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(73)
      if (lookahead == '\r') SKIP(46)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(53)
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(53)
      if (lookahead == '\r') SKIP(48)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(57)
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(57)
      if (lookahead == '\r') SKIP(50)
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 52:
      if (lookahead == '!') ADVANCE(213);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(89);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(221);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '.') ADVANCE(279);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '}') ADVANCE(257);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 53:
      if (lookahead == '!') ADVANCE(213);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(99);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(221);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '.') ADVANCE(279);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(258);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '}') ADVANCE(257);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 54:
      if (lookahead == '!') ADVANCE(213);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(103);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(221);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '.') ADVANCE(280);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(258);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 55:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(89);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '&') ADVANCE(237);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '*') ADVANCE(225);
      if (lookahead == '+') ADVANCE(222);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(87);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(88);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 56:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(95);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '&') ADVANCE(237);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(225);
      if (lookahead == '+') ADVANCE(222);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(280);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '=') ADVANCE(261);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '}') ADVANCE(257);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 57:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(91);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '&') ADVANCE(237);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '*') ADVANCE(225);
      if (lookahead == '+') ADVANCE(222);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(87);
      if (lookahead == '\\') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 58:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(93);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '&') ADVANCE(237);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '*') ADVANCE(225);
      if (lookahead == '+') ADVANCE(222);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(87);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 59:
      if (lookahead == '!') ADVANCE(212);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '+') ADVANCE(224);
      if (lookahead == '-') ADVANCE(219);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == 'L') ADVANCE(333);
      if (lookahead == 'U') ADVANCE(334);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(332);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 60:
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(99);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(223);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(218);
      if (lookahead == '.') ADVANCE(278);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == 'L') ADVANCE(325);
      if (lookahead == 'U') ADVANCE(327);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == 'u') ADVANCE(329);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '}') ADVANCE(257);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60)
      END_STATE();
    case 61:
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(103);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(223);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(218);
      if (lookahead == '.') ADVANCE(277);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == 'L') ADVANCE(325);
      if (lookahead == 'U') ADVANCE(327);
      if (lookahead == '[') ADVANCE(258);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == 'u') ADVANCE(329);
      if (lookahead == '|') ADVANCE(233);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61)
      END_STATE();
    case 62:
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '#') ADVANCE(99);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(223);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(218);
      if (lookahead == '.') ADVANCE(278);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '}') ADVANCE(257);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62)
      END_STATE();
    case 63:
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '#') ADVANCE(99);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(223);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(218);
      if (lookahead == '.') ADVANCE(277);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == '[') ADVANCE(258);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == ']') ADVANCE(88);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '}') ADVANCE(257);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63)
      END_STATE();
    case 64:
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '#') ADVANCE(90);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(223);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(218);
      if (lookahead == '.') ADVANCE(278);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '}') ADVANCE(257);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64)
      END_STATE();
    case 65:
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '#') ADVANCE(94);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(229);
      if (lookahead == '&') ADVANCE(238);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(225);
      if (lookahead == '+') ADVANCE(220);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(215);
      if (lookahead == '/') ADVANCE(227);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(247);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(243);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(235);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '|') ADVANCE(234);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65)
      END_STATE();
    case 66:
      if (lookahead == '!') ADVANCE(82);
      if (lookahead == '#') ADVANCE(103);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(223);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(218);
      if (lookahead == '.') ADVANCE(278);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == '[') ADVANCE(258);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == '|') ADVANCE(233);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66)
      END_STATE();
    case 67:
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67)
      END_STATE();
    case 68:
      if (lookahead == '"') ADVANCE(312);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '<') ADVANCE(84);
      if (lookahead == 'L') ADVANCE(325);
      if (lookahead == 'U') ADVANCE(327);
      if (lookahead == '\\') ADVANCE(37);
      if (lookahead == 'u') ADVANCE(329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68)
      END_STATE();
    case 69:
      if (lookahead == '#') ADVANCE(112);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(336);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(35);
      if (lookahead == '}') ADVANCE(257);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69)
      END_STATE();
    case 70:
      if (lookahead == '#') ADVANCE(96);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(336);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '[') ADVANCE(87);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == '}') ADVANCE(257);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70)
      END_STATE();
    case 71:
      if (lookahead == '#') ADVANCE(92);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(336);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '[') ADVANCE(87);
      if (lookahead == '\\') ADVANCE(18);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71)
      END_STATE();
    case 72:
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') ADVANCE(39);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72)
      END_STATE();
    case 73:
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '\\') SKIP(47)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73)
      END_STATE();
    case 74:
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(341);
      END_STATE();
    case 75:
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '/') ADVANCE(337);
      if (lookahead != 0) ADVANCE(76);
      END_STATE();
    case 76:
      if (lookahead == '*') ADVANCE(75);
      if (lookahead != 0) ADVANCE(76);
      END_STATE();
    case 77:
      if (lookahead == '*') ADVANCE(75);
      if (lookahead != 0) ADVANCE(166);
      END_STATE();
    case 78:
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '0') ADVANCE(283);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(284);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      END_STATE();
    case 79:
      if (lookahead == '.') ADVANCE(146);
      END_STATE();
    case 80:
      if (lookahead == '/') ADVANCE(170);
      if (lookahead == '\\') ADVANCE(168);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80)
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 81:
      if (lookahead == ':') ADVANCE(253);
      END_STATE();
    case 82:
      if (lookahead == '=') ADVANCE(241);
      END_STATE();
    case 83:
      if (lookahead == '=') ADVANCE(240);
      END_STATE();
    case 84:
      if (lookahead == '>') ADVANCE(322);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 85:
      if (lookahead == '>') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 86:
      if (lookahead == 'U') ADVANCE(135);
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 87:
      if (lookahead == '[') ADVANCE(254);
      END_STATE();
    case 88:
      if (lookahead == ']') ADVANCE(255);
      END_STATE();
    case 89:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'e') ADVANCE(204);
      if (lookahead == 'i') ADVANCE(190);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 90:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'e') ADVANCE(204);
      if (lookahead == 'i') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 91:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'e') ADVANCE(207);
      if (lookahead == 'i') ADVANCE(190);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 92:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'e') ADVANCE(207);
      if (lookahead == 'i') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 93:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'e') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(190);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'e') ADVANCE(206);
      if (lookahead == 'i') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 95:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'i') ADVANCE(190);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 96:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'i') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(110);
      END_STATE();
    case 98:
      if (lookahead == 'd') ADVANCE(102);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(113);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(99);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(114);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(103);
      END_STATE();
    case 104:
      if (lookahead == 'f') ADVANCE(158);
      END_STATE();
    case 105:
      if (lookahead == 'f') ADVANCE(151);
      END_STATE();
    case 106:
      if (lookahead == 'f') ADVANCE(161);
      END_STATE();
    case 107:
      if (lookahead == 'f') ADVANCE(163);
      END_STATE();
    case 108:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 109:
      if (lookahead == 'i') ADVANCE(104);
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 110:
      if (lookahead == 'i') ADVANCE(105);
      END_STATE();
    case 111:
      if (lookahead == 'i') ADVANCE(108);
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(191);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 114:
      if (lookahead == 'l') ADVANCE(111);
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(282);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(284);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(336);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(290);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(288);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(131);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 137:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(341);
      if (lookahead == '\r') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(343);
      END_STATE();
    case 138:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(171);
      END_STATE();
    case 139:
      if (eof) ADVANCE(141);
      if (lookahead == '!') ADVANCE(213);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(89);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '%') ADVANCE(230);
      if (lookahead == '&') ADVANCE(239);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(226);
      if (lookahead == '+') ADVANCE(221);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '.') ADVANCE(279);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '<') ADVANCE(246);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(242);
      if (lookahead == '?') ADVANCE(264);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == '^') ADVANCE(236);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '|') ADVANCE(233);
      if (lookahead == '}') ADVANCE(257);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 140:
      if (eof) ADVANCE(141);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(312);
      if (lookahead == '#') ADVANCE(95);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(336);
      if (lookahead == '&') ADVANCE(237);
      if (lookahead == '\'') ADVANCE(303);
      if (lookahead == '(') ADVANCE(211);
      if (lookahead == ')') ADVANCE(148);
      if (lookahead == '*') ADVANCE(225);
      if (lookahead == '+') ADVANCE(222);
      if (lookahead == ',') ADVANCE(147);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '.') ADVANCE(280);
      if (lookahead == '/') ADVANCE(74);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == ':') ADVANCE(263);
      if (lookahead == ';') ADVANCE(252);
      if (lookahead == '=') ADVANCE(261);
      if (lookahead == 'L') ADVANCE(324);
      if (lookahead == 'U') ADVANCE(326);
      if (lookahead == '[') ADVANCE(259);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(260);
      if (lookahead == 'u') ADVANCE(328);
      if (lookahead == '{') ADVANCE(256);
      if (lookahead == '}') ADVANCE(257);
      if (lookahead == '~') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(186);
      if (lookahead == 'n') ADVANCE(180);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(101);
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(188);
      if (lookahead == 'n') ADVANCE(181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(76);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead != 0) ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(76);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead != 0) ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(341);
      if (lookahead == '\r') ADVANCE(338);
      if (lookahead == '/') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(342);
      if (lookahead != 0) ADVANCE(340);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(80)
      if (lookahead == '\r') ADVANCE(169);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(80)
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(166);
      if (lookahead == '/') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(171);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(171);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(166);
      if (lookahead == '\r') ADVANCE(175);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(171);
      if (lookahead == '\r') ADVANCE(176);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(340);
      if (lookahead == '\r') ADVANCE(344);
      if (lookahead == '/') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(342);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(166);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(172);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(171);
      if (lookahead == '/') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(173);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(205);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(185);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(189);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(149);
      if (lookahead == 'n') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(193);
      if (lookahead == 's') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(199);
      if (lookahead == 's') ADVANCE(183);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(201);
      if (lookahead == 'n') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(203);
      if (lookahead == 'n') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(178);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(179);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(210);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(241);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(275);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == '=') ADVANCE(269);
      if (lookahead == '>') ADVANCE(281);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(275);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '0') ADVANCE(285);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(275);
      if (lookahead == '=') ADVANCE(269);
      if (lookahead == '>') ADVANCE(281);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '0') ADVANCE(285);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(276);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '0') ADVANCE(285);
      if (lookahead == '=') ADVANCE(268);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(276);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '0') ADVANCE(285);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(276);
      if (lookahead == '=') ADVANCE(268);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '0') ADVANCE(285);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(265);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(341);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(341);
      if (lookahead == '=') ADVANCE(266);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(267);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(274);
      if (lookahead == '|') ADVANCE(231);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(231);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(273);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(232);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(232);
      if (lookahead == '=') ADVANCE(272);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == '>') ADVANCE(251);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == '>') ADVANCE(250);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(249);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(248);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(270);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(271);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(254);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(240);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(79);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(282);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(282);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(116);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(295);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(282);
      if (sym_number_literal_character_set_1(lookahead)) ADVANCE(298);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(117);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(292);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(291);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(120);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(293);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(284);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(117);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(291);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      if (lookahead == 'A' ||
          lookahead == 'C' ||
          lookahead == 'a' ||
          lookahead == 'c') ADVANCE(293);
      if (('B' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(284);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(115);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(294);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(78);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(295);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(115);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(297);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(120);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(295);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(115);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(295);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      if (sym_number_literal_character_set_1(lookahead)) ADVANCE(298);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(121);
      if (lookahead == 'B' ||
          lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'b' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(288);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(288);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(119);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(121);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(289);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(290);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(290);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(119);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(289);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(290);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(290);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(120);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(121);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(291);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(293);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(120);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(291);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      if (lookahead == 'A' ||
          lookahead == 'C' ||
          lookahead == 'a' ||
          lookahead == 'c') ADVANCE(293);
      if (('B' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(284);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(120);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(291);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(293);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(293);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '0') ADVANCE(286);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(287);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(298);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(121);
      if (lookahead == 'B' ||
          lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'b' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(288);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(288);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(289);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(295);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(290);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(290);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(298);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_number_literal);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(298);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(319);
      if (lookahead == '\r') ADVANCE(318);
      if (lookahead == 'U') ADVANCE(136);
      if (lookahead == 'u') ADVANCE(128);
      if (lookahead == 'x') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(321);
      if (lookahead != 0) ADVANCE(318);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(341);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(39);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(315);
      if (lookahead == '/') ADVANCE(317);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(317);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(314);
      if (lookahead == '/') ADVANCE(317);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(315);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(314);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(315);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(313);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(317);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(39);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(318);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(320);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(322);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(308);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(299);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(308);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(310);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(309);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(300);
      if (lookahead == '8') ADVANCE(330);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(309);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(336);
      if (lookahead == '8') ADVANCE(331);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(311);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(302);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(311);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(300);
      if (lookahead == '8') ADVANCE(335);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(299);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\'') ADVANCE(302);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(336);
      if (lookahead == '\\') ADVANCE(86);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(341);
      if (lookahead == '/') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(174);
      if (lookahead != 0) ADVANCE(340);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(341);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(340);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(340);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(341);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(340);
      if (lookahead == '\r') ADVANCE(344);
      if (lookahead == '/') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(342);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(341);
      if (lookahead == '\r') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(343);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(340);
      if (lookahead == '/') ADVANCE(339);
      if (lookahead == '\\') ADVANCE(174);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(341);
      if (lookahead == '\\') ADVANCE(137);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(28)
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(40);
      if (lookahead == 'h') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(80);
      if (lookahead == 'b') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(82);
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'e') ADVANCE(84);
      if (lookahead == 'f') ADVANCE(85);
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'l') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      if (lookahead == 's') ADVANCE(89);
      if (lookahead == 't') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(91);
      if (lookahead == 'v') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(112);
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == 'x') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'g') ADVANCE(124);
      if (lookahead == 'z') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(132);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 's') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 73:
      if (lookahead == 'S') ADVANCE(139);
      END_STATE();
    case 74:
      if (lookahead == 'L') ADVANCE(140);
      END_STATE();
    case 75:
      if (lookahead == 'E') ADVANCE(141);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(146);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(150);
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 84:
      if (lookahead == 'x') ADVANCE(153);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(154);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(160);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'p') ADVANCE(165);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 95:
      if (lookahead == 'g') ADVANCE(169);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 97:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'i') ADVANCE(178);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(179);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 106:
      if (lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(187);
      if (lookahead == '3') ADVANCE(188);
      if (lookahead == '6') ADVANCE(189);
      if (lookahead == '8') ADVANCE(190);
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 114:
      if (lookahead == 'g') ADVANCE(192);
      END_STATE();
    case 115:
      if (lookahead == '_') ADVANCE(193);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 118:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(197);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(202);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 126:
      if (lookahead == 'z') ADVANCE(204);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(206);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(211);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(171);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 139:
      if (lookahead == 'E') ADVANCE(215);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 143:
      if (lookahead == 'm') ADVANCE(217);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 147:
      if (lookahead == 'm') ADVANCE(221);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 152:
      if (lookahead == 'c') ADVANCE(226);
      END_STATE();
    case 153:
      if (lookahead == 'c') ADVANCE(227);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 154:
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(232);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 159:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(236);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(237);
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 163:
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 167:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(244);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 172:
      if (lookahead == 'k') ADVANCE(246);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(247);
      if (lookahead == '3') ADVANCE(248);
      if (lookahead == '6') ADVANCE(249);
      if (lookahead == '8') ADVANCE(250);
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 177:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 178:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(256);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 187:
      if (lookahead == '6') ADVANCE(259);
      END_STATE();
    case 188:
      if (lookahead == '2') ADVANCE(260);
      END_STATE();
    case 189:
      if (lookahead == '4') ADVANCE(261);
      END_STATE();
    case 190:
      if (lookahead == '_') ADVANCE(262);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 195:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 198:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 203:
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 206:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 207:
      if (lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(281);
      END_STATE();
    case 210:
      if (lookahead == '1') ADVANCE(282);
      if (lookahead == '3') ADVANCE(283);
      if (lookahead == '6') ADVANCE(284);
      if (lookahead == '8') ADVANCE(285);
      if (lookahead == 'p') ADVANCE(286);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 212:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 218:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 221:
      if (lookahead == '_') ADVANCE(296);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 225:
      if (lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 230:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 233:
      if (lookahead == 'v') ADVANCE(308);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 237:
      if (lookahead == 's') ADVANCE(312);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(314);
      END_STATE();
    case 241:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 245:
      if (lookahead == 'o') ADVANCE(319);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 247:
      if (lookahead == '6') ADVANCE(320);
      END_STATE();
    case 248:
      if (lookahead == '2') ADVANCE(321);
      END_STATE();
    case 249:
      if (lookahead == '4') ADVANCE(322);
      END_STATE();
    case 250:
      if (lookahead == '_') ADVANCE(323);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 254:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(329);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 259:
      if (lookahead == '_') ADVANCE(331);
      END_STATE();
    case 260:
      if (lookahead == '_') ADVANCE(332);
      END_STATE();
    case 261:
      if (lookahead == '_') ADVANCE(333);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(334);
      END_STATE();
    case 264:
      if (lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 265:
      if (lookahead == 'u') ADVANCE(336);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(337);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 268:
      if (lookahead == 'f') ADVANCE(339);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(340);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(341);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 273:
      if (lookahead == 'd') ADVANCE(343);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 275:
      if (lookahead == 'f') ADVANCE(344);
      END_STATE();
    case 276:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(346);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 279:
      if (lookahead == 'h') ADVANCE(348);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(349);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 282:
      if (lookahead == '6') ADVANCE(351);
      END_STATE();
    case 283:
      if (lookahead == '2') ADVANCE(352);
      END_STATE();
    case 284:
      if (lookahead == '4') ADVANCE(353);
      END_STATE();
    case 285:
      if (lookahead == '_') ADVANCE(354);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(356);
      END_STATE();
    case 289:
      if (lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 291:
      if (lookahead == 'o') ADVANCE(358);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(360);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(361);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 296:
      if (lookahead == '_') ADVANCE(363);
      END_STATE();
    case 297:
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(365);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(366);
      END_STATE();
    case 300:
      if (lookahead == 'a') ADVANCE(367);
      END_STATE();
    case 301:
      if (lookahead == 's') ADVANCE(368);
      END_STATE();
    case 302:
      if (lookahead == 'p') ADVANCE(369);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(370);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(371);
      END_STATE();
    case 305:
      if (lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 309:
      if (lookahead == 'r') ADVANCE(376);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 311:
      if (lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(378);
      END_STATE();
    case 313:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(381);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(382);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(383);
      END_STATE();
    case 319:
      if (lookahead == 'f') ADVANCE(384);
      END_STATE();
    case 320:
      if (lookahead == '_') ADVANCE(385);
      END_STATE();
    case 321:
      if (lookahead == '_') ADVANCE(386);
      END_STATE();
    case 322:
      if (lookahead == '_') ADVANCE(387);
      END_STATE();
    case 323:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 324:
      if (lookahead == 'r') ADVANCE(388);
      END_STATE();
    case 325:
      if (lookahead == 'x') ADVANCE(389);
      END_STATE();
    case 326:
      if (lookahead == 'u') ADVANCE(390);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(392);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 331:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 334:
      if (lookahead == '_') ADVANCE(393);
      END_STATE();
    case 335:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 336:
      if (lookahead == 'r') ADVANCE(395);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(396);
      END_STATE();
    case 338:
      if (lookahead == 'o') ADVANCE(397);
      END_STATE();
    case 339:
      if (lookahead == 'f') ADVANCE(398);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 341:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 349:
      if (lookahead == '_') ADVANCE(401);
      END_STATE();
    case 350:
      if (lookahead == 'f') ADVANCE(402);
      END_STATE();
    case 351:
      if (lookahead == '_') ADVANCE(403);
      END_STATE();
    case 352:
      if (lookahead == '_') ADVANCE(404);
      END_STATE();
    case 353:
      if (lookahead == '_') ADVANCE(405);
      END_STATE();
    case 354:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 355:
      if (lookahead == 'r') ADVANCE(406);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(408);
      END_STATE();
    case 358:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(410);
      END_STATE();
    case 361:
      if (lookahead == 'r') ADVANCE(411);
      END_STATE();
    case 362:
      if (lookahead == 'o') ADVANCE(412);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 364:
      if (lookahead == 'b') ADVANCE(413);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 367:
      if (lookahead == 'l') ADVANCE(414);
      END_STATE();
    case 368:
      if (lookahead == 'p') ADVANCE(415);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 370:
      if (lookahead == 's') ADVANCE(417);
      END_STATE();
    case 371:
      if (lookahead == 'a') ADVANCE(418);
      END_STATE();
    case 372:
      if (lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 373:
      if (lookahead == 'i') ADVANCE(420);
      END_STATE();
    case 374:
      if (lookahead == 'e') ADVANCE(421);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 376:
      if (lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 377:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 378:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 379:
      if (lookahead == 'd') ADVANCE(425);
      END_STATE();
    case 380:
      if (lookahead == 'g') ADVANCE(426);
      END_STATE();
    case 381:
      if (lookahead == 'r') ADVANCE(427);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(428);
      END_STATE();
    case 383:
      if (lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 386:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 388:
      if (lookahead == '_') ADVANCE(430);
      END_STATE();
    case 389:
      if (lookahead == 'p') ADVANCE(431);
      END_STATE();
    case 390:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 394:
      if (lookahead == 'g') ADVANCE(433);
      END_STATE();
    case 395:
      if (lookahead == 'n') ADVANCE(434);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(435);
      END_STATE();
    case 397:
      if (lookahead == 'f') ADVANCE(436);
      END_STATE();
    case 398:
      if (lookahead == '_') ADVANCE(437);
      END_STATE();
    case 399:
      if (lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 401:
      if (lookahead == 'l') ADVANCE(440);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 403:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 406:
      if (lookahead == '_') ADVANCE(441);
      END_STATE();
    case 407:
      if (lookahead == 'd') ADVANCE(442);
      END_STATE();
    case 408:
      if (lookahead == 'e') ADVANCE(443);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(444);
      END_STATE();
    case 412:
      if (lookahead == 'f') ADVANCE(445);
      END_STATE();
    case 413:
      if (lookahead == 'u') ADVANCE(446);
      END_STATE();
    case 414:
      if (lookahead == 'l') ADVANCE(447);
      END_STATE();
    case 415:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 417:
      if (lookahead == 'i') ADVANCE(449);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 419:
      if (lookahead == 'y') ADVANCE(451);
      END_STATE();
    case 420:
      if (lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(453);
      END_STATE();
    case 422:
      if (lookahead == 'c') ADVANCE(454);
      END_STATE();
    case 423:
      if (lookahead == 'l') ADVANCE(455);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 426:
      if (lookahead == 'n') ADVANCE(457);
      END_STATE();
    case 427:
      if (lookahead == 'c') ADVANCE(458);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(459);
      END_STATE();
    case 430:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 431:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 433:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 435:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 437:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 440:
      if (lookahead == 'o') ADVANCE(462);
      END_STATE();
    case 441:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(463);
      END_STATE();
    case 446:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 448:
      if (lookahead == 'c') ADVANCE(465);
      END_STATE();
    case 449:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 450:
      if (lookahead == 'l') ADVANCE(467);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 452:
      if (lookahead == 'l') ADVANCE(468);
      END_STATE();
    case 453:
      if (lookahead == '_') ADVANCE(469);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 456:
      if (lookahead == 'l') ADVANCE(471);
      END_STATE();
    case 457:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 458:
      if (lookahead == 'a') ADVANCE(473);
      END_STATE();
    case 459:
      if (lookahead == 'd') ADVANCE(474);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 461:
      if (lookahead == '_') ADVANCE(475);
      END_STATE();
    case 462:
      if (lookahead == 'c') ADVANCE(476);
      END_STATE();
    case 463:
      if (lookahead == '_') ADVANCE(477);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 466:
      if (lookahead == 'n') ADVANCE(479);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 468:
      if (lookahead == 'i') ADVANCE(480);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(481);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 472:
      if (lookahead == 'd') ADVANCE(482);
      END_STATE();
    case 473:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 475:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 476:
      if (lookahead == 'a') ADVANCE(484);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 478:
      if (lookahead == '_') ADVANCE(485);
      END_STATE();
    case 479:
      if (lookahead == '_') ADVANCE(486);
      END_STATE();
    case 480:
      if (lookahead == 'n') ADVANCE(487);
      END_STATE();
    case 481:
      if (lookahead == '_') ADVANCE(488);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(489);
      END_STATE();
    case 484:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 485:
      if (lookahead == '_') ADVANCE(491);
      END_STATE();
    case 486:
      if (lookahead == '_') ADVANCE(492);
      END_STATE();
    case 487:
      if (lookahead == 'e') ADVANCE(493);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 140},
  [2] = {.lex_state = 55},
  [3] = {.lex_state = 55},
  [4] = {.lex_state = 55},
  [5] = {.lex_state = 55},
  [6] = {.lex_state = 55},
  [7] = {.lex_state = 55},
  [8] = {.lex_state = 55},
  [9] = {.lex_state = 55},
  [10] = {.lex_state = 55},
  [11] = {.lex_state = 55},
  [12] = {.lex_state = 58},
  [13] = {.lex_state = 58},
  [14] = {.lex_state = 58},
  [15] = {.lex_state = 58},
  [16] = {.lex_state = 58},
  [17] = {.lex_state = 58},
  [18] = {.lex_state = 58},
  [19] = {.lex_state = 58},
  [20] = {.lex_state = 58},
  [21] = {.lex_state = 58},
  [22] = {.lex_state = 58},
  [23] = {.lex_state = 58},
  [24] = {.lex_state = 58},
  [25] = {.lex_state = 58},
  [26] = {.lex_state = 55},
  [27] = {.lex_state = 58},
  [28] = {.lex_state = 140},
  [29] = {.lex_state = 57},
  [30] = {.lex_state = 140},
  [31] = {.lex_state = 57},
  [32] = {.lex_state = 140},
  [33] = {.lex_state = 140},
  [34] = {.lex_state = 140},
  [35] = {.lex_state = 57},
  [36] = {.lex_state = 140},
  [37] = {.lex_state = 140},
  [38] = {.lex_state = 140},
  [39] = {.lex_state = 140},
  [40] = {.lex_state = 140},
  [41] = {.lex_state = 140},
  [42] = {.lex_state = 140},
  [43] = {.lex_state = 140},
  [44] = {.lex_state = 140},
  [45] = {.lex_state = 140},
  [46] = {.lex_state = 140},
  [47] = {.lex_state = 140},
  [48] = {.lex_state = 140},
  [49] = {.lex_state = 140},
  [50] = {.lex_state = 140},
  [51] = {.lex_state = 140},
  [52] = {.lex_state = 140},
  [53] = {.lex_state = 140},
  [54] = {.lex_state = 55},
  [55] = {.lex_state = 55},
  [56] = {.lex_state = 55},
  [57] = {.lex_state = 55},
  [58] = {.lex_state = 55},
  [59] = {.lex_state = 58},
  [60] = {.lex_state = 58},
  [61] = {.lex_state = 58},
  [62] = {.lex_state = 58},
  [63] = {.lex_state = 58},
  [64] = {.lex_state = 140},
  [65] = {.lex_state = 140},
  [66] = {.lex_state = 57},
  [67] = {.lex_state = 57},
  [68] = {.lex_state = 140},
  [69] = {.lex_state = 140},
  [70] = {.lex_state = 140},
  [71] = {.lex_state = 57},
  [72] = {.lex_state = 140},
  [73] = {.lex_state = 140},
  [74] = {.lex_state = 140},
  [75] = {.lex_state = 140},
  [76] = {.lex_state = 140},
  [77] = {.lex_state = 57},
  [78] = {.lex_state = 57},
  [79] = {.lex_state = 140},
  [80] = {.lex_state = 140},
  [81] = {.lex_state = 140},
  [82] = {.lex_state = 140},
  [83] = {.lex_state = 140},
  [84] = {.lex_state = 140},
  [85] = {.lex_state = 140},
  [86] = {.lex_state = 140},
  [87] = {.lex_state = 140},
  [88] = {.lex_state = 140},
  [89] = {.lex_state = 140},
  [90] = {.lex_state = 55},
  [91] = {.lex_state = 55},
  [92] = {.lex_state = 55},
  [93] = {.lex_state = 55},
  [94] = {.lex_state = 55},
  [95] = {.lex_state = 55},
  [96] = {.lex_state = 55},
  [97] = {.lex_state = 140},
  [98] = {.lex_state = 55},
  [99] = {.lex_state = 55},
  [100] = {.lex_state = 55},
  [101] = {.lex_state = 55},
  [102] = {.lex_state = 55},
  [103] = {.lex_state = 55},
  [104] = {.lex_state = 55},
  [105] = {.lex_state = 55},
  [106] = {.lex_state = 55},
  [107] = {.lex_state = 55},
  [108] = {.lex_state = 55},
  [109] = {.lex_state = 55},
  [110] = {.lex_state = 55},
  [111] = {.lex_state = 55},
  [112] = {.lex_state = 55},
  [113] = {.lex_state = 55},
  [114] = {.lex_state = 55},
  [115] = {.lex_state = 55},
  [116] = {.lex_state = 55},
  [117] = {.lex_state = 140},
  [118] = {.lex_state = 55},
  [119] = {.lex_state = 55},
  [120] = {.lex_state = 55},
  [121] = {.lex_state = 55},
  [122] = {.lex_state = 55},
  [123] = {.lex_state = 55},
  [124] = {.lex_state = 55},
  [125] = {.lex_state = 55},
  [126] = {.lex_state = 55},
  [127] = {.lex_state = 55},
  [128] = {.lex_state = 55},
  [129] = {.lex_state = 55},
  [130] = {.lex_state = 55},
  [131] = {.lex_state = 55},
  [132] = {.lex_state = 55},
  [133] = {.lex_state = 55},
  [134] = {.lex_state = 55},
  [135] = {.lex_state = 55},
  [136] = {.lex_state = 55},
  [137] = {.lex_state = 55},
  [138] = {.lex_state = 55},
  [139] = {.lex_state = 55},
  [140] = {.lex_state = 55},
  [141] = {.lex_state = 55},
  [142] = {.lex_state = 55},
  [143] = {.lex_state = 55},
  [144] = {.lex_state = 55},
  [145] = {.lex_state = 55},
  [146] = {.lex_state = 55},
  [147] = {.lex_state = 55},
  [148] = {.lex_state = 55},
  [149] = {.lex_state = 55},
  [150] = {.lex_state = 55},
  [151] = {.lex_state = 55},
  [152] = {.lex_state = 55},
  [153] = {.lex_state = 55},
  [154] = {.lex_state = 55},
  [155] = {.lex_state = 55},
  [156] = {.lex_state = 55},
  [157] = {.lex_state = 55},
  [158] = {.lex_state = 58},
  [159] = {.lex_state = 55},
  [160] = {.lex_state = 55},
  [161] = {.lex_state = 55},
  [162] = {.lex_state = 55},
  [163] = {.lex_state = 55},
  [164] = {.lex_state = 55},
  [165] = {.lex_state = 55},
  [166] = {.lex_state = 58},
  [167] = {.lex_state = 58},
  [168] = {.lex_state = 58},
  [169] = {.lex_state = 58},
  [170] = {.lex_state = 58},
  [171] = {.lex_state = 58},
  [172] = {.lex_state = 58},
  [173] = {.lex_state = 58},
  [174] = {.lex_state = 58},
  [175] = {.lex_state = 58},
  [176] = {.lex_state = 58},
  [177] = {.lex_state = 58},
  [178] = {.lex_state = 58},
  [179] = {.lex_state = 58},
  [180] = {.lex_state = 58},
  [181] = {.lex_state = 58},
  [182] = {.lex_state = 58},
  [183] = {.lex_state = 58},
  [184] = {.lex_state = 58},
  [185] = {.lex_state = 58},
  [186] = {.lex_state = 58},
  [187] = {.lex_state = 58},
  [188] = {.lex_state = 58},
  [189] = {.lex_state = 58},
  [190] = {.lex_state = 58},
  [191] = {.lex_state = 58},
  [192] = {.lex_state = 58},
  [193] = {.lex_state = 58},
  [194] = {.lex_state = 58},
  [195] = {.lex_state = 58},
  [196] = {.lex_state = 58},
  [197] = {.lex_state = 58},
  [198] = {.lex_state = 58},
  [199] = {.lex_state = 58},
  [200] = {.lex_state = 58},
  [201] = {.lex_state = 58},
  [202] = {.lex_state = 58},
  [203] = {.lex_state = 58},
  [204] = {.lex_state = 58},
  [205] = {.lex_state = 58},
  [206] = {.lex_state = 58},
  [207] = {.lex_state = 58},
  [208] = {.lex_state = 58},
  [209] = {.lex_state = 58},
  [210] = {.lex_state = 58},
  [211] = {.lex_state = 58},
  [212] = {.lex_state = 58},
  [213] = {.lex_state = 58},
  [214] = {.lex_state = 58},
  [215] = {.lex_state = 58},
  [216] = {.lex_state = 58},
  [217] = {.lex_state = 58},
  [218] = {.lex_state = 58},
  [219] = {.lex_state = 58},
  [220] = {.lex_state = 58},
  [221] = {.lex_state = 58},
  [222] = {.lex_state = 58},
  [223] = {.lex_state = 58},
  [224] = {.lex_state = 58},
  [225] = {.lex_state = 58},
  [226] = {.lex_state = 58},
  [227] = {.lex_state = 53},
  [228] = {.lex_state = 53},
  [229] = {.lex_state = 140},
  [230] = {.lex_state = 57},
  [231] = {.lex_state = 58},
  [232] = {.lex_state = 58},
  [233] = {.lex_state = 58},
  [234] = {.lex_state = 58},
  [235] = {.lex_state = 58},
  [236] = {.lex_state = 58},
  [237] = {.lex_state = 58},
  [238] = {.lex_state = 58},
  [239] = {.lex_state = 58},
  [240] = {.lex_state = 58},
  [241] = {.lex_state = 58},
  [242] = {.lex_state = 140},
  [243] = {.lex_state = 57},
  [244] = {.lex_state = 57},
  [245] = {.lex_state = 140},
  [246] = {.lex_state = 140},
  [247] = {.lex_state = 140},
  [248] = {.lex_state = 140},
  [249] = {.lex_state = 140},
  [250] = {.lex_state = 140},
  [251] = {.lex_state = 140},
  [252] = {.lex_state = 140},
  [253] = {.lex_state = 140},
  [254] = {.lex_state = 140},
  [255] = {.lex_state = 140},
  [256] = {.lex_state = 57},
  [257] = {.lex_state = 57},
  [258] = {.lex_state = 140},
  [259] = {.lex_state = 57},
  [260] = {.lex_state = 140},
  [261] = {.lex_state = 140},
  [262] = {.lex_state = 57},
  [263] = {.lex_state = 140},
  [264] = {.lex_state = 140},
  [265] = {.lex_state = 140},
  [266] = {.lex_state = 140},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 140},
  [269] = {.lex_state = 140},
  [270] = {.lex_state = 140},
  [271] = {.lex_state = 140},
  [272] = {.lex_state = 140},
  [273] = {.lex_state = 140},
  [274] = {.lex_state = 140},
  [275] = {.lex_state = 140},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 140},
  [278] = {.lex_state = 57},
  [279] = {.lex_state = 140},
  [280] = {.lex_state = 140},
  [281] = {.lex_state = 140},
  [282] = {.lex_state = 140},
  [283] = {.lex_state = 140},
  [284] = {.lex_state = 140},
  [285] = {.lex_state = 57},
  [286] = {.lex_state = 140},
  [287] = {.lex_state = 57},
  [288] = {.lex_state = 57},
  [289] = {.lex_state = 140},
  [290] = {.lex_state = 57},
  [291] = {.lex_state = 140},
  [292] = {.lex_state = 140},
  [293] = {.lex_state = 57},
  [294] = {.lex_state = 57},
  [295] = {.lex_state = 140},
  [296] = {.lex_state = 140},
  [297] = {.lex_state = 140},
  [298] = {.lex_state = 140},
  [299] = {.lex_state = 57},
  [300] = {.lex_state = 140},
  [301] = {.lex_state = 140},
  [302] = {.lex_state = 140},
  [303] = {.lex_state = 140},
  [304] = {.lex_state = 140},
  [305] = {.lex_state = 140},
  [306] = {.lex_state = 140},
  [307] = {.lex_state = 140},
  [308] = {.lex_state = 140},
  [309] = {.lex_state = 57},
  [310] = {.lex_state = 140},
  [311] = {.lex_state = 140},
  [312] = {.lex_state = 140},
  [313] = {.lex_state = 140},
  [314] = {.lex_state = 140},
  [315] = {.lex_state = 57},
  [316] = {.lex_state = 57},
  [317] = {.lex_state = 140},
  [318] = {.lex_state = 57},
  [319] = {.lex_state = 57},
  [320] = {.lex_state = 57},
  [321] = {.lex_state = 57},
  [322] = {.lex_state = 57},
  [323] = {.lex_state = 57},
  [324] = {.lex_state = 57},
  [325] = {.lex_state = 140},
  [326] = {.lex_state = 57},
  [327] = {.lex_state = 57},
  [328] = {.lex_state = 57},
  [329] = {.lex_state = 57},
  [330] = {.lex_state = 140},
  [331] = {.lex_state = 57},
  [332] = {.lex_state = 140},
  [333] = {.lex_state = 57},
  [334] = {.lex_state = 140},
  [335] = {.lex_state = 57},
  [336] = {.lex_state = 140},
  [337] = {.lex_state = 57},
  [338] = {.lex_state = 57},
  [339] = {.lex_state = 57},
  [340] = {.lex_state = 57},
  [341] = {.lex_state = 57},
  [342] = {.lex_state = 140},
  [343] = {.lex_state = 140},
  [344] = {.lex_state = 57},
  [345] = {.lex_state = 140},
  [346] = {.lex_state = 57},
  [347] = {.lex_state = 140},
  [348] = {.lex_state = 140},
  [349] = {.lex_state = 140},
  [350] = {.lex_state = 140},
  [351] = {.lex_state = 140},
  [352] = {.lex_state = 140},
  [353] = {.lex_state = 140},
  [354] = {.lex_state = 140},
  [355] = {.lex_state = 140},
  [356] = {.lex_state = 140},
  [357] = {.lex_state = 57},
  [358] = {.lex_state = 57},
  [359] = {.lex_state = 140},
  [360] = {.lex_state = 140},
  [361] = {.lex_state = 57},
  [362] = {.lex_state = 57},
  [363] = {.lex_state = 140},
  [364] = {.lex_state = 57},
  [365] = {.lex_state = 140},
  [366] = {.lex_state = 140},
  [367] = {.lex_state = 140},
  [368] = {.lex_state = 140},
  [369] = {.lex_state = 140},
  [370] = {.lex_state = 140},
  [371] = {.lex_state = 140},
  [372] = {.lex_state = 57},
  [373] = {.lex_state = 140},
  [374] = {.lex_state = 140},
  [375] = {.lex_state = 140},
  [376] = {.lex_state = 140},
  [377] = {.lex_state = 140},
  [378] = {.lex_state = 140},
  [379] = {.lex_state = 140},
  [380] = {.lex_state = 140},
  [381] = {.lex_state = 140},
  [382] = {.lex_state = 140},
  [383] = {.lex_state = 140},
  [384] = {.lex_state = 140},
  [385] = {.lex_state = 140},
  [386] = {.lex_state = 140},
  [387] = {.lex_state = 140},
  [388] = {.lex_state = 140},
  [389] = {.lex_state = 140},
  [390] = {.lex_state = 140},
  [391] = {.lex_state = 140},
  [392] = {.lex_state = 140},
  [393] = {.lex_state = 140},
  [394] = {.lex_state = 140},
  [395] = {.lex_state = 140},
  [396] = {.lex_state = 140},
  [397] = {.lex_state = 140},
  [398] = {.lex_state = 140},
  [399] = {.lex_state = 140},
  [400] = {.lex_state = 140},
  [401] = {.lex_state = 57},
  [402] = {.lex_state = 140},
  [403] = {.lex_state = 140},
  [404] = {.lex_state = 140},
  [405] = {.lex_state = 140},
  [406] = {.lex_state = 57},
  [407] = {.lex_state = 140},
  [408] = {.lex_state = 140},
  [409] = {.lex_state = 140},
  [410] = {.lex_state = 140},
  [411] = {.lex_state = 57},
  [412] = {.lex_state = 54},
  [413] = {.lex_state = 57},
  [414] = {.lex_state = 140},
  [415] = {.lex_state = 140},
  [416] = {.lex_state = 140},
  [417] = {.lex_state = 140},
  [418] = {.lex_state = 57},
  [419] = {.lex_state = 140},
  [420] = {.lex_state = 140},
  [421] = {.lex_state = 140},
  [422] = {.lex_state = 140},
  [423] = {.lex_state = 140},
  [424] = {.lex_state = 140},
  [425] = {.lex_state = 57},
  [426] = {.lex_state = 140},
  [427] = {.lex_state = 57},
  [428] = {.lex_state = 140},
  [429] = {.lex_state = 140},
  [430] = {.lex_state = 57},
  [431] = {.lex_state = 140},
  [432] = {.lex_state = 57},
  [433] = {.lex_state = 57},
  [434] = {.lex_state = 140},
  [435] = {.lex_state = 140},
  [436] = {.lex_state = 140},
  [437] = {.lex_state = 57},
  [438] = {.lex_state = 57},
  [439] = {.lex_state = 140},
  [440] = {.lex_state = 140},
  [441] = {.lex_state = 140},
  [442] = {.lex_state = 140},
  [443] = {.lex_state = 140},
  [444] = {.lex_state = 140},
  [445] = {.lex_state = 140},
  [446] = {.lex_state = 140},
  [447] = {.lex_state = 57},
  [448] = {.lex_state = 140},
  [449] = {.lex_state = 57},
  [450] = {.lex_state = 140},
  [451] = {.lex_state = 140},
  [452] = {.lex_state = 140},
  [453] = {.lex_state = 57},
  [454] = {.lex_state = 140},
  [455] = {.lex_state = 57},
  [456] = {.lex_state = 57},
  [457] = {.lex_state = 140},
  [458] = {.lex_state = 140},
  [459] = {.lex_state = 140},
  [460] = {.lex_state = 57},
  [461] = {.lex_state = 140},
  [462] = {.lex_state = 57},
  [463] = {.lex_state = 57},
  [464] = {.lex_state = 57},
  [465] = {.lex_state = 140},
  [466] = {.lex_state = 140},
  [467] = {.lex_state = 140},
  [468] = {.lex_state = 57},
  [469] = {.lex_state = 140},
  [470] = {.lex_state = 140},
  [471] = {.lex_state = 57},
  [472] = {.lex_state = 57},
  [473] = {.lex_state = 57},
  [474] = {.lex_state = 140},
  [475] = {.lex_state = 57},
  [476] = {.lex_state = 140},
  [477] = {.lex_state = 140},
  [478] = {.lex_state = 140},
  [479] = {.lex_state = 140},
  [480] = {.lex_state = 140},
  [481] = {.lex_state = 53},
  [482] = {.lex_state = 140},
  [483] = {.lex_state = 140},
  [484] = {.lex_state = 140},
  [485] = {.lex_state = 140},
  [486] = {.lex_state = 140},
  [487] = {.lex_state = 140},
  [488] = {.lex_state = 140},
  [489] = {.lex_state = 140},
  [490] = {.lex_state = 140},
  [491] = {.lex_state = 140},
  [492] = {.lex_state = 140},
  [493] = {.lex_state = 140},
  [494] = {.lex_state = 140},
  [495] = {.lex_state = 140},
  [496] = {.lex_state = 140},
  [497] = {.lex_state = 140},
  [498] = {.lex_state = 140},
  [499] = {.lex_state = 140},
  [500] = {.lex_state = 140},
  [501] = {.lex_state = 140},
  [502] = {.lex_state = 140},
  [503] = {.lex_state = 140},
  [504] = {.lex_state = 140},
  [505] = {.lex_state = 140},
  [506] = {.lex_state = 140},
  [507] = {.lex_state = 140},
  [508] = {.lex_state = 140},
  [509] = {.lex_state = 140},
  [510] = {.lex_state = 140},
  [511] = {.lex_state = 140},
  [512] = {.lex_state = 140},
  [513] = {.lex_state = 140},
  [514] = {.lex_state = 140},
  [515] = {.lex_state = 140},
  [516] = {.lex_state = 140},
  [517] = {.lex_state = 140},
  [518] = {.lex_state = 140},
  [519] = {.lex_state = 140},
  [520] = {.lex_state = 140},
  [521] = {.lex_state = 140},
  [522] = {.lex_state = 140},
  [523] = {.lex_state = 53},
  [524] = {.lex_state = 140},
  [525] = {.lex_state = 140},
  [526] = {.lex_state = 53},
  [527] = {.lex_state = 54},
  [528] = {.lex_state = 53},
  [529] = {.lex_state = 140},
  [530] = {.lex_state = 140},
  [531] = {.lex_state = 60},
  [532] = {.lex_state = 60},
  [533] = {.lex_state = 60},
  [534] = {.lex_state = 60},
  [535] = {.lex_state = 60},
  [536] = {.lex_state = 60},
  [537] = {.lex_state = 60},
  [538] = {.lex_state = 60},
  [539] = {.lex_state = 60},
  [540] = {.lex_state = 60},
  [541] = {.lex_state = 60},
  [542] = {.lex_state = 60},
  [543] = {.lex_state = 140},
  [544] = {.lex_state = 140},
  [545] = {.lex_state = 140},
  [546] = {.lex_state = 140},
  [547] = {.lex_state = 140},
  [548] = {.lex_state = 140},
  [549] = {.lex_state = 140},
  [550] = {.lex_state = 140},
  [551] = {.lex_state = 140},
  [552] = {.lex_state = 140},
  [553] = {.lex_state = 140},
  [554] = {.lex_state = 140},
  [555] = {.lex_state = 140},
  [556] = {.lex_state = 140},
  [557] = {.lex_state = 140},
  [558] = {.lex_state = 140},
  [559] = {.lex_state = 140},
  [560] = {.lex_state = 64},
  [561] = {.lex_state = 64},
  [562] = {.lex_state = 64},
  [563] = {.lex_state = 64},
  [564] = {.lex_state = 64},
  [565] = {.lex_state = 64},
  [566] = {.lex_state = 64},
  [567] = {.lex_state = 64},
  [568] = {.lex_state = 64},
  [569] = {.lex_state = 65},
  [570] = {.lex_state = 65},
  [571] = {.lex_state = 64},
  [572] = {.lex_state = 65},
  [573] = {.lex_state = 65},
  [574] = {.lex_state = 65},
  [575] = {.lex_state = 65},
  [576] = {.lex_state = 65},
  [577] = {.lex_state = 65},
  [578] = {.lex_state = 65},
  [579] = {.lex_state = 65},
  [580] = {.lex_state = 65},
  [581] = {.lex_state = 65},
  [582] = {.lex_state = 140},
  [583] = {.lex_state = 140},
  [584] = {.lex_state = 140},
  [585] = {.lex_state = 65},
  [586] = {.lex_state = 140},
  [587] = {.lex_state = 140},
  [588] = {.lex_state = 140},
  [589] = {.lex_state = 140},
  [590] = {.lex_state = 140},
  [591] = {.lex_state = 140},
  [592] = {.lex_state = 140},
  [593] = {.lex_state = 140},
  [594] = {.lex_state = 140},
  [595] = {.lex_state = 140},
  [596] = {.lex_state = 140},
  [597] = {.lex_state = 140},
  [598] = {.lex_state = 140},
  [599] = {.lex_state = 140},
  [600] = {.lex_state = 140},
  [601] = {.lex_state = 140},
  [602] = {.lex_state = 140},
  [603] = {.lex_state = 140},
  [604] = {.lex_state = 140},
  [605] = {.lex_state = 140},
  [606] = {.lex_state = 140},
  [607] = {.lex_state = 140},
  [608] = {.lex_state = 140},
  [609] = {.lex_state = 140},
  [610] = {.lex_state = 140},
  [611] = {.lex_state = 140},
  [612] = {.lex_state = 140},
  [613] = {.lex_state = 71},
  [614] = {.lex_state = 140},
  [615] = {.lex_state = 140},
  [616] = {.lex_state = 140},
  [617] = {.lex_state = 140},
  [618] = {.lex_state = 140},
  [619] = {.lex_state = 70},
  [620] = {.lex_state = 140},
  [621] = {.lex_state = 140},
  [622] = {.lex_state = 140},
  [623] = {.lex_state = 140},
  [624] = {.lex_state = 140},
  [625] = {.lex_state = 140},
  [626] = {.lex_state = 71},
  [627] = {.lex_state = 140},
  [628] = {.lex_state = 70},
  [629] = {.lex_state = 140},
  [630] = {.lex_state = 140},
  [631] = {.lex_state = 140},
  [632] = {.lex_state = 71},
  [633] = {.lex_state = 140},
  [634] = {.lex_state = 70},
  [635] = {.lex_state = 140},
  [636] = {.lex_state = 140},
  [637] = {.lex_state = 140},
  [638] = {.lex_state = 140},
  [639] = {.lex_state = 140},
  [640] = {.lex_state = 140},
  [641] = {.lex_state = 140},
  [642] = {.lex_state = 140},
  [643] = {.lex_state = 140},
  [644] = {.lex_state = 140},
  [645] = {.lex_state = 140},
  [646] = {.lex_state = 140},
  [647] = {.lex_state = 140},
  [648] = {.lex_state = 140},
  [649] = {.lex_state = 64},
  [650] = {.lex_state = 140},
  [651] = {.lex_state = 140},
  [652] = {.lex_state = 140},
  [653] = {.lex_state = 140},
  [654] = {.lex_state = 140},
  [655] = {.lex_state = 140},
  [656] = {.lex_state = 140},
  [657] = {.lex_state = 140},
  [658] = {.lex_state = 140},
  [659] = {.lex_state = 140},
  [660] = {.lex_state = 140},
  [661] = {.lex_state = 140},
  [662] = {.lex_state = 140},
  [663] = {.lex_state = 140},
  [664] = {.lex_state = 140},
  [665] = {.lex_state = 140},
  [666] = {.lex_state = 140},
  [667] = {.lex_state = 140},
  [668] = {.lex_state = 140},
  [669] = {.lex_state = 140},
  [670] = {.lex_state = 140},
  [671] = {.lex_state = 140},
  [672] = {.lex_state = 140},
  [673] = {.lex_state = 140},
  [674] = {.lex_state = 140},
  [675] = {.lex_state = 140},
  [676] = {.lex_state = 140},
  [677] = {.lex_state = 140},
  [678] = {.lex_state = 140},
  [679] = {.lex_state = 140},
  [680] = {.lex_state = 140},
  [681] = {.lex_state = 140},
  [682] = {.lex_state = 140},
  [683] = {.lex_state = 140},
  [684] = {.lex_state = 140},
  [685] = {.lex_state = 140},
  [686] = {.lex_state = 140},
  [687] = {.lex_state = 140},
  [688] = {.lex_state = 140},
  [689] = {.lex_state = 140},
  [690] = {.lex_state = 140},
  [691] = {.lex_state = 140},
  [692] = {.lex_state = 140},
  [693] = {.lex_state = 140},
  [694] = {.lex_state = 140},
  [695] = {.lex_state = 140},
  [696] = {.lex_state = 140},
  [697] = {.lex_state = 140},
  [698] = {.lex_state = 140},
  [699] = {.lex_state = 140},
  [700] = {.lex_state = 140},
  [701] = {.lex_state = 140},
  [702] = {.lex_state = 140},
  [703] = {.lex_state = 140},
  [704] = {.lex_state = 140},
  [705] = {.lex_state = 140},
  [706] = {.lex_state = 140},
  [707] = {.lex_state = 140},
  [708] = {.lex_state = 140},
  [709] = {.lex_state = 140},
  [710] = {.lex_state = 140},
  [711] = {.lex_state = 140},
  [712] = {.lex_state = 140},
  [713] = {.lex_state = 140},
  [714] = {.lex_state = 140},
  [715] = {.lex_state = 140},
  [716] = {.lex_state = 140},
  [717] = {.lex_state = 140},
  [718] = {.lex_state = 140},
  [719] = {.lex_state = 140},
  [720] = {.lex_state = 140},
  [721] = {.lex_state = 140},
  [722] = {.lex_state = 140},
  [723] = {.lex_state = 140},
  [724] = {.lex_state = 140},
  [725] = {.lex_state = 140},
  [726] = {.lex_state = 140},
  [727] = {.lex_state = 140},
  [728] = {.lex_state = 140},
  [729] = {.lex_state = 140},
  [730] = {.lex_state = 140},
  [731] = {.lex_state = 140},
  [732] = {.lex_state = 140},
  [733] = {.lex_state = 140},
  [734] = {.lex_state = 140},
  [735] = {.lex_state = 140},
  [736] = {.lex_state = 140},
  [737] = {.lex_state = 140},
  [738] = {.lex_state = 140},
  [739] = {.lex_state = 140},
  [740] = {.lex_state = 140},
  [741] = {.lex_state = 140},
  [742] = {.lex_state = 140},
  [743] = {.lex_state = 140},
  [744] = {.lex_state = 140},
  [745] = {.lex_state = 140},
  [746] = {.lex_state = 140},
  [747] = {.lex_state = 140},
  [748] = {.lex_state = 140},
  [749] = {.lex_state = 140},
  [750] = {.lex_state = 140},
  [751] = {.lex_state = 140},
  [752] = {.lex_state = 140},
  [753] = {.lex_state = 140},
  [754] = {.lex_state = 140},
  [755] = {.lex_state = 140},
  [756] = {.lex_state = 140},
  [757] = {.lex_state = 140},
  [758] = {.lex_state = 140},
  [759] = {.lex_state = 140},
  [760] = {.lex_state = 140},
  [761] = {.lex_state = 140},
  [762] = {.lex_state = 140},
  [763] = {.lex_state = 140},
  [764] = {.lex_state = 140},
  [765] = {.lex_state = 140},
  [766] = {.lex_state = 140},
  [767] = {.lex_state = 140},
  [768] = {.lex_state = 140},
  [769] = {.lex_state = 140},
  [770] = {.lex_state = 140},
  [771] = {.lex_state = 140},
  [772] = {.lex_state = 140},
  [773] = {.lex_state = 140},
  [774] = {.lex_state = 140},
  [775] = {.lex_state = 140},
  [776] = {.lex_state = 140},
  [777] = {.lex_state = 140},
  [778] = {.lex_state = 140},
  [779] = {.lex_state = 140},
  [780] = {.lex_state = 140},
  [781] = {.lex_state = 140},
  [782] = {.lex_state = 140},
  [783] = {.lex_state = 140},
  [784] = {.lex_state = 140},
  [785] = {.lex_state = 140},
  [786] = {.lex_state = 140},
  [787] = {.lex_state = 140},
  [788] = {.lex_state = 140},
  [789] = {.lex_state = 140},
  [790] = {.lex_state = 140},
  [791] = {.lex_state = 60},
  [792] = {.lex_state = 60},
  [793] = {.lex_state = 64},
  [794] = {.lex_state = 64},
  [795] = {.lex_state = 60},
  [796] = {.lex_state = 64},
  [797] = {.lex_state = 64},
  [798] = {.lex_state = 64},
  [799] = {.lex_state = 60},
  [800] = {.lex_state = 60},
  [801] = {.lex_state = 60},
  [802] = {.lex_state = 60},
  [803] = {.lex_state = 62},
  [804] = {.lex_state = 62},
  [805] = {.lex_state = 62},
  [806] = {.lex_state = 62},
  [807] = {.lex_state = 62},
  [808] = {.lex_state = 62},
  [809] = {.lex_state = 62},
  [810] = {.lex_state = 62},
  [811] = {.lex_state = 62},
  [812] = {.lex_state = 62},
  [813] = {.lex_state = 140},
  [814] = {.lex_state = 62},
  [815] = {.lex_state = 140},
  [816] = {.lex_state = 60},
  [817] = {.lex_state = 140},
  [818] = {.lex_state = 64},
  [819] = {.lex_state = 64},
  [820] = {.lex_state = 62},
  [821] = {.lex_state = 62},
  [822] = {.lex_state = 64},
  [823] = {.lex_state = 62},
  [824] = {.lex_state = 64},
  [825] = {.lex_state = 64},
  [826] = {.lex_state = 64},
  [827] = {.lex_state = 62},
  [828] = {.lex_state = 62},
  [829] = {.lex_state = 62},
  [830] = {.lex_state = 64},
  [831] = {.lex_state = 62},
  [832] = {.lex_state = 64},
  [833] = {.lex_state = 62},
  [834] = {.lex_state = 64},
  [835] = {.lex_state = 62},
  [836] = {.lex_state = 62},
  [837] = {.lex_state = 64},
  [838] = {.lex_state = 64},
  [839] = {.lex_state = 62},
  [840] = {.lex_state = 64},
  [841] = {.lex_state = 64},
  [842] = {.lex_state = 62},
  [843] = {.lex_state = 62},
  [844] = {.lex_state = 64},
  [845] = {.lex_state = 64},
  [846] = {.lex_state = 64},
  [847] = {.lex_state = 62},
  [848] = {.lex_state = 64},
  [849] = {.lex_state = 64},
  [850] = {.lex_state = 64},
  [851] = {.lex_state = 64},
  [852] = {.lex_state = 64},
  [853] = {.lex_state = 64},
  [854] = {.lex_state = 62},
  [855] = {.lex_state = 62},
  [856] = {.lex_state = 64},
  [857] = {.lex_state = 64},
  [858] = {.lex_state = 63},
  [859] = {.lex_state = 63},
  [860] = {.lex_state = 62},
  [861] = {.lex_state = 64},
  [862] = {.lex_state = 63},
  [863] = {.lex_state = 60},
  [864] = {.lex_state = 62},
  [865] = {.lex_state = 63},
  [866] = {.lex_state = 62},
  [867] = {.lex_state = 60},
  [868] = {.lex_state = 62},
  [869] = {.lex_state = 62},
  [870] = {.lex_state = 62},
  [871] = {.lex_state = 61},
  [872] = {.lex_state = 61},
  [873] = {.lex_state = 60},
  [874] = {.lex_state = 61},
  [875] = {.lex_state = 61},
  [876] = {.lex_state = 61},
  [877] = {.lex_state = 61},
  [878] = {.lex_state = 140},
  [879] = {.lex_state = 64},
  [880] = {.lex_state = 64},
  [881] = {.lex_state = 61},
  [882] = {.lex_state = 64},
  [883] = {.lex_state = 64},
  [884] = {.lex_state = 64},
  [885] = {.lex_state = 64},
  [886] = {.lex_state = 64},
  [887] = {.lex_state = 61},
  [888] = {.lex_state = 64},
  [889] = {.lex_state = 64},
  [890] = {.lex_state = 64},
  [891] = {.lex_state = 60},
  [892] = {.lex_state = 60},
  [893] = {.lex_state = 64},
  [894] = {.lex_state = 60},
  [895] = {.lex_state = 140},
  [896] = {.lex_state = 60},
  [897] = {.lex_state = 64},
  [898] = {.lex_state = 60},
  [899] = {.lex_state = 60},
  [900] = {.lex_state = 60},
  [901] = {.lex_state = 62},
  [902] = {.lex_state = 62},
  [903] = {.lex_state = 62},
  [904] = {.lex_state = 62},
  [905] = {.lex_state = 62},
  [906] = {.lex_state = 62},
  [907] = {.lex_state = 62},
  [908] = {.lex_state = 60},
  [909] = {.lex_state = 62},
  [910] = {.lex_state = 62},
  [911] = {.lex_state = 62},
  [912] = {.lex_state = 62},
  [913] = {.lex_state = 62},
  [914] = {.lex_state = 64},
  [915] = {.lex_state = 64},
  [916] = {.lex_state = 62},
  [917] = {.lex_state = 66},
  [918] = {.lex_state = 64},
  [919] = {.lex_state = 64},
  [920] = {.lex_state = 64},
  [921] = {.lex_state = 64},
  [922] = {.lex_state = 64},
  [923] = {.lex_state = 64},
  [924] = {.lex_state = 64},
  [925] = {.lex_state = 64},
  [926] = {.lex_state = 64},
  [927] = {.lex_state = 66},
  [928] = {.lex_state = 64},
  [929] = {.lex_state = 66},
  [930] = {.lex_state = 66},
  [931] = {.lex_state = 64},
  [932] = {.lex_state = 66},
  [933] = {.lex_state = 66},
  [934] = {.lex_state = 66},
  [935] = {.lex_state = 66},
  [936] = {.lex_state = 66},
  [937] = {.lex_state = 66},
  [938] = {.lex_state = 66},
  [939] = {.lex_state = 66},
  [940] = {.lex_state = 66},
  [941] = {.lex_state = 66},
  [942] = {.lex_state = 66},
  [943] = {.lex_state = 66},
  [944] = {.lex_state = 66},
  [945] = {.lex_state = 66},
  [946] = {.lex_state = 66},
  [947] = {.lex_state = 64},
  [948] = {.lex_state = 66},
  [949] = {.lex_state = 66},
  [950] = {.lex_state = 66},
  [951] = {.lex_state = 66},
  [952] = {.lex_state = 66},
  [953] = {.lex_state = 64},
  [954] = {.lex_state = 64},
  [955] = {.lex_state = 66},
  [956] = {.lex_state = 66},
  [957] = {.lex_state = 66},
  [958] = {.lex_state = 66},
  [959] = {.lex_state = 66},
  [960] = {.lex_state = 64},
  [961] = {.lex_state = 64},
  [962] = {.lex_state = 64},
  [963] = {.lex_state = 66},
  [964] = {.lex_state = 66},
  [965] = {.lex_state = 66},
  [966] = {.lex_state = 64},
  [967] = {.lex_state = 66},
  [968] = {.lex_state = 66},
  [969] = {.lex_state = 66},
  [970] = {.lex_state = 66},
  [971] = {.lex_state = 66},
  [972] = {.lex_state = 66},
  [973] = {.lex_state = 66},
  [974] = {.lex_state = 64},
  [975] = {.lex_state = 64},
  [976] = {.lex_state = 64},
  [977] = {.lex_state = 64},
  [978] = {.lex_state = 64},
  [979] = {.lex_state = 66},
  [980] = {.lex_state = 66},
  [981] = {.lex_state = 64},
  [982] = {.lex_state = 64},
  [983] = {.lex_state = 66},
  [984] = {.lex_state = 66},
  [985] = {.lex_state = 66},
  [986] = {.lex_state = 64},
  [987] = {.lex_state = 66},
  [988] = {.lex_state = 66},
  [989] = {.lex_state = 66},
  [990] = {.lex_state = 66},
  [991] = {.lex_state = 66},
  [992] = {.lex_state = 64},
  [993] = {.lex_state = 64},
  [994] = {.lex_state = 64},
  [995] = {.lex_state = 66},
  [996] = {.lex_state = 64},
  [997] = {.lex_state = 60},
  [998] = {.lex_state = 60},
  [999] = {.lex_state = 65},
  [1000] = {.lex_state = 65},
  [1001] = {.lex_state = 65},
  [1002] = {.lex_state = 65},
  [1003] = {.lex_state = 65},
  [1004] = {.lex_state = 65},
  [1005] = {.lex_state = 65},
  [1006] = {.lex_state = 64},
  [1007] = {.lex_state = 64},
  [1008] = {.lex_state = 65},
  [1009] = {.lex_state = 65},
  [1010] = {.lex_state = 65},
  [1011] = {.lex_state = 65},
  [1012] = {.lex_state = 65},
  [1013] = {.lex_state = 60},
  [1014] = {.lex_state = 65},
  [1015] = {.lex_state = 65},
  [1016] = {.lex_state = 64},
  [1017] = {.lex_state = 60},
  [1018] = {.lex_state = 64},
  [1019] = {.lex_state = 60},
  [1020] = {.lex_state = 60},
  [1021] = {.lex_state = 64},
  [1022] = {.lex_state = 65},
  [1023] = {.lex_state = 64},
  [1024] = {.lex_state = 64},
  [1025] = {.lex_state = 60},
  [1026] = {.lex_state = 60},
  [1027] = {.lex_state = 64},
  [1028] = {.lex_state = 64},
  [1029] = {.lex_state = 65},
  [1030] = {.lex_state = 65},
  [1031] = {.lex_state = 65},
  [1032] = {.lex_state = 60},
  [1033] = {.lex_state = 60},
  [1034] = {.lex_state = 60},
  [1035] = {.lex_state = 60},
  [1036] = {.lex_state = 60},
  [1037] = {.lex_state = 60},
  [1038] = {.lex_state = 60},
  [1039] = {.lex_state = 60},
  [1040] = {.lex_state = 60},
  [1041] = {.lex_state = 64},
  [1042] = {.lex_state = 60},
  [1043] = {.lex_state = 64},
  [1044] = {.lex_state = 64},
  [1045] = {.lex_state = 64},
  [1046] = {.lex_state = 60},
  [1047] = {.lex_state = 64},
  [1048] = {.lex_state = 64},
  [1049] = {.lex_state = 64},
  [1050] = {.lex_state = 71},
  [1051] = {.lex_state = 64},
  [1052] = {.lex_state = 64},
  [1053] = {.lex_state = 71},
  [1054] = {.lex_state = 64},
  [1055] = {.lex_state = 70},
  [1056] = {.lex_state = 71},
  [1057] = {.lex_state = 71},
  [1058] = {.lex_state = 71},
  [1059] = {.lex_state = 71},
  [1060] = {.lex_state = 64},
  [1061] = {.lex_state = 71},
  [1062] = {.lex_state = 71},
  [1063] = {.lex_state = 71},
  [1064] = {.lex_state = 71},
  [1065] = {.lex_state = 71},
  [1066] = {.lex_state = 71},
  [1067] = {.lex_state = 71},
  [1068] = {.lex_state = 70},
  [1069] = {.lex_state = 60},
  [1070] = {.lex_state = 70},
  [1071] = {.lex_state = 70},
  [1072] = {.lex_state = 60},
  [1073] = {.lex_state = 64},
  [1074] = {.lex_state = 64},
  [1075] = {.lex_state = 64},
  [1076] = {.lex_state = 64},
  [1077] = {.lex_state = 70},
  [1078] = {.lex_state = 64},
  [1079] = {.lex_state = 70},
  [1080] = {.lex_state = 70},
  [1081] = {.lex_state = 64},
  [1082] = {.lex_state = 64},
  [1083] = {.lex_state = 70},
  [1084] = {.lex_state = 70},
  [1085] = {.lex_state = 70},
  [1086] = {.lex_state = 60},
  [1087] = {.lex_state = 60},
  [1088] = {.lex_state = 70},
  [1089] = {.lex_state = 70},
  [1090] = {.lex_state = 71},
  [1091] = {.lex_state = 60},
  [1092] = {.lex_state = 71},
  [1093] = {.lex_state = 71},
  [1094] = {.lex_state = 70},
  [1095] = {.lex_state = 71},
  [1096] = {.lex_state = 71},
  [1097] = {.lex_state = 70},
  [1098] = {.lex_state = 70},
  [1099] = {.lex_state = 70},
  [1100] = {.lex_state = 70},
  [1101] = {.lex_state = 70},
  [1102] = {.lex_state = 64},
  [1103] = {.lex_state = 64},
  [1104] = {.lex_state = 64},
  [1105] = {.lex_state = 64},
  [1106] = {.lex_state = 64},
  [1107] = {.lex_state = 64},
  [1108] = {.lex_state = 64},
  [1109] = {.lex_state = 64},
  [1110] = {.lex_state = 64},
  [1111] = {.lex_state = 64},
  [1112] = {.lex_state = 64},
  [1113] = {.lex_state = 64},
  [1114] = {.lex_state = 64},
  [1115] = {.lex_state = 64},
  [1116] = {.lex_state = 64},
  [1117] = {.lex_state = 140},
  [1118] = {.lex_state = 64},
  [1119] = {.lex_state = 140},
  [1120] = {.lex_state = 64},
  [1121] = {.lex_state = 64},
  [1122] = {.lex_state = 140},
  [1123] = {.lex_state = 64},
  [1124] = {.lex_state = 64},
  [1125] = {.lex_state = 64},
  [1126] = {.lex_state = 64},
  [1127] = {.lex_state = 64},
  [1128] = {.lex_state = 140},
  [1129] = {.lex_state = 140},
  [1130] = {.lex_state = 64},
  [1131] = {.lex_state = 64},
  [1132] = {.lex_state = 64},
  [1133] = {.lex_state = 64},
  [1134] = {.lex_state = 64},
  [1135] = {.lex_state = 64},
  [1136] = {.lex_state = 64},
  [1137] = {.lex_state = 64},
  [1138] = {.lex_state = 64},
  [1139] = {.lex_state = 64},
  [1140] = {.lex_state = 64},
  [1141] = {.lex_state = 64},
  [1142] = {.lex_state = 64},
  [1143] = {.lex_state = 64},
  [1144] = {.lex_state = 64},
  [1145] = {.lex_state = 64},
  [1146] = {.lex_state = 140},
  [1147] = {.lex_state = 64},
  [1148] = {.lex_state = 64},
  [1149] = {.lex_state = 64},
  [1150] = {.lex_state = 64},
  [1151] = {.lex_state = 64},
  [1152] = {.lex_state = 64},
  [1153] = {.lex_state = 64},
  [1154] = {.lex_state = 64},
  [1155] = {.lex_state = 64},
  [1156] = {.lex_state = 64},
  [1157] = {.lex_state = 64},
  [1158] = {.lex_state = 64},
  [1159] = {.lex_state = 64},
  [1160] = {.lex_state = 64},
  [1161] = {.lex_state = 62},
  [1162] = {.lex_state = 62},
  [1163] = {.lex_state = 62},
  [1164] = {.lex_state = 62},
  [1165] = {.lex_state = 62},
  [1166] = {.lex_state = 62},
  [1167] = {.lex_state = 62},
  [1168] = {.lex_state = 62},
  [1169] = {.lex_state = 64},
  [1170] = {.lex_state = 62},
  [1171] = {.lex_state = 62},
  [1172] = {.lex_state = 62},
  [1173] = {.lex_state = 62},
  [1174] = {.lex_state = 62},
  [1175] = {.lex_state = 64},
  [1176] = {.lex_state = 64},
  [1177] = {.lex_state = 64},
  [1178] = {.lex_state = 64},
  [1179] = {.lex_state = 64},
  [1180] = {.lex_state = 64},
  [1181] = {.lex_state = 64},
  [1182] = {.lex_state = 64},
  [1183] = {.lex_state = 64},
  [1184] = {.lex_state = 64},
  [1185] = {.lex_state = 64},
  [1186] = {.lex_state = 64},
  [1187] = {.lex_state = 64},
  [1188] = {.lex_state = 64},
  [1189] = {.lex_state = 64},
  [1190] = {.lex_state = 64},
  [1191] = {.lex_state = 64},
  [1192] = {.lex_state = 64},
  [1193] = {.lex_state = 64},
  [1194] = {.lex_state = 64},
  [1195] = {.lex_state = 64},
  [1196] = {.lex_state = 64},
  [1197] = {.lex_state = 64},
  [1198] = {.lex_state = 64},
  [1199] = {.lex_state = 64},
  [1200] = {.lex_state = 64},
  [1201] = {.lex_state = 66},
  [1202] = {.lex_state = 66},
  [1203] = {.lex_state = 64},
  [1204] = {.lex_state = 66},
  [1205] = {.lex_state = 64},
  [1206] = {.lex_state = 66},
  [1207] = {.lex_state = 66},
  [1208] = {.lex_state = 64},
  [1209] = {.lex_state = 64},
  [1210] = {.lex_state = 64},
  [1211] = {.lex_state = 66},
  [1212] = {.lex_state = 66},
  [1213] = {.lex_state = 66},
  [1214] = {.lex_state = 66},
  [1215] = {.lex_state = 66},
  [1216] = {.lex_state = 66},
  [1217] = {.lex_state = 66},
  [1218] = {.lex_state = 66},
  [1219] = {.lex_state = 65},
  [1220] = {.lex_state = 65},
  [1221] = {.lex_state = 64},
  [1222] = {.lex_state = 64},
  [1223] = {.lex_state = 64},
  [1224] = {.lex_state = 65},
  [1225] = {.lex_state = 64},
  [1226] = {.lex_state = 64},
  [1227] = {.lex_state = 64},
  [1228] = {.lex_state = 64},
  [1229] = {.lex_state = 64},
  [1230] = {.lex_state = 65},
  [1231] = {.lex_state = 60},
  [1232] = {.lex_state = 64},
  [1233] = {.lex_state = 60},
  [1234] = {.lex_state = 60},
  [1235] = {.lex_state = 60},
  [1236] = {.lex_state = 60},
  [1237] = {.lex_state = 60},
  [1238] = {.lex_state = 60},
  [1239] = {.lex_state = 60},
  [1240] = {.lex_state = 60},
  [1241] = {.lex_state = 60},
  [1242] = {.lex_state = 60},
  [1243] = {.lex_state = 60},
  [1244] = {.lex_state = 60},
  [1245] = {.lex_state = 64},
  [1246] = {.lex_state = 64},
  [1247] = {.lex_state = 64},
  [1248] = {.lex_state = 60},
  [1249] = {.lex_state = 60},
  [1250] = {.lex_state = 60},
  [1251] = {.lex_state = 60},
  [1252] = {.lex_state = 60},
  [1253] = {.lex_state = 60},
  [1254] = {.lex_state = 60},
  [1255] = {.lex_state = 60},
  [1256] = {.lex_state = 60},
  [1257] = {.lex_state = 60},
  [1258] = {.lex_state = 60},
  [1259] = {.lex_state = 60},
  [1260] = {.lex_state = 60},
  [1261] = {.lex_state = 60},
  [1262] = {.lex_state = 60},
  [1263] = {.lex_state = 60},
  [1264] = {.lex_state = 60},
  [1265] = {.lex_state = 60},
  [1266] = {.lex_state = 60},
  [1267] = {.lex_state = 64},
  [1268] = {.lex_state = 60},
  [1269] = {.lex_state = 64},
  [1270] = {.lex_state = 60},
  [1271] = {.lex_state = 60},
  [1272] = {.lex_state = 64},
  [1273] = {.lex_state = 64},
  [1274] = {.lex_state = 64},
  [1275] = {.lex_state = 60},
  [1276] = {.lex_state = 64},
  [1277] = {.lex_state = 64},
  [1278] = {.lex_state = 60},
  [1279] = {.lex_state = 60},
  [1280] = {.lex_state = 60},
  [1281] = {.lex_state = 60},
  [1282] = {.lex_state = 60},
  [1283] = {.lex_state = 64},
  [1284] = {.lex_state = 60},
  [1285] = {.lex_state = 60},
  [1286] = {.lex_state = 64},
  [1287] = {.lex_state = 64},
  [1288] = {.lex_state = 60},
  [1289] = {.lex_state = 60},
  [1290] = {.lex_state = 60},
  [1291] = {.lex_state = 60},
  [1292] = {.lex_state = 60},
  [1293] = {.lex_state = 64},
  [1294] = {.lex_state = 60},
  [1295] = {.lex_state = 60},
  [1296] = {.lex_state = 64},
  [1297] = {.lex_state = 60},
  [1298] = {.lex_state = 64},
  [1299] = {.lex_state = 60},
  [1300] = {.lex_state = 64},
  [1301] = {.lex_state = 60},
  [1302] = {.lex_state = 64},
  [1303] = {.lex_state = 60},
  [1304] = {.lex_state = 60},
  [1305] = {.lex_state = 60},
  [1306] = {.lex_state = 60},
  [1307] = {.lex_state = 60},
  [1308] = {.lex_state = 60},
  [1309] = {.lex_state = 60},
  [1310] = {.lex_state = 60},
  [1311] = {.lex_state = 60},
  [1312] = {.lex_state = 60},
  [1313] = {.lex_state = 60},
  [1314] = {.lex_state = 60},
  [1315] = {.lex_state = 64},
  [1316] = {.lex_state = 64},
  [1317] = {.lex_state = 60},
  [1318] = {.lex_state = 60},
  [1319] = {.lex_state = 60},
  [1320] = {.lex_state = 60},
  [1321] = {.lex_state = 60},
  [1322] = {.lex_state = 60},
  [1323] = {.lex_state = 60},
  [1324] = {.lex_state = 64},
  [1325] = {.lex_state = 60},
  [1326] = {.lex_state = 60},
  [1327] = {.lex_state = 60},
  [1328] = {.lex_state = 60},
  [1329] = {.lex_state = 60},
  [1330] = {.lex_state = 60},
  [1331] = {.lex_state = 60},
  [1332] = {.lex_state = 64},
  [1333] = {.lex_state = 60},
  [1334] = {.lex_state = 60},
  [1335] = {.lex_state = 60},
  [1336] = {.lex_state = 64},
  [1337] = {.lex_state = 60},
  [1338] = {.lex_state = 64},
  [1339] = {.lex_state = 60},
  [1340] = {.lex_state = 64},
  [1341] = {.lex_state = 64},
  [1342] = {.lex_state = 60},
  [1343] = {.lex_state = 64},
  [1344] = {.lex_state = 60},
  [1345] = {.lex_state = 64},
  [1346] = {.lex_state = 64},
  [1347] = {.lex_state = 64},
  [1348] = {.lex_state = 64},
  [1349] = {.lex_state = 64},
  [1350] = {.lex_state = 64},
  [1351] = {.lex_state = 64},
  [1352] = {.lex_state = 64},
  [1353] = {.lex_state = 64},
  [1354] = {.lex_state = 64},
  [1355] = {.lex_state = 64},
  [1356] = {.lex_state = 64},
  [1357] = {.lex_state = 64},
  [1358] = {.lex_state = 64},
  [1359] = {.lex_state = 64},
  [1360] = {.lex_state = 64},
  [1361] = {.lex_state = 65},
  [1362] = {.lex_state = 64},
  [1363] = {.lex_state = 64},
  [1364] = {.lex_state = 64},
  [1365] = {.lex_state = 64},
  [1366] = {.lex_state = 59},
  [1367] = {.lex_state = 65},
  [1368] = {.lex_state = 65},
  [1369] = {.lex_state = 65},
  [1370] = {.lex_state = 33},
  [1371] = {.lex_state = 59},
  [1372] = {.lex_state = 59},
  [1373] = {.lex_state = 59},
  [1374] = {.lex_state = 59},
  [1375] = {.lex_state = 64},
  [1376] = {.lex_state = 59},
  [1377] = {.lex_state = 59},
  [1378] = {.lex_state = 59},
  [1379] = {.lex_state = 59},
  [1380] = {.lex_state = 59},
  [1381] = {.lex_state = 59},
  [1382] = {.lex_state = 59},
  [1383] = {.lex_state = 59},
  [1384] = {.lex_state = 59},
  [1385] = {.lex_state = 59},
  [1386] = {.lex_state = 59},
  [1387] = {.lex_state = 59},
  [1388] = {.lex_state = 59},
  [1389] = {.lex_state = 64},
  [1390] = {.lex_state = 59},
  [1391] = {.lex_state = 59},
  [1392] = {.lex_state = 59},
  [1393] = {.lex_state = 59},
  [1394] = {.lex_state = 64},
  [1395] = {.lex_state = 59},
  [1396] = {.lex_state = 65},
  [1397] = {.lex_state = 65},
  [1398] = {.lex_state = 65},
  [1399] = {.lex_state = 59},
  [1400] = {.lex_state = 59},
  [1401] = {.lex_state = 64},
  [1402] = {.lex_state = 65},
  [1403] = {.lex_state = 65},
  [1404] = {.lex_state = 64},
  [1405] = {.lex_state = 59},
  [1406] = {.lex_state = 65},
  [1407] = {.lex_state = 59},
  [1408] = {.lex_state = 65},
  [1409] = {.lex_state = 65},
  [1410] = {.lex_state = 65},
  [1411] = {.lex_state = 59},
  [1412] = {.lex_state = 59},
  [1413] = {.lex_state = 65},
  [1414] = {.lex_state = 65},
  [1415] = {.lex_state = 59},
  [1416] = {.lex_state = 59},
  [1417] = {.lex_state = 59},
  [1418] = {.lex_state = 59},
  [1419] = {.lex_state = 59},
  [1420] = {.lex_state = 59},
  [1421] = {.lex_state = 59},
  [1422] = {.lex_state = 59},
  [1423] = {.lex_state = 59},
  [1424] = {.lex_state = 65},
  [1425] = {.lex_state = 59},
  [1426] = {.lex_state = 65},
  [1427] = {.lex_state = 65},
  [1428] = {.lex_state = 59},
  [1429] = {.lex_state = 59},
  [1430] = {.lex_state = 65},
  [1431] = {.lex_state = 59},
  [1432] = {.lex_state = 65},
  [1433] = {.lex_state = 59},
  [1434] = {.lex_state = 59},
  [1435] = {.lex_state = 33},
  [1436] = {.lex_state = 33},
  [1437] = {.lex_state = 33},
  [1438] = {.lex_state = 65},
  [1439] = {.lex_state = 33},
  [1440] = {.lex_state = 33},
  [1441] = {.lex_state = 33},
  [1442] = {.lex_state = 33},
  [1443] = {.lex_state = 33},
  [1444] = {.lex_state = 33},
  [1445] = {.lex_state = 33},
  [1446] = {.lex_state = 33},
  [1447] = {.lex_state = 33},
  [1448] = {.lex_state = 33},
  [1449] = {.lex_state = 33},
  [1450] = {.lex_state = 33},
  [1451] = {.lex_state = 64},
  [1452] = {.lex_state = 33},
  [1453] = {.lex_state = 33},
  [1454] = {.lex_state = 33},
  [1455] = {.lex_state = 33},
  [1456] = {.lex_state = 33},
  [1457] = {.lex_state = 33},
  [1458] = {.lex_state = 33},
  [1459] = {.lex_state = 33},
  [1460] = {.lex_state = 33},
  [1461] = {.lex_state = 64},
  [1462] = {.lex_state = 64},
  [1463] = {.lex_state = 64},
  [1464] = {.lex_state = 33},
  [1465] = {.lex_state = 33},
  [1466] = {.lex_state = 64},
  [1467] = {.lex_state = 64},
  [1468] = {.lex_state = 33},
  [1469] = {.lex_state = 64},
  [1470] = {.lex_state = 33},
  [1471] = {.lex_state = 33},
  [1472] = {.lex_state = 65},
  [1473] = {.lex_state = 64},
  [1474] = {.lex_state = 33},
  [1475] = {.lex_state = 64},
  [1476] = {.lex_state = 64},
  [1477] = {.lex_state = 33},
  [1478] = {.lex_state = 33},
  [1479] = {.lex_state = 33},
  [1480] = {.lex_state = 33},
  [1481] = {.lex_state = 33},
  [1482] = {.lex_state = 64},
  [1483] = {.lex_state = 64},
  [1484] = {.lex_state = 64},
  [1485] = {.lex_state = 64},
  [1486] = {.lex_state = 64},
  [1487] = {.lex_state = 64},
  [1488] = {.lex_state = 64},
  [1489] = {.lex_state = 64},
  [1490] = {.lex_state = 64},
  [1491] = {.lex_state = 64},
  [1492] = {.lex_state = 64},
  [1493] = {.lex_state = 64},
  [1494] = {.lex_state = 64},
  [1495] = {.lex_state = 64},
  [1496] = {.lex_state = 64},
  [1497] = {.lex_state = 64},
  [1498] = {.lex_state = 64},
  [1499] = {.lex_state = 64},
  [1500] = {.lex_state = 64},
  [1501] = {.lex_state = 62},
  [1502] = {.lex_state = 64},
  [1503] = {.lex_state = 64},
  [1504] = {.lex_state = 64},
  [1505] = {.lex_state = 64},
  [1506] = {.lex_state = 64},
  [1507] = {.lex_state = 64},
  [1508] = {.lex_state = 64},
  [1509] = {.lex_state = 64},
  [1510] = {.lex_state = 64},
  [1511] = {.lex_state = 64},
  [1512] = {.lex_state = 64},
  [1513] = {.lex_state = 64},
  [1514] = {.lex_state = 64},
  [1515] = {.lex_state = 64},
  [1516] = {.lex_state = 64},
  [1517] = {.lex_state = 64},
  [1518] = {.lex_state = 64},
  [1519] = {.lex_state = 64},
  [1520] = {.lex_state = 64},
  [1521] = {.lex_state = 64},
  [1522] = {.lex_state = 64},
  [1523] = {.lex_state = 64},
  [1524] = {.lex_state = 64},
  [1525] = {.lex_state = 64},
  [1526] = {.lex_state = 64},
  [1527] = {.lex_state = 64},
  [1528] = {.lex_state = 64},
  [1529] = {.lex_state = 69},
  [1530] = {.lex_state = 64},
  [1531] = {.lex_state = 64},
  [1532] = {.lex_state = 64},
  [1533] = {.lex_state = 64},
  [1534] = {.lex_state = 64},
  [1535] = {.lex_state = 69},
  [1536] = {.lex_state = 64},
  [1537] = {.lex_state = 64},
  [1538] = {.lex_state = 64},
  [1539] = {.lex_state = 64},
  [1540] = {.lex_state = 64},
  [1541] = {.lex_state = 64},
  [1542] = {.lex_state = 64},
  [1543] = {.lex_state = 64},
  [1544] = {.lex_state = 64},
  [1545] = {.lex_state = 64},
  [1546] = {.lex_state = 64},
  [1547] = {.lex_state = 66},
  [1548] = {.lex_state = 66},
  [1549] = {.lex_state = 64},
  [1550] = {.lex_state = 64},
  [1551] = {.lex_state = 62},
  [1552] = {.lex_state = 64},
  [1553] = {.lex_state = 64},
  [1554] = {.lex_state = 64},
  [1555] = {.lex_state = 64},
  [1556] = {.lex_state = 64},
  [1557] = {.lex_state = 64},
  [1558] = {.lex_state = 62},
  [1559] = {.lex_state = 64},
  [1560] = {.lex_state = 62},
  [1561] = {.lex_state = 64},
  [1562] = {.lex_state = 66},
  [1563] = {.lex_state = 69},
  [1564] = {.lex_state = 64},
  [1565] = {.lex_state = 64},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 64},
  [1568] = {.lex_state = 64},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 64},
  [1571] = {.lex_state = 140},
  [1572] = {.lex_state = 140},
  [1573] = {.lex_state = 140},
  [1574] = {.lex_state = 64},
  [1575] = {.lex_state = 64},
  [1576] = {.lex_state = 140},
  [1577] = {.lex_state = 64},
  [1578] = {.lex_state = 64},
  [1579] = {.lex_state = 64},
  [1580] = {.lex_state = 140},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 64},
  [1583] = {.lex_state = 60},
  [1584] = {.lex_state = 64},
  [1585] = {.lex_state = 68},
  [1586] = {.lex_state = 140},
  [1587] = {.lex_state = 140},
  [1588] = {.lex_state = 64},
  [1589] = {.lex_state = 68},
  [1590] = {.lex_state = 68},
  [1591] = {.lex_state = 140},
  [1592] = {.lex_state = 140},
  [1593] = {.lex_state = 140},
  [1594] = {.lex_state = 68},
  [1595] = {.lex_state = 64},
  [1596] = {.lex_state = 140},
  [1597] = {.lex_state = 140},
  [1598] = {.lex_state = 140},
  [1599] = {.lex_state = 60},
  [1600] = {.lex_state = 140},
  [1601] = {.lex_state = 140},
  [1602] = {.lex_state = 60},
  [1603] = {.lex_state = 68},
  [1604] = {.lex_state = 60},
  [1605] = {.lex_state = 66},
  [1606] = {.lex_state = 66},
  [1607] = {.lex_state = 66},
  [1608] = {.lex_state = 66},
  [1609] = {.lex_state = 140},
  [1610] = {.lex_state = 62},
  [1611] = {.lex_state = 62},
  [1612] = {.lex_state = 64},
  [1613] = {.lex_state = 64},
  [1614] = {.lex_state = 64},
  [1615] = {.lex_state = 140},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 140},
  [1618] = {.lex_state = 64},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 66},
  [1621] = {.lex_state = 66},
  [1622] = {.lex_state = 140},
  [1623] = {.lex_state = 66},
  [1624] = {.lex_state = 140},
  [1625] = {.lex_state = 62},
  [1626] = {.lex_state = 64},
  [1627] = {.lex_state = 64},
  [1628] = {.lex_state = 66},
  [1629] = {.lex_state = 66},
  [1630] = {.lex_state = 66},
  [1631] = {.lex_state = 66},
  [1632] = {.lex_state = 140},
  [1633] = {.lex_state = 64},
  [1634] = {.lex_state = 64},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 140},
  [1637] = {.lex_state = 62},
  [1638] = {.lex_state = 64},
  [1639] = {.lex_state = 64},
  [1640] = {.lex_state = 140},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 64},
  [1643] = {.lex_state = 64},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 64},
  [1646] = {.lex_state = 64},
  [1647] = {.lex_state = 64},
  [1648] = {.lex_state = 64},
  [1649] = {.lex_state = 64},
  [1650] = {.lex_state = 64},
  [1651] = {.lex_state = 64},
  [1652] = {.lex_state = 64},
  [1653] = {.lex_state = 64},
  [1654] = {.lex_state = 140},
  [1655] = {.lex_state = 140},
  [1656] = {.lex_state = 64},
  [1657] = {.lex_state = 69},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 66},
  [1660] = {.lex_state = 64},
  [1661] = {.lex_state = 69},
  [1662] = {.lex_state = 64},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 64},
  [1665] = {.lex_state = 140},
  [1666] = {.lex_state = 69},
  [1667] = {.lex_state = 64},
  [1668] = {.lex_state = 64},
  [1669] = {.lex_state = 64},
  [1670] = {.lex_state = 64},
  [1671] = {.lex_state = 140},
  [1672] = {.lex_state = 69},
  [1673] = {.lex_state = 69},
  [1674] = {.lex_state = 62},
  [1675] = {.lex_state = 64},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 69},
  [1678] = {.lex_state = 64},
  [1679] = {.lex_state = 140},
  [1680] = {.lex_state = 66},
  [1681] = {.lex_state = 64},
  [1682] = {.lex_state = 66},
  [1683] = {.lex_state = 69},
  [1684] = {.lex_state = 140},
  [1685] = {.lex_state = 69},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 69},
  [1688] = {.lex_state = 69},
  [1689] = {.lex_state = 69},
  [1690] = {.lex_state = 64},
  [1691] = {.lex_state = 140},
  [1692] = {.lex_state = 140},
  [1693] = {.lex_state = 66},
  [1694] = {.lex_state = 64},
  [1695] = {.lex_state = 140},
  [1696] = {.lex_state = 64},
  [1697] = {.lex_state = 140},
  [1698] = {.lex_state = 140},
  [1699] = {.lex_state = 140},
  [1700] = {.lex_state = 140},
  [1701] = {.lex_state = 64},
  [1702] = {.lex_state = 62},
  [1703] = {.lex_state = 140},
  [1704] = {.lex_state = 140},
  [1705] = {.lex_state = 140},
  [1706] = {.lex_state = 140},
  [1707] = {.lex_state = 140},
  [1708] = {.lex_state = 55},
  [1709] = {.lex_state = 140},
  [1710] = {.lex_state = 140},
  [1711] = {.lex_state = 140},
  [1712] = {.lex_state = 64},
  [1713] = {.lex_state = 64},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 38},
  [1716] = {.lex_state = 64},
  [1717] = {.lex_state = 64},
  [1718] = {.lex_state = 38},
  [1719] = {.lex_state = 40},
  [1720] = {.lex_state = 66},
  [1721] = {.lex_state = 64},
  [1722] = {.lex_state = 38},
  [1723] = {.lex_state = 64},
  [1724] = {.lex_state = 64},
  [1725] = {.lex_state = 38},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 64},
  [1728] = {.lex_state = 40},
  [1729] = {.lex_state = 64},
  [1730] = {.lex_state = 64},
  [1731] = {.lex_state = 64},
  [1732] = {.lex_state = 64},
  [1733] = {.lex_state = 64},
  [1734] = {.lex_state = 62},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 64},
  [1737] = {.lex_state = 41},
  [1738] = {.lex_state = 38},
  [1739] = {.lex_state = 55},
  [1740] = {.lex_state = 40},
  [1741] = {.lex_state = 64},
  [1742] = {.lex_state = 0},
  [1743] = {.lex_state = 64},
  [1744] = {.lex_state = 64},
  [1745] = {.lex_state = 64},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 64},
  [1748] = {.lex_state = 64},
  [1749] = {.lex_state = 38},
  [1750] = {.lex_state = 64},
  [1751] = {.lex_state = 64},
  [1752] = {.lex_state = 64},
  [1753] = {.lex_state = 64},
  [1754] = {.lex_state = 64},
  [1755] = {.lex_state = 38},
  [1756] = {.lex_state = 38},
  [1757] = {.lex_state = 64},
  [1758] = {.lex_state = 0},
  [1759] = {.lex_state = 64},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 41},
  [1762] = {.lex_state = 41},
  [1763] = {.lex_state = 40},
  [1764] = {.lex_state = 64},
  [1765] = {.lex_state = 62},
  [1766] = {.lex_state = 64},
  [1767] = {.lex_state = 62},
  [1768] = {.lex_state = 64},
  [1769] = {.lex_state = 41},
  [1770] = {.lex_state = 41},
  [1771] = {.lex_state = 64},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 64},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 64},
  [1777] = {.lex_state = 41},
  [1778] = {.lex_state = 64},
  [1779] = {.lex_state = 41},
  [1780] = {.lex_state = 41},
  [1781] = {.lex_state = 40},
  [1782] = {.lex_state = 38},
  [1783] = {.lex_state = 140},
  [1784] = {.lex_state = 62},
  [1785] = {.lex_state = 41},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 0},
  [1788] = {.lex_state = 43},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 55},
  [1800] = {.lex_state = 64},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 64},
  [1804] = {.lex_state = 40},
  [1805] = {.lex_state = 55},
  [1806] = {.lex_state = 0},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 40},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 40},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 64},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 0},
  [1825] = {.lex_state = 43},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 64},
  [1831] = {.lex_state = 55},
  [1832] = {.lex_state = 55},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 64},
  [1835] = {.lex_state = 64},
  [1836] = {.lex_state = 64},
  [1837] = {.lex_state = 64},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 55},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 64},
  [1843] = {.lex_state = 64},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 43},
  [1846] = {.lex_state = 40},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 55},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 0},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 0},
  [1860] = {.lex_state = 0},
  [1861] = {.lex_state = 0},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 0},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 55},
  [1868] = {.lex_state = 0},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 0},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 0},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 43},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 43},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 64},
  [1887] = {.lex_state = 64},
  [1888] = {.lex_state = 64},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 0},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 0},
  [1896] = {.lex_state = 0},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 0},
  [1900] = {.lex_state = 0},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 0},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 0},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 0},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 42},
  [1912] = {.lex_state = 42},
  [1913] = {.lex_state = 42},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 0},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 64},
  [1919] = {.lex_state = 0},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 140},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 140},
  [1924] = {.lex_state = 140},
  [1925] = {.lex_state = 140},
  [1926] = {.lex_state = 42},
  [1927] = {.lex_state = 0},
  [1928] = {.lex_state = 140},
  [1929] = {.lex_state = 140},
  [1930] = {.lex_state = 0},
  [1931] = {.lex_state = 140},
  [1932] = {.lex_state = 140},
  [1933] = {.lex_state = 140},
  [1934] = {.lex_state = 42},
  [1935] = {.lex_state = 0},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 55},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 140},
  [1940] = {.lex_state = 140},
  [1941] = {.lex_state = 140},
  [1942] = {.lex_state = 140},
  [1943] = {.lex_state = 140},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 42},
  [1946] = {.lex_state = 64},
  [1947] = {.lex_state = 0},
  [1948] = {.lex_state = 0},
  [1949] = {.lex_state = 140},
  [1950] = {.lex_state = 140},
  [1951] = {.lex_state = 64},
  [1952] = {.lex_state = 140},
  [1953] = {.lex_state = 64},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 64},
  [1958] = {.lex_state = 42},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 0},
  [1961] = {.lex_state = 140},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 140},
  [1964] = {.lex_state = 140},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 140},
  [1967] = {.lex_state = 140},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 140},
  [1972] = {.lex_state = 0},
  [1973] = {.lex_state = 42},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 42},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 140},
  [1979] = {.lex_state = 0},
  [1980] = {.lex_state = 0},
  [1981] = {.lex_state = 140},
  [1982] = {.lex_state = 64},
  [1983] = {.lex_state = 140},
  [1984] = {.lex_state = 64},
  [1985] = {.lex_state = 140},
  [1986] = {.lex_state = 140},
  [1987] = {.lex_state = 64},
  [1988] = {.lex_state = 55},
  [1989] = {.lex_state = 42},
  [1990] = {.lex_state = 140},
  [1991] = {.lex_state = 42},
  [1992] = {.lex_state = 42},
  [1993] = {.lex_state = 42},
  [1994] = {.lex_state = 42},
  [1995] = {.lex_state = 42},
  [1996] = {.lex_state = 55},
  [1997] = {.lex_state = 42},
  [1998] = {.lex_state = 42},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 140},
  [2001] = {.lex_state = 0},
  [2002] = {.lex_state = 0},
  [2003] = {.lex_state = 42},
  [2004] = {.lex_state = 42},
  [2005] = {.lex_state = 42},
  [2006] = {.lex_state = 0},
  [2007] = {.lex_state = 42},
  [2008] = {.lex_state = 0},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 64},
  [2011] = {.lex_state = 140},
  [2012] = {.lex_state = 53},
  [2013] = {.lex_state = 43},
  [2014] = {.lex_state = 43},
  [2015] = {.lex_state = 53},
  [2016] = {.lex_state = 140},
  [2017] = {.lex_state = 53},
  [2018] = {.lex_state = 64},
  [2019] = {.lex_state = 43},
  [2020] = {.lex_state = 0},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 0},
  [2023] = {.lex_state = 53},
  [2024] = {.lex_state = 53},
  [2025] = {.lex_state = 0},
  [2026] = {.lex_state = 0},
  [2027] = {.lex_state = 0},
  [2028] = {.lex_state = 0},
  [2029] = {.lex_state = 0},
  [2030] = {.lex_state = 53},
  [2031] = {.lex_state = 0},
  [2032] = {.lex_state = 43},
  [2033] = {.lex_state = 0},
  [2034] = {.lex_state = 0},
  [2035] = {.lex_state = 0},
  [2036] = {.lex_state = 43},
  [2037] = {.lex_state = 0},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 0},
  [2040] = {.lex_state = 53},
  [2041] = {.lex_state = 43},
  [2042] = {.lex_state = 53},
  [2043] = {.lex_state = 53},
  [2044] = {.lex_state = 53},
  [2045] = {.lex_state = 0},
  [2046] = {.lex_state = 0},
  [2047] = {.lex_state = 43},
  [2048] = {.lex_state = 0},
  [2049] = {.lex_state = 53},
  [2050] = {.lex_state = 43},
  [2051] = {.lex_state = 64},
  [2052] = {.lex_state = 0},
  [2053] = {.lex_state = 53},
  [2054] = {.lex_state = 64},
  [2055] = {.lex_state = 53},
  [2056] = {.lex_state = 43},
  [2057] = {.lex_state = 64},
  [2058] = {.lex_state = 0},
  [2059] = {.lex_state = 0},
  [2060] = {.lex_state = 43},
  [2061] = {.lex_state = 43},
  [2062] = {.lex_state = 53},
  [2063] = {.lex_state = 43},
  [2064] = {.lex_state = 0},
  [2065] = {.lex_state = 0},
  [2066] = {.lex_state = 43},
  [2067] = {.lex_state = 43},
  [2068] = {.lex_state = 43},
  [2069] = {.lex_state = 43},
  [2070] = {.lex_state = 0},
  [2071] = {.lex_state = 64},
  [2072] = {.lex_state = 64},
  [2073] = {.lex_state = 43},
  [2074] = {.lex_state = 0},
  [2075] = {.lex_state = 0},
  [2076] = {.lex_state = 53},
  [2077] = {.lex_state = 0},
  [2078] = {.lex_state = 0},
  [2079] = {.lex_state = 0},
  [2080] = {.lex_state = 64},
  [2081] = {.lex_state = 53},
  [2082] = {.lex_state = 64},
  [2083] = {.lex_state = 53},
  [2084] = {.lex_state = 43},
  [2085] = {.lex_state = 0},
  [2086] = {.lex_state = 0},
  [2087] = {.lex_state = 0},
  [2088] = {.lex_state = 0},
  [2089] = {.lex_state = 0},
  [2090] = {.lex_state = 0},
  [2091] = {.lex_state = 0},
  [2092] = {.lex_state = 0},
  [2093] = {.lex_state = 0},
  [2094] = {.lex_state = 0},
  [2095] = {.lex_state = 0},
  [2096] = {.lex_state = 0},
  [2097] = {.lex_state = 43},
  [2098] = {.lex_state = 0},
  [2099] = {.lex_state = 53},
  [2100] = {.lex_state = 53},
  [2101] = {.lex_state = 53},
  [2102] = {.lex_state = 53},
  [2103] = {.lex_state = 0},
  [2104] = {.lex_state = 43},
  [2105] = {.lex_state = 0},
  [2106] = {.lex_state = 0},
  [2107] = {.lex_state = 0},
  [2108] = {.lex_state = 0},
  [2109] = {.lex_state = 0},
  [2110] = {.lex_state = 0},
  [2111] = {.lex_state = 0},
  [2112] = {.lex_state = 0},
  [2113] = {.lex_state = 43},
  [2114] = {.lex_state = 64},
  [2115] = {.lex_state = 64},
  [2116] = {.lex_state = 53},
  [2117] = {.lex_state = 53},
  [2118] = {.lex_state = 0},
  [2119] = {.lex_state = 0},
  [2120] = {.lex_state = 64},
  [2121] = {.lex_state = 53},
  [2122] = {.lex_state = 0},
  [2123] = {.lex_state = 0},
  [2124] = {.lex_state = 43},
  [2125] = {.lex_state = 53},
  [2126] = {.lex_state = 53},
  [2127] = {.lex_state = 53},
  [2128] = {.lex_state = 0},
  [2129] = {.lex_state = 0},
  [2130] = {.lex_state = 0},
  [2131] = {.lex_state = 64},
  [2132] = {.lex_state = 53},
  [2133] = {.lex_state = 0},
  [2134] = {.lex_state = 0},
  [2135] = {.lex_state = 0},
  [2136] = {.lex_state = 0},
  [2137] = {.lex_state = 64},
  [2138] = {.lex_state = 0},
  [2139] = {.lex_state = 0},
  [2140] = {.lex_state = 0},
  [2141] = {.lex_state = 0},
  [2142] = {.lex_state = 43},
  [2143] = {.lex_state = 0},
  [2144] = {.lex_state = 0},
  [2145] = {.lex_state = 0},
  [2146] = {.lex_state = 64},
  [2147] = {.lex_state = 0},
  [2148] = {.lex_state = 53},
  [2149] = {.lex_state = 53},
  [2150] = {.lex_state = 53},
  [2151] = {.lex_state = 64},
  [2152] = {.lex_state = 53},
  [2153] = {.lex_state = 43},
  [2154] = {.lex_state = 43},
  [2155] = {.lex_state = 64},
  [2156] = {.lex_state = 43},
  [2157] = {.lex_state = 43},
  [2158] = {.lex_state = 64},
  [2159] = {.lex_state = 53},
  [2160] = {.lex_state = 0},
  [2161] = {.lex_state = 0},
  [2162] = {.lex_state = 53},
  [2163] = {.lex_state = 64},
  [2164] = {.lex_state = 0},
  [2165] = {.lex_state = 0},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 0},
  [2168] = {.lex_state = 53},
  [2169] = {.lex_state = 43},
  [2170] = {.lex_state = 64},
  [2171] = {.lex_state = 64},
  [2172] = {.lex_state = 53},
  [2173] = {.lex_state = 53},
  [2174] = {.lex_state = 64},
  [2175] = {.lex_state = 0},
  [2176] = {.lex_state = 0},
  [2177] = {.lex_state = 53},
  [2178] = {.lex_state = 43},
  [2179] = {.lex_state = 53},
  [2180] = {.lex_state = 43},
  [2181] = {.lex_state = 0},
  [2182] = {.lex_state = 64},
  [2183] = {.lex_state = 64},
  [2184] = {.lex_state = 43},
  [2185] = {.lex_state = 64},
  [2186] = {.lex_state = 43},
  [2187] = {.lex_state = 0},
  [2188] = {.lex_state = 53},
  [2189] = {.lex_state = 0},
  [2190] = {.lex_state = 64},
  [2191] = {.lex_state = 43},
  [2192] = {.lex_state = 0},
  [2193] = {.lex_state = 0},
  [2194] = {.lex_state = 140},
  [2195] = {.lex_state = 53},
  [2196] = {.lex_state = 53},
  [2197] = {.lex_state = 0},
  [2198] = {.lex_state = 43},
  [2199] = {.lex_state = 64},
  [2200] = {.lex_state = 64},
  [2201] = {.lex_state = 0},
  [2202] = {.lex_state = 0},
  [2203] = {.lex_state = 64},
  [2204] = {.lex_state = 0},
  [2205] = {.lex_state = 53},
  [2206] = {.lex_state = 0},
  [2207] = {.lex_state = 53},
  [2208] = {.lex_state = 64},
  [2209] = {.lex_state = 64},
  [2210] = {.lex_state = 0},
  [2211] = {.lex_state = 0},
  [2212] = {.lex_state = 0},
  [2213] = {.lex_state = 0},
  [2214] = {.lex_state = 64},
  [2215] = {.lex_state = 64},
  [2216] = {.lex_state = 0},
  [2217] = {.lex_state = 0},
  [2218] = {.lex_state = 53},
  [2219] = {.lex_state = 140},
  [2220] = {.lex_state = 64},
  [2221] = {.lex_state = 53},
  [2222] = {.lex_state = 53},
  [2223] = {.lex_state = 0},
  [2224] = {.lex_state = 53},
  [2225] = {.lex_state = 43},
  [2226] = {.lex_state = 64},
  [2227] = {.lex_state = 140},
  [2228] = {.lex_state = 140},
  [2229] = {.lex_state = 64},
  [2230] = {.lex_state = 64},
  [2231] = {.lex_state = 64},
  [2232] = {.lex_state = 64},
  [2233] = {.lex_state = 53},
  [2234] = {.lex_state = 64},
  [2235] = {.lex_state = 0},
  [2236] = {.lex_state = 0},
  [2237] = {.lex_state = 0},
  [2238] = {.lex_state = 140},
  [2239] = {.lex_state = 140},
  [2240] = {.lex_state = 0},
  [2241] = {.lex_state = 140},
  [2242] = {.lex_state = 53},
  [2243] = {.lex_state = 0},
  [2244] = {.lex_state = 0},
  [2245] = {.lex_state = 0},
  [2246] = {.lex_state = 53},
  [2247] = {.lex_state = 0},
  [2248] = {.lex_state = 53},
  [2249] = {.lex_state = 64},
  [2250] = {.lex_state = 0},
  [2251] = {.lex_state = 0},
  [2252] = {.lex_state = 0},
  [2253] = {.lex_state = 64},
  [2254] = {.lex_state = 0},
  [2255] = {.lex_state = 140},
  [2256] = {.lex_state = 0},
  [2257] = {.lex_state = 0},
  [2258] = {.lex_state = 0},
  [2259] = {.lex_state = 0},
  [2260] = {.lex_state = 0},
  [2261] = {.lex_state = 140},
  [2262] = {.lex_state = 0},
  [2263] = {.lex_state = 53},
  [2264] = {.lex_state = 64},
  [2265] = {.lex_state = 64},
  [2266] = {.lex_state = 0},
  [2267] = {.lex_state = 0},
  [2268] = {.lex_state = 53},
  [2269] = {.lex_state = 0},
  [2270] = {.lex_state = 64},
  [2271] = {.lex_state = 64},
  [2272] = {.lex_state = 64},
  [2273] = {.lex_state = 140},
  [2274] = {.lex_state = 0},
  [2275] = {.lex_state = 0},
  [2276] = {.lex_state = 0},
  [2277] = {.lex_state = 43},
  [2278] = {.lex_state = 140},
  [2279] = {.lex_state = 0},
  [2280] = {.lex_state = 64},
  [2281] = {.lex_state = 53},
  [2282] = {.lex_state = 0},
  [2283] = {.lex_state = 53},
  [2284] = {.lex_state = 53},
  [2285] = {.lex_state = 140},
  [2286] = {.lex_state = 53},
  [2287] = {.lex_state = 0},
  [2288] = {.lex_state = 0},
  [2289] = {.lex_state = 43},
  [2290] = {.lex_state = 140},
  [2291] = {.lex_state = 0},
  [2292] = {.lex_state = 64},
  [2293] = {.lex_state = 140},
  [2294] = {.lex_state = 53},
  [2295] = {.lex_state = 43},
  [2296] = {.lex_state = 140},
  [2297] = {.lex_state = 53},
  [2298] = {.lex_state = 64},
  [2299] = {.lex_state = 140},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(2192),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym__old_style_function_definition] = STATE(485),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1506),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1156),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym__top_level_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym__expression] = STATE(1344),
    [sym__expression_not_binary] = STATE(1342),
    [sym__string] = STATE(1342),
    [sym_conditional_expression] = STATE(1342),
    [sym_assignment_expression] = STATE(1342),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(1342),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(1342),
    [sym_cast_expression] = STATE(1342),
    [sym_sizeof_expression] = STATE(1342),
    [sym_alignof_expression] = STATE(1342),
    [sym_offsetof_expression] = STATE(1342),
    [sym_generic_expression] = STATE(1342),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(1342),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(1342),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(1342),
    [sym_concatenated_string] = STATE(1342),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(1342),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(91),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2017),
    [sym_preproc_elif] = STATE(2017),
    [sym_preproc_elifdef] = STATE(2017),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2030),
    [sym_preproc_elif] = STATE(2030),
    [sym_preproc_elifdef] = STATE(2030),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_preproc_include] = STATE(8),
    [sym_preproc_def] = STATE(8),
    [sym_preproc_function_def] = STATE(8),
    [sym_preproc_call] = STATE(8),
    [sym_preproc_if] = STATE(8),
    [sym_preproc_ifdef] = STATE(8),
    [sym_preproc_else] = STATE(2294),
    [sym_preproc_elif] = STATE(2294),
    [sym_preproc_elifdef] = STATE(2294),
    [sym_function_definition] = STATE(8),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(8),
    [sym_type_definition] = STATE(8),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(8),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(8),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(8),
    [sym_labeled_statement] = STATE(8),
    [sym_expression_statement] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_switch_statement] = STATE(8),
    [sym_case_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_do_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_break_statement] = STATE(8),
    [sym_continue_statement] = STATE(8),
    [sym_goto_statement] = STATE(8),
    [sym_seh_try_statement] = STATE(8),
    [sym_seh_leave_statement] = STATE(8),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(8),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(8),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2149),
    [sym_preproc_elif] = STATE(2149),
    [sym_preproc_elifdef] = STATE(2149),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(2121),
    [sym_preproc_elif] = STATE(2121),
    [sym_preproc_elifdef] = STATE(2121),
    [sym_function_definition] = STATE(3),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(3),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(3),
    [sym_labeled_statement] = STATE(3),
    [sym_expression_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_switch_statement] = STATE(3),
    [sym_case_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_do_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_break_statement] = STATE(3),
    [sym_continue_statement] = STATE(3),
    [sym_goto_statement] = STATE(3),
    [sym_seh_try_statement] = STATE(3),
    [sym_seh_leave_statement] = STATE(3),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_preproc_include] = STATE(10),
    [sym_preproc_def] = STATE(10),
    [sym_preproc_function_def] = STATE(10),
    [sym_preproc_call] = STATE(10),
    [sym_preproc_if] = STATE(10),
    [sym_preproc_ifdef] = STATE(10),
    [sym_preproc_else] = STATE(2012),
    [sym_preproc_elif] = STATE(2012),
    [sym_preproc_elifdef] = STATE(2012),
    [sym_function_definition] = STATE(10),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(10),
    [sym_type_definition] = STATE(10),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(10),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(10),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(10),
    [sym_labeled_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_if_statement] = STATE(10),
    [sym_switch_statement] = STATE(10),
    [sym_case_statement] = STATE(10),
    [sym_while_statement] = STATE(10),
    [sym_do_statement] = STATE(10),
    [sym_for_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_break_statement] = STATE(10),
    [sym_continue_statement] = STATE(10),
    [sym_goto_statement] = STATE(10),
    [sym_seh_try_statement] = STATE(10),
    [sym_seh_leave_statement] = STATE(10),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(10),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(10),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2218),
    [sym_preproc_elif] = STATE(2218),
    [sym_preproc_elifdef] = STATE(2218),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(2286),
    [sym_preproc_elif] = STATE(2286),
    [sym_preproc_elifdef] = STATE(2286),
    [sym_function_definition] = STATE(5),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(5),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(5),
    [sym_labeled_statement] = STATE(5),
    [sym_expression_statement] = STATE(5),
    [sym_if_statement] = STATE(5),
    [sym_switch_statement] = STATE(5),
    [sym_case_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_do_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_return_statement] = STATE(5),
    [sym_break_statement] = STATE(5),
    [sym_continue_statement] = STATE(5),
    [sym_goto_statement] = STATE(5),
    [sym_seh_try_statement] = STATE(5),
    [sym_seh_leave_statement] = STATE(5),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(2126),
    [sym_preproc_elif] = STATE(2126),
    [sym_preproc_elifdef] = STATE(2126),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_preproc_include] = STATE(2),
    [sym_preproc_def] = STATE(2),
    [sym_preproc_function_def] = STATE(2),
    [sym_preproc_call] = STATE(2),
    [sym_preproc_if] = STATE(2),
    [sym_preproc_ifdef] = STATE(2),
    [sym_preproc_else] = STATE(2062),
    [sym_preproc_elif] = STATE(2062),
    [sym_preproc_elifdef] = STATE(2062),
    [sym_function_definition] = STATE(2),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(2),
    [sym_type_definition] = STATE(2),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(2),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(2),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(2),
    [sym_labeled_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_switch_statement] = STATE(2),
    [sym_case_statement] = STATE(2),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_seh_try_statement] = STATE(2),
    [sym_seh_leave_statement] = STATE(2),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(2),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(2),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(2177),
    [sym_preproc_elif] = STATE(2177),
    [sym_function_definition] = STATE(25),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_seh_try_statement] = STATE(25),
    [sym_seh_leave_statement] = STATE(25),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2168),
    [sym_preproc_elif] = STATE(2168),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(2015),
    [sym_preproc_elif] = STATE(2015),
    [sym_function_definition] = STATE(16),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(16),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2281),
    [sym_preproc_elif] = STATE(2281),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2024),
    [sym_preproc_elif] = STATE(2024),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(2283),
    [sym_preproc_elif] = STATE(2283),
    [sym_function_definition] = STATE(13),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(13),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_case_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_goto_statement] = STATE(13),
    [sym_seh_try_statement] = STATE(13),
    [sym_seh_leave_statement] = STATE(13),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(13),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_preproc_include] = STATE(15),
    [sym_preproc_def] = STATE(15),
    [sym_preproc_function_def] = STATE(15),
    [sym_preproc_call] = STATE(15),
    [sym_preproc_if] = STATE(15),
    [sym_preproc_ifdef] = STATE(15),
    [sym_preproc_else] = STATE(2116),
    [sym_preproc_elif] = STATE(2116),
    [sym_function_definition] = STATE(15),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(15),
    [sym_type_definition] = STATE(15),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(15),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(15),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_case_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_goto_statement] = STATE(15),
    [sym_seh_try_statement] = STATE(15),
    [sym_seh_leave_statement] = STATE(15),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(15),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(15),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2042),
    [sym_preproc_elif] = STATE(2042),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(2152),
    [sym_preproc_elif] = STATE(2152),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2173),
    [sym_preproc_elif] = STATE(2173),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(2023),
    [sym_preproc_elif] = STATE(2023),
    [sym_function_definition] = STATE(21),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(2224),
    [sym_preproc_elif] = STATE(2224),
    [sym_function_definition] = STATE(19),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(19),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_case_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_goto_statement] = STATE(19),
    [sym_seh_try_statement] = STATE(19),
    [sym_seh_leave_statement] = STATE(19),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(19),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2099),
    [sym_preproc_elif] = STATE(2099),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2284),
    [sym_preproc_elif] = STATE(2284),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(140),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1502),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(886),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1159),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(255),
    [aux_sym_preproc_include_token1] = ACTIONS(258),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(264),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(267),
    [aux_sym_preproc_elif_token1] = ACTIONS(267),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(267),
    [sym_preproc_directive] = ACTIONS(272),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(290),
    [anon_sym_typedef] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(296),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_switch] = ACTIONS(338),
    [anon_sym_case] = ACTIONS(341),
    [anon_sym_default] = ACTIONS(344),
    [anon_sym_while] = ACTIONS(347),
    [anon_sym_do] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_return] = ACTIONS(356),
    [anon_sym_break] = ACTIONS(359),
    [anon_sym_continue] = ACTIONS(362),
    [anon_sym_goto] = ACTIONS(365),
    [anon_sym___try] = ACTIONS(368),
    [anon_sym___leave] = ACTIONS(371),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(240),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1504),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(889),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1158),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(407),
    [aux_sym_preproc_include_token1] = ACTIONS(410),
    [aux_sym_preproc_def_token1] = ACTIONS(413),
    [aux_sym_preproc_if_token1] = ACTIONS(416),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(419),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(419),
    [aux_sym_preproc_else_token1] = ACTIONS(267),
    [aux_sym_preproc_elif_token1] = ACTIONS(267),
    [sym_preproc_directive] = ACTIONS(422),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(431),
    [anon_sym_extern] = ACTIONS(434),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_switch] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(446),
    [anon_sym_default] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(452),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(458),
    [anon_sym_return] = ACTIONS(461),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_continue] = ACTIONS(467),
    [anon_sym_goto] = ACTIONS(470),
    [anon_sym___try] = ACTIONS(473),
    [anon_sym___leave] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(36),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym__old_style_function_definition] = STATE(471),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1509),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(880),
    [sym_compound_statement] = STATE(35),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1157),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(35),
    [sym_labeled_statement] = STATE(35),
    [sym_expression_statement] = STATE(35),
    [sym_if_statement] = STATE(35),
    [sym_switch_statement] = STATE(35),
    [sym_case_statement] = STATE(35),
    [sym_while_statement] = STATE(35),
    [sym_do_statement] = STATE(35),
    [sym_for_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_goto_statement] = STATE(35),
    [sym_seh_try_statement] = STATE(35),
    [sym_seh_leave_statement] = STATE(35),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(35),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(529),
    [aux_sym_preproc_include_token1] = ACTIONS(531),
    [aux_sym_preproc_def_token1] = ACTIONS(533),
    [aux_sym_preproc_if_token1] = ACTIONS(535),
    [aux_sym_preproc_if_token2] = ACTIONS(537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(539),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(539),
    [sym_preproc_directive] = ACTIONS(541),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(579),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym__old_style_function_definition] = STATE(471),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1509),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(880),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1157),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_seh_try_statement] = STATE(29),
    [sym_seh_leave_statement] = STATE(29),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(529),
    [aux_sym_preproc_include_token1] = ACTIONS(531),
    [aux_sym_preproc_def_token1] = ACTIONS(533),
    [aux_sym_preproc_if_token1] = ACTIONS(535),
    [aux_sym_preproc_if_token2] = ACTIONS(581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(539),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(539),
    [sym_preproc_directive] = ACTIONS(541),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_function_definition] = STATE(30),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(30),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(583),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym_seh_try_statement] = STATE(37),
    [sym_seh_leave_statement] = STATE(37),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(587),
    [aux_sym_preproc_include_token1] = ACTIONS(590),
    [aux_sym_preproc_def_token1] = ACTIONS(593),
    [aux_sym_preproc_if_token1] = ACTIONS(596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(599),
    [sym_preproc_directive] = ACTIONS(602),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(605),
    [anon_sym___extension__] = ACTIONS(608),
    [anon_sym_typedef] = ACTIONS(611),
    [anon_sym_extern] = ACTIONS(614),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(625),
    [anon_sym_case] = ACTIONS(628),
    [anon_sym_default] = ACTIONS(631),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(640),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_break] = ACTIONS(646),
    [anon_sym_continue] = ACTIONS(649),
    [anon_sym_goto] = ACTIONS(652),
    [anon_sym___try] = ACTIONS(655),
    [anon_sym___leave] = ACTIONS(658),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_preproc_include] = STATE(35),
    [sym_preproc_def] = STATE(35),
    [sym_preproc_function_def] = STATE(35),
    [sym_preproc_call] = STATE(35),
    [sym_preproc_if] = STATE(35),
    [sym_preproc_ifdef] = STATE(35),
    [sym_function_definition] = STATE(35),
    [sym__old_style_function_definition] = STATE(471),
    [sym_declaration] = STATE(35),
    [sym_type_definition] = STATE(35),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1509),
    [sym_linkage_specification] = STATE(35),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(880),
    [sym_compound_statement] = STATE(35),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1157),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(35),
    [sym_labeled_statement] = STATE(35),
    [sym_expression_statement] = STATE(35),
    [sym_if_statement] = STATE(35),
    [sym_switch_statement] = STATE(35),
    [sym_case_statement] = STATE(35),
    [sym_while_statement] = STATE(35),
    [sym_do_statement] = STATE(35),
    [sym_for_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_goto_statement] = STATE(35),
    [sym_seh_try_statement] = STATE(35),
    [sym_seh_leave_statement] = STATE(35),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(35),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(35),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(661),
    [aux_sym_preproc_include_token1] = ACTIONS(664),
    [aux_sym_preproc_def_token1] = ACTIONS(667),
    [aux_sym_preproc_if_token1] = ACTIONS(670),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(673),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(673),
    [sym_preproc_directive] = ACTIONS(676),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(679),
    [anon_sym___extension__] = ACTIONS(682),
    [anon_sym_typedef] = ACTIONS(685),
    [anon_sym_extern] = ACTIONS(688),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(694),
    [anon_sym_switch] = ACTIONS(697),
    [anon_sym_case] = ACTIONS(700),
    [anon_sym_default] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(706),
    [anon_sym_do] = ACTIONS(709),
    [anon_sym_for] = ACTIONS(712),
    [anon_sym_return] = ACTIONS(715),
    [anon_sym_break] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(724),
    [anon_sym___try] = ACTIONS(727),
    [anon_sym___leave] = ACTIONS(730),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(733),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(735),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(39),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(737),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(739),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym_seh_try_statement] = STATE(50),
    [sym_seh_leave_statement] = STATE(50),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(50),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(741),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(743),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(47),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(42),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(42),
    [sym_labeled_statement] = STATE(42),
    [sym_expression_statement] = STATE(42),
    [sym_if_statement] = STATE(42),
    [sym_switch_statement] = STATE(42),
    [sym_case_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_do_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_return_statement] = STATE(42),
    [sym_break_statement] = STATE(42),
    [sym_continue_statement] = STATE(42),
    [sym_goto_statement] = STATE(42),
    [sym_seh_try_statement] = STATE(42),
    [sym_seh_leave_statement] = STATE(42),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(42),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(749),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(41),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(759),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(761),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym__old_style_function_definition] = STATE(424),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1500),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(879),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1154),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym__empty_declaration] = STATE(49),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym__old_style_function_definition] = STATE(485),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1506),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1156),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1344),
    [sym__expression_not_binary] = STATE(1342),
    [sym__string] = STATE(1342),
    [sym_conditional_expression] = STATE(1342),
    [sym_assignment_expression] = STATE(1342),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(1342),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(1342),
    [sym_cast_expression] = STATE(1342),
    [sym_sizeof_expression] = STATE(1342),
    [sym_alignof_expression] = STATE(1342),
    [sym_offsetof_expression] = STATE(1342),
    [sym_generic_expression] = STATE(1342),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(1342),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(1342),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(1342),
    [sym_concatenated_string] = STATE(1342),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(1342),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [ts_builtin_sym_end] = ACTIONS(765),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(91),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym__old_style_function_definition] = STATE(485),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1506),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_call_modifier] = STATE(884),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1156),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1344),
    [sym__expression_not_binary] = STATE(1342),
    [sym__string] = STATE(1342),
    [sym_conditional_expression] = STATE(1342),
    [sym_assignment_expression] = STATE(1342),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(1342),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(1342),
    [sym_cast_expression] = STATE(1342),
    [sym_sizeof_expression] = STATE(1342),
    [sym_alignof_expression] = STATE(1342),
    [sym_offsetof_expression] = STATE(1342),
    [sym_generic_expression] = STATE(1342),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(1342),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(1342),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(1342),
    [sym_concatenated_string] = STATE(1342),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(1342),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_identifier] = ACTIONS(769),
    [aux_sym_preproc_include_token1] = ACTIONS(772),
    [aux_sym_preproc_def_token1] = ACTIONS(775),
    [aux_sym_preproc_if_token1] = ACTIONS(778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(781),
    [sym_preproc_directive] = ACTIONS(784),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym___extension__] = ACTIONS(799),
    [anon_sym_typedef] = ACTIONS(802),
    [anon_sym_extern] = ACTIONS(805),
    [anon_sym___attribute__] = ACTIONS(808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(811),
    [anon_sym___declspec] = ACTIONS(814),
    [anon_sym___cdecl] = ACTIONS(817),
    [anon_sym___clrcall] = ACTIONS(817),
    [anon_sym___stdcall] = ACTIONS(817),
    [anon_sym___fastcall] = ACTIONS(817),
    [anon_sym___thiscall] = ACTIONS(817),
    [anon_sym___vectorcall] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_auto] = ACTIONS(826),
    [anon_sym_register] = ACTIONS(826),
    [anon_sym_inline] = ACTIONS(826),
    [anon_sym___inline] = ACTIONS(826),
    [anon_sym___inline__] = ACTIONS(826),
    [anon_sym___forceinline] = ACTIONS(826),
    [anon_sym_thread_local] = ACTIONS(826),
    [anon_sym___thread] = ACTIONS(826),
    [anon_sym_const] = ACTIONS(829),
    [anon_sym_constexpr] = ACTIONS(829),
    [anon_sym_volatile] = ACTIONS(829),
    [anon_sym_restrict] = ACTIONS(829),
    [anon_sym___restrict__] = ACTIONS(829),
    [anon_sym__Atomic] = ACTIONS(829),
    [anon_sym__Noreturn] = ACTIONS(829),
    [anon_sym_noreturn] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(847),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(856),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(865),
    [anon_sym_break] = ACTIONS(868),
    [anon_sym_continue] = ACTIONS(871),
    [anon_sym_goto] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1513),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(57),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token2] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [aux_sym_preproc_else_token1] = ACTIONS(912),
    [aux_sym_preproc_elif_token1] = ACTIONS(912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1513),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token2] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [aux_sym_preproc_else_token1] = ACTIONS(914),
    [aux_sym_preproc_elif_token1] = ACTIONS(914),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1513),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [aux_sym_preproc_else_token1] = ACTIONS(916),
    [aux_sym_preproc_elif_token1] = ACTIONS(916),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1513),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token2] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [aux_sym_preproc_else_token1] = ACTIONS(918),
    [aux_sym_preproc_elif_token1] = ACTIONS(918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1513),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(58),
    [sym_identifier] = ACTIONS(920),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token2] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [aux_sym_preproc_else_token1] = ACTIONS(923),
    [aux_sym_preproc_elif_token1] = ACTIONS(923),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_SEMI] = ACTIONS(937),
    [anon_sym___extension__] = ACTIONS(940),
    [anon_sym_typedef] = ACTIONS(943),
    [anon_sym_extern] = ACTIONS(946),
    [anon_sym___attribute__] = ACTIONS(949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(952),
    [anon_sym___declspec] = ACTIONS(955),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(961),
    [anon_sym_unsigned] = ACTIONS(961),
    [anon_sym_long] = ACTIONS(961),
    [anon_sym_short] = ACTIONS(961),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_auto] = ACTIONS(946),
    [anon_sym_register] = ACTIONS(946),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym___inline] = ACTIONS(946),
    [anon_sym___inline__] = ACTIONS(946),
    [anon_sym___forceinline] = ACTIONS(946),
    [anon_sym_thread_local] = ACTIONS(946),
    [anon_sym___thread] = ACTIONS(946),
    [anon_sym_const] = ACTIONS(964),
    [anon_sym_constexpr] = ACTIONS(964),
    [anon_sym_volatile] = ACTIONS(964),
    [anon_sym_restrict] = ACTIONS(964),
    [anon_sym___restrict__] = ACTIONS(964),
    [anon_sym__Atomic] = ACTIONS(964),
    [anon_sym__Noreturn] = ACTIONS(964),
    [anon_sym_noreturn] = ACTIONS(964),
    [sym_primitive_type] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(973),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(979),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(982),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(985),
    [anon_sym_do] = ACTIONS(988),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(994),
    [anon_sym_break] = ACTIONS(997),
    [anon_sym_continue] = ACTIONS(1000),
    [anon_sym_goto] = ACTIONS(1003),
    [anon_sym___try] = ACTIONS(1006),
    [anon_sym___leave] = ACTIONS(1009),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_sizeof] = ACTIONS(1015),
    [anon_sym___alignof__] = ACTIONS(1018),
    [anon_sym___alignof] = ACTIONS(1018),
    [anon_sym__alignof] = ACTIONS(1018),
    [anon_sym_alignof] = ACTIONS(1018),
    [anon_sym__Alignof] = ACTIONS(1018),
    [anon_sym_offsetof] = ACTIONS(1021),
    [anon_sym__Generic] = ACTIONS(1024),
    [anon_sym_asm] = ACTIONS(1027),
    [anon_sym___asm__] = ACTIONS(1027),
    [sym_number_literal] = ACTIONS(1030),
    [anon_sym_L_SQUOTE] = ACTIONS(1033),
    [anon_sym_u_SQUOTE] = ACTIONS(1033),
    [anon_sym_U_SQUOTE] = ACTIONS(1033),
    [anon_sym_u8_SQUOTE] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_L_DQUOTE] = ACTIONS(1036),
    [anon_sym_u_DQUOTE] = ACTIONS(1036),
    [anon_sym_U_DQUOTE] = ACTIONS(1036),
    [anon_sym_u8_DQUOTE] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [anon_sym_NULL] = ACTIONS(1042),
    [anon_sym_nullptr] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1520),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [aux_sym_preproc_else_token1] = ACTIONS(916),
    [aux_sym_preproc_elif_token1] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1520),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(1047),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token2] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [aux_sym_preproc_else_token1] = ACTIONS(923),
    [aux_sym_preproc_elif_token1] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym___extension__] = ACTIONS(1053),
    [anon_sym_typedef] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(946),
    [anon_sym___attribute__] = ACTIONS(949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(952),
    [anon_sym___declspec] = ACTIONS(955),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_signed] = ACTIONS(961),
    [anon_sym_unsigned] = ACTIONS(961),
    [anon_sym_long] = ACTIONS(961),
    [anon_sym_short] = ACTIONS(961),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_auto] = ACTIONS(946),
    [anon_sym_register] = ACTIONS(946),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym___inline] = ACTIONS(946),
    [anon_sym___inline__] = ACTIONS(946),
    [anon_sym___forceinline] = ACTIONS(946),
    [anon_sym_thread_local] = ACTIONS(946),
    [anon_sym___thread] = ACTIONS(946),
    [anon_sym_const] = ACTIONS(964),
    [anon_sym_constexpr] = ACTIONS(964),
    [anon_sym_volatile] = ACTIONS(964),
    [anon_sym_restrict] = ACTIONS(964),
    [anon_sym___restrict__] = ACTIONS(964),
    [anon_sym__Atomic] = ACTIONS(964),
    [anon_sym__Noreturn] = ACTIONS(964),
    [anon_sym_noreturn] = ACTIONS(964),
    [sym_primitive_type] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(973),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(1065),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_do] = ACTIONS(1071),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1077),
    [anon_sym_break] = ACTIONS(1080),
    [anon_sym_continue] = ACTIONS(1083),
    [anon_sym_goto] = ACTIONS(1086),
    [anon_sym___try] = ACTIONS(1089),
    [anon_sym___leave] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_sizeof] = ACTIONS(1015),
    [anon_sym___alignof__] = ACTIONS(1018),
    [anon_sym___alignof] = ACTIONS(1018),
    [anon_sym__alignof] = ACTIONS(1018),
    [anon_sym_alignof] = ACTIONS(1018),
    [anon_sym__Alignof] = ACTIONS(1018),
    [anon_sym_offsetof] = ACTIONS(1021),
    [anon_sym__Generic] = ACTIONS(1024),
    [anon_sym_asm] = ACTIONS(1027),
    [anon_sym___asm__] = ACTIONS(1027),
    [sym_number_literal] = ACTIONS(1030),
    [anon_sym_L_SQUOTE] = ACTIONS(1033),
    [anon_sym_u_SQUOTE] = ACTIONS(1033),
    [anon_sym_U_SQUOTE] = ACTIONS(1033),
    [anon_sym_u8_SQUOTE] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_L_DQUOTE] = ACTIONS(1036),
    [anon_sym_u_DQUOTE] = ACTIONS(1036),
    [anon_sym_U_DQUOTE] = ACTIONS(1036),
    [anon_sym_u8_DQUOTE] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [anon_sym_NULL] = ACTIONS(1042),
    [anon_sym_nullptr] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1520),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token2] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [aux_sym_preproc_else_token1] = ACTIONS(918),
    [aux_sym_preproc_elif_token1] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1520),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token2] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [aux_sym_preproc_else_token1] = ACTIONS(914),
    [aux_sym_preproc_elif_token1] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1520),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token2] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [aux_sym_preproc_else_token1] = ACTIONS(912),
    [aux_sym_preproc_elif_token1] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1514),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1095),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_typedef] = ACTIONS(1104),
    [anon_sym_extern] = ACTIONS(946),
    [anon_sym___attribute__] = ACTIONS(949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(952),
    [anon_sym___declspec] = ACTIONS(955),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_signed] = ACTIONS(961),
    [anon_sym_unsigned] = ACTIONS(961),
    [anon_sym_long] = ACTIONS(961),
    [anon_sym_short] = ACTIONS(961),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_auto] = ACTIONS(946),
    [anon_sym_register] = ACTIONS(946),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym___inline] = ACTIONS(946),
    [anon_sym___inline__] = ACTIONS(946),
    [anon_sym___forceinline] = ACTIONS(946),
    [anon_sym_thread_local] = ACTIONS(946),
    [anon_sym___thread] = ACTIONS(946),
    [anon_sym_const] = ACTIONS(964),
    [anon_sym_constexpr] = ACTIONS(964),
    [anon_sym_volatile] = ACTIONS(964),
    [anon_sym_restrict] = ACTIONS(964),
    [anon_sym___restrict__] = ACTIONS(964),
    [anon_sym__Atomic] = ACTIONS(964),
    [anon_sym__Noreturn] = ACTIONS(964),
    [anon_sym_noreturn] = ACTIONS(964),
    [sym_primitive_type] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(973),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(1115),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1127),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_sizeof] = ACTIONS(1015),
    [anon_sym___alignof__] = ACTIONS(1018),
    [anon_sym___alignof] = ACTIONS(1018),
    [anon_sym__alignof] = ACTIONS(1018),
    [anon_sym_alignof] = ACTIONS(1018),
    [anon_sym__Alignof] = ACTIONS(1018),
    [anon_sym_offsetof] = ACTIONS(1021),
    [anon_sym__Generic] = ACTIONS(1024),
    [anon_sym_asm] = ACTIONS(1027),
    [anon_sym___asm__] = ACTIONS(1027),
    [sym_number_literal] = ACTIONS(1030),
    [anon_sym_L_SQUOTE] = ACTIONS(1033),
    [anon_sym_u_SQUOTE] = ACTIONS(1033),
    [anon_sym_U_SQUOTE] = ACTIONS(1033),
    [anon_sym_u8_SQUOTE] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_L_DQUOTE] = ACTIONS(1036),
    [anon_sym_u_DQUOTE] = ACTIONS(1036),
    [anon_sym_U_DQUOTE] = ACTIONS(1036),
    [anon_sym_u8_DQUOTE] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [anon_sym_NULL] = ACTIONS(1042),
    [anon_sym_nullptr] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(65),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1145),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_SEMI] = ACTIONS(1148),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1154),
    [anon_sym_extern] = ACTIONS(946),
    [anon_sym___attribute__] = ACTIONS(949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(952),
    [anon_sym___declspec] = ACTIONS(955),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(961),
    [anon_sym_unsigned] = ACTIONS(961),
    [anon_sym_long] = ACTIONS(961),
    [anon_sym_short] = ACTIONS(961),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_auto] = ACTIONS(946),
    [anon_sym_register] = ACTIONS(946),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym___inline] = ACTIONS(946),
    [anon_sym___inline__] = ACTIONS(946),
    [anon_sym___forceinline] = ACTIONS(946),
    [anon_sym_thread_local] = ACTIONS(946),
    [anon_sym___thread] = ACTIONS(946),
    [anon_sym_const] = ACTIONS(964),
    [anon_sym_constexpr] = ACTIONS(964),
    [anon_sym_volatile] = ACTIONS(964),
    [anon_sym_restrict] = ACTIONS(964),
    [anon_sym___restrict__] = ACTIONS(964),
    [anon_sym__Atomic] = ACTIONS(964),
    [anon_sym__Noreturn] = ACTIONS(964),
    [anon_sym_noreturn] = ACTIONS(964),
    [sym_primitive_type] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(973),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(1166),
    [anon_sym_do] = ACTIONS(1169),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1178),
    [anon_sym_continue] = ACTIONS(1181),
    [anon_sym_goto] = ACTIONS(1184),
    [anon_sym___try] = ACTIONS(1187),
    [anon_sym___leave] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_sizeof] = ACTIONS(1015),
    [anon_sym___alignof__] = ACTIONS(1018),
    [anon_sym___alignof] = ACTIONS(1018),
    [anon_sym__alignof] = ACTIONS(1018),
    [anon_sym_alignof] = ACTIONS(1018),
    [anon_sym__Alignof] = ACTIONS(1018),
    [anon_sym_offsetof] = ACTIONS(1021),
    [anon_sym__Generic] = ACTIONS(1024),
    [anon_sym_asm] = ACTIONS(1027),
    [anon_sym___asm__] = ACTIONS(1027),
    [sym_number_literal] = ACTIONS(1030),
    [anon_sym_L_SQUOTE] = ACTIONS(1033),
    [anon_sym_u_SQUOTE] = ACTIONS(1033),
    [anon_sym_U_SQUOTE] = ACTIONS(1033),
    [anon_sym_u8_SQUOTE] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_L_DQUOTE] = ACTIONS(1036),
    [anon_sym_u_DQUOTE] = ACTIONS(1036),
    [anon_sym_U_DQUOTE] = ACTIONS(1036),
    [anon_sym_u8_DQUOTE] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [anon_sym_NULL] = ACTIONS(1042),
    [anon_sym_nullptr] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1519),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(66),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(66),
    [sym_labeled_statement] = STATE(66),
    [sym_expression_statement] = STATE(66),
    [sym_if_statement] = STATE(66),
    [sym_switch_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_do_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_return_statement] = STATE(66),
    [sym_break_statement] = STATE(66),
    [sym_continue_statement] = STATE(66),
    [sym_goto_statement] = STATE(66),
    [sym_seh_try_statement] = STATE(66),
    [sym_seh_leave_statement] = STATE(66),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(66),
    [sym_identifier] = ACTIONS(1193),
    [aux_sym_preproc_include_token1] = ACTIONS(923),
    [aux_sym_preproc_def_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token1] = ACTIONS(923),
    [aux_sym_preproc_if_token2] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(923),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(923),
    [sym_preproc_directive] = ACTIONS(923),
    [anon_sym_LPAREN2] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym___extension__] = ACTIONS(1199),
    [anon_sym_typedef] = ACTIONS(1202),
    [anon_sym_extern] = ACTIONS(946),
    [anon_sym___attribute__] = ACTIONS(949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(952),
    [anon_sym___declspec] = ACTIONS(955),
    [anon_sym___cdecl] = ACTIONS(923),
    [anon_sym___clrcall] = ACTIONS(923),
    [anon_sym___stdcall] = ACTIONS(923),
    [anon_sym___fastcall] = ACTIONS(923),
    [anon_sym___thiscall] = ACTIONS(923),
    [anon_sym___vectorcall] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_signed] = ACTIONS(961),
    [anon_sym_unsigned] = ACTIONS(961),
    [anon_sym_long] = ACTIONS(961),
    [anon_sym_short] = ACTIONS(961),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_auto] = ACTIONS(946),
    [anon_sym_register] = ACTIONS(946),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym___inline] = ACTIONS(946),
    [anon_sym___inline__] = ACTIONS(946),
    [anon_sym___forceinline] = ACTIONS(946),
    [anon_sym_thread_local] = ACTIONS(946),
    [anon_sym___thread] = ACTIONS(946),
    [anon_sym_const] = ACTIONS(964),
    [anon_sym_constexpr] = ACTIONS(964),
    [anon_sym_volatile] = ACTIONS(964),
    [anon_sym_restrict] = ACTIONS(964),
    [anon_sym___restrict__] = ACTIONS(964),
    [anon_sym__Atomic] = ACTIONS(964),
    [anon_sym__Noreturn] = ACTIONS(964),
    [anon_sym_noreturn] = ACTIONS(964),
    [sym_primitive_type] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(973),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(1214),
    [anon_sym_do] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1220),
    [anon_sym_return] = ACTIONS(1223),
    [anon_sym_break] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1229),
    [anon_sym_goto] = ACTIONS(1232),
    [anon_sym___try] = ACTIONS(1235),
    [anon_sym___leave] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_sizeof] = ACTIONS(1015),
    [anon_sym___alignof__] = ACTIONS(1018),
    [anon_sym___alignof] = ACTIONS(1018),
    [anon_sym__alignof] = ACTIONS(1018),
    [anon_sym_alignof] = ACTIONS(1018),
    [anon_sym__Alignof] = ACTIONS(1018),
    [anon_sym_offsetof] = ACTIONS(1021),
    [anon_sym__Generic] = ACTIONS(1024),
    [anon_sym_asm] = ACTIONS(1027),
    [anon_sym___asm__] = ACTIONS(1027),
    [sym_number_literal] = ACTIONS(1030),
    [anon_sym_L_SQUOTE] = ACTIONS(1033),
    [anon_sym_u_SQUOTE] = ACTIONS(1033),
    [anon_sym_U_SQUOTE] = ACTIONS(1033),
    [anon_sym_u8_SQUOTE] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_L_DQUOTE] = ACTIONS(1036),
    [anon_sym_u_DQUOTE] = ACTIONS(1036),
    [anon_sym_U_DQUOTE] = ACTIONS(1036),
    [anon_sym_u8_DQUOTE] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [anon_sym_NULL] = ACTIONS(1042),
    [anon_sym_nullptr] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1519),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(66),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(66),
    [sym_labeled_statement] = STATE(66),
    [sym_expression_statement] = STATE(66),
    [sym_if_statement] = STATE(66),
    [sym_switch_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_do_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_return_statement] = STATE(66),
    [sym_break_statement] = STATE(66),
    [sym_continue_statement] = STATE(66),
    [sym_goto_statement] = STATE(66),
    [sym_seh_try_statement] = STATE(66),
    [sym_seh_leave_statement] = STATE(66),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(66),
    [sym_identifier] = ACTIONS(1241),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token2] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(74),
    [ts_builtin_sym_end] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(1245),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1514),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1253),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(65),
    [ts_builtin_sym_end] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1245),
    [aux_sym_preproc_include_token1] = ACTIONS(918),
    [aux_sym_preproc_def_token1] = ACTIONS(918),
    [aux_sym_preproc_if_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(918),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(918),
    [sym_preproc_directive] = ACTIONS(918),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(918),
    [anon_sym___clrcall] = ACTIONS(918),
    [anon_sym___stdcall] = ACTIONS(918),
    [anon_sym___fastcall] = ACTIONS(918),
    [anon_sym___thiscall] = ACTIONS(918),
    [anon_sym___vectorcall] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(918),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1519),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(66),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(66),
    [sym_labeled_statement] = STATE(66),
    [sym_expression_statement] = STATE(66),
    [sym_if_statement] = STATE(66),
    [sym_switch_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_do_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_return_statement] = STATE(66),
    [sym_break_statement] = STATE(66),
    [sym_continue_statement] = STATE(66),
    [sym_goto_statement] = STATE(66),
    [sym_seh_try_statement] = STATE(66),
    [sym_seh_leave_statement] = STATE(66),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(66),
    [sym_identifier] = ACTIONS(1241),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token2] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1514),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1253),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(70),
    [ts_builtin_sym_end] = ACTIONS(1259),
    [sym_identifier] = ACTIONS(1245),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(65),
    [ts_builtin_sym_end] = ACTIONS(1257),
    [sym_identifier] = ACTIONS(1245),
    [aux_sym_preproc_include_token1] = ACTIONS(914),
    [aux_sym_preproc_def_token1] = ACTIONS(914),
    [aux_sym_preproc_if_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(914),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(914),
    [sym_preproc_directive] = ACTIONS(914),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(914),
    [anon_sym___clrcall] = ACTIONS(914),
    [anon_sym___stdcall] = ACTIONS(914),
    [anon_sym___fastcall] = ACTIONS(914),
    [anon_sym___thiscall] = ACTIONS(914),
    [anon_sym___vectorcall] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1514),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(72),
    [sym_identifier] = ACTIONS(1253),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1514),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1253),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1519),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [sym_identifier] = ACTIONS(1241),
    [aux_sym_preproc_include_token1] = ACTIONS(916),
    [aux_sym_preproc_def_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token1] = ACTIONS(916),
    [aux_sym_preproc_if_token2] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(916),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(916),
    [sym_preproc_directive] = ACTIONS(916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(916),
    [anon_sym___clrcall] = ACTIONS(916),
    [anon_sym___stdcall] = ACTIONS(916),
    [anon_sym___fastcall] = ACTIONS(916),
    [anon_sym___thiscall] = ACTIONS(916),
    [anon_sym___vectorcall] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1519),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1241),
    [aux_sym_preproc_include_token1] = ACTIONS(912),
    [aux_sym_preproc_def_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token1] = ACTIONS(912),
    [aux_sym_preproc_if_token2] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(912),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(912),
    [sym_preproc_directive] = ACTIONS(912),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(912),
    [anon_sym___clrcall] = ACTIONS(912),
    [anon_sym___stdcall] = ACTIONS(912),
    [anon_sym___fastcall] = ACTIONS(912),
    [anon_sym___thiscall] = ACTIONS(912),
    [anon_sym___vectorcall] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_seh_try_statement] = STATE(81),
    [sym_seh_leave_statement] = STATE(81),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(81),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_seh_try_statement] = STATE(81),
    [sym_seh_leave_statement] = STATE(81),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(81),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(928),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(931),
    [anon_sym_STAR] = ACTIONS(934),
    [anon_sym_AMP] = ACTIONS(934),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym___extension__] = ACTIONS(1151),
    [anon_sym_typedef] = ACTIONS(1154),
    [anon_sym_extern] = ACTIONS(946),
    [anon_sym___attribute__] = ACTIONS(949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(952),
    [anon_sym___declspec] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_signed] = ACTIONS(961),
    [anon_sym_unsigned] = ACTIONS(961),
    [anon_sym_long] = ACTIONS(961),
    [anon_sym_short] = ACTIONS(961),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_auto] = ACTIONS(946),
    [anon_sym_register] = ACTIONS(946),
    [anon_sym_inline] = ACTIONS(946),
    [anon_sym___inline] = ACTIONS(946),
    [anon_sym___inline__] = ACTIONS(946),
    [anon_sym___forceinline] = ACTIONS(946),
    [anon_sym_thread_local] = ACTIONS(946),
    [anon_sym___thread] = ACTIONS(946),
    [anon_sym_const] = ACTIONS(964),
    [anon_sym_constexpr] = ACTIONS(964),
    [anon_sym_volatile] = ACTIONS(964),
    [anon_sym_restrict] = ACTIONS(964),
    [anon_sym___restrict__] = ACTIONS(964),
    [anon_sym__Atomic] = ACTIONS(964),
    [anon_sym__Noreturn] = ACTIONS(964),
    [anon_sym_noreturn] = ACTIONS(964),
    [sym_primitive_type] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(970),
    [anon_sym_struct] = ACTIONS(973),
    [anon_sym_union] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(1274),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1169),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1178),
    [anon_sym_continue] = ACTIONS(1181),
    [anon_sym_goto] = ACTIONS(1184),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_sizeof] = ACTIONS(1015),
    [anon_sym___alignof__] = ACTIONS(1018),
    [anon_sym___alignof] = ACTIONS(1018),
    [anon_sym__alignof] = ACTIONS(1018),
    [anon_sym_alignof] = ACTIONS(1018),
    [anon_sym__Alignof] = ACTIONS(1018),
    [anon_sym_offsetof] = ACTIONS(1021),
    [anon_sym__Generic] = ACTIONS(1024),
    [anon_sym_asm] = ACTIONS(1027),
    [anon_sym___asm__] = ACTIONS(1027),
    [sym_number_literal] = ACTIONS(1030),
    [anon_sym_L_SQUOTE] = ACTIONS(1033),
    [anon_sym_u_SQUOTE] = ACTIONS(1033),
    [anon_sym_U_SQUOTE] = ACTIONS(1033),
    [anon_sym_u8_SQUOTE] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_L_DQUOTE] = ACTIONS(1036),
    [anon_sym_u_DQUOTE] = ACTIONS(1036),
    [anon_sym_U_DQUOTE] = ACTIONS(1036),
    [anon_sym_u8_DQUOTE] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [sym_true] = ACTIONS(1039),
    [sym_false] = ACTIONS(1039),
    [anon_sym_NULL] = ACTIONS(1042),
    [anon_sym_nullptr] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym_seh_try_statement] = STATE(79),
    [sym_seh_leave_statement] = STATE(79),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(79),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1523),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(530),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_seh_try_statement] = STATE(81),
    [sym_seh_leave_statement] = STATE(81),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [aux_sym_case_statement_repeat1] = STATE(81),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_declaration] = STATE(587),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1518),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__for_statement_body] = STATE(2257),
    [sym__expression] = STATE(1254),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2039),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_declaration] = STATE(587),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1518),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__for_statement_body] = STATE(2202),
    [sym__expression] = STATE(1254),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2039),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_declaration] = STATE(587),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1518),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__for_statement_body] = STATE(2176),
    [sym__expression] = STATE(1254),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2039),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_declaration] = STATE(587),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1518),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__for_statement_body] = STATE(2122),
    [sym__expression] = STATE(1254),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2039),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_declaration] = STATE(587),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1518),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__for_statement_body] = STATE(2276),
    [sym__expression] = STATE(1254),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2039),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_declaration] = STATE(587),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1518),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__for_statement_body] = STATE(2058),
    [sym__expression] = STATE(1254),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2039),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_else_clause] = STATE(115),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [aux_sym_preproc_else_token1] = ACTIONS(1298),
    [aux_sym_preproc_elif_token1] = ACTIONS(1298),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [aux_sym_preproc_else_token1] = ACTIONS(1302),
    [aux_sym_preproc_elif_token1] = ACTIONS(1302),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___except] = ACTIONS(1312),
    [anon_sym___finally] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token2] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [aux_sym_preproc_else_token1] = ACTIONS(1314),
    [aux_sym_preproc_elif_token1] = ACTIONS(1314),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [aux_sym_preproc_else_token1] = ACTIONS(1318),
    [aux_sym_preproc_elif_token1] = ACTIONS(1318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [aux_sym_preproc_else_token1] = ACTIONS(1322),
    [aux_sym_preproc_elif_token1] = ACTIONS(1322),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [aux_sym_preproc_else_token1] = ACTIONS(1326),
    [aux_sym_preproc_elif_token1] = ACTIONS(1326),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [aux_sym_preproc_else_token1] = ACTIONS(1330),
    [aux_sym_preproc_elif_token1] = ACTIONS(1330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [aux_sym_preproc_else_token1] = ACTIONS(1334),
    [aux_sym_preproc_elif_token1] = ACTIONS(1334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1338),
    [aux_sym_preproc_elif_token1] = ACTIONS(1338),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1338),
    [aux_sym_preproc_elif_token1] = ACTIONS(1338),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token2] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [aux_sym_preproc_else_token1] = ACTIONS(1342),
    [aux_sym_preproc_elif_token1] = ACTIONS(1342),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [aux_sym_preproc_else_token1] = ACTIONS(1346),
    [aux_sym_preproc_elif_token1] = ACTIONS(1346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_RPAREN] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___except] = ACTIONS(1352),
    [anon_sym___finally] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [aux_sym_preproc_else_token1] = ACTIONS(1354),
    [aux_sym_preproc_elif_token1] = ACTIONS(1354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(1358),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(1358),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [aux_sym_preproc_else_token1] = ACTIONS(1362),
    [aux_sym_preproc_elif_token1] = ACTIONS(1362),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [aux_sym_preproc_else_token1] = ACTIONS(1366),
    [aux_sym_preproc_elif_token1] = ACTIONS(1366),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [aux_sym_preproc_else_token1] = ACTIONS(1370),
    [aux_sym_preproc_elif_token1] = ACTIONS(1370),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [aux_sym_preproc_else_token1] = ACTIONS(1374),
    [aux_sym_preproc_elif_token1] = ACTIONS(1374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [aux_sym_preproc_else_token1] = ACTIONS(1378),
    [aux_sym_preproc_elif_token1] = ACTIONS(1378),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [aux_sym_preproc_else_token1] = ACTIONS(1382),
    [aux_sym_preproc_elif_token1] = ACTIONS(1382),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [aux_sym_preproc_else_token1] = ACTIONS(1386),
    [aux_sym_preproc_elif_token1] = ACTIONS(1386),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [aux_sym_preproc_else_token1] = ACTIONS(1390),
    [aux_sym_preproc_elif_token1] = ACTIONS(1390),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_else] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [aux_sym_preproc_else_token1] = ACTIONS(1406),
    [aux_sym_preproc_elif_token1] = ACTIONS(1406),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_else] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1414),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym___inline] = ACTIONS(1414),
    [anon_sym___inline__] = ACTIONS(1414),
    [anon_sym___forceinline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym___thread] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym___try] = ACTIONS(1414),
    [anon_sym___leave] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym___alignof__] = ACTIONS(1414),
    [anon_sym___alignof] = ACTIONS(1414),
    [anon_sym__alignof] = ACTIONS(1414),
    [anon_sym_alignof] = ACTIONS(1414),
    [anon_sym__Alignof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [aux_sym_preproc_else_token1] = ACTIONS(1418),
    [aux_sym_preproc_elif_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1418),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym___inline] = ACTIONS(1418),
    [anon_sym___inline__] = ACTIONS(1418),
    [anon_sym___forceinline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym___thread] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym___try] = ACTIONS(1418),
    [anon_sym___leave] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym___alignof__] = ACTIONS(1418),
    [anon_sym___alignof] = ACTIONS(1418),
    [anon_sym__alignof] = ACTIONS(1418),
    [anon_sym_alignof] = ACTIONS(1418),
    [anon_sym__Alignof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1422),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym___inline] = ACTIONS(1422),
    [anon_sym___inline__] = ACTIONS(1422),
    [anon_sym___forceinline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym___thread] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym___try] = ACTIONS(1422),
    [anon_sym___leave] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym___alignof__] = ACTIONS(1422),
    [anon_sym___alignof] = ACTIONS(1422),
    [anon_sym__alignof] = ACTIONS(1422),
    [anon_sym_alignof] = ACTIONS(1422),
    [anon_sym__Alignof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [aux_sym_preproc_else_token1] = ACTIONS(1426),
    [aux_sym_preproc_elif_token1] = ACTIONS(1426),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1426),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym___inline] = ACTIONS(1426),
    [anon_sym___inline__] = ACTIONS(1426),
    [anon_sym___forceinline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym___thread] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym___try] = ACTIONS(1426),
    [anon_sym___leave] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym___alignof__] = ACTIONS(1426),
    [anon_sym___alignof] = ACTIONS(1426),
    [anon_sym__alignof] = ACTIONS(1426),
    [anon_sym_alignof] = ACTIONS(1426),
    [anon_sym__Alignof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1430),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym___inline] = ACTIONS(1430),
    [anon_sym___inline__] = ACTIONS(1430),
    [anon_sym___forceinline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym___thread] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym___alignof__] = ACTIONS(1430),
    [anon_sym___alignof] = ACTIONS(1430),
    [anon_sym__alignof] = ACTIONS(1430),
    [anon_sym_alignof] = ACTIONS(1430),
    [anon_sym__Alignof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1434),
    [anon_sym_typedef] = ACTIONS(1434),
    [anon_sym_extern] = ACTIONS(1434),
    [anon_sym___attribute__] = ACTIONS(1434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1436),
    [anon_sym___declspec] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(1434),
    [anon_sym_unsigned] = ACTIONS(1434),
    [anon_sym_long] = ACTIONS(1434),
    [anon_sym_short] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_auto] = ACTIONS(1434),
    [anon_sym_register] = ACTIONS(1434),
    [anon_sym_inline] = ACTIONS(1434),
    [anon_sym___inline] = ACTIONS(1434),
    [anon_sym___inline__] = ACTIONS(1434),
    [anon_sym___forceinline] = ACTIONS(1434),
    [anon_sym_thread_local] = ACTIONS(1434),
    [anon_sym___thread] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(1434),
    [anon_sym_constexpr] = ACTIONS(1434),
    [anon_sym_volatile] = ACTIONS(1434),
    [anon_sym_restrict] = ACTIONS(1434),
    [anon_sym___restrict__] = ACTIONS(1434),
    [anon_sym__Atomic] = ACTIONS(1434),
    [anon_sym__Noreturn] = ACTIONS(1434),
    [anon_sym_noreturn] = ACTIONS(1434),
    [sym_primitive_type] = ACTIONS(1434),
    [anon_sym_enum] = ACTIONS(1434),
    [anon_sym_struct] = ACTIONS(1434),
    [anon_sym_union] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_do] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_break] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_goto] = ACTIONS(1434),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_sizeof] = ACTIONS(1434),
    [anon_sym___alignof__] = ACTIONS(1434),
    [anon_sym___alignof] = ACTIONS(1434),
    [anon_sym__alignof] = ACTIONS(1434),
    [anon_sym_alignof] = ACTIONS(1434),
    [anon_sym__Alignof] = ACTIONS(1434),
    [anon_sym_offsetof] = ACTIONS(1434),
    [anon_sym__Generic] = ACTIONS(1434),
    [anon_sym_asm] = ACTIONS(1434),
    [anon_sym___asm__] = ACTIONS(1434),
    [sym_number_literal] = ACTIONS(1436),
    [anon_sym_L_SQUOTE] = ACTIONS(1436),
    [anon_sym_u_SQUOTE] = ACTIONS(1436),
    [anon_sym_U_SQUOTE] = ACTIONS(1436),
    [anon_sym_u8_SQUOTE] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_L_DQUOTE] = ACTIONS(1436),
    [anon_sym_u_DQUOTE] = ACTIONS(1436),
    [anon_sym_U_DQUOTE] = ACTIONS(1436),
    [anon_sym_u8_DQUOTE] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [sym_true] = ACTIONS(1434),
    [sym_false] = ACTIONS(1434),
    [anon_sym_NULL] = ACTIONS(1434),
    [anon_sym_nullptr] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [aux_sym_preproc_else_token1] = ACTIONS(1438),
    [aux_sym_preproc_elif_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1438),
    [anon_sym_typedef] = ACTIONS(1438),
    [anon_sym_extern] = ACTIONS(1438),
    [anon_sym___attribute__] = ACTIONS(1438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1440),
    [anon_sym___declspec] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(1438),
    [anon_sym_unsigned] = ACTIONS(1438),
    [anon_sym_long] = ACTIONS(1438),
    [anon_sym_short] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_auto] = ACTIONS(1438),
    [anon_sym_register] = ACTIONS(1438),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym___inline] = ACTIONS(1438),
    [anon_sym___inline__] = ACTIONS(1438),
    [anon_sym___forceinline] = ACTIONS(1438),
    [anon_sym_thread_local] = ACTIONS(1438),
    [anon_sym___thread] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_constexpr] = ACTIONS(1438),
    [anon_sym_volatile] = ACTIONS(1438),
    [anon_sym_restrict] = ACTIONS(1438),
    [anon_sym___restrict__] = ACTIONS(1438),
    [anon_sym__Atomic] = ACTIONS(1438),
    [anon_sym__Noreturn] = ACTIONS(1438),
    [anon_sym_noreturn] = ACTIONS(1438),
    [sym_primitive_type] = ACTIONS(1438),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_struct] = ACTIONS(1438),
    [anon_sym_union] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym___try] = ACTIONS(1438),
    [anon_sym___leave] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_sizeof] = ACTIONS(1438),
    [anon_sym___alignof__] = ACTIONS(1438),
    [anon_sym___alignof] = ACTIONS(1438),
    [anon_sym__alignof] = ACTIONS(1438),
    [anon_sym_alignof] = ACTIONS(1438),
    [anon_sym__Alignof] = ACTIONS(1438),
    [anon_sym_offsetof] = ACTIONS(1438),
    [anon_sym__Generic] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym___asm__] = ACTIONS(1438),
    [sym_number_literal] = ACTIONS(1440),
    [anon_sym_L_SQUOTE] = ACTIONS(1440),
    [anon_sym_u_SQUOTE] = ACTIONS(1440),
    [anon_sym_U_SQUOTE] = ACTIONS(1440),
    [anon_sym_u8_SQUOTE] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_L_DQUOTE] = ACTIONS(1440),
    [anon_sym_u_DQUOTE] = ACTIONS(1440),
    [anon_sym_U_DQUOTE] = ACTIONS(1440),
    [anon_sym_u8_DQUOTE] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_NULL] = ACTIONS(1438),
    [anon_sym_nullptr] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1442),
    [aux_sym_preproc_def_token1] = ACTIONS(1442),
    [aux_sym_preproc_if_token1] = ACTIONS(1442),
    [aux_sym_preproc_if_token2] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(1442),
    [aux_sym_preproc_elif_token1] = ACTIONS(1442),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1442),
    [sym_preproc_directive] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1444),
    [anon_sym_AMP] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1442),
    [anon_sym_typedef] = ACTIONS(1442),
    [anon_sym_extern] = ACTIONS(1442),
    [anon_sym___attribute__] = ACTIONS(1442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1444),
    [anon_sym___declspec] = ACTIONS(1442),
    [anon_sym___cdecl] = ACTIONS(1442),
    [anon_sym___clrcall] = ACTIONS(1442),
    [anon_sym___stdcall] = ACTIONS(1442),
    [anon_sym___fastcall] = ACTIONS(1442),
    [anon_sym___thiscall] = ACTIONS(1442),
    [anon_sym___vectorcall] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_signed] = ACTIONS(1442),
    [anon_sym_unsigned] = ACTIONS(1442),
    [anon_sym_long] = ACTIONS(1442),
    [anon_sym_short] = ACTIONS(1442),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_auto] = ACTIONS(1442),
    [anon_sym_register] = ACTIONS(1442),
    [anon_sym_inline] = ACTIONS(1442),
    [anon_sym___inline] = ACTIONS(1442),
    [anon_sym___inline__] = ACTIONS(1442),
    [anon_sym___forceinline] = ACTIONS(1442),
    [anon_sym_thread_local] = ACTIONS(1442),
    [anon_sym___thread] = ACTIONS(1442),
    [anon_sym_const] = ACTIONS(1442),
    [anon_sym_constexpr] = ACTIONS(1442),
    [anon_sym_volatile] = ACTIONS(1442),
    [anon_sym_restrict] = ACTIONS(1442),
    [anon_sym___restrict__] = ACTIONS(1442),
    [anon_sym__Atomic] = ACTIONS(1442),
    [anon_sym__Noreturn] = ACTIONS(1442),
    [anon_sym_noreturn] = ACTIONS(1442),
    [sym_primitive_type] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_struct] = ACTIONS(1442),
    [anon_sym_union] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_case] = ACTIONS(1442),
    [anon_sym_default] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_break] = ACTIONS(1442),
    [anon_sym_continue] = ACTIONS(1442),
    [anon_sym_goto] = ACTIONS(1442),
    [anon_sym___try] = ACTIONS(1442),
    [anon_sym___leave] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_sizeof] = ACTIONS(1442),
    [anon_sym___alignof__] = ACTIONS(1442),
    [anon_sym___alignof] = ACTIONS(1442),
    [anon_sym__alignof] = ACTIONS(1442),
    [anon_sym_alignof] = ACTIONS(1442),
    [anon_sym__Alignof] = ACTIONS(1442),
    [anon_sym_offsetof] = ACTIONS(1442),
    [anon_sym__Generic] = ACTIONS(1442),
    [anon_sym_asm] = ACTIONS(1442),
    [anon_sym___asm__] = ACTIONS(1442),
    [sym_number_literal] = ACTIONS(1444),
    [anon_sym_L_SQUOTE] = ACTIONS(1444),
    [anon_sym_u_SQUOTE] = ACTIONS(1444),
    [anon_sym_U_SQUOTE] = ACTIONS(1444),
    [anon_sym_u8_SQUOTE] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_L_DQUOTE] = ACTIONS(1444),
    [anon_sym_u_DQUOTE] = ACTIONS(1444),
    [anon_sym_U_DQUOTE] = ACTIONS(1444),
    [anon_sym_u8_DQUOTE] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [sym_true] = ACTIONS(1442),
    [sym_false] = ACTIONS(1442),
    [anon_sym_NULL] = ACTIONS(1442),
    [anon_sym_nullptr] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1446),
    [aux_sym_preproc_def_token1] = ACTIONS(1446),
    [aux_sym_preproc_if_token1] = ACTIONS(1446),
    [aux_sym_preproc_if_token2] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1446),
    [aux_sym_preproc_else_token1] = ACTIONS(1446),
    [aux_sym_preproc_elif_token1] = ACTIONS(1446),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1446),
    [sym_preproc_directive] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(1446),
    [anon_sym_extern] = ACTIONS(1446),
    [anon_sym___attribute__] = ACTIONS(1446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1448),
    [anon_sym___declspec] = ACTIONS(1446),
    [anon_sym___cdecl] = ACTIONS(1446),
    [anon_sym___clrcall] = ACTIONS(1446),
    [anon_sym___stdcall] = ACTIONS(1446),
    [anon_sym___fastcall] = ACTIONS(1446),
    [anon_sym___thiscall] = ACTIONS(1446),
    [anon_sym___vectorcall] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_signed] = ACTIONS(1446),
    [anon_sym_unsigned] = ACTIONS(1446),
    [anon_sym_long] = ACTIONS(1446),
    [anon_sym_short] = ACTIONS(1446),
    [anon_sym_static] = ACTIONS(1446),
    [anon_sym_auto] = ACTIONS(1446),
    [anon_sym_register] = ACTIONS(1446),
    [anon_sym_inline] = ACTIONS(1446),
    [anon_sym___inline] = ACTIONS(1446),
    [anon_sym___inline__] = ACTIONS(1446),
    [anon_sym___forceinline] = ACTIONS(1446),
    [anon_sym_thread_local] = ACTIONS(1446),
    [anon_sym___thread] = ACTIONS(1446),
    [anon_sym_const] = ACTIONS(1446),
    [anon_sym_constexpr] = ACTIONS(1446),
    [anon_sym_volatile] = ACTIONS(1446),
    [anon_sym_restrict] = ACTIONS(1446),
    [anon_sym___restrict__] = ACTIONS(1446),
    [anon_sym__Atomic] = ACTIONS(1446),
    [anon_sym__Noreturn] = ACTIONS(1446),
    [anon_sym_noreturn] = ACTIONS(1446),
    [sym_primitive_type] = ACTIONS(1446),
    [anon_sym_enum] = ACTIONS(1446),
    [anon_sym_struct] = ACTIONS(1446),
    [anon_sym_union] = ACTIONS(1446),
    [anon_sym_if] = ACTIONS(1446),
    [anon_sym_switch] = ACTIONS(1446),
    [anon_sym_case] = ACTIONS(1446),
    [anon_sym_default] = ACTIONS(1446),
    [anon_sym_while] = ACTIONS(1446),
    [anon_sym_do] = ACTIONS(1446),
    [anon_sym_for] = ACTIONS(1446),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_break] = ACTIONS(1446),
    [anon_sym_continue] = ACTIONS(1446),
    [anon_sym_goto] = ACTIONS(1446),
    [anon_sym___try] = ACTIONS(1446),
    [anon_sym___leave] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_sizeof] = ACTIONS(1446),
    [anon_sym___alignof__] = ACTIONS(1446),
    [anon_sym___alignof] = ACTIONS(1446),
    [anon_sym__alignof] = ACTIONS(1446),
    [anon_sym_alignof] = ACTIONS(1446),
    [anon_sym__Alignof] = ACTIONS(1446),
    [anon_sym_offsetof] = ACTIONS(1446),
    [anon_sym__Generic] = ACTIONS(1446),
    [anon_sym_asm] = ACTIONS(1446),
    [anon_sym___asm__] = ACTIONS(1446),
    [sym_number_literal] = ACTIONS(1448),
    [anon_sym_L_SQUOTE] = ACTIONS(1448),
    [anon_sym_u_SQUOTE] = ACTIONS(1448),
    [anon_sym_U_SQUOTE] = ACTIONS(1448),
    [anon_sym_u8_SQUOTE] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_L_DQUOTE] = ACTIONS(1448),
    [anon_sym_u_DQUOTE] = ACTIONS(1448),
    [anon_sym_U_DQUOTE] = ACTIONS(1448),
    [anon_sym_u8_DQUOTE] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [sym_true] = ACTIONS(1446),
    [sym_false] = ACTIONS(1446),
    [anon_sym_NULL] = ACTIONS(1446),
    [anon_sym_nullptr] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1450),
    [aux_sym_preproc_include_token1] = ACTIONS(1450),
    [aux_sym_preproc_def_token1] = ACTIONS(1450),
    [aux_sym_preproc_if_token1] = ACTIONS(1450),
    [aux_sym_preproc_if_token2] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1450),
    [aux_sym_preproc_else_token1] = ACTIONS(1450),
    [aux_sym_preproc_elif_token1] = ACTIONS(1450),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1450),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1450),
    [sym_preproc_directive] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(1450),
    [anon_sym_extern] = ACTIONS(1450),
    [anon_sym___attribute__] = ACTIONS(1450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1452),
    [anon_sym___declspec] = ACTIONS(1450),
    [anon_sym___cdecl] = ACTIONS(1450),
    [anon_sym___clrcall] = ACTIONS(1450),
    [anon_sym___stdcall] = ACTIONS(1450),
    [anon_sym___fastcall] = ACTIONS(1450),
    [anon_sym___thiscall] = ACTIONS(1450),
    [anon_sym___vectorcall] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_signed] = ACTIONS(1450),
    [anon_sym_unsigned] = ACTIONS(1450),
    [anon_sym_long] = ACTIONS(1450),
    [anon_sym_short] = ACTIONS(1450),
    [anon_sym_static] = ACTIONS(1450),
    [anon_sym_auto] = ACTIONS(1450),
    [anon_sym_register] = ACTIONS(1450),
    [anon_sym_inline] = ACTIONS(1450),
    [anon_sym___inline] = ACTIONS(1450),
    [anon_sym___inline__] = ACTIONS(1450),
    [anon_sym___forceinline] = ACTIONS(1450),
    [anon_sym_thread_local] = ACTIONS(1450),
    [anon_sym___thread] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_constexpr] = ACTIONS(1450),
    [anon_sym_volatile] = ACTIONS(1450),
    [anon_sym_restrict] = ACTIONS(1450),
    [anon_sym___restrict__] = ACTIONS(1450),
    [anon_sym__Atomic] = ACTIONS(1450),
    [anon_sym__Noreturn] = ACTIONS(1450),
    [anon_sym_noreturn] = ACTIONS(1450),
    [sym_primitive_type] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_struct] = ACTIONS(1450),
    [anon_sym_union] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_case] = ACTIONS(1450),
    [anon_sym_default] = ACTIONS(1450),
    [anon_sym_while] = ACTIONS(1450),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym___try] = ACTIONS(1450),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_sizeof] = ACTIONS(1450),
    [anon_sym___alignof__] = ACTIONS(1450),
    [anon_sym___alignof] = ACTIONS(1450),
    [anon_sym__alignof] = ACTIONS(1450),
    [anon_sym_alignof] = ACTIONS(1450),
    [anon_sym__Alignof] = ACTIONS(1450),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym___asm__] = ACTIONS(1450),
    [sym_number_literal] = ACTIONS(1452),
    [anon_sym_L_SQUOTE] = ACTIONS(1452),
    [anon_sym_u_SQUOTE] = ACTIONS(1452),
    [anon_sym_U_SQUOTE] = ACTIONS(1452),
    [anon_sym_u8_SQUOTE] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_L_DQUOTE] = ACTIONS(1452),
    [anon_sym_u_DQUOTE] = ACTIONS(1452),
    [anon_sym_U_DQUOTE] = ACTIONS(1452),
    [anon_sym_u8_DQUOTE] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_NULL] = ACTIONS(1450),
    [anon_sym_nullptr] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1454),
    [aux_sym_preproc_include_token1] = ACTIONS(1454),
    [aux_sym_preproc_def_token1] = ACTIONS(1454),
    [aux_sym_preproc_if_token1] = ACTIONS(1454),
    [aux_sym_preproc_if_token2] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1454),
    [aux_sym_preproc_else_token1] = ACTIONS(1454),
    [aux_sym_preproc_elif_token1] = ACTIONS(1454),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1454),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1454),
    [sym_preproc_directive] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1454),
    [anon_sym_typedef] = ACTIONS(1454),
    [anon_sym_extern] = ACTIONS(1454),
    [anon_sym___attribute__] = ACTIONS(1454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1456),
    [anon_sym___declspec] = ACTIONS(1454),
    [anon_sym___cdecl] = ACTIONS(1454),
    [anon_sym___clrcall] = ACTIONS(1454),
    [anon_sym___stdcall] = ACTIONS(1454),
    [anon_sym___fastcall] = ACTIONS(1454),
    [anon_sym___thiscall] = ACTIONS(1454),
    [anon_sym___vectorcall] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_signed] = ACTIONS(1454),
    [anon_sym_unsigned] = ACTIONS(1454),
    [anon_sym_long] = ACTIONS(1454),
    [anon_sym_short] = ACTIONS(1454),
    [anon_sym_static] = ACTIONS(1454),
    [anon_sym_auto] = ACTIONS(1454),
    [anon_sym_register] = ACTIONS(1454),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym___inline] = ACTIONS(1454),
    [anon_sym___inline__] = ACTIONS(1454),
    [anon_sym___forceinline] = ACTIONS(1454),
    [anon_sym_thread_local] = ACTIONS(1454),
    [anon_sym___thread] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_constexpr] = ACTIONS(1454),
    [anon_sym_volatile] = ACTIONS(1454),
    [anon_sym_restrict] = ACTIONS(1454),
    [anon_sym___restrict__] = ACTIONS(1454),
    [anon_sym__Atomic] = ACTIONS(1454),
    [anon_sym__Noreturn] = ACTIONS(1454),
    [anon_sym_noreturn] = ACTIONS(1454),
    [sym_primitive_type] = ACTIONS(1454),
    [anon_sym_enum] = ACTIONS(1454),
    [anon_sym_struct] = ACTIONS(1454),
    [anon_sym_union] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_switch] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1454),
    [anon_sym_default] = ACTIONS(1454),
    [anon_sym_while] = ACTIONS(1454),
    [anon_sym_do] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym___try] = ACTIONS(1454),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_sizeof] = ACTIONS(1454),
    [anon_sym___alignof__] = ACTIONS(1454),
    [anon_sym___alignof] = ACTIONS(1454),
    [anon_sym__alignof] = ACTIONS(1454),
    [anon_sym_alignof] = ACTIONS(1454),
    [anon_sym__Alignof] = ACTIONS(1454),
    [anon_sym_offsetof] = ACTIONS(1454),
    [anon_sym__Generic] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym___asm__] = ACTIONS(1454),
    [sym_number_literal] = ACTIONS(1456),
    [anon_sym_L_SQUOTE] = ACTIONS(1456),
    [anon_sym_u_SQUOTE] = ACTIONS(1456),
    [anon_sym_U_SQUOTE] = ACTIONS(1456),
    [anon_sym_u8_SQUOTE] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_L_DQUOTE] = ACTIONS(1456),
    [anon_sym_u_DQUOTE] = ACTIONS(1456),
    [anon_sym_U_DQUOTE] = ACTIONS(1456),
    [anon_sym_u8_DQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_NULL] = ACTIONS(1454),
    [anon_sym_nullptr] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1458),
    [aux_sym_preproc_include_token1] = ACTIONS(1458),
    [aux_sym_preproc_def_token1] = ACTIONS(1458),
    [aux_sym_preproc_if_token1] = ACTIONS(1458),
    [aux_sym_preproc_if_token2] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1458),
    [aux_sym_preproc_else_token1] = ACTIONS(1458),
    [aux_sym_preproc_elif_token1] = ACTIONS(1458),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1458),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1458),
    [sym_preproc_directive] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(1458),
    [anon_sym_extern] = ACTIONS(1458),
    [anon_sym___attribute__] = ACTIONS(1458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1460),
    [anon_sym___declspec] = ACTIONS(1458),
    [anon_sym___cdecl] = ACTIONS(1458),
    [anon_sym___clrcall] = ACTIONS(1458),
    [anon_sym___stdcall] = ACTIONS(1458),
    [anon_sym___fastcall] = ACTIONS(1458),
    [anon_sym___thiscall] = ACTIONS(1458),
    [anon_sym___vectorcall] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_signed] = ACTIONS(1458),
    [anon_sym_unsigned] = ACTIONS(1458),
    [anon_sym_long] = ACTIONS(1458),
    [anon_sym_short] = ACTIONS(1458),
    [anon_sym_static] = ACTIONS(1458),
    [anon_sym_auto] = ACTIONS(1458),
    [anon_sym_register] = ACTIONS(1458),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym___inline] = ACTIONS(1458),
    [anon_sym___inline__] = ACTIONS(1458),
    [anon_sym___forceinline] = ACTIONS(1458),
    [anon_sym_thread_local] = ACTIONS(1458),
    [anon_sym___thread] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_constexpr] = ACTIONS(1458),
    [anon_sym_volatile] = ACTIONS(1458),
    [anon_sym_restrict] = ACTIONS(1458),
    [anon_sym___restrict__] = ACTIONS(1458),
    [anon_sym__Atomic] = ACTIONS(1458),
    [anon_sym__Noreturn] = ACTIONS(1458),
    [anon_sym_noreturn] = ACTIONS(1458),
    [sym_primitive_type] = ACTIONS(1458),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_struct] = ACTIONS(1458),
    [anon_sym_union] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_case] = ACTIONS(1458),
    [anon_sym_default] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_do] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym___try] = ACTIONS(1458),
    [anon_sym___leave] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_sizeof] = ACTIONS(1458),
    [anon_sym___alignof__] = ACTIONS(1458),
    [anon_sym___alignof] = ACTIONS(1458),
    [anon_sym__alignof] = ACTIONS(1458),
    [anon_sym_alignof] = ACTIONS(1458),
    [anon_sym__Alignof] = ACTIONS(1458),
    [anon_sym_offsetof] = ACTIONS(1458),
    [anon_sym__Generic] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym___asm__] = ACTIONS(1458),
    [sym_number_literal] = ACTIONS(1460),
    [anon_sym_L_SQUOTE] = ACTIONS(1460),
    [anon_sym_u_SQUOTE] = ACTIONS(1460),
    [anon_sym_U_SQUOTE] = ACTIONS(1460),
    [anon_sym_u8_SQUOTE] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_L_DQUOTE] = ACTIONS(1460),
    [anon_sym_u_DQUOTE] = ACTIONS(1460),
    [anon_sym_U_DQUOTE] = ACTIONS(1460),
    [anon_sym_u8_DQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_NULL] = ACTIONS(1458),
    [anon_sym_nullptr] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1462),
    [aux_sym_preproc_include_token1] = ACTIONS(1462),
    [aux_sym_preproc_def_token1] = ACTIONS(1462),
    [aux_sym_preproc_if_token1] = ACTIONS(1462),
    [aux_sym_preproc_if_token2] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1462),
    [aux_sym_preproc_else_token1] = ACTIONS(1462),
    [aux_sym_preproc_elif_token1] = ACTIONS(1462),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1462),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1462),
    [sym_preproc_directive] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1462),
    [anon_sym_typedef] = ACTIONS(1462),
    [anon_sym_extern] = ACTIONS(1462),
    [anon_sym___attribute__] = ACTIONS(1462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1464),
    [anon_sym___declspec] = ACTIONS(1462),
    [anon_sym___cdecl] = ACTIONS(1462),
    [anon_sym___clrcall] = ACTIONS(1462),
    [anon_sym___stdcall] = ACTIONS(1462),
    [anon_sym___fastcall] = ACTIONS(1462),
    [anon_sym___thiscall] = ACTIONS(1462),
    [anon_sym___vectorcall] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_signed] = ACTIONS(1462),
    [anon_sym_unsigned] = ACTIONS(1462),
    [anon_sym_long] = ACTIONS(1462),
    [anon_sym_short] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1462),
    [anon_sym_auto] = ACTIONS(1462),
    [anon_sym_register] = ACTIONS(1462),
    [anon_sym_inline] = ACTIONS(1462),
    [anon_sym___inline] = ACTIONS(1462),
    [anon_sym___inline__] = ACTIONS(1462),
    [anon_sym___forceinline] = ACTIONS(1462),
    [anon_sym_thread_local] = ACTIONS(1462),
    [anon_sym___thread] = ACTIONS(1462),
    [anon_sym_const] = ACTIONS(1462),
    [anon_sym_constexpr] = ACTIONS(1462),
    [anon_sym_volatile] = ACTIONS(1462),
    [anon_sym_restrict] = ACTIONS(1462),
    [anon_sym___restrict__] = ACTIONS(1462),
    [anon_sym__Atomic] = ACTIONS(1462),
    [anon_sym__Noreturn] = ACTIONS(1462),
    [anon_sym_noreturn] = ACTIONS(1462),
    [sym_primitive_type] = ACTIONS(1462),
    [anon_sym_enum] = ACTIONS(1462),
    [anon_sym_struct] = ACTIONS(1462),
    [anon_sym_union] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_switch] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1462),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_do] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_break] = ACTIONS(1462),
    [anon_sym_continue] = ACTIONS(1462),
    [anon_sym_goto] = ACTIONS(1462),
    [anon_sym___try] = ACTIONS(1462),
    [anon_sym___leave] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1462),
    [anon_sym___alignof__] = ACTIONS(1462),
    [anon_sym___alignof] = ACTIONS(1462),
    [anon_sym__alignof] = ACTIONS(1462),
    [anon_sym_alignof] = ACTIONS(1462),
    [anon_sym__Alignof] = ACTIONS(1462),
    [anon_sym_offsetof] = ACTIONS(1462),
    [anon_sym__Generic] = ACTIONS(1462),
    [anon_sym_asm] = ACTIONS(1462),
    [anon_sym___asm__] = ACTIONS(1462),
    [sym_number_literal] = ACTIONS(1464),
    [anon_sym_L_SQUOTE] = ACTIONS(1464),
    [anon_sym_u_SQUOTE] = ACTIONS(1464),
    [anon_sym_U_SQUOTE] = ACTIONS(1464),
    [anon_sym_u8_SQUOTE] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_L_DQUOTE] = ACTIONS(1464),
    [anon_sym_u_DQUOTE] = ACTIONS(1464),
    [anon_sym_U_DQUOTE] = ACTIONS(1464),
    [anon_sym_u8_DQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [anon_sym_NULL] = ACTIONS(1462),
    [anon_sym_nullptr] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1466),
    [aux_sym_preproc_include_token1] = ACTIONS(1466),
    [aux_sym_preproc_def_token1] = ACTIONS(1466),
    [aux_sym_preproc_if_token1] = ACTIONS(1466),
    [aux_sym_preproc_if_token2] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1466),
    [aux_sym_preproc_else_token1] = ACTIONS(1466),
    [aux_sym_preproc_elif_token1] = ACTIONS(1466),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1466),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1466),
    [sym_preproc_directive] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1466),
    [anon_sym_typedef] = ACTIONS(1466),
    [anon_sym_extern] = ACTIONS(1466),
    [anon_sym___attribute__] = ACTIONS(1466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1468),
    [anon_sym___declspec] = ACTIONS(1466),
    [anon_sym___cdecl] = ACTIONS(1466),
    [anon_sym___clrcall] = ACTIONS(1466),
    [anon_sym___stdcall] = ACTIONS(1466),
    [anon_sym___fastcall] = ACTIONS(1466),
    [anon_sym___thiscall] = ACTIONS(1466),
    [anon_sym___vectorcall] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_signed] = ACTIONS(1466),
    [anon_sym_unsigned] = ACTIONS(1466),
    [anon_sym_long] = ACTIONS(1466),
    [anon_sym_short] = ACTIONS(1466),
    [anon_sym_static] = ACTIONS(1466),
    [anon_sym_auto] = ACTIONS(1466),
    [anon_sym_register] = ACTIONS(1466),
    [anon_sym_inline] = ACTIONS(1466),
    [anon_sym___inline] = ACTIONS(1466),
    [anon_sym___inline__] = ACTIONS(1466),
    [anon_sym___forceinline] = ACTIONS(1466),
    [anon_sym_thread_local] = ACTIONS(1466),
    [anon_sym___thread] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_constexpr] = ACTIONS(1466),
    [anon_sym_volatile] = ACTIONS(1466),
    [anon_sym_restrict] = ACTIONS(1466),
    [anon_sym___restrict__] = ACTIONS(1466),
    [anon_sym__Atomic] = ACTIONS(1466),
    [anon_sym__Noreturn] = ACTIONS(1466),
    [anon_sym_noreturn] = ACTIONS(1466),
    [sym_primitive_type] = ACTIONS(1466),
    [anon_sym_enum] = ACTIONS(1466),
    [anon_sym_struct] = ACTIONS(1466),
    [anon_sym_union] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_switch] = ACTIONS(1466),
    [anon_sym_case] = ACTIONS(1466),
    [anon_sym_default] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_do] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym___try] = ACTIONS(1466),
    [anon_sym___leave] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_sizeof] = ACTIONS(1466),
    [anon_sym___alignof__] = ACTIONS(1466),
    [anon_sym___alignof] = ACTIONS(1466),
    [anon_sym__alignof] = ACTIONS(1466),
    [anon_sym_alignof] = ACTIONS(1466),
    [anon_sym__Alignof] = ACTIONS(1466),
    [anon_sym_offsetof] = ACTIONS(1466),
    [anon_sym__Generic] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym___asm__] = ACTIONS(1466),
    [sym_number_literal] = ACTIONS(1468),
    [anon_sym_L_SQUOTE] = ACTIONS(1468),
    [anon_sym_u_SQUOTE] = ACTIONS(1468),
    [anon_sym_U_SQUOTE] = ACTIONS(1468),
    [anon_sym_u8_SQUOTE] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_L_DQUOTE] = ACTIONS(1468),
    [anon_sym_u_DQUOTE] = ACTIONS(1468),
    [anon_sym_U_DQUOTE] = ACTIONS(1468),
    [anon_sym_u8_DQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_NULL] = ACTIONS(1466),
    [anon_sym_nullptr] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1470),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token2] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1470),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1470),
    [anon_sym_typedef] = ACTIONS(1470),
    [anon_sym_extern] = ACTIONS(1470),
    [anon_sym___attribute__] = ACTIONS(1470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1472),
    [anon_sym___declspec] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_signed] = ACTIONS(1470),
    [anon_sym_unsigned] = ACTIONS(1470),
    [anon_sym_long] = ACTIONS(1470),
    [anon_sym_short] = ACTIONS(1470),
    [anon_sym_static] = ACTIONS(1470),
    [anon_sym_auto] = ACTIONS(1470),
    [anon_sym_register] = ACTIONS(1470),
    [anon_sym_inline] = ACTIONS(1470),
    [anon_sym___inline] = ACTIONS(1470),
    [anon_sym___inline__] = ACTIONS(1470),
    [anon_sym___forceinline] = ACTIONS(1470),
    [anon_sym_thread_local] = ACTIONS(1470),
    [anon_sym___thread] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_constexpr] = ACTIONS(1470),
    [anon_sym_volatile] = ACTIONS(1470),
    [anon_sym_restrict] = ACTIONS(1470),
    [anon_sym___restrict__] = ACTIONS(1470),
    [anon_sym__Atomic] = ACTIONS(1470),
    [anon_sym__Noreturn] = ACTIONS(1470),
    [anon_sym_noreturn] = ACTIONS(1470),
    [sym_primitive_type] = ACTIONS(1470),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_struct] = ACTIONS(1470),
    [anon_sym_union] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(1470),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_do] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym___try] = ACTIONS(1470),
    [anon_sym___leave] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1470),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1470),
    [anon_sym__Generic] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym___asm__] = ACTIONS(1470),
    [sym_number_literal] = ACTIONS(1472),
    [anon_sym_L_SQUOTE] = ACTIONS(1472),
    [anon_sym_u_SQUOTE] = ACTIONS(1472),
    [anon_sym_U_SQUOTE] = ACTIONS(1472),
    [anon_sym_u8_SQUOTE] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_L_DQUOTE] = ACTIONS(1472),
    [anon_sym_u_DQUOTE] = ACTIONS(1472),
    [anon_sym_U_DQUOTE] = ACTIONS(1472),
    [anon_sym_u8_DQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_NULL] = ACTIONS(1470),
    [anon_sym_nullptr] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1474),
    [aux_sym_preproc_include_token1] = ACTIONS(1474),
    [aux_sym_preproc_def_token1] = ACTIONS(1474),
    [aux_sym_preproc_if_token1] = ACTIONS(1474),
    [aux_sym_preproc_if_token2] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1474),
    [aux_sym_preproc_else_token1] = ACTIONS(1474),
    [aux_sym_preproc_elif_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1474),
    [anon_sym_typedef] = ACTIONS(1474),
    [anon_sym_extern] = ACTIONS(1474),
    [anon_sym___attribute__] = ACTIONS(1474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1476),
    [anon_sym___declspec] = ACTIONS(1474),
    [anon_sym___cdecl] = ACTIONS(1474),
    [anon_sym___clrcall] = ACTIONS(1474),
    [anon_sym___stdcall] = ACTIONS(1474),
    [anon_sym___fastcall] = ACTIONS(1474),
    [anon_sym___thiscall] = ACTIONS(1474),
    [anon_sym___vectorcall] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_signed] = ACTIONS(1474),
    [anon_sym_unsigned] = ACTIONS(1474),
    [anon_sym_long] = ACTIONS(1474),
    [anon_sym_short] = ACTIONS(1474),
    [anon_sym_static] = ACTIONS(1474),
    [anon_sym_auto] = ACTIONS(1474),
    [anon_sym_register] = ACTIONS(1474),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym___inline] = ACTIONS(1474),
    [anon_sym___inline__] = ACTIONS(1474),
    [anon_sym___forceinline] = ACTIONS(1474),
    [anon_sym_thread_local] = ACTIONS(1474),
    [anon_sym___thread] = ACTIONS(1474),
    [anon_sym_const] = ACTIONS(1474),
    [anon_sym_constexpr] = ACTIONS(1474),
    [anon_sym_volatile] = ACTIONS(1474),
    [anon_sym_restrict] = ACTIONS(1474),
    [anon_sym___restrict__] = ACTIONS(1474),
    [anon_sym__Atomic] = ACTIONS(1474),
    [anon_sym__Noreturn] = ACTIONS(1474),
    [anon_sym_noreturn] = ACTIONS(1474),
    [sym_primitive_type] = ACTIONS(1474),
    [anon_sym_enum] = ACTIONS(1474),
    [anon_sym_struct] = ACTIONS(1474),
    [anon_sym_union] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_switch] = ACTIONS(1474),
    [anon_sym_case] = ACTIONS(1474),
    [anon_sym_default] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_do] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1474),
    [anon_sym_continue] = ACTIONS(1474),
    [anon_sym_goto] = ACTIONS(1474),
    [anon_sym___try] = ACTIONS(1474),
    [anon_sym___leave] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_sizeof] = ACTIONS(1474),
    [anon_sym___alignof__] = ACTIONS(1474),
    [anon_sym___alignof] = ACTIONS(1474),
    [anon_sym__alignof] = ACTIONS(1474),
    [anon_sym_alignof] = ACTIONS(1474),
    [anon_sym__Alignof] = ACTIONS(1474),
    [anon_sym_offsetof] = ACTIONS(1474),
    [anon_sym__Generic] = ACTIONS(1474),
    [anon_sym_asm] = ACTIONS(1474),
    [anon_sym___asm__] = ACTIONS(1474),
    [sym_number_literal] = ACTIONS(1476),
    [anon_sym_L_SQUOTE] = ACTIONS(1476),
    [anon_sym_u_SQUOTE] = ACTIONS(1476),
    [anon_sym_U_SQUOTE] = ACTIONS(1476),
    [anon_sym_u8_SQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_L_DQUOTE] = ACTIONS(1476),
    [anon_sym_u_DQUOTE] = ACTIONS(1476),
    [anon_sym_U_DQUOTE] = ACTIONS(1476),
    [anon_sym_u8_DQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [anon_sym_NULL] = ACTIONS(1474),
    [anon_sym_nullptr] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1478),
    [aux_sym_preproc_include_token1] = ACTIONS(1478),
    [aux_sym_preproc_def_token1] = ACTIONS(1478),
    [aux_sym_preproc_if_token1] = ACTIONS(1478),
    [aux_sym_preproc_if_token2] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1478),
    [aux_sym_preproc_else_token1] = ACTIONS(1478),
    [aux_sym_preproc_elif_token1] = ACTIONS(1478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1478),
    [sym_preproc_directive] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1478),
    [anon_sym_typedef] = ACTIONS(1478),
    [anon_sym_extern] = ACTIONS(1478),
    [anon_sym___attribute__] = ACTIONS(1478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1480),
    [anon_sym___declspec] = ACTIONS(1478),
    [anon_sym___cdecl] = ACTIONS(1478),
    [anon_sym___clrcall] = ACTIONS(1478),
    [anon_sym___stdcall] = ACTIONS(1478),
    [anon_sym___fastcall] = ACTIONS(1478),
    [anon_sym___thiscall] = ACTIONS(1478),
    [anon_sym___vectorcall] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_signed] = ACTIONS(1478),
    [anon_sym_unsigned] = ACTIONS(1478),
    [anon_sym_long] = ACTIONS(1478),
    [anon_sym_short] = ACTIONS(1478),
    [anon_sym_static] = ACTIONS(1478),
    [anon_sym_auto] = ACTIONS(1478),
    [anon_sym_register] = ACTIONS(1478),
    [anon_sym_inline] = ACTIONS(1478),
    [anon_sym___inline] = ACTIONS(1478),
    [anon_sym___inline__] = ACTIONS(1478),
    [anon_sym___forceinline] = ACTIONS(1478),
    [anon_sym_thread_local] = ACTIONS(1478),
    [anon_sym___thread] = ACTIONS(1478),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_constexpr] = ACTIONS(1478),
    [anon_sym_volatile] = ACTIONS(1478),
    [anon_sym_restrict] = ACTIONS(1478),
    [anon_sym___restrict__] = ACTIONS(1478),
    [anon_sym__Atomic] = ACTIONS(1478),
    [anon_sym__Noreturn] = ACTIONS(1478),
    [anon_sym_noreturn] = ACTIONS(1478),
    [sym_primitive_type] = ACTIONS(1478),
    [anon_sym_enum] = ACTIONS(1478),
    [anon_sym_struct] = ACTIONS(1478),
    [anon_sym_union] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_goto] = ACTIONS(1478),
    [anon_sym___try] = ACTIONS(1478),
    [anon_sym___leave] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_sizeof] = ACTIONS(1478),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1478),
    [anon_sym__Generic] = ACTIONS(1478),
    [anon_sym_asm] = ACTIONS(1478),
    [anon_sym___asm__] = ACTIONS(1478),
    [sym_number_literal] = ACTIONS(1480),
    [anon_sym_L_SQUOTE] = ACTIONS(1480),
    [anon_sym_u_SQUOTE] = ACTIONS(1480),
    [anon_sym_U_SQUOTE] = ACTIONS(1480),
    [anon_sym_u8_SQUOTE] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_L_DQUOTE] = ACTIONS(1480),
    [anon_sym_u_DQUOTE] = ACTIONS(1480),
    [anon_sym_U_DQUOTE] = ACTIONS(1480),
    [anon_sym_u8_DQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [anon_sym_NULL] = ACTIONS(1478),
    [anon_sym_nullptr] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_identifier] = ACTIONS(1482),
    [aux_sym_preproc_include_token1] = ACTIONS(1482),
    [aux_sym_preproc_def_token1] = ACTIONS(1482),
    [aux_sym_preproc_if_token1] = ACTIONS(1482),
    [aux_sym_preproc_if_token2] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1482),
    [aux_sym_preproc_else_token1] = ACTIONS(1482),
    [aux_sym_preproc_elif_token1] = ACTIONS(1482),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1482),
    [sym_preproc_directive] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1482),
    [anon_sym_typedef] = ACTIONS(1482),
    [anon_sym_extern] = ACTIONS(1482),
    [anon_sym___attribute__] = ACTIONS(1482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1484),
    [anon_sym___declspec] = ACTIONS(1482),
    [anon_sym___cdecl] = ACTIONS(1482),
    [anon_sym___clrcall] = ACTIONS(1482),
    [anon_sym___stdcall] = ACTIONS(1482),
    [anon_sym___fastcall] = ACTIONS(1482),
    [anon_sym___thiscall] = ACTIONS(1482),
    [anon_sym___vectorcall] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_signed] = ACTIONS(1482),
    [anon_sym_unsigned] = ACTIONS(1482),
    [anon_sym_long] = ACTIONS(1482),
    [anon_sym_short] = ACTIONS(1482),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_auto] = ACTIONS(1482),
    [anon_sym_register] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(1482),
    [anon_sym___inline] = ACTIONS(1482),
    [anon_sym___inline__] = ACTIONS(1482),
    [anon_sym___forceinline] = ACTIONS(1482),
    [anon_sym_thread_local] = ACTIONS(1482),
    [anon_sym___thread] = ACTIONS(1482),
    [anon_sym_const] = ACTIONS(1482),
    [anon_sym_constexpr] = ACTIONS(1482),
    [anon_sym_volatile] = ACTIONS(1482),
    [anon_sym_restrict] = ACTIONS(1482),
    [anon_sym___restrict__] = ACTIONS(1482),
    [anon_sym__Atomic] = ACTIONS(1482),
    [anon_sym__Noreturn] = ACTIONS(1482),
    [anon_sym_noreturn] = ACTIONS(1482),
    [sym_primitive_type] = ACTIONS(1482),
    [anon_sym_enum] = ACTIONS(1482),
    [anon_sym_struct] = ACTIONS(1482),
    [anon_sym_union] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_switch] = ACTIONS(1482),
    [anon_sym_case] = ACTIONS(1482),
    [anon_sym_default] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_do] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_break] = ACTIONS(1482),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_goto] = ACTIONS(1482),
    [anon_sym___try] = ACTIONS(1482),
    [anon_sym___leave] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_sizeof] = ACTIONS(1482),
    [anon_sym___alignof__] = ACTIONS(1482),
    [anon_sym___alignof] = ACTIONS(1482),
    [anon_sym__alignof] = ACTIONS(1482),
    [anon_sym_alignof] = ACTIONS(1482),
    [anon_sym__Alignof] = ACTIONS(1482),
    [anon_sym_offsetof] = ACTIONS(1482),
    [anon_sym__Generic] = ACTIONS(1482),
    [anon_sym_asm] = ACTIONS(1482),
    [anon_sym___asm__] = ACTIONS(1482),
    [sym_number_literal] = ACTIONS(1484),
    [anon_sym_L_SQUOTE] = ACTIONS(1484),
    [anon_sym_u_SQUOTE] = ACTIONS(1484),
    [anon_sym_U_SQUOTE] = ACTIONS(1484),
    [anon_sym_u8_SQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_L_DQUOTE] = ACTIONS(1484),
    [anon_sym_u_DQUOTE] = ACTIONS(1484),
    [anon_sym_U_DQUOTE] = ACTIONS(1484),
    [anon_sym_u8_DQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [anon_sym_NULL] = ACTIONS(1482),
    [anon_sym_nullptr] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1486),
    [aux_sym_preproc_def_token1] = ACTIONS(1486),
    [aux_sym_preproc_if_token1] = ACTIONS(1486),
    [aux_sym_preproc_if_token2] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1486),
    [aux_sym_preproc_else_token1] = ACTIONS(1486),
    [aux_sym_preproc_elif_token1] = ACTIONS(1486),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1486),
    [sym_preproc_directive] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1486),
    [anon_sym_typedef] = ACTIONS(1486),
    [anon_sym_extern] = ACTIONS(1486),
    [anon_sym___attribute__] = ACTIONS(1486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1488),
    [anon_sym___declspec] = ACTIONS(1486),
    [anon_sym___cdecl] = ACTIONS(1486),
    [anon_sym___clrcall] = ACTIONS(1486),
    [anon_sym___stdcall] = ACTIONS(1486),
    [anon_sym___fastcall] = ACTIONS(1486),
    [anon_sym___thiscall] = ACTIONS(1486),
    [anon_sym___vectorcall] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_signed] = ACTIONS(1486),
    [anon_sym_unsigned] = ACTIONS(1486),
    [anon_sym_long] = ACTIONS(1486),
    [anon_sym_short] = ACTIONS(1486),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_auto] = ACTIONS(1486),
    [anon_sym_register] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1486),
    [anon_sym___inline] = ACTIONS(1486),
    [anon_sym___inline__] = ACTIONS(1486),
    [anon_sym___forceinline] = ACTIONS(1486),
    [anon_sym_thread_local] = ACTIONS(1486),
    [anon_sym___thread] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_constexpr] = ACTIONS(1486),
    [anon_sym_volatile] = ACTIONS(1486),
    [anon_sym_restrict] = ACTIONS(1486),
    [anon_sym___restrict__] = ACTIONS(1486),
    [anon_sym__Atomic] = ACTIONS(1486),
    [anon_sym__Noreturn] = ACTIONS(1486),
    [anon_sym_noreturn] = ACTIONS(1486),
    [sym_primitive_type] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [anon_sym_struct] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_goto] = ACTIONS(1486),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_sizeof] = ACTIONS(1486),
    [anon_sym___alignof__] = ACTIONS(1486),
    [anon_sym___alignof] = ACTIONS(1486),
    [anon_sym__alignof] = ACTIONS(1486),
    [anon_sym_alignof] = ACTIONS(1486),
    [anon_sym__Alignof] = ACTIONS(1486),
    [anon_sym_offsetof] = ACTIONS(1486),
    [anon_sym__Generic] = ACTIONS(1486),
    [anon_sym_asm] = ACTIONS(1486),
    [anon_sym___asm__] = ACTIONS(1486),
    [sym_number_literal] = ACTIONS(1488),
    [anon_sym_L_SQUOTE] = ACTIONS(1488),
    [anon_sym_u_SQUOTE] = ACTIONS(1488),
    [anon_sym_U_SQUOTE] = ACTIONS(1488),
    [anon_sym_u8_SQUOTE] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [anon_sym_NULL] = ACTIONS(1486),
    [anon_sym_nullptr] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_else_clause] = STATE(196),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1490),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [aux_sym_preproc_else_token1] = ACTIONS(1500),
    [aux_sym_preproc_elif_token1] = ACTIONS(1500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [aux_sym_preproc_else_token1] = ACTIONS(1504),
    [aux_sym_preproc_elif_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token2] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [aux_sym_preproc_else_token1] = ACTIONS(1508),
    [aux_sym_preproc_elif_token1] = ACTIONS(1508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym___try] = ACTIONS(1508),
    [anon_sym___leave] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token2] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [aux_sym_preproc_else_token1] = ACTIONS(1512),
    [aux_sym_preproc_elif_token1] = ACTIONS(1512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [aux_sym_preproc_else_token1] = ACTIONS(1516),
    [aux_sym_preproc_elif_token1] = ACTIONS(1516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym___try] = ACTIONS(1516),
    [anon_sym___leave] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [aux_sym_preproc_else_token1] = ACTIONS(1298),
    [aux_sym_preproc_elif_token1] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [aux_sym_preproc_else_token1] = ACTIONS(1390),
    [aux_sym_preproc_elif_token1] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [aux_sym_preproc_else_token1] = ACTIONS(1382),
    [aux_sym_preproc_elif_token1] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [aux_sym_preproc_else_token1] = ACTIONS(1352),
    [aux_sym_preproc_elif_token1] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [aux_sym_preproc_else_token1] = ACTIONS(1378),
    [aux_sym_preproc_elif_token1] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [aux_sym_preproc_else_token1] = ACTIONS(1374),
    [aux_sym_preproc_elif_token1] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [aux_sym_preproc_else_token1] = ACTIONS(1370),
    [aux_sym_preproc_elif_token1] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [aux_sym_preproc_else_token1] = ACTIONS(1386),
    [aux_sym_preproc_elif_token1] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [aux_sym_preproc_else_token1] = ACTIONS(1366),
    [aux_sym_preproc_elif_token1] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [aux_sym_preproc_else_token1] = ACTIONS(1362),
    [aux_sym_preproc_elif_token1] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1338),
    [aux_sym_preproc_elif_token1] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1338),
    [aux_sym_preproc_elif_token1] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [aux_sym_preproc_else_token1] = ACTIONS(1302),
    [aux_sym_preproc_elif_token1] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(1358),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(1358),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [aux_sym_preproc_else_token1] = ACTIONS(1330),
    [aux_sym_preproc_elif_token1] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [aux_sym_preproc_else_token1] = ACTIONS(1354),
    [aux_sym_preproc_elif_token1] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [aux_sym_preproc_else_token1] = ACTIONS(1322),
    [aux_sym_preproc_elif_token1] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [aux_sym_preproc_else_token1] = ACTIONS(1346),
    [aux_sym_preproc_elif_token1] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token2] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [aux_sym_preproc_else_token1] = ACTIONS(1342),
    [aux_sym_preproc_elif_token1] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [aux_sym_preproc_else_token1] = ACTIONS(1406),
    [aux_sym_preproc_elif_token1] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_else] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_else] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token2] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [aux_sym_preproc_else_token1] = ACTIONS(1314),
    [aux_sym_preproc_elif_token1] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [aux_sym_preproc_else_token1] = ACTIONS(1318),
    [aux_sym_preproc_elif_token1] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [aux_sym_preproc_else_token1] = ACTIONS(1326),
    [aux_sym_preproc_elif_token1] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [aux_sym_preproc_else_token1] = ACTIONS(1334),
    [aux_sym_preproc_elif_token1] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1430),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym___inline] = ACTIONS(1430),
    [anon_sym___inline__] = ACTIONS(1430),
    [anon_sym___forceinline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym___thread] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym___alignof__] = ACTIONS(1430),
    [anon_sym___alignof] = ACTIONS(1430),
    [anon_sym__alignof] = ACTIONS(1430),
    [anon_sym_alignof] = ACTIONS(1430),
    [anon_sym__Alignof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [aux_sym_preproc_else_token1] = ACTIONS(1500),
    [aux_sym_preproc_elif_token1] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [aux_sym_preproc_else_token1] = ACTIONS(1504),
    [aux_sym_preproc_elif_token1] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token2] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [aux_sym_preproc_else_token1] = ACTIONS(1512),
    [aux_sym_preproc_elif_token1] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token2] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [aux_sym_preproc_else_token1] = ACTIONS(1508),
    [aux_sym_preproc_elif_token1] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym___try] = ACTIONS(1508),
    [anon_sym___leave] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1454),
    [aux_sym_preproc_include_token1] = ACTIONS(1454),
    [aux_sym_preproc_def_token1] = ACTIONS(1454),
    [aux_sym_preproc_if_token1] = ACTIONS(1454),
    [aux_sym_preproc_if_token2] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1454),
    [aux_sym_preproc_else_token1] = ACTIONS(1454),
    [aux_sym_preproc_elif_token1] = ACTIONS(1454),
    [sym_preproc_directive] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1454),
    [anon_sym_typedef] = ACTIONS(1454),
    [anon_sym_extern] = ACTIONS(1454),
    [anon_sym___attribute__] = ACTIONS(1454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1456),
    [anon_sym___declspec] = ACTIONS(1454),
    [anon_sym___cdecl] = ACTIONS(1454),
    [anon_sym___clrcall] = ACTIONS(1454),
    [anon_sym___stdcall] = ACTIONS(1454),
    [anon_sym___fastcall] = ACTIONS(1454),
    [anon_sym___thiscall] = ACTIONS(1454),
    [anon_sym___vectorcall] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_signed] = ACTIONS(1454),
    [anon_sym_unsigned] = ACTIONS(1454),
    [anon_sym_long] = ACTIONS(1454),
    [anon_sym_short] = ACTIONS(1454),
    [anon_sym_static] = ACTIONS(1454),
    [anon_sym_auto] = ACTIONS(1454),
    [anon_sym_register] = ACTIONS(1454),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym___inline] = ACTIONS(1454),
    [anon_sym___inline__] = ACTIONS(1454),
    [anon_sym___forceinline] = ACTIONS(1454),
    [anon_sym_thread_local] = ACTIONS(1454),
    [anon_sym___thread] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_constexpr] = ACTIONS(1454),
    [anon_sym_volatile] = ACTIONS(1454),
    [anon_sym_restrict] = ACTIONS(1454),
    [anon_sym___restrict__] = ACTIONS(1454),
    [anon_sym__Atomic] = ACTIONS(1454),
    [anon_sym__Noreturn] = ACTIONS(1454),
    [anon_sym_noreturn] = ACTIONS(1454),
    [sym_primitive_type] = ACTIONS(1454),
    [anon_sym_enum] = ACTIONS(1454),
    [anon_sym_struct] = ACTIONS(1454),
    [anon_sym_union] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_switch] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1454),
    [anon_sym_default] = ACTIONS(1454),
    [anon_sym_while] = ACTIONS(1454),
    [anon_sym_do] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym___try] = ACTIONS(1454),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_sizeof] = ACTIONS(1454),
    [anon_sym___alignof__] = ACTIONS(1454),
    [anon_sym___alignof] = ACTIONS(1454),
    [anon_sym__alignof] = ACTIONS(1454),
    [anon_sym_alignof] = ACTIONS(1454),
    [anon_sym__Alignof] = ACTIONS(1454),
    [anon_sym_offsetof] = ACTIONS(1454),
    [anon_sym__Generic] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym___asm__] = ACTIONS(1454),
    [sym_number_literal] = ACTIONS(1456),
    [anon_sym_L_SQUOTE] = ACTIONS(1456),
    [anon_sym_u_SQUOTE] = ACTIONS(1456),
    [anon_sym_U_SQUOTE] = ACTIONS(1456),
    [anon_sym_u8_SQUOTE] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_L_DQUOTE] = ACTIONS(1456),
    [anon_sym_u_DQUOTE] = ACTIONS(1456),
    [anon_sym_U_DQUOTE] = ACTIONS(1456),
    [anon_sym_u8_DQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_NULL] = ACTIONS(1454),
    [anon_sym_nullptr] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1466),
    [aux_sym_preproc_include_token1] = ACTIONS(1466),
    [aux_sym_preproc_def_token1] = ACTIONS(1466),
    [aux_sym_preproc_if_token1] = ACTIONS(1466),
    [aux_sym_preproc_if_token2] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1466),
    [aux_sym_preproc_else_token1] = ACTIONS(1466),
    [aux_sym_preproc_elif_token1] = ACTIONS(1466),
    [sym_preproc_directive] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1466),
    [anon_sym_typedef] = ACTIONS(1466),
    [anon_sym_extern] = ACTIONS(1466),
    [anon_sym___attribute__] = ACTIONS(1466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1468),
    [anon_sym___declspec] = ACTIONS(1466),
    [anon_sym___cdecl] = ACTIONS(1466),
    [anon_sym___clrcall] = ACTIONS(1466),
    [anon_sym___stdcall] = ACTIONS(1466),
    [anon_sym___fastcall] = ACTIONS(1466),
    [anon_sym___thiscall] = ACTIONS(1466),
    [anon_sym___vectorcall] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_signed] = ACTIONS(1466),
    [anon_sym_unsigned] = ACTIONS(1466),
    [anon_sym_long] = ACTIONS(1466),
    [anon_sym_short] = ACTIONS(1466),
    [anon_sym_static] = ACTIONS(1466),
    [anon_sym_auto] = ACTIONS(1466),
    [anon_sym_register] = ACTIONS(1466),
    [anon_sym_inline] = ACTIONS(1466),
    [anon_sym___inline] = ACTIONS(1466),
    [anon_sym___inline__] = ACTIONS(1466),
    [anon_sym___forceinline] = ACTIONS(1466),
    [anon_sym_thread_local] = ACTIONS(1466),
    [anon_sym___thread] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_constexpr] = ACTIONS(1466),
    [anon_sym_volatile] = ACTIONS(1466),
    [anon_sym_restrict] = ACTIONS(1466),
    [anon_sym___restrict__] = ACTIONS(1466),
    [anon_sym__Atomic] = ACTIONS(1466),
    [anon_sym__Noreturn] = ACTIONS(1466),
    [anon_sym_noreturn] = ACTIONS(1466),
    [sym_primitive_type] = ACTIONS(1466),
    [anon_sym_enum] = ACTIONS(1466),
    [anon_sym_struct] = ACTIONS(1466),
    [anon_sym_union] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_switch] = ACTIONS(1466),
    [anon_sym_case] = ACTIONS(1466),
    [anon_sym_default] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_do] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym___try] = ACTIONS(1466),
    [anon_sym___leave] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_sizeof] = ACTIONS(1466),
    [anon_sym___alignof__] = ACTIONS(1466),
    [anon_sym___alignof] = ACTIONS(1466),
    [anon_sym__alignof] = ACTIONS(1466),
    [anon_sym_alignof] = ACTIONS(1466),
    [anon_sym__Alignof] = ACTIONS(1466),
    [anon_sym_offsetof] = ACTIONS(1466),
    [anon_sym__Generic] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym___asm__] = ACTIONS(1466),
    [sym_number_literal] = ACTIONS(1468),
    [anon_sym_L_SQUOTE] = ACTIONS(1468),
    [anon_sym_u_SQUOTE] = ACTIONS(1468),
    [anon_sym_U_SQUOTE] = ACTIONS(1468),
    [anon_sym_u8_SQUOTE] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_L_DQUOTE] = ACTIONS(1468),
    [anon_sym_u_DQUOTE] = ACTIONS(1468),
    [anon_sym_U_DQUOTE] = ACTIONS(1468),
    [anon_sym_u8_DQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_NULL] = ACTIONS(1466),
    [anon_sym_nullptr] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_identifier] = ACTIONS(1470),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token2] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [aux_sym_preproc_else_token1] = ACTIONS(1470),
    [aux_sym_preproc_elif_token1] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1470),
    [anon_sym_typedef] = ACTIONS(1470),
    [anon_sym_extern] = ACTIONS(1470),
    [anon_sym___attribute__] = ACTIONS(1470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1472),
    [anon_sym___declspec] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_signed] = ACTIONS(1470),
    [anon_sym_unsigned] = ACTIONS(1470),
    [anon_sym_long] = ACTIONS(1470),
    [anon_sym_short] = ACTIONS(1470),
    [anon_sym_static] = ACTIONS(1470),
    [anon_sym_auto] = ACTIONS(1470),
    [anon_sym_register] = ACTIONS(1470),
    [anon_sym_inline] = ACTIONS(1470),
    [anon_sym___inline] = ACTIONS(1470),
    [anon_sym___inline__] = ACTIONS(1470),
    [anon_sym___forceinline] = ACTIONS(1470),
    [anon_sym_thread_local] = ACTIONS(1470),
    [anon_sym___thread] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_constexpr] = ACTIONS(1470),
    [anon_sym_volatile] = ACTIONS(1470),
    [anon_sym_restrict] = ACTIONS(1470),
    [anon_sym___restrict__] = ACTIONS(1470),
    [anon_sym__Atomic] = ACTIONS(1470),
    [anon_sym__Noreturn] = ACTIONS(1470),
    [anon_sym_noreturn] = ACTIONS(1470),
    [sym_primitive_type] = ACTIONS(1470),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_struct] = ACTIONS(1470),
    [anon_sym_union] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(1470),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_do] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym___try] = ACTIONS(1470),
    [anon_sym___leave] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1470),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1470),
    [anon_sym__Generic] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym___asm__] = ACTIONS(1470),
    [sym_number_literal] = ACTIONS(1472),
    [anon_sym_L_SQUOTE] = ACTIONS(1472),
    [anon_sym_u_SQUOTE] = ACTIONS(1472),
    [anon_sym_U_SQUOTE] = ACTIONS(1472),
    [anon_sym_u8_SQUOTE] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_L_DQUOTE] = ACTIONS(1472),
    [anon_sym_u_DQUOTE] = ACTIONS(1472),
    [anon_sym_U_DQUOTE] = ACTIONS(1472),
    [anon_sym_u8_DQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_NULL] = ACTIONS(1470),
    [anon_sym_nullptr] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [aux_sym_preproc_else_token1] = ACTIONS(1426),
    [aux_sym_preproc_elif_token1] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1426),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym___inline] = ACTIONS(1426),
    [anon_sym___inline__] = ACTIONS(1426),
    [anon_sym___forceinline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym___thread] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym___try] = ACTIONS(1426),
    [anon_sym___leave] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym___alignof__] = ACTIONS(1426),
    [anon_sym___alignof] = ACTIONS(1426),
    [anon_sym__alignof] = ACTIONS(1426),
    [anon_sym_alignof] = ACTIONS(1426),
    [anon_sym__Alignof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [aux_sym_preproc_else_token1] = ACTIONS(1422),
    [aux_sym_preproc_elif_token1] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1422),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym___inline] = ACTIONS(1422),
    [anon_sym___inline__] = ACTIONS(1422),
    [anon_sym___forceinline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym___thread] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym___try] = ACTIONS(1422),
    [anon_sym___leave] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym___alignof__] = ACTIONS(1422),
    [anon_sym___alignof] = ACTIONS(1422),
    [anon_sym__alignof] = ACTIONS(1422),
    [anon_sym_alignof] = ACTIONS(1422),
    [anon_sym__Alignof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1450),
    [aux_sym_preproc_include_token1] = ACTIONS(1450),
    [aux_sym_preproc_def_token1] = ACTIONS(1450),
    [aux_sym_preproc_if_token1] = ACTIONS(1450),
    [aux_sym_preproc_if_token2] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1450),
    [aux_sym_preproc_else_token1] = ACTIONS(1450),
    [aux_sym_preproc_elif_token1] = ACTIONS(1450),
    [sym_preproc_directive] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(1450),
    [anon_sym_extern] = ACTIONS(1450),
    [anon_sym___attribute__] = ACTIONS(1450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1452),
    [anon_sym___declspec] = ACTIONS(1450),
    [anon_sym___cdecl] = ACTIONS(1450),
    [anon_sym___clrcall] = ACTIONS(1450),
    [anon_sym___stdcall] = ACTIONS(1450),
    [anon_sym___fastcall] = ACTIONS(1450),
    [anon_sym___thiscall] = ACTIONS(1450),
    [anon_sym___vectorcall] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_signed] = ACTIONS(1450),
    [anon_sym_unsigned] = ACTIONS(1450),
    [anon_sym_long] = ACTIONS(1450),
    [anon_sym_short] = ACTIONS(1450),
    [anon_sym_static] = ACTIONS(1450),
    [anon_sym_auto] = ACTIONS(1450),
    [anon_sym_register] = ACTIONS(1450),
    [anon_sym_inline] = ACTIONS(1450),
    [anon_sym___inline] = ACTIONS(1450),
    [anon_sym___inline__] = ACTIONS(1450),
    [anon_sym___forceinline] = ACTIONS(1450),
    [anon_sym_thread_local] = ACTIONS(1450),
    [anon_sym___thread] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_constexpr] = ACTIONS(1450),
    [anon_sym_volatile] = ACTIONS(1450),
    [anon_sym_restrict] = ACTIONS(1450),
    [anon_sym___restrict__] = ACTIONS(1450),
    [anon_sym__Atomic] = ACTIONS(1450),
    [anon_sym__Noreturn] = ACTIONS(1450),
    [anon_sym_noreturn] = ACTIONS(1450),
    [sym_primitive_type] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_struct] = ACTIONS(1450),
    [anon_sym_union] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_case] = ACTIONS(1450),
    [anon_sym_default] = ACTIONS(1450),
    [anon_sym_while] = ACTIONS(1450),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym___try] = ACTIONS(1450),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_sizeof] = ACTIONS(1450),
    [anon_sym___alignof__] = ACTIONS(1450),
    [anon_sym___alignof] = ACTIONS(1450),
    [anon_sym__alignof] = ACTIONS(1450),
    [anon_sym_alignof] = ACTIONS(1450),
    [anon_sym__Alignof] = ACTIONS(1450),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym___asm__] = ACTIONS(1450),
    [sym_number_literal] = ACTIONS(1452),
    [anon_sym_L_SQUOTE] = ACTIONS(1452),
    [anon_sym_u_SQUOTE] = ACTIONS(1452),
    [anon_sym_U_SQUOTE] = ACTIONS(1452),
    [anon_sym_u8_SQUOTE] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_L_DQUOTE] = ACTIONS(1452),
    [anon_sym_u_DQUOTE] = ACTIONS(1452),
    [anon_sym_U_DQUOTE] = ACTIONS(1452),
    [anon_sym_u8_DQUOTE] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_NULL] = ACTIONS(1450),
    [anon_sym_nullptr] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1482),
    [aux_sym_preproc_include_token1] = ACTIONS(1482),
    [aux_sym_preproc_def_token1] = ACTIONS(1482),
    [aux_sym_preproc_if_token1] = ACTIONS(1482),
    [aux_sym_preproc_if_token2] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1482),
    [aux_sym_preproc_else_token1] = ACTIONS(1482),
    [aux_sym_preproc_elif_token1] = ACTIONS(1482),
    [sym_preproc_directive] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1482),
    [anon_sym_typedef] = ACTIONS(1482),
    [anon_sym_extern] = ACTIONS(1482),
    [anon_sym___attribute__] = ACTIONS(1482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1484),
    [anon_sym___declspec] = ACTIONS(1482),
    [anon_sym___cdecl] = ACTIONS(1482),
    [anon_sym___clrcall] = ACTIONS(1482),
    [anon_sym___stdcall] = ACTIONS(1482),
    [anon_sym___fastcall] = ACTIONS(1482),
    [anon_sym___thiscall] = ACTIONS(1482),
    [anon_sym___vectorcall] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_signed] = ACTIONS(1482),
    [anon_sym_unsigned] = ACTIONS(1482),
    [anon_sym_long] = ACTIONS(1482),
    [anon_sym_short] = ACTIONS(1482),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_auto] = ACTIONS(1482),
    [anon_sym_register] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(1482),
    [anon_sym___inline] = ACTIONS(1482),
    [anon_sym___inline__] = ACTIONS(1482),
    [anon_sym___forceinline] = ACTIONS(1482),
    [anon_sym_thread_local] = ACTIONS(1482),
    [anon_sym___thread] = ACTIONS(1482),
    [anon_sym_const] = ACTIONS(1482),
    [anon_sym_constexpr] = ACTIONS(1482),
    [anon_sym_volatile] = ACTIONS(1482),
    [anon_sym_restrict] = ACTIONS(1482),
    [anon_sym___restrict__] = ACTIONS(1482),
    [anon_sym__Atomic] = ACTIONS(1482),
    [anon_sym__Noreturn] = ACTIONS(1482),
    [anon_sym_noreturn] = ACTIONS(1482),
    [sym_primitive_type] = ACTIONS(1482),
    [anon_sym_enum] = ACTIONS(1482),
    [anon_sym_struct] = ACTIONS(1482),
    [anon_sym_union] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_switch] = ACTIONS(1482),
    [anon_sym_case] = ACTIONS(1482),
    [anon_sym_default] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_do] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_break] = ACTIONS(1482),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_goto] = ACTIONS(1482),
    [anon_sym___try] = ACTIONS(1482),
    [anon_sym___leave] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_sizeof] = ACTIONS(1482),
    [anon_sym___alignof__] = ACTIONS(1482),
    [anon_sym___alignof] = ACTIONS(1482),
    [anon_sym__alignof] = ACTIONS(1482),
    [anon_sym_alignof] = ACTIONS(1482),
    [anon_sym__Alignof] = ACTIONS(1482),
    [anon_sym_offsetof] = ACTIONS(1482),
    [anon_sym__Generic] = ACTIONS(1482),
    [anon_sym_asm] = ACTIONS(1482),
    [anon_sym___asm__] = ACTIONS(1482),
    [sym_number_literal] = ACTIONS(1484),
    [anon_sym_L_SQUOTE] = ACTIONS(1484),
    [anon_sym_u_SQUOTE] = ACTIONS(1484),
    [anon_sym_U_SQUOTE] = ACTIONS(1484),
    [anon_sym_u8_SQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_L_DQUOTE] = ACTIONS(1484),
    [anon_sym_u_DQUOTE] = ACTIONS(1484),
    [anon_sym_U_DQUOTE] = ACTIONS(1484),
    [anon_sym_u8_DQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [anon_sym_NULL] = ACTIONS(1482),
    [anon_sym_nullptr] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_identifier] = ACTIONS(1458),
    [aux_sym_preproc_include_token1] = ACTIONS(1458),
    [aux_sym_preproc_def_token1] = ACTIONS(1458),
    [aux_sym_preproc_if_token1] = ACTIONS(1458),
    [aux_sym_preproc_if_token2] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1458),
    [aux_sym_preproc_else_token1] = ACTIONS(1458),
    [aux_sym_preproc_elif_token1] = ACTIONS(1458),
    [sym_preproc_directive] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(1458),
    [anon_sym_extern] = ACTIONS(1458),
    [anon_sym___attribute__] = ACTIONS(1458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1460),
    [anon_sym___declspec] = ACTIONS(1458),
    [anon_sym___cdecl] = ACTIONS(1458),
    [anon_sym___clrcall] = ACTIONS(1458),
    [anon_sym___stdcall] = ACTIONS(1458),
    [anon_sym___fastcall] = ACTIONS(1458),
    [anon_sym___thiscall] = ACTIONS(1458),
    [anon_sym___vectorcall] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_signed] = ACTIONS(1458),
    [anon_sym_unsigned] = ACTIONS(1458),
    [anon_sym_long] = ACTIONS(1458),
    [anon_sym_short] = ACTIONS(1458),
    [anon_sym_static] = ACTIONS(1458),
    [anon_sym_auto] = ACTIONS(1458),
    [anon_sym_register] = ACTIONS(1458),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym___inline] = ACTIONS(1458),
    [anon_sym___inline__] = ACTIONS(1458),
    [anon_sym___forceinline] = ACTIONS(1458),
    [anon_sym_thread_local] = ACTIONS(1458),
    [anon_sym___thread] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_constexpr] = ACTIONS(1458),
    [anon_sym_volatile] = ACTIONS(1458),
    [anon_sym_restrict] = ACTIONS(1458),
    [anon_sym___restrict__] = ACTIONS(1458),
    [anon_sym__Atomic] = ACTIONS(1458),
    [anon_sym__Noreturn] = ACTIONS(1458),
    [anon_sym_noreturn] = ACTIONS(1458),
    [sym_primitive_type] = ACTIONS(1458),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_struct] = ACTIONS(1458),
    [anon_sym_union] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_case] = ACTIONS(1458),
    [anon_sym_default] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_do] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym___try] = ACTIONS(1458),
    [anon_sym___leave] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_sizeof] = ACTIONS(1458),
    [anon_sym___alignof__] = ACTIONS(1458),
    [anon_sym___alignof] = ACTIONS(1458),
    [anon_sym__alignof] = ACTIONS(1458),
    [anon_sym_alignof] = ACTIONS(1458),
    [anon_sym__Alignof] = ACTIONS(1458),
    [anon_sym_offsetof] = ACTIONS(1458),
    [anon_sym__Generic] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym___asm__] = ACTIONS(1458),
    [sym_number_literal] = ACTIONS(1460),
    [anon_sym_L_SQUOTE] = ACTIONS(1460),
    [anon_sym_u_SQUOTE] = ACTIONS(1460),
    [anon_sym_U_SQUOTE] = ACTIONS(1460),
    [anon_sym_u8_SQUOTE] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_L_DQUOTE] = ACTIONS(1460),
    [anon_sym_u_DQUOTE] = ACTIONS(1460),
    [anon_sym_U_DQUOTE] = ACTIONS(1460),
    [anon_sym_u8_DQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_NULL] = ACTIONS(1458),
    [anon_sym_nullptr] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym__expression] = STATE(868),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(843),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_initializer_list] = STATE(827),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(867),
    [sym_null] = STATE(843),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1522),
    [aux_sym_preproc_if_token2] = ACTIONS(1522),
    [aux_sym_preproc_else_token1] = ACTIONS(1522),
    [aux_sym_preproc_elif_token1] = ACTIONS(1520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1530),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym__expression] = STATE(868),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(843),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_initializer_list] = STATE(827),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_identifier] = ACTIONS(1532),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_RPAREN] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym___attribute__] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_COLON] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1538),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_else_clause] = STATE(314),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1540),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_else_clause] = STATE(244),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1542),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1434),
    [anon_sym_typedef] = ACTIONS(1434),
    [anon_sym_extern] = ACTIONS(1434),
    [anon_sym___attribute__] = ACTIONS(1434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1436),
    [anon_sym___declspec] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(1434),
    [anon_sym_unsigned] = ACTIONS(1434),
    [anon_sym_long] = ACTIONS(1434),
    [anon_sym_short] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_auto] = ACTIONS(1434),
    [anon_sym_register] = ACTIONS(1434),
    [anon_sym_inline] = ACTIONS(1434),
    [anon_sym___inline] = ACTIONS(1434),
    [anon_sym___inline__] = ACTIONS(1434),
    [anon_sym___forceinline] = ACTIONS(1434),
    [anon_sym_thread_local] = ACTIONS(1434),
    [anon_sym___thread] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(1434),
    [anon_sym_constexpr] = ACTIONS(1434),
    [anon_sym_volatile] = ACTIONS(1434),
    [anon_sym_restrict] = ACTIONS(1434),
    [anon_sym___restrict__] = ACTIONS(1434),
    [anon_sym__Atomic] = ACTIONS(1434),
    [anon_sym__Noreturn] = ACTIONS(1434),
    [anon_sym_noreturn] = ACTIONS(1434),
    [sym_primitive_type] = ACTIONS(1434),
    [anon_sym_enum] = ACTIONS(1434),
    [anon_sym_struct] = ACTIONS(1434),
    [anon_sym_union] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_do] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_break] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_goto] = ACTIONS(1434),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_sizeof] = ACTIONS(1434),
    [anon_sym___alignof__] = ACTIONS(1434),
    [anon_sym___alignof] = ACTIONS(1434),
    [anon_sym__alignof] = ACTIONS(1434),
    [anon_sym_alignof] = ACTIONS(1434),
    [anon_sym__Alignof] = ACTIONS(1434),
    [anon_sym_offsetof] = ACTIONS(1434),
    [anon_sym__Generic] = ACTIONS(1434),
    [anon_sym_asm] = ACTIONS(1434),
    [anon_sym___asm__] = ACTIONS(1434),
    [sym_number_literal] = ACTIONS(1436),
    [anon_sym_L_SQUOTE] = ACTIONS(1436),
    [anon_sym_u_SQUOTE] = ACTIONS(1436),
    [anon_sym_U_SQUOTE] = ACTIONS(1436),
    [anon_sym_u8_SQUOTE] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_L_DQUOTE] = ACTIONS(1436),
    [anon_sym_u_DQUOTE] = ACTIONS(1436),
    [anon_sym_U_DQUOTE] = ACTIONS(1436),
    [anon_sym_u8_DQUOTE] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [sym_true] = ACTIONS(1434),
    [sym_false] = ACTIONS(1434),
    [anon_sym_NULL] = ACTIONS(1434),
    [anon_sym_nullptr] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_identifier] = ACTIONS(1474),
    [aux_sym_preproc_include_token1] = ACTIONS(1474),
    [aux_sym_preproc_def_token1] = ACTIONS(1474),
    [aux_sym_preproc_if_token1] = ACTIONS(1474),
    [aux_sym_preproc_if_token2] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1474),
    [aux_sym_preproc_else_token1] = ACTIONS(1474),
    [aux_sym_preproc_elif_token1] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1474),
    [anon_sym_typedef] = ACTIONS(1474),
    [anon_sym_extern] = ACTIONS(1474),
    [anon_sym___attribute__] = ACTIONS(1474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1476),
    [anon_sym___declspec] = ACTIONS(1474),
    [anon_sym___cdecl] = ACTIONS(1474),
    [anon_sym___clrcall] = ACTIONS(1474),
    [anon_sym___stdcall] = ACTIONS(1474),
    [anon_sym___fastcall] = ACTIONS(1474),
    [anon_sym___thiscall] = ACTIONS(1474),
    [anon_sym___vectorcall] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_signed] = ACTIONS(1474),
    [anon_sym_unsigned] = ACTIONS(1474),
    [anon_sym_long] = ACTIONS(1474),
    [anon_sym_short] = ACTIONS(1474),
    [anon_sym_static] = ACTIONS(1474),
    [anon_sym_auto] = ACTIONS(1474),
    [anon_sym_register] = ACTIONS(1474),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym___inline] = ACTIONS(1474),
    [anon_sym___inline__] = ACTIONS(1474),
    [anon_sym___forceinline] = ACTIONS(1474),
    [anon_sym_thread_local] = ACTIONS(1474),
    [anon_sym___thread] = ACTIONS(1474),
    [anon_sym_const] = ACTIONS(1474),
    [anon_sym_constexpr] = ACTIONS(1474),
    [anon_sym_volatile] = ACTIONS(1474),
    [anon_sym_restrict] = ACTIONS(1474),
    [anon_sym___restrict__] = ACTIONS(1474),
    [anon_sym__Atomic] = ACTIONS(1474),
    [anon_sym__Noreturn] = ACTIONS(1474),
    [anon_sym_noreturn] = ACTIONS(1474),
    [sym_primitive_type] = ACTIONS(1474),
    [anon_sym_enum] = ACTIONS(1474),
    [anon_sym_struct] = ACTIONS(1474),
    [anon_sym_union] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_switch] = ACTIONS(1474),
    [anon_sym_case] = ACTIONS(1474),
    [anon_sym_default] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_do] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1474),
    [anon_sym_continue] = ACTIONS(1474),
    [anon_sym_goto] = ACTIONS(1474),
    [anon_sym___try] = ACTIONS(1474),
    [anon_sym___leave] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_sizeof] = ACTIONS(1474),
    [anon_sym___alignof__] = ACTIONS(1474),
    [anon_sym___alignof] = ACTIONS(1474),
    [anon_sym__alignof] = ACTIONS(1474),
    [anon_sym_alignof] = ACTIONS(1474),
    [anon_sym__Alignof] = ACTIONS(1474),
    [anon_sym_offsetof] = ACTIONS(1474),
    [anon_sym__Generic] = ACTIONS(1474),
    [anon_sym_asm] = ACTIONS(1474),
    [anon_sym___asm__] = ACTIONS(1474),
    [sym_number_literal] = ACTIONS(1476),
    [anon_sym_L_SQUOTE] = ACTIONS(1476),
    [anon_sym_u_SQUOTE] = ACTIONS(1476),
    [anon_sym_U_SQUOTE] = ACTIONS(1476),
    [anon_sym_u8_SQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_L_DQUOTE] = ACTIONS(1476),
    [anon_sym_u_DQUOTE] = ACTIONS(1476),
    [anon_sym_U_DQUOTE] = ACTIONS(1476),
    [anon_sym_u8_DQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [anon_sym_NULL] = ACTIONS(1474),
    [anon_sym_nullptr] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1414),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym___inline] = ACTIONS(1414),
    [anon_sym___inline__] = ACTIONS(1414),
    [anon_sym___forceinline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym___thread] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym___try] = ACTIONS(1414),
    [anon_sym___leave] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym___alignof__] = ACTIONS(1414),
    [anon_sym___alignof] = ACTIONS(1414),
    [anon_sym__alignof] = ACTIONS(1414),
    [anon_sym_alignof] = ACTIONS(1414),
    [anon_sym__Alignof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [aux_sym_preproc_else_token1] = ACTIONS(1438),
    [aux_sym_preproc_elif_token1] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1438),
    [anon_sym_typedef] = ACTIONS(1438),
    [anon_sym_extern] = ACTIONS(1438),
    [anon_sym___attribute__] = ACTIONS(1438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1440),
    [anon_sym___declspec] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(1438),
    [anon_sym_unsigned] = ACTIONS(1438),
    [anon_sym_long] = ACTIONS(1438),
    [anon_sym_short] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_auto] = ACTIONS(1438),
    [anon_sym_register] = ACTIONS(1438),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym___inline] = ACTIONS(1438),
    [anon_sym___inline__] = ACTIONS(1438),
    [anon_sym___forceinline] = ACTIONS(1438),
    [anon_sym_thread_local] = ACTIONS(1438),
    [anon_sym___thread] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_constexpr] = ACTIONS(1438),
    [anon_sym_volatile] = ACTIONS(1438),
    [anon_sym_restrict] = ACTIONS(1438),
    [anon_sym___restrict__] = ACTIONS(1438),
    [anon_sym__Atomic] = ACTIONS(1438),
    [anon_sym__Noreturn] = ACTIONS(1438),
    [anon_sym_noreturn] = ACTIONS(1438),
    [sym_primitive_type] = ACTIONS(1438),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_struct] = ACTIONS(1438),
    [anon_sym_union] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym___try] = ACTIONS(1438),
    [anon_sym___leave] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_sizeof] = ACTIONS(1438),
    [anon_sym___alignof__] = ACTIONS(1438),
    [anon_sym___alignof] = ACTIONS(1438),
    [anon_sym__alignof] = ACTIONS(1438),
    [anon_sym_alignof] = ACTIONS(1438),
    [anon_sym__Alignof] = ACTIONS(1438),
    [anon_sym_offsetof] = ACTIONS(1438),
    [anon_sym__Generic] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym___asm__] = ACTIONS(1438),
    [sym_number_literal] = ACTIONS(1440),
    [anon_sym_L_SQUOTE] = ACTIONS(1440),
    [anon_sym_u_SQUOTE] = ACTIONS(1440),
    [anon_sym_U_SQUOTE] = ACTIONS(1440),
    [anon_sym_u8_SQUOTE] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_L_DQUOTE] = ACTIONS(1440),
    [anon_sym_u_DQUOTE] = ACTIONS(1440),
    [anon_sym_U_DQUOTE] = ACTIONS(1440),
    [anon_sym_u8_DQUOTE] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_NULL] = ACTIONS(1438),
    [anon_sym_nullptr] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [aux_sym_preproc_else_token1] = ACTIONS(1516),
    [aux_sym_preproc_elif_token1] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym___try] = ACTIONS(1516),
    [anon_sym___leave] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_identifier] = ACTIONS(1462),
    [aux_sym_preproc_include_token1] = ACTIONS(1462),
    [aux_sym_preproc_def_token1] = ACTIONS(1462),
    [aux_sym_preproc_if_token1] = ACTIONS(1462),
    [aux_sym_preproc_if_token2] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1462),
    [aux_sym_preproc_else_token1] = ACTIONS(1462),
    [aux_sym_preproc_elif_token1] = ACTIONS(1462),
    [sym_preproc_directive] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1462),
    [anon_sym_typedef] = ACTIONS(1462),
    [anon_sym_extern] = ACTIONS(1462),
    [anon_sym___attribute__] = ACTIONS(1462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1464),
    [anon_sym___declspec] = ACTIONS(1462),
    [anon_sym___cdecl] = ACTIONS(1462),
    [anon_sym___clrcall] = ACTIONS(1462),
    [anon_sym___stdcall] = ACTIONS(1462),
    [anon_sym___fastcall] = ACTIONS(1462),
    [anon_sym___thiscall] = ACTIONS(1462),
    [anon_sym___vectorcall] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_signed] = ACTIONS(1462),
    [anon_sym_unsigned] = ACTIONS(1462),
    [anon_sym_long] = ACTIONS(1462),
    [anon_sym_short] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1462),
    [anon_sym_auto] = ACTIONS(1462),
    [anon_sym_register] = ACTIONS(1462),
    [anon_sym_inline] = ACTIONS(1462),
    [anon_sym___inline] = ACTIONS(1462),
    [anon_sym___inline__] = ACTIONS(1462),
    [anon_sym___forceinline] = ACTIONS(1462),
    [anon_sym_thread_local] = ACTIONS(1462),
    [anon_sym___thread] = ACTIONS(1462),
    [anon_sym_const] = ACTIONS(1462),
    [anon_sym_constexpr] = ACTIONS(1462),
    [anon_sym_volatile] = ACTIONS(1462),
    [anon_sym_restrict] = ACTIONS(1462),
    [anon_sym___restrict__] = ACTIONS(1462),
    [anon_sym__Atomic] = ACTIONS(1462),
    [anon_sym__Noreturn] = ACTIONS(1462),
    [anon_sym_noreturn] = ACTIONS(1462),
    [sym_primitive_type] = ACTIONS(1462),
    [anon_sym_enum] = ACTIONS(1462),
    [anon_sym_struct] = ACTIONS(1462),
    [anon_sym_union] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_switch] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1462),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_do] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_break] = ACTIONS(1462),
    [anon_sym_continue] = ACTIONS(1462),
    [anon_sym_goto] = ACTIONS(1462),
    [anon_sym___try] = ACTIONS(1462),
    [anon_sym___leave] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1462),
    [anon_sym___alignof__] = ACTIONS(1462),
    [anon_sym___alignof] = ACTIONS(1462),
    [anon_sym__alignof] = ACTIONS(1462),
    [anon_sym_alignof] = ACTIONS(1462),
    [anon_sym__Alignof] = ACTIONS(1462),
    [anon_sym_offsetof] = ACTIONS(1462),
    [anon_sym__Generic] = ACTIONS(1462),
    [anon_sym_asm] = ACTIONS(1462),
    [anon_sym___asm__] = ACTIONS(1462),
    [sym_number_literal] = ACTIONS(1464),
    [anon_sym_L_SQUOTE] = ACTIONS(1464),
    [anon_sym_u_SQUOTE] = ACTIONS(1464),
    [anon_sym_U_SQUOTE] = ACTIONS(1464),
    [anon_sym_u8_SQUOTE] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_L_DQUOTE] = ACTIONS(1464),
    [anon_sym_u_DQUOTE] = ACTIONS(1464),
    [anon_sym_U_DQUOTE] = ACTIONS(1464),
    [anon_sym_u8_DQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [anon_sym_NULL] = ACTIONS(1462),
    [anon_sym_nullptr] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1442),
    [aux_sym_preproc_def_token1] = ACTIONS(1442),
    [aux_sym_preproc_if_token1] = ACTIONS(1442),
    [aux_sym_preproc_if_token2] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [aux_sym_preproc_else_token1] = ACTIONS(1442),
    [aux_sym_preproc_elif_token1] = ACTIONS(1442),
    [sym_preproc_directive] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1444),
    [anon_sym_AMP] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1442),
    [anon_sym_typedef] = ACTIONS(1442),
    [anon_sym_extern] = ACTIONS(1442),
    [anon_sym___attribute__] = ACTIONS(1442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1444),
    [anon_sym___declspec] = ACTIONS(1442),
    [anon_sym___cdecl] = ACTIONS(1442),
    [anon_sym___clrcall] = ACTIONS(1442),
    [anon_sym___stdcall] = ACTIONS(1442),
    [anon_sym___fastcall] = ACTIONS(1442),
    [anon_sym___thiscall] = ACTIONS(1442),
    [anon_sym___vectorcall] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_signed] = ACTIONS(1442),
    [anon_sym_unsigned] = ACTIONS(1442),
    [anon_sym_long] = ACTIONS(1442),
    [anon_sym_short] = ACTIONS(1442),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_auto] = ACTIONS(1442),
    [anon_sym_register] = ACTIONS(1442),
    [anon_sym_inline] = ACTIONS(1442),
    [anon_sym___inline] = ACTIONS(1442),
    [anon_sym___inline__] = ACTIONS(1442),
    [anon_sym___forceinline] = ACTIONS(1442),
    [anon_sym_thread_local] = ACTIONS(1442),
    [anon_sym___thread] = ACTIONS(1442),
    [anon_sym_const] = ACTIONS(1442),
    [anon_sym_constexpr] = ACTIONS(1442),
    [anon_sym_volatile] = ACTIONS(1442),
    [anon_sym_restrict] = ACTIONS(1442),
    [anon_sym___restrict__] = ACTIONS(1442),
    [anon_sym__Atomic] = ACTIONS(1442),
    [anon_sym__Noreturn] = ACTIONS(1442),
    [anon_sym_noreturn] = ACTIONS(1442),
    [sym_primitive_type] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_struct] = ACTIONS(1442),
    [anon_sym_union] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_case] = ACTIONS(1442),
    [anon_sym_default] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_break] = ACTIONS(1442),
    [anon_sym_continue] = ACTIONS(1442),
    [anon_sym_goto] = ACTIONS(1442),
    [anon_sym___try] = ACTIONS(1442),
    [anon_sym___leave] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_sizeof] = ACTIONS(1442),
    [anon_sym___alignof__] = ACTIONS(1442),
    [anon_sym___alignof] = ACTIONS(1442),
    [anon_sym__alignof] = ACTIONS(1442),
    [anon_sym_alignof] = ACTIONS(1442),
    [anon_sym__Alignof] = ACTIONS(1442),
    [anon_sym_offsetof] = ACTIONS(1442),
    [anon_sym__Generic] = ACTIONS(1442),
    [anon_sym_asm] = ACTIONS(1442),
    [anon_sym___asm__] = ACTIONS(1442),
    [sym_number_literal] = ACTIONS(1444),
    [anon_sym_L_SQUOTE] = ACTIONS(1444),
    [anon_sym_u_SQUOTE] = ACTIONS(1444),
    [anon_sym_U_SQUOTE] = ACTIONS(1444),
    [anon_sym_u8_SQUOTE] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_L_DQUOTE] = ACTIONS(1444),
    [anon_sym_u_DQUOTE] = ACTIONS(1444),
    [anon_sym_U_DQUOTE] = ACTIONS(1444),
    [anon_sym_u8_DQUOTE] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [sym_true] = ACTIONS(1442),
    [sym_false] = ACTIONS(1442),
    [anon_sym_NULL] = ACTIONS(1442),
    [anon_sym_nullptr] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1446),
    [aux_sym_preproc_def_token1] = ACTIONS(1446),
    [aux_sym_preproc_if_token1] = ACTIONS(1446),
    [aux_sym_preproc_if_token2] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1446),
    [aux_sym_preproc_else_token1] = ACTIONS(1446),
    [aux_sym_preproc_elif_token1] = ACTIONS(1446),
    [sym_preproc_directive] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(1446),
    [anon_sym_extern] = ACTIONS(1446),
    [anon_sym___attribute__] = ACTIONS(1446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1448),
    [anon_sym___declspec] = ACTIONS(1446),
    [anon_sym___cdecl] = ACTIONS(1446),
    [anon_sym___clrcall] = ACTIONS(1446),
    [anon_sym___stdcall] = ACTIONS(1446),
    [anon_sym___fastcall] = ACTIONS(1446),
    [anon_sym___thiscall] = ACTIONS(1446),
    [anon_sym___vectorcall] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_signed] = ACTIONS(1446),
    [anon_sym_unsigned] = ACTIONS(1446),
    [anon_sym_long] = ACTIONS(1446),
    [anon_sym_short] = ACTIONS(1446),
    [anon_sym_static] = ACTIONS(1446),
    [anon_sym_auto] = ACTIONS(1446),
    [anon_sym_register] = ACTIONS(1446),
    [anon_sym_inline] = ACTIONS(1446),
    [anon_sym___inline] = ACTIONS(1446),
    [anon_sym___inline__] = ACTIONS(1446),
    [anon_sym___forceinline] = ACTIONS(1446),
    [anon_sym_thread_local] = ACTIONS(1446),
    [anon_sym___thread] = ACTIONS(1446),
    [anon_sym_const] = ACTIONS(1446),
    [anon_sym_constexpr] = ACTIONS(1446),
    [anon_sym_volatile] = ACTIONS(1446),
    [anon_sym_restrict] = ACTIONS(1446),
    [anon_sym___restrict__] = ACTIONS(1446),
    [anon_sym__Atomic] = ACTIONS(1446),
    [anon_sym__Noreturn] = ACTIONS(1446),
    [anon_sym_noreturn] = ACTIONS(1446),
    [sym_primitive_type] = ACTIONS(1446),
    [anon_sym_enum] = ACTIONS(1446),
    [anon_sym_struct] = ACTIONS(1446),
    [anon_sym_union] = ACTIONS(1446),
    [anon_sym_if] = ACTIONS(1446),
    [anon_sym_switch] = ACTIONS(1446),
    [anon_sym_case] = ACTIONS(1446),
    [anon_sym_default] = ACTIONS(1446),
    [anon_sym_while] = ACTIONS(1446),
    [anon_sym_do] = ACTIONS(1446),
    [anon_sym_for] = ACTIONS(1446),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_break] = ACTIONS(1446),
    [anon_sym_continue] = ACTIONS(1446),
    [anon_sym_goto] = ACTIONS(1446),
    [anon_sym___try] = ACTIONS(1446),
    [anon_sym___leave] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_sizeof] = ACTIONS(1446),
    [anon_sym___alignof__] = ACTIONS(1446),
    [anon_sym___alignof] = ACTIONS(1446),
    [anon_sym__alignof] = ACTIONS(1446),
    [anon_sym_alignof] = ACTIONS(1446),
    [anon_sym__Alignof] = ACTIONS(1446),
    [anon_sym_offsetof] = ACTIONS(1446),
    [anon_sym__Generic] = ACTIONS(1446),
    [anon_sym_asm] = ACTIONS(1446),
    [anon_sym___asm__] = ACTIONS(1446),
    [sym_number_literal] = ACTIONS(1448),
    [anon_sym_L_SQUOTE] = ACTIONS(1448),
    [anon_sym_u_SQUOTE] = ACTIONS(1448),
    [anon_sym_U_SQUOTE] = ACTIONS(1448),
    [anon_sym_u8_SQUOTE] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_L_DQUOTE] = ACTIONS(1448),
    [anon_sym_u_DQUOTE] = ACTIONS(1448),
    [anon_sym_U_DQUOTE] = ACTIONS(1448),
    [anon_sym_u8_DQUOTE] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [sym_true] = ACTIONS(1446),
    [sym_false] = ACTIONS(1446),
    [anon_sym_NULL] = ACTIONS(1446),
    [anon_sym_nullptr] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_identifier] = ACTIONS(1478),
    [aux_sym_preproc_include_token1] = ACTIONS(1478),
    [aux_sym_preproc_def_token1] = ACTIONS(1478),
    [aux_sym_preproc_if_token1] = ACTIONS(1478),
    [aux_sym_preproc_if_token2] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1478),
    [aux_sym_preproc_else_token1] = ACTIONS(1478),
    [aux_sym_preproc_elif_token1] = ACTIONS(1478),
    [sym_preproc_directive] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1478),
    [anon_sym_typedef] = ACTIONS(1478),
    [anon_sym_extern] = ACTIONS(1478),
    [anon_sym___attribute__] = ACTIONS(1478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1480),
    [anon_sym___declspec] = ACTIONS(1478),
    [anon_sym___cdecl] = ACTIONS(1478),
    [anon_sym___clrcall] = ACTIONS(1478),
    [anon_sym___stdcall] = ACTIONS(1478),
    [anon_sym___fastcall] = ACTIONS(1478),
    [anon_sym___thiscall] = ACTIONS(1478),
    [anon_sym___vectorcall] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_signed] = ACTIONS(1478),
    [anon_sym_unsigned] = ACTIONS(1478),
    [anon_sym_long] = ACTIONS(1478),
    [anon_sym_short] = ACTIONS(1478),
    [anon_sym_static] = ACTIONS(1478),
    [anon_sym_auto] = ACTIONS(1478),
    [anon_sym_register] = ACTIONS(1478),
    [anon_sym_inline] = ACTIONS(1478),
    [anon_sym___inline] = ACTIONS(1478),
    [anon_sym___inline__] = ACTIONS(1478),
    [anon_sym___forceinline] = ACTIONS(1478),
    [anon_sym_thread_local] = ACTIONS(1478),
    [anon_sym___thread] = ACTIONS(1478),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_constexpr] = ACTIONS(1478),
    [anon_sym_volatile] = ACTIONS(1478),
    [anon_sym_restrict] = ACTIONS(1478),
    [anon_sym___restrict__] = ACTIONS(1478),
    [anon_sym__Atomic] = ACTIONS(1478),
    [anon_sym__Noreturn] = ACTIONS(1478),
    [anon_sym_noreturn] = ACTIONS(1478),
    [sym_primitive_type] = ACTIONS(1478),
    [anon_sym_enum] = ACTIONS(1478),
    [anon_sym_struct] = ACTIONS(1478),
    [anon_sym_union] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_goto] = ACTIONS(1478),
    [anon_sym___try] = ACTIONS(1478),
    [anon_sym___leave] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_sizeof] = ACTIONS(1478),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1478),
    [anon_sym__Generic] = ACTIONS(1478),
    [anon_sym_asm] = ACTIONS(1478),
    [anon_sym___asm__] = ACTIONS(1478),
    [sym_number_literal] = ACTIONS(1480),
    [anon_sym_L_SQUOTE] = ACTIONS(1480),
    [anon_sym_u_SQUOTE] = ACTIONS(1480),
    [anon_sym_U_SQUOTE] = ACTIONS(1480),
    [anon_sym_u8_SQUOTE] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_L_DQUOTE] = ACTIONS(1480),
    [anon_sym_u_DQUOTE] = ACTIONS(1480),
    [anon_sym_U_DQUOTE] = ACTIONS(1480),
    [anon_sym_u8_DQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [anon_sym_NULL] = ACTIONS(1478),
    [anon_sym_nullptr] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [aux_sym_preproc_else_token1] = ACTIONS(1418),
    [aux_sym_preproc_elif_token1] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1418),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym___inline] = ACTIONS(1418),
    [anon_sym___inline__] = ACTIONS(1418),
    [anon_sym___forceinline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym___thread] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym___try] = ACTIONS(1418),
    [anon_sym___leave] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym___alignof__] = ACTIONS(1418),
    [anon_sym___alignof] = ACTIONS(1418),
    [anon_sym__alignof] = ACTIONS(1418),
    [anon_sym_alignof] = ACTIONS(1418),
    [anon_sym__Alignof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1486),
    [aux_sym_preproc_def_token1] = ACTIONS(1486),
    [aux_sym_preproc_if_token1] = ACTIONS(1486),
    [aux_sym_preproc_if_token2] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1486),
    [aux_sym_preproc_else_token1] = ACTIONS(1486),
    [aux_sym_preproc_elif_token1] = ACTIONS(1486),
    [sym_preproc_directive] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1486),
    [anon_sym_typedef] = ACTIONS(1486),
    [anon_sym_extern] = ACTIONS(1486),
    [anon_sym___attribute__] = ACTIONS(1486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1488),
    [anon_sym___declspec] = ACTIONS(1486),
    [anon_sym___cdecl] = ACTIONS(1486),
    [anon_sym___clrcall] = ACTIONS(1486),
    [anon_sym___stdcall] = ACTIONS(1486),
    [anon_sym___fastcall] = ACTIONS(1486),
    [anon_sym___thiscall] = ACTIONS(1486),
    [anon_sym___vectorcall] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_signed] = ACTIONS(1486),
    [anon_sym_unsigned] = ACTIONS(1486),
    [anon_sym_long] = ACTIONS(1486),
    [anon_sym_short] = ACTIONS(1486),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_auto] = ACTIONS(1486),
    [anon_sym_register] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1486),
    [anon_sym___inline] = ACTIONS(1486),
    [anon_sym___inline__] = ACTIONS(1486),
    [anon_sym___forceinline] = ACTIONS(1486),
    [anon_sym_thread_local] = ACTIONS(1486),
    [anon_sym___thread] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_constexpr] = ACTIONS(1486),
    [anon_sym_volatile] = ACTIONS(1486),
    [anon_sym_restrict] = ACTIONS(1486),
    [anon_sym___restrict__] = ACTIONS(1486),
    [anon_sym__Atomic] = ACTIONS(1486),
    [anon_sym__Noreturn] = ACTIONS(1486),
    [anon_sym_noreturn] = ACTIONS(1486),
    [sym_primitive_type] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [anon_sym_struct] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_goto] = ACTIONS(1486),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_sizeof] = ACTIONS(1486),
    [anon_sym___alignof__] = ACTIONS(1486),
    [anon_sym___alignof] = ACTIONS(1486),
    [anon_sym__alignof] = ACTIONS(1486),
    [anon_sym_alignof] = ACTIONS(1486),
    [anon_sym__Alignof] = ACTIONS(1486),
    [anon_sym_offsetof] = ACTIONS(1486),
    [anon_sym__Generic] = ACTIONS(1486),
    [anon_sym_asm] = ACTIONS(1486),
    [anon_sym___asm__] = ACTIONS(1486),
    [sym_number_literal] = ACTIONS(1488),
    [anon_sym_L_SQUOTE] = ACTIONS(1488),
    [anon_sym_u_SQUOTE] = ACTIONS(1488),
    [anon_sym_U_SQUOTE] = ACTIONS(1488),
    [anon_sym_u8_SQUOTE] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [anon_sym_NULL] = ACTIONS(1486),
    [anon_sym_nullptr] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_else_clause] = STATE(249),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1544),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token2] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_else] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_else] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_else] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token2] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_else] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token2] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_else] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_else] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_identifier] = ACTIONS(1314),
    [aux_sym_preproc_include_token1] = ACTIONS(1314),
    [aux_sym_preproc_def_token1] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1314),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1314),
    [sym_preproc_directive] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_STAR] = ACTIONS(1316),
    [anon_sym_AMP] = ACTIONS(1316),
    [anon_sym_SEMI] = ACTIONS(1316),
    [anon_sym___extension__] = ACTIONS(1314),
    [anon_sym_typedef] = ACTIONS(1314),
    [anon_sym_extern] = ACTIONS(1314),
    [anon_sym___attribute__] = ACTIONS(1314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1316),
    [anon_sym___declspec] = ACTIONS(1314),
    [anon_sym___cdecl] = ACTIONS(1314),
    [anon_sym___clrcall] = ACTIONS(1314),
    [anon_sym___stdcall] = ACTIONS(1314),
    [anon_sym___fastcall] = ACTIONS(1314),
    [anon_sym___thiscall] = ACTIONS(1314),
    [anon_sym___vectorcall] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_signed] = ACTIONS(1314),
    [anon_sym_unsigned] = ACTIONS(1314),
    [anon_sym_long] = ACTIONS(1314),
    [anon_sym_short] = ACTIONS(1314),
    [anon_sym_static] = ACTIONS(1314),
    [anon_sym_auto] = ACTIONS(1314),
    [anon_sym_register] = ACTIONS(1314),
    [anon_sym_inline] = ACTIONS(1314),
    [anon_sym___inline] = ACTIONS(1314),
    [anon_sym___inline__] = ACTIONS(1314),
    [anon_sym___forceinline] = ACTIONS(1314),
    [anon_sym_thread_local] = ACTIONS(1314),
    [anon_sym___thread] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [anon_sym_constexpr] = ACTIONS(1314),
    [anon_sym_volatile] = ACTIONS(1314),
    [anon_sym_restrict] = ACTIONS(1314),
    [anon_sym___restrict__] = ACTIONS(1314),
    [anon_sym__Atomic] = ACTIONS(1314),
    [anon_sym__Noreturn] = ACTIONS(1314),
    [anon_sym_noreturn] = ACTIONS(1314),
    [sym_primitive_type] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1314),
    [anon_sym_struct] = ACTIONS(1314),
    [anon_sym_union] = ACTIONS(1314),
    [anon_sym_if] = ACTIONS(1314),
    [anon_sym_else] = ACTIONS(1314),
    [anon_sym_switch] = ACTIONS(1314),
    [anon_sym_case] = ACTIONS(1314),
    [anon_sym_default] = ACTIONS(1314),
    [anon_sym_while] = ACTIONS(1314),
    [anon_sym_do] = ACTIONS(1314),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_return] = ACTIONS(1314),
    [anon_sym_break] = ACTIONS(1314),
    [anon_sym_continue] = ACTIONS(1314),
    [anon_sym_goto] = ACTIONS(1314),
    [anon_sym___try] = ACTIONS(1314),
    [anon_sym___leave] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1314),
    [anon_sym___alignof__] = ACTIONS(1314),
    [anon_sym___alignof] = ACTIONS(1314),
    [anon_sym__alignof] = ACTIONS(1314),
    [anon_sym_alignof] = ACTIONS(1314),
    [anon_sym__Alignof] = ACTIONS(1314),
    [anon_sym_offsetof] = ACTIONS(1314),
    [anon_sym__Generic] = ACTIONS(1314),
    [anon_sym_asm] = ACTIONS(1314),
    [anon_sym___asm__] = ACTIONS(1314),
    [sym_number_literal] = ACTIONS(1316),
    [anon_sym_L_SQUOTE] = ACTIONS(1316),
    [anon_sym_u_SQUOTE] = ACTIONS(1316),
    [anon_sym_U_SQUOTE] = ACTIONS(1316),
    [anon_sym_u8_SQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_L_DQUOTE] = ACTIONS(1316),
    [anon_sym_u_DQUOTE] = ACTIONS(1316),
    [anon_sym_U_DQUOTE] = ACTIONS(1316),
    [anon_sym_u8_DQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [sym_true] = ACTIONS(1314),
    [sym_false] = ACTIONS(1314),
    [anon_sym_NULL] = ACTIONS(1314),
    [anon_sym_nullptr] = ACTIONS(1314),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_identifier] = ACTIONS(1352),
    [aux_sym_preproc_include_token1] = ACTIONS(1352),
    [aux_sym_preproc_def_token1] = ACTIONS(1352),
    [aux_sym_preproc_if_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1352),
    [sym_preproc_directive] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym___extension__] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym___attribute__] = ACTIONS(1352),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1350),
    [anon_sym___declspec] = ACTIONS(1352),
    [anon_sym___cdecl] = ACTIONS(1352),
    [anon_sym___clrcall] = ACTIONS(1352),
    [anon_sym___stdcall] = ACTIONS(1352),
    [anon_sym___fastcall] = ACTIONS(1352),
    [anon_sym___thiscall] = ACTIONS(1352),
    [anon_sym___vectorcall] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_signed] = ACTIONS(1352),
    [anon_sym_unsigned] = ACTIONS(1352),
    [anon_sym_long] = ACTIONS(1352),
    [anon_sym_short] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_auto] = ACTIONS(1352),
    [anon_sym_register] = ACTIONS(1352),
    [anon_sym_inline] = ACTIONS(1352),
    [anon_sym___inline] = ACTIONS(1352),
    [anon_sym___inline__] = ACTIONS(1352),
    [anon_sym___forceinline] = ACTIONS(1352),
    [anon_sym_thread_local] = ACTIONS(1352),
    [anon_sym___thread] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_constexpr] = ACTIONS(1352),
    [anon_sym_volatile] = ACTIONS(1352),
    [anon_sym_restrict] = ACTIONS(1352),
    [anon_sym___restrict__] = ACTIONS(1352),
    [anon_sym__Atomic] = ACTIONS(1352),
    [anon_sym__Noreturn] = ACTIONS(1352),
    [anon_sym_noreturn] = ACTIONS(1352),
    [sym_primitive_type] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_else] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_case] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_goto] = ACTIONS(1352),
    [anon_sym___try] = ACTIONS(1352),
    [anon_sym___leave] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_sizeof] = ACTIONS(1352),
    [anon_sym___alignof__] = ACTIONS(1352),
    [anon_sym___alignof] = ACTIONS(1352),
    [anon_sym__alignof] = ACTIONS(1352),
    [anon_sym_alignof] = ACTIONS(1352),
    [anon_sym__Alignof] = ACTIONS(1352),
    [anon_sym_offsetof] = ACTIONS(1352),
    [anon_sym__Generic] = ACTIONS(1352),
    [anon_sym_asm] = ACTIONS(1352),
    [anon_sym___asm__] = ACTIONS(1352),
    [sym_number_literal] = ACTIONS(1350),
    [anon_sym_L_SQUOTE] = ACTIONS(1350),
    [anon_sym_u_SQUOTE] = ACTIONS(1350),
    [anon_sym_U_SQUOTE] = ACTIONS(1350),
    [anon_sym_u8_SQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_L_DQUOTE] = ACTIONS(1350),
    [anon_sym_u_DQUOTE] = ACTIONS(1350),
    [anon_sym_U_DQUOTE] = ACTIONS(1350),
    [anon_sym_u8_DQUOTE] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [sym_true] = ACTIONS(1352),
    [sym_false] = ACTIONS(1352),
    [anon_sym_NULL] = ACTIONS(1352),
    [anon_sym_nullptr] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_attribute_declaration] = STATE(391),
    [sym_compound_statement] = STATE(172),
    [sym_attributed_statement] = STATE(172),
    [sym_labeled_statement] = STATE(172),
    [sym_expression_statement] = STATE(172),
    [sym_if_statement] = STATE(172),
    [sym_switch_statement] = STATE(172),
    [sym_case_statement] = STATE(172),
    [sym_while_statement] = STATE(172),
    [sym_do_statement] = STATE(172),
    [sym_for_statement] = STATE(172),
    [sym_return_statement] = STATE(172),
    [sym_break_statement] = STATE(172),
    [sym_continue_statement] = STATE(172),
    [sym_goto_statement] = STATE(172),
    [sym_seh_try_statement] = STATE(172),
    [sym_seh_leave_statement] = STATE(172),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1438),
    [anon_sym_typedef] = ACTIONS(1438),
    [anon_sym_extern] = ACTIONS(1438),
    [anon_sym___attribute__] = ACTIONS(1438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1440),
    [anon_sym___declspec] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(1438),
    [anon_sym_unsigned] = ACTIONS(1438),
    [anon_sym_long] = ACTIONS(1438),
    [anon_sym_short] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_auto] = ACTIONS(1438),
    [anon_sym_register] = ACTIONS(1438),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym___inline] = ACTIONS(1438),
    [anon_sym___inline__] = ACTIONS(1438),
    [anon_sym___forceinline] = ACTIONS(1438),
    [anon_sym_thread_local] = ACTIONS(1438),
    [anon_sym___thread] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_constexpr] = ACTIONS(1438),
    [anon_sym_volatile] = ACTIONS(1438),
    [anon_sym_restrict] = ACTIONS(1438),
    [anon_sym___restrict__] = ACTIONS(1438),
    [anon_sym__Atomic] = ACTIONS(1438),
    [anon_sym__Noreturn] = ACTIONS(1438),
    [anon_sym_noreturn] = ACTIONS(1438),
    [sym_primitive_type] = ACTIONS(1438),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_struct] = ACTIONS(1438),
    [anon_sym_union] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym___try] = ACTIONS(1438),
    [anon_sym___leave] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_sizeof] = ACTIONS(1438),
    [anon_sym___alignof__] = ACTIONS(1438),
    [anon_sym___alignof] = ACTIONS(1438),
    [anon_sym__alignof] = ACTIONS(1438),
    [anon_sym_alignof] = ACTIONS(1438),
    [anon_sym__Alignof] = ACTIONS(1438),
    [anon_sym_offsetof] = ACTIONS(1438),
    [anon_sym__Generic] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym___asm__] = ACTIONS(1438),
    [sym_number_literal] = ACTIONS(1440),
    [anon_sym_L_SQUOTE] = ACTIONS(1440),
    [anon_sym_u_SQUOTE] = ACTIONS(1440),
    [anon_sym_U_SQUOTE] = ACTIONS(1440),
    [anon_sym_u8_SQUOTE] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_L_DQUOTE] = ACTIONS(1440),
    [anon_sym_u_DQUOTE] = ACTIONS(1440),
    [anon_sym_U_DQUOTE] = ACTIONS(1440),
    [anon_sym_u8_DQUOTE] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_NULL] = ACTIONS(1438),
    [anon_sym_nullptr] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(2272),
    [sym_attributed_statement] = STATE(2272),
    [sym_labeled_statement] = STATE(2272),
    [sym_expression_statement] = STATE(2272),
    [sym_if_statement] = STATE(2272),
    [sym_switch_statement] = STATE(2272),
    [sym_case_statement] = STATE(2272),
    [sym_while_statement] = STATE(2272),
    [sym_do_statement] = STATE(2272),
    [sym_for_statement] = STATE(2272),
    [sym_return_statement] = STATE(2272),
    [sym_break_statement] = STATE(2272),
    [sym_continue_statement] = STATE(2272),
    [sym_goto_statement] = STATE(2272),
    [sym_seh_try_statement] = STATE(2272),
    [sym_seh_leave_statement] = STATE(2272),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym___try] = ACTIONS(1508),
    [anon_sym___leave] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(125),
    [sym_attributed_statement] = STATE(125),
    [sym_labeled_statement] = STATE(125),
    [sym_expression_statement] = STATE(125),
    [sym_if_statement] = STATE(125),
    [sym_switch_statement] = STATE(125),
    [sym_case_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_do_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_return_statement] = STATE(125),
    [sym_break_statement] = STATE(125),
    [sym_continue_statement] = STATE(125),
    [sym_goto_statement] = STATE(125),
    [sym_seh_try_statement] = STATE(125),
    [sym_seh_leave_statement] = STATE(125),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(90),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_case_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1478),
    [aux_sym_preproc_include_token1] = ACTIONS(1478),
    [aux_sym_preproc_def_token1] = ACTIONS(1478),
    [aux_sym_preproc_if_token1] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1478),
    [sym_preproc_directive] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1478),
    [anon_sym_typedef] = ACTIONS(1478),
    [anon_sym_extern] = ACTIONS(1478),
    [anon_sym___attribute__] = ACTIONS(1478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1480),
    [anon_sym___declspec] = ACTIONS(1478),
    [anon_sym___cdecl] = ACTIONS(1478),
    [anon_sym___clrcall] = ACTIONS(1478),
    [anon_sym___stdcall] = ACTIONS(1478),
    [anon_sym___fastcall] = ACTIONS(1478),
    [anon_sym___thiscall] = ACTIONS(1478),
    [anon_sym___vectorcall] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [anon_sym_signed] = ACTIONS(1478),
    [anon_sym_unsigned] = ACTIONS(1478),
    [anon_sym_long] = ACTIONS(1478),
    [anon_sym_short] = ACTIONS(1478),
    [anon_sym_static] = ACTIONS(1478),
    [anon_sym_auto] = ACTIONS(1478),
    [anon_sym_register] = ACTIONS(1478),
    [anon_sym_inline] = ACTIONS(1478),
    [anon_sym___inline] = ACTIONS(1478),
    [anon_sym___inline__] = ACTIONS(1478),
    [anon_sym___forceinline] = ACTIONS(1478),
    [anon_sym_thread_local] = ACTIONS(1478),
    [anon_sym___thread] = ACTIONS(1478),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_constexpr] = ACTIONS(1478),
    [anon_sym_volatile] = ACTIONS(1478),
    [anon_sym_restrict] = ACTIONS(1478),
    [anon_sym___restrict__] = ACTIONS(1478),
    [anon_sym__Atomic] = ACTIONS(1478),
    [anon_sym__Noreturn] = ACTIONS(1478),
    [anon_sym_noreturn] = ACTIONS(1478),
    [sym_primitive_type] = ACTIONS(1478),
    [anon_sym_enum] = ACTIONS(1478),
    [anon_sym_struct] = ACTIONS(1478),
    [anon_sym_union] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_goto] = ACTIONS(1478),
    [anon_sym___try] = ACTIONS(1478),
    [anon_sym___leave] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_sizeof] = ACTIONS(1478),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1478),
    [anon_sym__Generic] = ACTIONS(1478),
    [anon_sym_asm] = ACTIONS(1478),
    [anon_sym___asm__] = ACTIONS(1478),
    [sym_number_literal] = ACTIONS(1480),
    [anon_sym_L_SQUOTE] = ACTIONS(1480),
    [anon_sym_u_SQUOTE] = ACTIONS(1480),
    [anon_sym_U_SQUOTE] = ACTIONS(1480),
    [anon_sym_u8_SQUOTE] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_L_DQUOTE] = ACTIONS(1480),
    [anon_sym_u_DQUOTE] = ACTIONS(1480),
    [anon_sym_U_DQUOTE] = ACTIONS(1480),
    [anon_sym_u8_DQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [anon_sym_NULL] = ACTIONS(1478),
    [anon_sym_nullptr] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(229),
    [sym_attributed_statement] = STATE(229),
    [sym_labeled_statement] = STATE(229),
    [sym_expression_statement] = STATE(229),
    [sym_if_statement] = STATE(229),
    [sym_switch_statement] = STATE(229),
    [sym_case_statement] = STATE(229),
    [sym_while_statement] = STATE(229),
    [sym_do_statement] = STATE(229),
    [sym_for_statement] = STATE(229),
    [sym_return_statement] = STATE(229),
    [sym_break_statement] = STATE(229),
    [sym_continue_statement] = STATE(229),
    [sym_goto_statement] = STATE(229),
    [sym_seh_try_statement] = STATE(229),
    [sym_seh_leave_statement] = STATE(229),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_attribute_declaration] = STATE(389),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(389),
    [sym_identifier] = ACTIONS(1560),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1575),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1584),
    [anon_sym_switch] = ACTIONS(1587),
    [anon_sym_case] = ACTIONS(1590),
    [anon_sym_default] = ACTIONS(1593),
    [anon_sym_while] = ACTIONS(1596),
    [anon_sym_do] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1602),
    [anon_sym_return] = ACTIONS(1605),
    [anon_sym_break] = ACTIONS(1608),
    [anon_sym_continue] = ACTIONS(1611),
    [anon_sym_goto] = ACTIONS(1614),
    [anon_sym___try] = ACTIONS(1617),
    [anon_sym___leave] = ACTIONS(1620),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_sizeof] = ACTIONS(1626),
    [anon_sym___alignof__] = ACTIONS(1629),
    [anon_sym___alignof] = ACTIONS(1629),
    [anon_sym__alignof] = ACTIONS(1629),
    [anon_sym_alignof] = ACTIONS(1629),
    [anon_sym__Alignof] = ACTIONS(1629),
    [anon_sym_offsetof] = ACTIONS(1632),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1638),
    [anon_sym___asm__] = ACTIONS(1638),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1644),
    [anon_sym_u_SQUOTE] = ACTIONS(1644),
    [anon_sym_U_SQUOTE] = ACTIONS(1644),
    [anon_sym_u8_SQUOTE] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_L_DQUOTE] = ACTIONS(1647),
    [anon_sym_u_DQUOTE] = ACTIONS(1647),
    [anon_sym_U_DQUOTE] = ACTIONS(1647),
    [anon_sym_u8_DQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1647),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [anon_sym_NULL] = ACTIONS(1653),
    [anon_sym_nullptr] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_attribute_declaration] = STATE(396),
    [sym_compound_statement] = STATE(366),
    [sym_attributed_statement] = STATE(366),
    [sym_labeled_statement] = STATE(366),
    [sym_expression_statement] = STATE(366),
    [sym_if_statement] = STATE(366),
    [sym_switch_statement] = STATE(366),
    [sym_case_statement] = STATE(366),
    [sym_while_statement] = STATE(366),
    [sym_do_statement] = STATE(366),
    [sym_for_statement] = STATE(366),
    [sym_return_statement] = STATE(366),
    [sym_break_statement] = STATE(366),
    [sym_continue_statement] = STATE(366),
    [sym_goto_statement] = STATE(366),
    [sym_seh_try_statement] = STATE(366),
    [sym_seh_leave_statement] = STATE(366),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(396),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_attribute_declaration] = STATE(389),
    [sym_compound_statement] = STATE(206),
    [sym_attributed_statement] = STATE(206),
    [sym_labeled_statement] = STATE(206),
    [sym_expression_statement] = STATE(206),
    [sym_if_statement] = STATE(206),
    [sym_switch_statement] = STATE(206),
    [sym_case_statement] = STATE(206),
    [sym_while_statement] = STATE(206),
    [sym_do_statement] = STATE(206),
    [sym_for_statement] = STATE(206),
    [sym_return_statement] = STATE(206),
    [sym_break_statement] = STATE(206),
    [sym_continue_statement] = STATE(206),
    [sym_goto_statement] = STATE(206),
    [sym_seh_try_statement] = STATE(206),
    [sym_seh_leave_statement] = STATE(206),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(389),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym___try] = ACTIONS(1516),
    [anon_sym___leave] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1482),
    [aux_sym_preproc_include_token1] = ACTIONS(1482),
    [aux_sym_preproc_def_token1] = ACTIONS(1482),
    [aux_sym_preproc_if_token1] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1482),
    [sym_preproc_directive] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1482),
    [anon_sym_typedef] = ACTIONS(1482),
    [anon_sym_extern] = ACTIONS(1482),
    [anon_sym___attribute__] = ACTIONS(1482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1484),
    [anon_sym___declspec] = ACTIONS(1482),
    [anon_sym___cdecl] = ACTIONS(1482),
    [anon_sym___clrcall] = ACTIONS(1482),
    [anon_sym___stdcall] = ACTIONS(1482),
    [anon_sym___fastcall] = ACTIONS(1482),
    [anon_sym___thiscall] = ACTIONS(1482),
    [anon_sym___vectorcall] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_signed] = ACTIONS(1482),
    [anon_sym_unsigned] = ACTIONS(1482),
    [anon_sym_long] = ACTIONS(1482),
    [anon_sym_short] = ACTIONS(1482),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_auto] = ACTIONS(1482),
    [anon_sym_register] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(1482),
    [anon_sym___inline] = ACTIONS(1482),
    [anon_sym___inline__] = ACTIONS(1482),
    [anon_sym___forceinline] = ACTIONS(1482),
    [anon_sym_thread_local] = ACTIONS(1482),
    [anon_sym___thread] = ACTIONS(1482),
    [anon_sym_const] = ACTIONS(1482),
    [anon_sym_constexpr] = ACTIONS(1482),
    [anon_sym_volatile] = ACTIONS(1482),
    [anon_sym_restrict] = ACTIONS(1482),
    [anon_sym___restrict__] = ACTIONS(1482),
    [anon_sym__Atomic] = ACTIONS(1482),
    [anon_sym__Noreturn] = ACTIONS(1482),
    [anon_sym_noreturn] = ACTIONS(1482),
    [sym_primitive_type] = ACTIONS(1482),
    [anon_sym_enum] = ACTIONS(1482),
    [anon_sym_struct] = ACTIONS(1482),
    [anon_sym_union] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_switch] = ACTIONS(1482),
    [anon_sym_case] = ACTIONS(1482),
    [anon_sym_default] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_do] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_break] = ACTIONS(1482),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_goto] = ACTIONS(1482),
    [anon_sym___try] = ACTIONS(1482),
    [anon_sym___leave] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_sizeof] = ACTIONS(1482),
    [anon_sym___alignof__] = ACTIONS(1482),
    [anon_sym___alignof] = ACTIONS(1482),
    [anon_sym__alignof] = ACTIONS(1482),
    [anon_sym_alignof] = ACTIONS(1482),
    [anon_sym__Alignof] = ACTIONS(1482),
    [anon_sym_offsetof] = ACTIONS(1482),
    [anon_sym__Generic] = ACTIONS(1482),
    [anon_sym_asm] = ACTIONS(1482),
    [anon_sym___asm__] = ACTIONS(1482),
    [sym_number_literal] = ACTIONS(1484),
    [anon_sym_L_SQUOTE] = ACTIONS(1484),
    [anon_sym_u_SQUOTE] = ACTIONS(1484),
    [anon_sym_U_SQUOTE] = ACTIONS(1484),
    [anon_sym_u8_SQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_L_DQUOTE] = ACTIONS(1484),
    [anon_sym_u_DQUOTE] = ACTIONS(1484),
    [anon_sym_U_DQUOTE] = ACTIONS(1484),
    [anon_sym_u8_DQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [anon_sym_NULL] = ACTIONS(1482),
    [anon_sym_nullptr] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_attribute_declaration] = STATE(391),
    [sym_compound_statement] = STATE(176),
    [sym_attributed_statement] = STATE(176),
    [sym_labeled_statement] = STATE(176),
    [sym_expression_statement] = STATE(176),
    [sym_if_statement] = STATE(176),
    [sym_switch_statement] = STATE(176),
    [sym_case_statement] = STATE(176),
    [sym_while_statement] = STATE(176),
    [sym_do_statement] = STATE(176),
    [sym_for_statement] = STATE(176),
    [sym_return_statement] = STATE(176),
    [sym_break_statement] = STATE(176),
    [sym_continue_statement] = STATE(176),
    [sym_goto_statement] = STATE(176),
    [sym_seh_try_statement] = STATE(176),
    [sym_seh_leave_statement] = STATE(176),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_attribute_declaration] = STATE(396),
    [sym_compound_statement] = STATE(366),
    [sym_attributed_statement] = STATE(366),
    [sym_labeled_statement] = STATE(366),
    [sym_expression_statement] = STATE(366),
    [sym_if_statement] = STATE(366),
    [sym_switch_statement] = STATE(366),
    [sym_case_statement] = STATE(366),
    [sym_while_statement] = STATE(366),
    [sym_do_statement] = STATE(366),
    [sym_for_statement] = STATE(366),
    [sym_return_statement] = STATE(366),
    [sym_break_statement] = STATE(366),
    [sym_continue_statement] = STATE(366),
    [sym_goto_statement] = STATE(366),
    [sym_seh_try_statement] = STATE(366),
    [sym_seh_leave_statement] = STATE(366),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(396),
    [sym_identifier] = ACTIONS(1658),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1664),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1670),
    [anon_sym_case] = ACTIONS(1673),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_while] = ACTIONS(1679),
    [anon_sym_do] = ACTIONS(1682),
    [anon_sym_for] = ACTIONS(1685),
    [anon_sym_return] = ACTIONS(1688),
    [anon_sym_break] = ACTIONS(1691),
    [anon_sym_continue] = ACTIONS(1694),
    [anon_sym_goto] = ACTIONS(1697),
    [anon_sym___try] = ACTIONS(1700),
    [anon_sym___leave] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_sizeof] = ACTIONS(1626),
    [anon_sym___alignof__] = ACTIONS(1629),
    [anon_sym___alignof] = ACTIONS(1629),
    [anon_sym__alignof] = ACTIONS(1629),
    [anon_sym_alignof] = ACTIONS(1629),
    [anon_sym__Alignof] = ACTIONS(1629),
    [anon_sym_offsetof] = ACTIONS(1632),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1638),
    [anon_sym___asm__] = ACTIONS(1638),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1644),
    [anon_sym_u_SQUOTE] = ACTIONS(1644),
    [anon_sym_U_SQUOTE] = ACTIONS(1644),
    [anon_sym_u8_SQUOTE] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_L_DQUOTE] = ACTIONS(1647),
    [anon_sym_u_DQUOTE] = ACTIONS(1647),
    [anon_sym_U_DQUOTE] = ACTIONS(1647),
    [anon_sym_u8_DQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1647),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [anon_sym_NULL] = ACTIONS(1653),
    [anon_sym_nullptr] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1470),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1470),
    [anon_sym_typedef] = ACTIONS(1470),
    [anon_sym_extern] = ACTIONS(1470),
    [anon_sym___attribute__] = ACTIONS(1470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1472),
    [anon_sym___declspec] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_signed] = ACTIONS(1470),
    [anon_sym_unsigned] = ACTIONS(1470),
    [anon_sym_long] = ACTIONS(1470),
    [anon_sym_short] = ACTIONS(1470),
    [anon_sym_static] = ACTIONS(1470),
    [anon_sym_auto] = ACTIONS(1470),
    [anon_sym_register] = ACTIONS(1470),
    [anon_sym_inline] = ACTIONS(1470),
    [anon_sym___inline] = ACTIONS(1470),
    [anon_sym___inline__] = ACTIONS(1470),
    [anon_sym___forceinline] = ACTIONS(1470),
    [anon_sym_thread_local] = ACTIONS(1470),
    [anon_sym___thread] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_constexpr] = ACTIONS(1470),
    [anon_sym_volatile] = ACTIONS(1470),
    [anon_sym_restrict] = ACTIONS(1470),
    [anon_sym___restrict__] = ACTIONS(1470),
    [anon_sym__Atomic] = ACTIONS(1470),
    [anon_sym__Noreturn] = ACTIONS(1470),
    [anon_sym_noreturn] = ACTIONS(1470),
    [sym_primitive_type] = ACTIONS(1470),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_struct] = ACTIONS(1470),
    [anon_sym_union] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(1470),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_do] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym___try] = ACTIONS(1470),
    [anon_sym___leave] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1470),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1470),
    [anon_sym__Generic] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym___asm__] = ACTIONS(1470),
    [sym_number_literal] = ACTIONS(1472),
    [anon_sym_L_SQUOTE] = ACTIONS(1472),
    [anon_sym_u_SQUOTE] = ACTIONS(1472),
    [anon_sym_U_SQUOTE] = ACTIONS(1472),
    [anon_sym_u8_SQUOTE] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_L_DQUOTE] = ACTIONS(1472),
    [anon_sym_u_DQUOTE] = ACTIONS(1472),
    [anon_sym_U_DQUOTE] = ACTIONS(1472),
    [anon_sym_u8_DQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_NULL] = ACTIONS(1470),
    [anon_sym_nullptr] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_attribute_declaration] = STATE(391),
    [sym_compound_statement] = STATE(158),
    [sym_attributed_statement] = STATE(158),
    [sym_labeled_statement] = STATE(158),
    [sym_expression_statement] = STATE(158),
    [sym_if_statement] = STATE(158),
    [sym_switch_statement] = STATE(158),
    [sym_case_statement] = STATE(158),
    [sym_while_statement] = STATE(158),
    [sym_do_statement] = STATE(158),
    [sym_for_statement] = STATE(158),
    [sym_return_statement] = STATE(158),
    [sym_break_statement] = STATE(158),
    [sym_continue_statement] = STATE(158),
    [sym_goto_statement] = STATE(158),
    [sym_seh_try_statement] = STATE(158),
    [sym_seh_leave_statement] = STATE(158),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(2264),
    [sym_attributed_statement] = STATE(2264),
    [sym_labeled_statement] = STATE(2264),
    [sym_expression_statement] = STATE(2264),
    [sym_if_statement] = STATE(2264),
    [sym_switch_statement] = STATE(2264),
    [sym_case_statement] = STATE(2264),
    [sym_while_statement] = STATE(2264),
    [sym_do_statement] = STATE(2264),
    [sym_for_statement] = STATE(2264),
    [sym_return_statement] = STATE(2264),
    [sym_break_statement] = STATE(2264),
    [sym_continue_statement] = STATE(2264),
    [sym_goto_statement] = STATE(2264),
    [sym_seh_try_statement] = STATE(2264),
    [sym_seh_leave_statement] = STATE(2264),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_identifier] = ACTIONS(1470),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token2] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1470),
    [anon_sym_typedef] = ACTIONS(1470),
    [anon_sym_extern] = ACTIONS(1470),
    [anon_sym___attribute__] = ACTIONS(1470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1472),
    [anon_sym___declspec] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_signed] = ACTIONS(1470),
    [anon_sym_unsigned] = ACTIONS(1470),
    [anon_sym_long] = ACTIONS(1470),
    [anon_sym_short] = ACTIONS(1470),
    [anon_sym_static] = ACTIONS(1470),
    [anon_sym_auto] = ACTIONS(1470),
    [anon_sym_register] = ACTIONS(1470),
    [anon_sym_inline] = ACTIONS(1470),
    [anon_sym___inline] = ACTIONS(1470),
    [anon_sym___inline__] = ACTIONS(1470),
    [anon_sym___forceinline] = ACTIONS(1470),
    [anon_sym_thread_local] = ACTIONS(1470),
    [anon_sym___thread] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_constexpr] = ACTIONS(1470),
    [anon_sym_volatile] = ACTIONS(1470),
    [anon_sym_restrict] = ACTIONS(1470),
    [anon_sym___restrict__] = ACTIONS(1470),
    [anon_sym__Atomic] = ACTIONS(1470),
    [anon_sym__Noreturn] = ACTIONS(1470),
    [anon_sym_noreturn] = ACTIONS(1470),
    [sym_primitive_type] = ACTIONS(1470),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_struct] = ACTIONS(1470),
    [anon_sym_union] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(1470),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_do] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym___try] = ACTIONS(1470),
    [anon_sym___leave] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1470),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1470),
    [anon_sym__Generic] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym___asm__] = ACTIONS(1470),
    [sym_number_literal] = ACTIONS(1472),
    [anon_sym_L_SQUOTE] = ACTIONS(1472),
    [anon_sym_u_SQUOTE] = ACTIONS(1472),
    [anon_sym_U_SQUOTE] = ACTIONS(1472),
    [anon_sym_u8_SQUOTE] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_L_DQUOTE] = ACTIONS(1472),
    [anon_sym_u_DQUOTE] = ACTIONS(1472),
    [anon_sym_U_DQUOTE] = ACTIONS(1472),
    [anon_sym_u8_DQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_NULL] = ACTIONS(1470),
    [anon_sym_nullptr] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_attribute_declaration] = STATE(390),
    [sym_compound_statement] = STATE(298),
    [sym_attributed_statement] = STATE(298),
    [sym_labeled_statement] = STATE(298),
    [sym_expression_statement] = STATE(298),
    [sym_if_statement] = STATE(298),
    [sym_switch_statement] = STATE(298),
    [sym_case_statement] = STATE(298),
    [sym_while_statement] = STATE(298),
    [sym_do_statement] = STATE(298),
    [sym_for_statement] = STATE(298),
    [sym_return_statement] = STATE(298),
    [sym_break_statement] = STATE(298),
    [sym_continue_statement] = STATE(298),
    [sym_goto_statement] = STATE(298),
    [sym_seh_try_statement] = STATE(298),
    [sym_seh_leave_statement] = STATE(298),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(122),
    [sym_attributed_statement] = STATE(122),
    [sym_labeled_statement] = STATE(122),
    [sym_expression_statement] = STATE(122),
    [sym_if_statement] = STATE(122),
    [sym_switch_statement] = STATE(122),
    [sym_case_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_do_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_return_statement] = STATE(122),
    [sym_break_statement] = STATE(122),
    [sym_continue_statement] = STATE(122),
    [sym_goto_statement] = STATE(122),
    [sym_seh_try_statement] = STATE(122),
    [sym_seh_leave_statement] = STATE(122),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_attribute_declaration] = STATE(390),
    [sym_compound_statement] = STATE(367),
    [sym_attributed_statement] = STATE(367),
    [sym_labeled_statement] = STATE(367),
    [sym_expression_statement] = STATE(367),
    [sym_if_statement] = STATE(367),
    [sym_switch_statement] = STATE(367),
    [sym_case_statement] = STATE(367),
    [sym_while_statement] = STATE(367),
    [sym_do_statement] = STATE(367),
    [sym_for_statement] = STATE(367),
    [sym_return_statement] = STATE(367),
    [sym_break_statement] = STATE(367),
    [sym_continue_statement] = STATE(367),
    [sym_goto_statement] = STATE(367),
    [sym_seh_try_statement] = STATE(367),
    [sym_seh_leave_statement] = STATE(367),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(2280),
    [sym_attributed_statement] = STATE(2280),
    [sym_labeled_statement] = STATE(2280),
    [sym_expression_statement] = STATE(2280),
    [sym_if_statement] = STATE(2280),
    [sym_switch_statement] = STATE(2280),
    [sym_case_statement] = STATE(2280),
    [sym_while_statement] = STATE(2280),
    [sym_do_statement] = STATE(2280),
    [sym_for_statement] = STATE(2280),
    [sym_return_statement] = STATE(2280),
    [sym_break_statement] = STATE(2280),
    [sym_continue_statement] = STATE(2280),
    [sym_goto_statement] = STATE(2280),
    [sym_seh_try_statement] = STATE(2280),
    [sym_seh_leave_statement] = STATE(2280),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token2] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym___try] = ACTIONS(1516),
    [anon_sym___leave] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(2249),
    [sym_attributed_statement] = STATE(2249),
    [sym_labeled_statement] = STATE(2249),
    [sym_expression_statement] = STATE(2249),
    [sym_if_statement] = STATE(2249),
    [sym_switch_statement] = STATE(2249),
    [sym_case_statement] = STATE(2249),
    [sym_while_statement] = STATE(2249),
    [sym_do_statement] = STATE(2249),
    [sym_for_statement] = STATE(2249),
    [sym_return_statement] = STATE(2249),
    [sym_break_statement] = STATE(2249),
    [sym_continue_statement] = STATE(2249),
    [sym_goto_statement] = STATE(2249),
    [sym_seh_try_statement] = STATE(2249),
    [sym_seh_leave_statement] = STATE(2249),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_attribute_declaration] = STATE(390),
    [sym_compound_statement] = STATE(242),
    [sym_attributed_statement] = STATE(242),
    [sym_labeled_statement] = STATE(242),
    [sym_expression_statement] = STATE(242),
    [sym_if_statement] = STATE(242),
    [sym_switch_statement] = STATE(242),
    [sym_case_statement] = STATE(242),
    [sym_while_statement] = STATE(242),
    [sym_do_statement] = STATE(242),
    [sym_for_statement] = STATE(242),
    [sym_return_statement] = STATE(242),
    [sym_break_statement] = STATE(242),
    [sym_continue_statement] = STATE(242),
    [sym_goto_statement] = STATE(242),
    [sym_seh_try_statement] = STATE(242),
    [sym_seh_leave_statement] = STATE(242),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(2082),
    [sym_attributed_statement] = STATE(2082),
    [sym_labeled_statement] = STATE(2082),
    [sym_expression_statement] = STATE(2082),
    [sym_if_statement] = STATE(2082),
    [sym_switch_statement] = STATE(2082),
    [sym_case_statement] = STATE(2082),
    [sym_while_statement] = STATE(2082),
    [sym_do_statement] = STATE(2082),
    [sym_for_statement] = STATE(2082),
    [sym_return_statement] = STATE(2082),
    [sym_break_statement] = STATE(2082),
    [sym_continue_statement] = STATE(2082),
    [sym_goto_statement] = STATE(2082),
    [sym_seh_try_statement] = STATE(2082),
    [sym_seh_leave_statement] = STATE(2082),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_attribute_declaration] = STATE(450),
    [sym_compound_statement] = STATE(349),
    [sym_attributed_statement] = STATE(349),
    [sym_labeled_statement] = STATE(349),
    [sym_expression_statement] = STATE(349),
    [sym_if_statement] = STATE(349),
    [sym_switch_statement] = STATE(349),
    [sym_case_statement] = STATE(349),
    [sym_while_statement] = STATE(349),
    [sym_do_statement] = STATE(349),
    [sym_for_statement] = STATE(349),
    [sym_return_statement] = STATE(349),
    [sym_break_statement] = STATE(349),
    [sym_continue_statement] = STATE(349),
    [sym_goto_statement] = STATE(349),
    [sym_seh_try_statement] = STATE(349),
    [sym_seh_leave_statement] = STATE(349),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(450),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym__expression] = STATE(949),
    [sym__expression_not_binary] = STATE(990),
    [sym__string] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_assignment_expression] = STATE(990),
    [sym_pointer_expression] = STATE(990),
    [sym_unary_expression] = STATE(990),
    [sym_binary_expression] = STATE(990),
    [sym_update_expression] = STATE(990),
    [sym_cast_expression] = STATE(990),
    [sym_sizeof_expression] = STATE(990),
    [sym_alignof_expression] = STATE(990),
    [sym_offsetof_expression] = STATE(990),
    [sym_generic_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_call_expression] = STATE(990),
    [sym_gnu_asm_expression] = STATE(990),
    [sym_field_expression] = STATE(990),
    [sym_compound_literal_expression] = STATE(990),
    [sym_parenthesized_expression] = STATE(990),
    [sym_initializer_list] = STATE(984),
    [sym_char_literal] = STATE(990),
    [sym_concatenated_string] = STATE(990),
    [sym_string_literal] = STATE(877),
    [sym_null] = STATE(990),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1522),
    [aux_sym_preproc_if_token2] = ACTIONS(1522),
    [aux_sym_preproc_else_token1] = ACTIONS(1522),
    [aux_sym_preproc_elif_token1] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1712),
    [anon_sym___alignof__] = ACTIONS(1714),
    [anon_sym___alignof] = ACTIONS(1714),
    [anon_sym__alignof] = ACTIONS(1714),
    [anon_sym_alignof] = ACTIONS(1714),
    [anon_sym__Alignof] = ACTIONS(1714),
    [anon_sym_offsetof] = ACTIONS(1716),
    [anon_sym__Generic] = ACTIONS(1718),
    [anon_sym_asm] = ACTIONS(1720),
    [anon_sym___asm__] = ACTIONS(1720),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [sym_number_literal] = ACTIONS(1722),
    [anon_sym_L_SQUOTE] = ACTIONS(1724),
    [anon_sym_u_SQUOTE] = ACTIONS(1724),
    [anon_sym_U_SQUOTE] = ACTIONS(1724),
    [anon_sym_u8_SQUOTE] = ACTIONS(1724),
    [anon_sym_SQUOTE] = ACTIONS(1724),
    [anon_sym_L_DQUOTE] = ACTIONS(1726),
    [anon_sym_u_DQUOTE] = ACTIONS(1726),
    [anon_sym_U_DQUOTE] = ACTIONS(1726),
    [anon_sym_u8_DQUOTE] = ACTIONS(1726),
    [anon_sym_DQUOTE] = ACTIONS(1726),
    [sym_true] = ACTIONS(1728),
    [sym_false] = ACTIONS(1728),
    [anon_sym_NULL] = ACTIONS(1730),
    [anon_sym_nullptr] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_identifier] = ACTIONS(1478),
    [aux_sym_preproc_include_token1] = ACTIONS(1478),
    [aux_sym_preproc_def_token1] = ACTIONS(1478),
    [aux_sym_preproc_if_token1] = ACTIONS(1478),
    [aux_sym_preproc_if_token2] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1478),
    [sym_preproc_directive] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym_SEMI] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1478),
    [anon_sym_typedef] = ACTIONS(1478),
    [anon_sym_extern] = ACTIONS(1478),
    [anon_sym___attribute__] = ACTIONS(1478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1480),
    [anon_sym___declspec] = ACTIONS(1478),
    [anon_sym___cdecl] = ACTIONS(1478),
    [anon_sym___clrcall] = ACTIONS(1478),
    [anon_sym___stdcall] = ACTIONS(1478),
    [anon_sym___fastcall] = ACTIONS(1478),
    [anon_sym___thiscall] = ACTIONS(1478),
    [anon_sym___vectorcall] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_signed] = ACTIONS(1478),
    [anon_sym_unsigned] = ACTIONS(1478),
    [anon_sym_long] = ACTIONS(1478),
    [anon_sym_short] = ACTIONS(1478),
    [anon_sym_static] = ACTIONS(1478),
    [anon_sym_auto] = ACTIONS(1478),
    [anon_sym_register] = ACTIONS(1478),
    [anon_sym_inline] = ACTIONS(1478),
    [anon_sym___inline] = ACTIONS(1478),
    [anon_sym___inline__] = ACTIONS(1478),
    [anon_sym___forceinline] = ACTIONS(1478),
    [anon_sym_thread_local] = ACTIONS(1478),
    [anon_sym___thread] = ACTIONS(1478),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_constexpr] = ACTIONS(1478),
    [anon_sym_volatile] = ACTIONS(1478),
    [anon_sym_restrict] = ACTIONS(1478),
    [anon_sym___restrict__] = ACTIONS(1478),
    [anon_sym__Atomic] = ACTIONS(1478),
    [anon_sym__Noreturn] = ACTIONS(1478),
    [anon_sym_noreturn] = ACTIONS(1478),
    [sym_primitive_type] = ACTIONS(1478),
    [anon_sym_enum] = ACTIONS(1478),
    [anon_sym_struct] = ACTIONS(1478),
    [anon_sym_union] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_goto] = ACTIONS(1478),
    [anon_sym___try] = ACTIONS(1478),
    [anon_sym___leave] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_sizeof] = ACTIONS(1478),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1478),
    [anon_sym__Generic] = ACTIONS(1478),
    [anon_sym_asm] = ACTIONS(1478),
    [anon_sym___asm__] = ACTIONS(1478),
    [sym_number_literal] = ACTIONS(1480),
    [anon_sym_L_SQUOTE] = ACTIONS(1480),
    [anon_sym_u_SQUOTE] = ACTIONS(1480),
    [anon_sym_U_SQUOTE] = ACTIONS(1480),
    [anon_sym_u8_SQUOTE] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_L_DQUOTE] = ACTIONS(1480),
    [anon_sym_u_DQUOTE] = ACTIONS(1480),
    [anon_sym_U_DQUOTE] = ACTIONS(1480),
    [anon_sym_u8_DQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [anon_sym_NULL] = ACTIONS(1478),
    [anon_sym_nullptr] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_attribute_declaration] = STATE(414),
    [sym_compound_statement] = STATE(349),
    [sym_attributed_statement] = STATE(349),
    [sym_labeled_statement] = STATE(349),
    [sym_expression_statement] = STATE(349),
    [sym_if_statement] = STATE(349),
    [sym_switch_statement] = STATE(349),
    [sym_case_statement] = STATE(349),
    [sym_while_statement] = STATE(349),
    [sym_do_statement] = STATE(349),
    [sym_for_statement] = STATE(349),
    [sym_return_statement] = STATE(349),
    [sym_break_statement] = STATE(349),
    [sym_continue_statement] = STATE(349),
    [sym_goto_statement] = STATE(349),
    [sym_seh_try_statement] = STATE(349),
    [sym_seh_leave_statement] = STATE(349),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(414),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_switch] = ACTIONS(1744),
    [anon_sym_case] = ACTIONS(1747),
    [anon_sym_default] = ACTIONS(1750),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_do] = ACTIONS(1756),
    [anon_sym_for] = ACTIONS(1759),
    [anon_sym_return] = ACTIONS(1762),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1768),
    [anon_sym_goto] = ACTIONS(1771),
    [anon_sym___try] = ACTIONS(1774),
    [anon_sym___leave] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_sizeof] = ACTIONS(1626),
    [anon_sym___alignof__] = ACTIONS(1629),
    [anon_sym___alignof] = ACTIONS(1629),
    [anon_sym__alignof] = ACTIONS(1629),
    [anon_sym_alignof] = ACTIONS(1629),
    [anon_sym__Alignof] = ACTIONS(1629),
    [anon_sym_offsetof] = ACTIONS(1632),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1638),
    [anon_sym___asm__] = ACTIONS(1638),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1644),
    [anon_sym_u_SQUOTE] = ACTIONS(1644),
    [anon_sym_U_SQUOTE] = ACTIONS(1644),
    [anon_sym_u8_SQUOTE] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_L_DQUOTE] = ACTIONS(1647),
    [anon_sym_u_DQUOTE] = ACTIONS(1647),
    [anon_sym_U_DQUOTE] = ACTIONS(1647),
    [anon_sym_u8_DQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1647),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [anon_sym_NULL] = ACTIONS(1653),
    [anon_sym_nullptr] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(284),
    [sym_attributed_statement] = STATE(284),
    [sym_labeled_statement] = STATE(284),
    [sym_expression_statement] = STATE(284),
    [sym_if_statement] = STATE(284),
    [sym_switch_statement] = STATE(284),
    [sym_case_statement] = STATE(284),
    [sym_while_statement] = STATE(284),
    [sym_do_statement] = STATE(284),
    [sym_for_statement] = STATE(284),
    [sym_return_statement] = STATE(284),
    [sym_break_statement] = STATE(284),
    [sym_continue_statement] = STATE(284),
    [sym_goto_statement] = STATE(284),
    [sym_seh_try_statement] = STATE(284),
    [sym_seh_leave_statement] = STATE(284),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(321),
    [sym_attributed_statement] = STATE(322),
    [sym_labeled_statement] = STATE(323),
    [sym_expression_statement] = STATE(324),
    [sym_if_statement] = STATE(326),
    [sym_switch_statement] = STATE(327),
    [sym_case_statement] = STATE(328),
    [sym_while_statement] = STATE(329),
    [sym_do_statement] = STATE(331),
    [sym_for_statement] = STATE(333),
    [sym_return_statement] = STATE(335),
    [sym_break_statement] = STATE(337),
    [sym_continue_statement] = STATE(338),
    [sym_goto_statement] = STATE(339),
    [sym_seh_try_statement] = STATE(340),
    [sym_seh_leave_statement] = STATE(341),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1780),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_attribute_declaration] = STATE(417),
    [sym_compound_statement] = STATE(133),
    [sym_attributed_statement] = STATE(133),
    [sym_labeled_statement] = STATE(133),
    [sym_expression_statement] = STATE(133),
    [sym_if_statement] = STATE(133),
    [sym_switch_statement] = STATE(133),
    [sym_case_statement] = STATE(133),
    [sym_while_statement] = STATE(133),
    [sym_do_statement] = STATE(133),
    [sym_for_statement] = STATE(133),
    [sym_return_statement] = STATE(133),
    [sym_break_statement] = STATE(133),
    [sym_continue_statement] = STATE(133),
    [sym_goto_statement] = STATE(133),
    [sym_seh_try_statement] = STATE(133),
    [sym_seh_leave_statement] = STATE(133),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(417),
    [sym_identifier] = ACTIONS(1782),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1785),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_if] = ACTIONS(1791),
    [anon_sym_switch] = ACTIONS(1794),
    [anon_sym_case] = ACTIONS(1797),
    [anon_sym_default] = ACTIONS(1800),
    [anon_sym_while] = ACTIONS(1803),
    [anon_sym_do] = ACTIONS(1806),
    [anon_sym_for] = ACTIONS(1809),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_break] = ACTIONS(1815),
    [anon_sym_continue] = ACTIONS(1818),
    [anon_sym_goto] = ACTIONS(1821),
    [anon_sym___try] = ACTIONS(1824),
    [anon_sym___leave] = ACTIONS(1827),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_sizeof] = ACTIONS(1626),
    [anon_sym___alignof__] = ACTIONS(1629),
    [anon_sym___alignof] = ACTIONS(1629),
    [anon_sym__alignof] = ACTIONS(1629),
    [anon_sym_alignof] = ACTIONS(1629),
    [anon_sym__Alignof] = ACTIONS(1629),
    [anon_sym_offsetof] = ACTIONS(1632),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1638),
    [anon_sym___asm__] = ACTIONS(1638),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1644),
    [anon_sym_u_SQUOTE] = ACTIONS(1644),
    [anon_sym_U_SQUOTE] = ACTIONS(1644),
    [anon_sym_u8_SQUOTE] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_L_DQUOTE] = ACTIONS(1647),
    [anon_sym_u_DQUOTE] = ACTIONS(1647),
    [anon_sym_U_DQUOTE] = ACTIONS(1647),
    [anon_sym_u8_DQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1647),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [anon_sym_NULL] = ACTIONS(1653),
    [anon_sym_nullptr] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1430),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym___inline] = ACTIONS(1430),
    [anon_sym___inline__] = ACTIONS(1430),
    [anon_sym___forceinline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym___thread] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym___alignof__] = ACTIONS(1430),
    [anon_sym___alignof] = ACTIONS(1430),
    [anon_sym__alignof] = ACTIONS(1430),
    [anon_sym_alignof] = ACTIONS(1430),
    [anon_sym__Alignof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(370),
    [sym_attributed_statement] = STATE(375),
    [sym_labeled_statement] = STATE(377),
    [sym_expression_statement] = STATE(273),
    [sym_if_statement] = STATE(263),
    [sym_switch_statement] = STATE(354),
    [sym_case_statement] = STATE(352),
    [sym_while_statement] = STATE(351),
    [sym_do_statement] = STATE(347),
    [sym_for_statement] = STATE(345),
    [sym_return_statement] = STATE(343),
    [sym_break_statement] = STATE(336),
    [sym_continue_statement] = STATE(334),
    [sym_goto_statement] = STATE(332),
    [sym_seh_try_statement] = STATE(317),
    [sym_seh_leave_statement] = STATE(286),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(319),
    [sym_attributed_statement] = STATE(319),
    [sym_labeled_statement] = STATE(319),
    [sym_expression_statement] = STATE(319),
    [sym_if_statement] = STATE(319),
    [sym_switch_statement] = STATE(319),
    [sym_case_statement] = STATE(319),
    [sym_while_statement] = STATE(319),
    [sym_do_statement] = STATE(319),
    [sym_for_statement] = STATE(319),
    [sym_return_statement] = STATE(319),
    [sym_break_statement] = STATE(319),
    [sym_continue_statement] = STATE(319),
    [sym_goto_statement] = STATE(319),
    [sym_seh_try_statement] = STATE(319),
    [sym_seh_leave_statement] = STATE(319),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1780),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_identifier] = ACTIONS(1466),
    [aux_sym_preproc_include_token1] = ACTIONS(1466),
    [aux_sym_preproc_def_token1] = ACTIONS(1466),
    [aux_sym_preproc_if_token1] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1466),
    [sym_preproc_directive] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1466),
    [anon_sym_typedef] = ACTIONS(1466),
    [anon_sym_extern] = ACTIONS(1466),
    [anon_sym___attribute__] = ACTIONS(1466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1468),
    [anon_sym___declspec] = ACTIONS(1466),
    [anon_sym___cdecl] = ACTIONS(1466),
    [anon_sym___clrcall] = ACTIONS(1466),
    [anon_sym___stdcall] = ACTIONS(1466),
    [anon_sym___fastcall] = ACTIONS(1466),
    [anon_sym___thiscall] = ACTIONS(1466),
    [anon_sym___vectorcall] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [anon_sym_signed] = ACTIONS(1466),
    [anon_sym_unsigned] = ACTIONS(1466),
    [anon_sym_long] = ACTIONS(1466),
    [anon_sym_short] = ACTIONS(1466),
    [anon_sym_static] = ACTIONS(1466),
    [anon_sym_auto] = ACTIONS(1466),
    [anon_sym_register] = ACTIONS(1466),
    [anon_sym_inline] = ACTIONS(1466),
    [anon_sym___inline] = ACTIONS(1466),
    [anon_sym___inline__] = ACTIONS(1466),
    [anon_sym___forceinline] = ACTIONS(1466),
    [anon_sym_thread_local] = ACTIONS(1466),
    [anon_sym___thread] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_constexpr] = ACTIONS(1466),
    [anon_sym_volatile] = ACTIONS(1466),
    [anon_sym_restrict] = ACTIONS(1466),
    [anon_sym___restrict__] = ACTIONS(1466),
    [anon_sym__Atomic] = ACTIONS(1466),
    [anon_sym__Noreturn] = ACTIONS(1466),
    [anon_sym_noreturn] = ACTIONS(1466),
    [sym_primitive_type] = ACTIONS(1466),
    [anon_sym_enum] = ACTIONS(1466),
    [anon_sym_struct] = ACTIONS(1466),
    [anon_sym_union] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_switch] = ACTIONS(1466),
    [anon_sym_case] = ACTIONS(1466),
    [anon_sym_default] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_do] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym___try] = ACTIONS(1466),
    [anon_sym___leave] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_sizeof] = ACTIONS(1466),
    [anon_sym___alignof__] = ACTIONS(1466),
    [anon_sym___alignof] = ACTIONS(1466),
    [anon_sym__alignof] = ACTIONS(1466),
    [anon_sym_alignof] = ACTIONS(1466),
    [anon_sym__Alignof] = ACTIONS(1466),
    [anon_sym_offsetof] = ACTIONS(1466),
    [anon_sym__Generic] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym___asm__] = ACTIONS(1466),
    [sym_number_literal] = ACTIONS(1468),
    [anon_sym_L_SQUOTE] = ACTIONS(1468),
    [anon_sym_u_SQUOTE] = ACTIONS(1468),
    [anon_sym_U_SQUOTE] = ACTIONS(1468),
    [anon_sym_u8_SQUOTE] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_L_DQUOTE] = ACTIONS(1468),
    [anon_sym_u_DQUOTE] = ACTIONS(1468),
    [anon_sym_U_DQUOTE] = ACTIONS(1468),
    [anon_sym_u8_DQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_NULL] = ACTIONS(1466),
    [anon_sym_nullptr] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(307),
    [sym_attributed_statement] = STATE(307),
    [sym_labeled_statement] = STATE(307),
    [sym_expression_statement] = STATE(307),
    [sym_if_statement] = STATE(307),
    [sym_switch_statement] = STATE(307),
    [sym_case_statement] = STATE(307),
    [sym_while_statement] = STATE(307),
    [sym_do_statement] = STATE(307),
    [sym_for_statement] = STATE(307),
    [sym_return_statement] = STATE(307),
    [sym_break_statement] = STATE(307),
    [sym_continue_statement] = STATE(307),
    [sym_goto_statement] = STATE(307),
    [sym_seh_try_statement] = STATE(307),
    [sym_seh_leave_statement] = STATE(307),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_identifier] = ACTIONS(1474),
    [aux_sym_preproc_include_token1] = ACTIONS(1474),
    [aux_sym_preproc_def_token1] = ACTIONS(1474),
    [aux_sym_preproc_if_token1] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1474),
    [anon_sym_typedef] = ACTIONS(1474),
    [anon_sym_extern] = ACTIONS(1474),
    [anon_sym___attribute__] = ACTIONS(1474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1476),
    [anon_sym___declspec] = ACTIONS(1474),
    [anon_sym___cdecl] = ACTIONS(1474),
    [anon_sym___clrcall] = ACTIONS(1474),
    [anon_sym___stdcall] = ACTIONS(1474),
    [anon_sym___fastcall] = ACTIONS(1474),
    [anon_sym___thiscall] = ACTIONS(1474),
    [anon_sym___vectorcall] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_signed] = ACTIONS(1474),
    [anon_sym_unsigned] = ACTIONS(1474),
    [anon_sym_long] = ACTIONS(1474),
    [anon_sym_short] = ACTIONS(1474),
    [anon_sym_static] = ACTIONS(1474),
    [anon_sym_auto] = ACTIONS(1474),
    [anon_sym_register] = ACTIONS(1474),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym___inline] = ACTIONS(1474),
    [anon_sym___inline__] = ACTIONS(1474),
    [anon_sym___forceinline] = ACTIONS(1474),
    [anon_sym_thread_local] = ACTIONS(1474),
    [anon_sym___thread] = ACTIONS(1474),
    [anon_sym_const] = ACTIONS(1474),
    [anon_sym_constexpr] = ACTIONS(1474),
    [anon_sym_volatile] = ACTIONS(1474),
    [anon_sym_restrict] = ACTIONS(1474),
    [anon_sym___restrict__] = ACTIONS(1474),
    [anon_sym__Atomic] = ACTIONS(1474),
    [anon_sym__Noreturn] = ACTIONS(1474),
    [anon_sym_noreturn] = ACTIONS(1474),
    [sym_primitive_type] = ACTIONS(1474),
    [anon_sym_enum] = ACTIONS(1474),
    [anon_sym_struct] = ACTIONS(1474),
    [anon_sym_union] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_switch] = ACTIONS(1474),
    [anon_sym_case] = ACTIONS(1474),
    [anon_sym_default] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_do] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1474),
    [anon_sym_continue] = ACTIONS(1474),
    [anon_sym_goto] = ACTIONS(1474),
    [anon_sym___try] = ACTIONS(1474),
    [anon_sym___leave] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_sizeof] = ACTIONS(1474),
    [anon_sym___alignof__] = ACTIONS(1474),
    [anon_sym___alignof] = ACTIONS(1474),
    [anon_sym__alignof] = ACTIONS(1474),
    [anon_sym_alignof] = ACTIONS(1474),
    [anon_sym__Alignof] = ACTIONS(1474),
    [anon_sym_offsetof] = ACTIONS(1474),
    [anon_sym__Generic] = ACTIONS(1474),
    [anon_sym_asm] = ACTIONS(1474),
    [anon_sym___asm__] = ACTIONS(1474),
    [sym_number_literal] = ACTIONS(1476),
    [anon_sym_L_SQUOTE] = ACTIONS(1476),
    [anon_sym_u_SQUOTE] = ACTIONS(1476),
    [anon_sym_U_SQUOTE] = ACTIONS(1476),
    [anon_sym_u8_SQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_L_DQUOTE] = ACTIONS(1476),
    [anon_sym_u_DQUOTE] = ACTIONS(1476),
    [anon_sym_U_DQUOTE] = ACTIONS(1476),
    [anon_sym_u8_DQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [anon_sym_NULL] = ACTIONS(1474),
    [anon_sym_nullptr] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1418),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym___inline] = ACTIONS(1418),
    [anon_sym___inline__] = ACTIONS(1418),
    [anon_sym___forceinline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym___thread] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym___try] = ACTIONS(1418),
    [anon_sym___leave] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym___alignof__] = ACTIONS(1418),
    [anon_sym___alignof] = ACTIONS(1418),
    [anon_sym__alignof] = ACTIONS(1418),
    [anon_sym_alignof] = ACTIONS(1418),
    [anon_sym__Alignof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_identifier] = ACTIONS(1462),
    [aux_sym_preproc_include_token1] = ACTIONS(1462),
    [aux_sym_preproc_def_token1] = ACTIONS(1462),
    [aux_sym_preproc_if_token1] = ACTIONS(1462),
    [aux_sym_preproc_if_token2] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1462),
    [sym_preproc_directive] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1462),
    [anon_sym_typedef] = ACTIONS(1462),
    [anon_sym_extern] = ACTIONS(1462),
    [anon_sym___attribute__] = ACTIONS(1462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1464),
    [anon_sym___declspec] = ACTIONS(1462),
    [anon_sym___cdecl] = ACTIONS(1462),
    [anon_sym___clrcall] = ACTIONS(1462),
    [anon_sym___stdcall] = ACTIONS(1462),
    [anon_sym___fastcall] = ACTIONS(1462),
    [anon_sym___thiscall] = ACTIONS(1462),
    [anon_sym___vectorcall] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_signed] = ACTIONS(1462),
    [anon_sym_unsigned] = ACTIONS(1462),
    [anon_sym_long] = ACTIONS(1462),
    [anon_sym_short] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1462),
    [anon_sym_auto] = ACTIONS(1462),
    [anon_sym_register] = ACTIONS(1462),
    [anon_sym_inline] = ACTIONS(1462),
    [anon_sym___inline] = ACTIONS(1462),
    [anon_sym___inline__] = ACTIONS(1462),
    [anon_sym___forceinline] = ACTIONS(1462),
    [anon_sym_thread_local] = ACTIONS(1462),
    [anon_sym___thread] = ACTIONS(1462),
    [anon_sym_const] = ACTIONS(1462),
    [anon_sym_constexpr] = ACTIONS(1462),
    [anon_sym_volatile] = ACTIONS(1462),
    [anon_sym_restrict] = ACTIONS(1462),
    [anon_sym___restrict__] = ACTIONS(1462),
    [anon_sym__Atomic] = ACTIONS(1462),
    [anon_sym__Noreturn] = ACTIONS(1462),
    [anon_sym_noreturn] = ACTIONS(1462),
    [sym_primitive_type] = ACTIONS(1462),
    [anon_sym_enum] = ACTIONS(1462),
    [anon_sym_struct] = ACTIONS(1462),
    [anon_sym_union] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_switch] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1462),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_do] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_break] = ACTIONS(1462),
    [anon_sym_continue] = ACTIONS(1462),
    [anon_sym_goto] = ACTIONS(1462),
    [anon_sym___try] = ACTIONS(1462),
    [anon_sym___leave] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1462),
    [anon_sym___alignof__] = ACTIONS(1462),
    [anon_sym___alignof] = ACTIONS(1462),
    [anon_sym__alignof] = ACTIONS(1462),
    [anon_sym_alignof] = ACTIONS(1462),
    [anon_sym__Alignof] = ACTIONS(1462),
    [anon_sym_offsetof] = ACTIONS(1462),
    [anon_sym__Generic] = ACTIONS(1462),
    [anon_sym_asm] = ACTIONS(1462),
    [anon_sym___asm__] = ACTIONS(1462),
    [sym_number_literal] = ACTIONS(1464),
    [anon_sym_L_SQUOTE] = ACTIONS(1464),
    [anon_sym_u_SQUOTE] = ACTIONS(1464),
    [anon_sym_U_SQUOTE] = ACTIONS(1464),
    [anon_sym_u8_SQUOTE] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_L_DQUOTE] = ACTIONS(1464),
    [anon_sym_u_DQUOTE] = ACTIONS(1464),
    [anon_sym_U_DQUOTE] = ACTIONS(1464),
    [anon_sym_u8_DQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [anon_sym_NULL] = ACTIONS(1462),
    [anon_sym_nullptr] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_attribute_declaration] = STATE(414),
    [sym_compound_statement] = STATE(349),
    [sym_attributed_statement] = STATE(349),
    [sym_labeled_statement] = STATE(349),
    [sym_expression_statement] = STATE(349),
    [sym_if_statement] = STATE(349),
    [sym_switch_statement] = STATE(349),
    [sym_case_statement] = STATE(349),
    [sym_while_statement] = STATE(349),
    [sym_do_statement] = STATE(349),
    [sym_for_statement] = STATE(349),
    [sym_return_statement] = STATE(349),
    [sym_break_statement] = STATE(349),
    [sym_continue_statement] = STATE(349),
    [sym_goto_statement] = STATE(349),
    [sym_seh_try_statement] = STATE(349),
    [sym_seh_leave_statement] = STATE(349),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(414),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1414),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym___inline] = ACTIONS(1414),
    [anon_sym___inline__] = ACTIONS(1414),
    [anon_sym___forceinline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym___thread] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym___try] = ACTIONS(1414),
    [anon_sym___leave] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym___alignof__] = ACTIONS(1414),
    [anon_sym___alignof] = ACTIONS(1414),
    [anon_sym__alignof] = ACTIONS(1414),
    [anon_sym_alignof] = ACTIONS(1414),
    [anon_sym__Alignof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1430),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym___inline] = ACTIONS(1430),
    [anon_sym___inline__] = ACTIONS(1430),
    [anon_sym___forceinline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym___thread] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym___try] = ACTIONS(1430),
    [anon_sym___leave] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym___alignof__] = ACTIONS(1430),
    [anon_sym___alignof] = ACTIONS(1430),
    [anon_sym__alignof] = ACTIONS(1430),
    [anon_sym_alignof] = ACTIONS(1430),
    [anon_sym__Alignof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_identifier] = ACTIONS(1482),
    [aux_sym_preproc_include_token1] = ACTIONS(1482),
    [aux_sym_preproc_def_token1] = ACTIONS(1482),
    [aux_sym_preproc_if_token1] = ACTIONS(1482),
    [aux_sym_preproc_if_token2] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1482),
    [sym_preproc_directive] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1482),
    [anon_sym_typedef] = ACTIONS(1482),
    [anon_sym_extern] = ACTIONS(1482),
    [anon_sym___attribute__] = ACTIONS(1482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1484),
    [anon_sym___declspec] = ACTIONS(1482),
    [anon_sym___cdecl] = ACTIONS(1482),
    [anon_sym___clrcall] = ACTIONS(1482),
    [anon_sym___stdcall] = ACTIONS(1482),
    [anon_sym___fastcall] = ACTIONS(1482),
    [anon_sym___thiscall] = ACTIONS(1482),
    [anon_sym___vectorcall] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_signed] = ACTIONS(1482),
    [anon_sym_unsigned] = ACTIONS(1482),
    [anon_sym_long] = ACTIONS(1482),
    [anon_sym_short] = ACTIONS(1482),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_auto] = ACTIONS(1482),
    [anon_sym_register] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(1482),
    [anon_sym___inline] = ACTIONS(1482),
    [anon_sym___inline__] = ACTIONS(1482),
    [anon_sym___forceinline] = ACTIONS(1482),
    [anon_sym_thread_local] = ACTIONS(1482),
    [anon_sym___thread] = ACTIONS(1482),
    [anon_sym_const] = ACTIONS(1482),
    [anon_sym_constexpr] = ACTIONS(1482),
    [anon_sym_volatile] = ACTIONS(1482),
    [anon_sym_restrict] = ACTIONS(1482),
    [anon_sym___restrict__] = ACTIONS(1482),
    [anon_sym__Atomic] = ACTIONS(1482),
    [anon_sym__Noreturn] = ACTIONS(1482),
    [anon_sym_noreturn] = ACTIONS(1482),
    [sym_primitive_type] = ACTIONS(1482),
    [anon_sym_enum] = ACTIONS(1482),
    [anon_sym_struct] = ACTIONS(1482),
    [anon_sym_union] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_switch] = ACTIONS(1482),
    [anon_sym_case] = ACTIONS(1482),
    [anon_sym_default] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_do] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_break] = ACTIONS(1482),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_goto] = ACTIONS(1482),
    [anon_sym___try] = ACTIONS(1482),
    [anon_sym___leave] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_sizeof] = ACTIONS(1482),
    [anon_sym___alignof__] = ACTIONS(1482),
    [anon_sym___alignof] = ACTIONS(1482),
    [anon_sym__alignof] = ACTIONS(1482),
    [anon_sym_alignof] = ACTIONS(1482),
    [anon_sym__Alignof] = ACTIONS(1482),
    [anon_sym_offsetof] = ACTIONS(1482),
    [anon_sym__Generic] = ACTIONS(1482),
    [anon_sym_asm] = ACTIONS(1482),
    [anon_sym___asm__] = ACTIONS(1482),
    [sym_number_literal] = ACTIONS(1484),
    [anon_sym_L_SQUOTE] = ACTIONS(1484),
    [anon_sym_u_SQUOTE] = ACTIONS(1484),
    [anon_sym_U_SQUOTE] = ACTIONS(1484),
    [anon_sym_u8_SQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_L_DQUOTE] = ACTIONS(1484),
    [anon_sym_u_DQUOTE] = ACTIONS(1484),
    [anon_sym_U_DQUOTE] = ACTIONS(1484),
    [anon_sym_u8_DQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [anon_sym_NULL] = ACTIONS(1482),
    [anon_sym_nullptr] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_attribute_declaration] = STATE(431),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym_seh_try_statement] = STATE(267),
    [sym_seh_leave_statement] = STATE(267),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(431),
    [sym_identifier] = ACTIONS(1830),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1833),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1836),
    [anon_sym_if] = ACTIONS(1839),
    [anon_sym_switch] = ACTIONS(1842),
    [anon_sym_case] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1848),
    [anon_sym_while] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1854),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1860),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1866),
    [anon_sym_goto] = ACTIONS(1869),
    [anon_sym___try] = ACTIONS(1872),
    [anon_sym___leave] = ACTIONS(1875),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_sizeof] = ACTIONS(1626),
    [anon_sym___alignof__] = ACTIONS(1629),
    [anon_sym___alignof] = ACTIONS(1629),
    [anon_sym__alignof] = ACTIONS(1629),
    [anon_sym_alignof] = ACTIONS(1629),
    [anon_sym__Alignof] = ACTIONS(1629),
    [anon_sym_offsetof] = ACTIONS(1632),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1638),
    [anon_sym___asm__] = ACTIONS(1638),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1644),
    [anon_sym_u_SQUOTE] = ACTIONS(1644),
    [anon_sym_U_SQUOTE] = ACTIONS(1644),
    [anon_sym_u8_SQUOTE] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_L_DQUOTE] = ACTIONS(1647),
    [anon_sym_u_DQUOTE] = ACTIONS(1647),
    [anon_sym_U_DQUOTE] = ACTIONS(1647),
    [anon_sym_u8_DQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1647),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [anon_sym_NULL] = ACTIONS(1653),
    [anon_sym_nullptr] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_identifier] = ACTIONS(1474),
    [aux_sym_preproc_include_token1] = ACTIONS(1474),
    [aux_sym_preproc_def_token1] = ACTIONS(1474),
    [aux_sym_preproc_if_token1] = ACTIONS(1474),
    [aux_sym_preproc_if_token2] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_SEMI] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1474),
    [anon_sym_typedef] = ACTIONS(1474),
    [anon_sym_extern] = ACTIONS(1474),
    [anon_sym___attribute__] = ACTIONS(1474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1476),
    [anon_sym___declspec] = ACTIONS(1474),
    [anon_sym___cdecl] = ACTIONS(1474),
    [anon_sym___clrcall] = ACTIONS(1474),
    [anon_sym___stdcall] = ACTIONS(1474),
    [anon_sym___fastcall] = ACTIONS(1474),
    [anon_sym___thiscall] = ACTIONS(1474),
    [anon_sym___vectorcall] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_signed] = ACTIONS(1474),
    [anon_sym_unsigned] = ACTIONS(1474),
    [anon_sym_long] = ACTIONS(1474),
    [anon_sym_short] = ACTIONS(1474),
    [anon_sym_static] = ACTIONS(1474),
    [anon_sym_auto] = ACTIONS(1474),
    [anon_sym_register] = ACTIONS(1474),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym___inline] = ACTIONS(1474),
    [anon_sym___inline__] = ACTIONS(1474),
    [anon_sym___forceinline] = ACTIONS(1474),
    [anon_sym_thread_local] = ACTIONS(1474),
    [anon_sym___thread] = ACTIONS(1474),
    [anon_sym_const] = ACTIONS(1474),
    [anon_sym_constexpr] = ACTIONS(1474),
    [anon_sym_volatile] = ACTIONS(1474),
    [anon_sym_restrict] = ACTIONS(1474),
    [anon_sym___restrict__] = ACTIONS(1474),
    [anon_sym__Atomic] = ACTIONS(1474),
    [anon_sym__Noreturn] = ACTIONS(1474),
    [anon_sym_noreturn] = ACTIONS(1474),
    [sym_primitive_type] = ACTIONS(1474),
    [anon_sym_enum] = ACTIONS(1474),
    [anon_sym_struct] = ACTIONS(1474),
    [anon_sym_union] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_switch] = ACTIONS(1474),
    [anon_sym_case] = ACTIONS(1474),
    [anon_sym_default] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_do] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1474),
    [anon_sym_continue] = ACTIONS(1474),
    [anon_sym_goto] = ACTIONS(1474),
    [anon_sym___try] = ACTIONS(1474),
    [anon_sym___leave] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_sizeof] = ACTIONS(1474),
    [anon_sym___alignof__] = ACTIONS(1474),
    [anon_sym___alignof] = ACTIONS(1474),
    [anon_sym__alignof] = ACTIONS(1474),
    [anon_sym_alignof] = ACTIONS(1474),
    [anon_sym__Alignof] = ACTIONS(1474),
    [anon_sym_offsetof] = ACTIONS(1474),
    [anon_sym__Generic] = ACTIONS(1474),
    [anon_sym_asm] = ACTIONS(1474),
    [anon_sym___asm__] = ACTIONS(1474),
    [sym_number_literal] = ACTIONS(1476),
    [anon_sym_L_SQUOTE] = ACTIONS(1476),
    [anon_sym_u_SQUOTE] = ACTIONS(1476),
    [anon_sym_U_SQUOTE] = ACTIONS(1476),
    [anon_sym_u8_SQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_L_DQUOTE] = ACTIONS(1476),
    [anon_sym_u_DQUOTE] = ACTIONS(1476),
    [anon_sym_U_DQUOTE] = ACTIONS(1476),
    [anon_sym_u8_DQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [anon_sym_NULL] = ACTIONS(1474),
    [anon_sym_nullptr] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1486),
    [aux_sym_preproc_def_token1] = ACTIONS(1486),
    [aux_sym_preproc_if_token1] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1486),
    [sym_preproc_directive] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1486),
    [anon_sym_typedef] = ACTIONS(1486),
    [anon_sym_extern] = ACTIONS(1486),
    [anon_sym___attribute__] = ACTIONS(1486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1488),
    [anon_sym___declspec] = ACTIONS(1486),
    [anon_sym___cdecl] = ACTIONS(1486),
    [anon_sym___clrcall] = ACTIONS(1486),
    [anon_sym___stdcall] = ACTIONS(1486),
    [anon_sym___fastcall] = ACTIONS(1486),
    [anon_sym___thiscall] = ACTIONS(1486),
    [anon_sym___vectorcall] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [anon_sym_signed] = ACTIONS(1486),
    [anon_sym_unsigned] = ACTIONS(1486),
    [anon_sym_long] = ACTIONS(1486),
    [anon_sym_short] = ACTIONS(1486),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_auto] = ACTIONS(1486),
    [anon_sym_register] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1486),
    [anon_sym___inline] = ACTIONS(1486),
    [anon_sym___inline__] = ACTIONS(1486),
    [anon_sym___forceinline] = ACTIONS(1486),
    [anon_sym_thread_local] = ACTIONS(1486),
    [anon_sym___thread] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_constexpr] = ACTIONS(1486),
    [anon_sym_volatile] = ACTIONS(1486),
    [anon_sym_restrict] = ACTIONS(1486),
    [anon_sym___restrict__] = ACTIONS(1486),
    [anon_sym__Atomic] = ACTIONS(1486),
    [anon_sym__Noreturn] = ACTIONS(1486),
    [anon_sym_noreturn] = ACTIONS(1486),
    [sym_primitive_type] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [anon_sym_struct] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_goto] = ACTIONS(1486),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_sizeof] = ACTIONS(1486),
    [anon_sym___alignof__] = ACTIONS(1486),
    [anon_sym___alignof] = ACTIONS(1486),
    [anon_sym__alignof] = ACTIONS(1486),
    [anon_sym_alignof] = ACTIONS(1486),
    [anon_sym__Alignof] = ACTIONS(1486),
    [anon_sym_offsetof] = ACTIONS(1486),
    [anon_sym__Generic] = ACTIONS(1486),
    [anon_sym_asm] = ACTIONS(1486),
    [anon_sym___asm__] = ACTIONS(1486),
    [sym_number_literal] = ACTIONS(1488),
    [anon_sym_L_SQUOTE] = ACTIONS(1488),
    [anon_sym_u_SQUOTE] = ACTIONS(1488),
    [anon_sym_U_SQUOTE] = ACTIONS(1488),
    [anon_sym_u8_SQUOTE] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [anon_sym_NULL] = ACTIONS(1486),
    [anon_sym_nullptr] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(368),
    [sym_attributed_statement] = STATE(368),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_seh_try_statement] = STATE(368),
    [sym_seh_leave_statement] = STATE(368),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(294),
    [sym_attributed_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_case_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_goto_statement] = STATE(294),
    [sym_seh_try_statement] = STATE(294),
    [sym_seh_leave_statement] = STATE(294),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1780),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_identifier] = ACTIONS(1450),
    [aux_sym_preproc_include_token1] = ACTIONS(1450),
    [aux_sym_preproc_def_token1] = ACTIONS(1450),
    [aux_sym_preproc_if_token1] = ACTIONS(1450),
    [aux_sym_preproc_if_token2] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1450),
    [sym_preproc_directive] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(1450),
    [anon_sym_extern] = ACTIONS(1450),
    [anon_sym___attribute__] = ACTIONS(1450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1452),
    [anon_sym___declspec] = ACTIONS(1450),
    [anon_sym___cdecl] = ACTIONS(1450),
    [anon_sym___clrcall] = ACTIONS(1450),
    [anon_sym___stdcall] = ACTIONS(1450),
    [anon_sym___fastcall] = ACTIONS(1450),
    [anon_sym___thiscall] = ACTIONS(1450),
    [anon_sym___vectorcall] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_signed] = ACTIONS(1450),
    [anon_sym_unsigned] = ACTIONS(1450),
    [anon_sym_long] = ACTIONS(1450),
    [anon_sym_short] = ACTIONS(1450),
    [anon_sym_static] = ACTIONS(1450),
    [anon_sym_auto] = ACTIONS(1450),
    [anon_sym_register] = ACTIONS(1450),
    [anon_sym_inline] = ACTIONS(1450),
    [anon_sym___inline] = ACTIONS(1450),
    [anon_sym___inline__] = ACTIONS(1450),
    [anon_sym___forceinline] = ACTIONS(1450),
    [anon_sym_thread_local] = ACTIONS(1450),
    [anon_sym___thread] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_constexpr] = ACTIONS(1450),
    [anon_sym_volatile] = ACTIONS(1450),
    [anon_sym_restrict] = ACTIONS(1450),
    [anon_sym___restrict__] = ACTIONS(1450),
    [anon_sym__Atomic] = ACTIONS(1450),
    [anon_sym__Noreturn] = ACTIONS(1450),
    [anon_sym_noreturn] = ACTIONS(1450),
    [sym_primitive_type] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_struct] = ACTIONS(1450),
    [anon_sym_union] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_case] = ACTIONS(1450),
    [anon_sym_default] = ACTIONS(1450),
    [anon_sym_while] = ACTIONS(1450),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym___try] = ACTIONS(1450),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_sizeof] = ACTIONS(1450),
    [anon_sym___alignof__] = ACTIONS(1450),
    [anon_sym___alignof] = ACTIONS(1450),
    [anon_sym__alignof] = ACTIONS(1450),
    [anon_sym_alignof] = ACTIONS(1450),
    [anon_sym__Alignof] = ACTIONS(1450),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym___asm__] = ACTIONS(1450),
    [sym_number_literal] = ACTIONS(1452),
    [anon_sym_L_SQUOTE] = ACTIONS(1452),
    [anon_sym_u_SQUOTE] = ACTIONS(1452),
    [anon_sym_U_SQUOTE] = ACTIONS(1452),
    [anon_sym_u8_SQUOTE] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_L_DQUOTE] = ACTIONS(1452),
    [anon_sym_u_DQUOTE] = ACTIONS(1452),
    [anon_sym_U_DQUOTE] = ACTIONS(1452),
    [anon_sym_u8_DQUOTE] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_NULL] = ACTIONS(1450),
    [anon_sym_nullptr] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_identifier] = ACTIONS(1454),
    [aux_sym_preproc_include_token1] = ACTIONS(1454),
    [aux_sym_preproc_def_token1] = ACTIONS(1454),
    [aux_sym_preproc_if_token1] = ACTIONS(1454),
    [aux_sym_preproc_if_token2] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1454),
    [sym_preproc_directive] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1454),
    [anon_sym_typedef] = ACTIONS(1454),
    [anon_sym_extern] = ACTIONS(1454),
    [anon_sym___attribute__] = ACTIONS(1454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1456),
    [anon_sym___declspec] = ACTIONS(1454),
    [anon_sym___cdecl] = ACTIONS(1454),
    [anon_sym___clrcall] = ACTIONS(1454),
    [anon_sym___stdcall] = ACTIONS(1454),
    [anon_sym___fastcall] = ACTIONS(1454),
    [anon_sym___thiscall] = ACTIONS(1454),
    [anon_sym___vectorcall] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_signed] = ACTIONS(1454),
    [anon_sym_unsigned] = ACTIONS(1454),
    [anon_sym_long] = ACTIONS(1454),
    [anon_sym_short] = ACTIONS(1454),
    [anon_sym_static] = ACTIONS(1454),
    [anon_sym_auto] = ACTIONS(1454),
    [anon_sym_register] = ACTIONS(1454),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym___inline] = ACTIONS(1454),
    [anon_sym___inline__] = ACTIONS(1454),
    [anon_sym___forceinline] = ACTIONS(1454),
    [anon_sym_thread_local] = ACTIONS(1454),
    [anon_sym___thread] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_constexpr] = ACTIONS(1454),
    [anon_sym_volatile] = ACTIONS(1454),
    [anon_sym_restrict] = ACTIONS(1454),
    [anon_sym___restrict__] = ACTIONS(1454),
    [anon_sym__Atomic] = ACTIONS(1454),
    [anon_sym__Noreturn] = ACTIONS(1454),
    [anon_sym_noreturn] = ACTIONS(1454),
    [sym_primitive_type] = ACTIONS(1454),
    [anon_sym_enum] = ACTIONS(1454),
    [anon_sym_struct] = ACTIONS(1454),
    [anon_sym_union] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_switch] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1454),
    [anon_sym_default] = ACTIONS(1454),
    [anon_sym_while] = ACTIONS(1454),
    [anon_sym_do] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym___try] = ACTIONS(1454),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_sizeof] = ACTIONS(1454),
    [anon_sym___alignof__] = ACTIONS(1454),
    [anon_sym___alignof] = ACTIONS(1454),
    [anon_sym__alignof] = ACTIONS(1454),
    [anon_sym_alignof] = ACTIONS(1454),
    [anon_sym__Alignof] = ACTIONS(1454),
    [anon_sym_offsetof] = ACTIONS(1454),
    [anon_sym__Generic] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym___asm__] = ACTIONS(1454),
    [sym_number_literal] = ACTIONS(1456),
    [anon_sym_L_SQUOTE] = ACTIONS(1456),
    [anon_sym_u_SQUOTE] = ACTIONS(1456),
    [anon_sym_U_SQUOTE] = ACTIONS(1456),
    [anon_sym_u8_SQUOTE] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_L_DQUOTE] = ACTIONS(1456),
    [anon_sym_u_DQUOTE] = ACTIONS(1456),
    [anon_sym_U_DQUOTE] = ACTIONS(1456),
    [anon_sym_u8_DQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_NULL] = ACTIONS(1454),
    [anon_sym_nullptr] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(288),
    [sym_attributed_statement] = STATE(288),
    [sym_labeled_statement] = STATE(288),
    [sym_expression_statement] = STATE(288),
    [sym_if_statement] = STATE(288),
    [sym_switch_statement] = STATE(288),
    [sym_case_statement] = STATE(288),
    [sym_while_statement] = STATE(288),
    [sym_do_statement] = STATE(288),
    [sym_for_statement] = STATE(288),
    [sym_return_statement] = STATE(288),
    [sym_break_statement] = STATE(288),
    [sym_continue_statement] = STATE(288),
    [sym_goto_statement] = STATE(288),
    [sym_seh_try_statement] = STATE(288),
    [sym_seh_leave_statement] = STATE(288),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1780),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_attribute_declaration] = STATE(452),
    [sym_compound_statement] = STATE(230),
    [sym_attributed_statement] = STATE(230),
    [sym_labeled_statement] = STATE(230),
    [sym_expression_statement] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_case_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_return_statement] = STATE(230),
    [sym_break_statement] = STATE(230),
    [sym_continue_statement] = STATE(230),
    [sym_goto_statement] = STATE(230),
    [sym_seh_try_statement] = STATE(230),
    [sym_seh_leave_statement] = STATE(230),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(452),
    [sym_identifier] = ACTIONS(1780),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(91),
    [sym_attributed_statement] = STATE(91),
    [sym_labeled_statement] = STATE(91),
    [sym_expression_statement] = STATE(91),
    [sym_if_statement] = STATE(91),
    [sym_switch_statement] = STATE(91),
    [sym_case_statement] = STATE(91),
    [sym_while_statement] = STATE(91),
    [sym_do_statement] = STATE(91),
    [sym_for_statement] = STATE(91),
    [sym_return_statement] = STATE(91),
    [sym_break_statement] = STATE(91),
    [sym_continue_statement] = STATE(91),
    [sym_goto_statement] = STATE(91),
    [sym_seh_try_statement] = STATE(91),
    [sym_seh_leave_statement] = STATE(91),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_SEMI] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1414),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym___inline] = ACTIONS(1414),
    [anon_sym___inline__] = ACTIONS(1414),
    [anon_sym___forceinline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym___thread] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym___try] = ACTIONS(1414),
    [anon_sym___leave] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym___alignof__] = ACTIONS(1414),
    [anon_sym___alignof] = ACTIONS(1414),
    [anon_sym__alignof] = ACTIONS(1414),
    [anon_sym_alignof] = ACTIONS(1414),
    [anon_sym__Alignof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_attribute_declaration] = STATE(391),
    [sym_compound_statement] = STATE(166),
    [sym_attributed_statement] = STATE(166),
    [sym_labeled_statement] = STATE(166),
    [sym_expression_statement] = STATE(166),
    [sym_if_statement] = STATE(166),
    [sym_switch_statement] = STATE(166),
    [sym_case_statement] = STATE(166),
    [sym_while_statement] = STATE(166),
    [sym_do_statement] = STATE(166),
    [sym_for_statement] = STATE(166),
    [sym_return_statement] = STATE(166),
    [sym_break_statement] = STATE(166),
    [sym_continue_statement] = STATE(166),
    [sym_goto_statement] = STATE(166),
    [sym_seh_try_statement] = STATE(166),
    [sym_seh_leave_statement] = STATE(166),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_attribute_declaration] = STATE(448),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(102),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(100),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(94),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(127),
    [sym_seh_leave_statement] = STATE(128),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(448),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_attribute_declaration] = STATE(391),
    [sym_compound_statement] = STATE(203),
    [sym_attributed_statement] = STATE(202),
    [sym_labeled_statement] = STATE(201),
    [sym_expression_statement] = STATE(199),
    [sym_if_statement] = STATE(197),
    [sym_switch_statement] = STATE(191),
    [sym_case_statement] = STATE(190),
    [sym_while_statement] = STATE(167),
    [sym_do_statement] = STATE(188),
    [sym_for_statement] = STATE(187),
    [sym_return_statement] = STATE(186),
    [sym_break_statement] = STATE(185),
    [sym_continue_statement] = STATE(179),
    [sym_goto_statement] = STATE(178),
    [sym_seh_try_statement] = STATE(177),
    [sym_seh_leave_statement] = STATE(208),
    [sym__expression] = STATE(1242),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2212),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(391),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_identifier] = ACTIONS(1462),
    [aux_sym_preproc_include_token1] = ACTIONS(1462),
    [aux_sym_preproc_def_token1] = ACTIONS(1462),
    [aux_sym_preproc_if_token1] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1462),
    [sym_preproc_directive] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1462),
    [anon_sym_typedef] = ACTIONS(1462),
    [anon_sym_extern] = ACTIONS(1462),
    [anon_sym___attribute__] = ACTIONS(1462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1464),
    [anon_sym___declspec] = ACTIONS(1462),
    [anon_sym___cdecl] = ACTIONS(1462),
    [anon_sym___clrcall] = ACTIONS(1462),
    [anon_sym___stdcall] = ACTIONS(1462),
    [anon_sym___fastcall] = ACTIONS(1462),
    [anon_sym___thiscall] = ACTIONS(1462),
    [anon_sym___vectorcall] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [anon_sym_signed] = ACTIONS(1462),
    [anon_sym_unsigned] = ACTIONS(1462),
    [anon_sym_long] = ACTIONS(1462),
    [anon_sym_short] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1462),
    [anon_sym_auto] = ACTIONS(1462),
    [anon_sym_register] = ACTIONS(1462),
    [anon_sym_inline] = ACTIONS(1462),
    [anon_sym___inline] = ACTIONS(1462),
    [anon_sym___inline__] = ACTIONS(1462),
    [anon_sym___forceinline] = ACTIONS(1462),
    [anon_sym_thread_local] = ACTIONS(1462),
    [anon_sym___thread] = ACTIONS(1462),
    [anon_sym_const] = ACTIONS(1462),
    [anon_sym_constexpr] = ACTIONS(1462),
    [anon_sym_volatile] = ACTIONS(1462),
    [anon_sym_restrict] = ACTIONS(1462),
    [anon_sym___restrict__] = ACTIONS(1462),
    [anon_sym__Atomic] = ACTIONS(1462),
    [anon_sym__Noreturn] = ACTIONS(1462),
    [anon_sym_noreturn] = ACTIONS(1462),
    [sym_primitive_type] = ACTIONS(1462),
    [anon_sym_enum] = ACTIONS(1462),
    [anon_sym_struct] = ACTIONS(1462),
    [anon_sym_union] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_switch] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1462),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_do] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_break] = ACTIONS(1462),
    [anon_sym_continue] = ACTIONS(1462),
    [anon_sym_goto] = ACTIONS(1462),
    [anon_sym___try] = ACTIONS(1462),
    [anon_sym___leave] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1462),
    [anon_sym___alignof__] = ACTIONS(1462),
    [anon_sym___alignof] = ACTIONS(1462),
    [anon_sym__alignof] = ACTIONS(1462),
    [anon_sym_alignof] = ACTIONS(1462),
    [anon_sym__Alignof] = ACTIONS(1462),
    [anon_sym_offsetof] = ACTIONS(1462),
    [anon_sym__Generic] = ACTIONS(1462),
    [anon_sym_asm] = ACTIONS(1462),
    [anon_sym___asm__] = ACTIONS(1462),
    [sym_number_literal] = ACTIONS(1464),
    [anon_sym_L_SQUOTE] = ACTIONS(1464),
    [anon_sym_u_SQUOTE] = ACTIONS(1464),
    [anon_sym_U_SQUOTE] = ACTIONS(1464),
    [anon_sym_u8_SQUOTE] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_L_DQUOTE] = ACTIONS(1464),
    [anon_sym_u_DQUOTE] = ACTIONS(1464),
    [anon_sym_U_DQUOTE] = ACTIONS(1464),
    [anon_sym_u8_DQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [anon_sym_NULL] = ACTIONS(1462),
    [anon_sym_nullptr] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_attribute_declaration] = STATE(417),
    [sym_compound_statement] = STATE(133),
    [sym_attributed_statement] = STATE(133),
    [sym_labeled_statement] = STATE(133),
    [sym_expression_statement] = STATE(133),
    [sym_if_statement] = STATE(133),
    [sym_switch_statement] = STATE(133),
    [sym_case_statement] = STATE(133),
    [sym_while_statement] = STATE(133),
    [sym_do_statement] = STATE(133),
    [sym_for_statement] = STATE(133),
    [sym_return_statement] = STATE(133),
    [sym_break_statement] = STATE(133),
    [sym_continue_statement] = STATE(133),
    [sym_goto_statement] = STATE(133),
    [sym_seh_try_statement] = STATE(133),
    [sym_seh_leave_statement] = STATE(133),
    [sym__expression] = STATE(1263),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2260),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(417),
    [sym_identifier] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1486),
    [aux_sym_preproc_def_token1] = ACTIONS(1486),
    [aux_sym_preproc_if_token1] = ACTIONS(1486),
    [aux_sym_preproc_if_token2] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1486),
    [sym_preproc_directive] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_SEMI] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1486),
    [anon_sym_typedef] = ACTIONS(1486),
    [anon_sym_extern] = ACTIONS(1486),
    [anon_sym___attribute__] = ACTIONS(1486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1488),
    [anon_sym___declspec] = ACTIONS(1486),
    [anon_sym___cdecl] = ACTIONS(1486),
    [anon_sym___clrcall] = ACTIONS(1486),
    [anon_sym___stdcall] = ACTIONS(1486),
    [anon_sym___fastcall] = ACTIONS(1486),
    [anon_sym___thiscall] = ACTIONS(1486),
    [anon_sym___vectorcall] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_signed] = ACTIONS(1486),
    [anon_sym_unsigned] = ACTIONS(1486),
    [anon_sym_long] = ACTIONS(1486),
    [anon_sym_short] = ACTIONS(1486),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_auto] = ACTIONS(1486),
    [anon_sym_register] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1486),
    [anon_sym___inline] = ACTIONS(1486),
    [anon_sym___inline__] = ACTIONS(1486),
    [anon_sym___forceinline] = ACTIONS(1486),
    [anon_sym_thread_local] = ACTIONS(1486),
    [anon_sym___thread] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_constexpr] = ACTIONS(1486),
    [anon_sym_volatile] = ACTIONS(1486),
    [anon_sym_restrict] = ACTIONS(1486),
    [anon_sym___restrict__] = ACTIONS(1486),
    [anon_sym__Atomic] = ACTIONS(1486),
    [anon_sym__Noreturn] = ACTIONS(1486),
    [anon_sym_noreturn] = ACTIONS(1486),
    [sym_primitive_type] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [anon_sym_struct] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_goto] = ACTIONS(1486),
    [anon_sym___try] = ACTIONS(1486),
    [anon_sym___leave] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_sizeof] = ACTIONS(1486),
    [anon_sym___alignof__] = ACTIONS(1486),
    [anon_sym___alignof] = ACTIONS(1486),
    [anon_sym__alignof] = ACTIONS(1486),
    [anon_sym_alignof] = ACTIONS(1486),
    [anon_sym__Alignof] = ACTIONS(1486),
    [anon_sym_offsetof] = ACTIONS(1486),
    [anon_sym__Generic] = ACTIONS(1486),
    [anon_sym_asm] = ACTIONS(1486),
    [anon_sym___asm__] = ACTIONS(1486),
    [sym_number_literal] = ACTIONS(1488),
    [anon_sym_L_SQUOTE] = ACTIONS(1488),
    [anon_sym_u_SQUOTE] = ACTIONS(1488),
    [anon_sym_U_SQUOTE] = ACTIONS(1488),
    [anon_sym_u8_SQUOTE] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [anon_sym_NULL] = ACTIONS(1486),
    [anon_sym_nullptr] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_attribute_declaration] = STATE(450),
    [sym_compound_statement] = STATE(349),
    [sym_attributed_statement] = STATE(349),
    [sym_labeled_statement] = STATE(349),
    [sym_expression_statement] = STATE(349),
    [sym_if_statement] = STATE(349),
    [sym_switch_statement] = STATE(349),
    [sym_case_statement] = STATE(349),
    [sym_while_statement] = STATE(349),
    [sym_do_statement] = STATE(349),
    [sym_for_statement] = STATE(349),
    [sym_return_statement] = STATE(349),
    [sym_break_statement] = STATE(349),
    [sym_continue_statement] = STATE(349),
    [sym_goto_statement] = STATE(349),
    [sym_seh_try_statement] = STATE(349),
    [sym_seh_leave_statement] = STATE(349),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(450),
    [sym_identifier] = ACTIONS(1878),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1572),
    [anon_sym_AMP] = ACTIONS(1572),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_if] = ACTIONS(1881),
    [anon_sym_switch] = ACTIONS(1744),
    [anon_sym_case] = ACTIONS(1884),
    [anon_sym_default] = ACTIONS(1887),
    [anon_sym_while] = ACTIONS(1890),
    [anon_sym_do] = ACTIONS(1756),
    [anon_sym_for] = ACTIONS(1893),
    [anon_sym_return] = ACTIONS(1762),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1768),
    [anon_sym_goto] = ACTIONS(1771),
    [anon_sym___try] = ACTIONS(1896),
    [anon_sym___leave] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1623),
    [anon_sym_PLUS_PLUS] = ACTIONS(1623),
    [anon_sym_sizeof] = ACTIONS(1626),
    [anon_sym___alignof__] = ACTIONS(1629),
    [anon_sym___alignof] = ACTIONS(1629),
    [anon_sym__alignof] = ACTIONS(1629),
    [anon_sym_alignof] = ACTIONS(1629),
    [anon_sym__Alignof] = ACTIONS(1629),
    [anon_sym_offsetof] = ACTIONS(1632),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1638),
    [anon_sym___asm__] = ACTIONS(1638),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1644),
    [anon_sym_u_SQUOTE] = ACTIONS(1644),
    [anon_sym_U_SQUOTE] = ACTIONS(1644),
    [anon_sym_u8_SQUOTE] = ACTIONS(1644),
    [anon_sym_SQUOTE] = ACTIONS(1644),
    [anon_sym_L_DQUOTE] = ACTIONS(1647),
    [anon_sym_u_DQUOTE] = ACTIONS(1647),
    [anon_sym_U_DQUOTE] = ACTIONS(1647),
    [anon_sym_u8_DQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1647),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [anon_sym_NULL] = ACTIONS(1653),
    [anon_sym_nullptr] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1446),
    [aux_sym_preproc_def_token1] = ACTIONS(1446),
    [aux_sym_preproc_if_token1] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1446),
    [sym_preproc_directive] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(1446),
    [anon_sym_extern] = ACTIONS(1446),
    [anon_sym___attribute__] = ACTIONS(1446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1448),
    [anon_sym___declspec] = ACTIONS(1446),
    [anon_sym___cdecl] = ACTIONS(1446),
    [anon_sym___clrcall] = ACTIONS(1446),
    [anon_sym___stdcall] = ACTIONS(1446),
    [anon_sym___fastcall] = ACTIONS(1446),
    [anon_sym___thiscall] = ACTIONS(1446),
    [anon_sym___vectorcall] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [anon_sym_signed] = ACTIONS(1446),
    [anon_sym_unsigned] = ACTIONS(1446),
    [anon_sym_long] = ACTIONS(1446),
    [anon_sym_short] = ACTIONS(1446),
    [anon_sym_static] = ACTIONS(1446),
    [anon_sym_auto] = ACTIONS(1446),
    [anon_sym_register] = ACTIONS(1446),
    [anon_sym_inline] = ACTIONS(1446),
    [anon_sym___inline] = ACTIONS(1446),
    [anon_sym___inline__] = ACTIONS(1446),
    [anon_sym___forceinline] = ACTIONS(1446),
    [anon_sym_thread_local] = ACTIONS(1446),
    [anon_sym___thread] = ACTIONS(1446),
    [anon_sym_const] = ACTIONS(1446),
    [anon_sym_constexpr] = ACTIONS(1446),
    [anon_sym_volatile] = ACTIONS(1446),
    [anon_sym_restrict] = ACTIONS(1446),
    [anon_sym___restrict__] = ACTIONS(1446),
    [anon_sym__Atomic] = ACTIONS(1446),
    [anon_sym__Noreturn] = ACTIONS(1446),
    [anon_sym_noreturn] = ACTIONS(1446),
    [sym_primitive_type] = ACTIONS(1446),
    [anon_sym_enum] = ACTIONS(1446),
    [anon_sym_struct] = ACTIONS(1446),
    [anon_sym_union] = ACTIONS(1446),
    [anon_sym_if] = ACTIONS(1446),
    [anon_sym_switch] = ACTIONS(1446),
    [anon_sym_case] = ACTIONS(1446),
    [anon_sym_default] = ACTIONS(1446),
    [anon_sym_while] = ACTIONS(1446),
    [anon_sym_do] = ACTIONS(1446),
    [anon_sym_for] = ACTIONS(1446),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_break] = ACTIONS(1446),
    [anon_sym_continue] = ACTIONS(1446),
    [anon_sym_goto] = ACTIONS(1446),
    [anon_sym___try] = ACTIONS(1446),
    [anon_sym___leave] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_sizeof] = ACTIONS(1446),
    [anon_sym___alignof__] = ACTIONS(1446),
    [anon_sym___alignof] = ACTIONS(1446),
    [anon_sym__alignof] = ACTIONS(1446),
    [anon_sym_alignof] = ACTIONS(1446),
    [anon_sym__Alignof] = ACTIONS(1446),
    [anon_sym_offsetof] = ACTIONS(1446),
    [anon_sym__Generic] = ACTIONS(1446),
    [anon_sym_asm] = ACTIONS(1446),
    [anon_sym___asm__] = ACTIONS(1446),
    [sym_number_literal] = ACTIONS(1448),
    [anon_sym_L_SQUOTE] = ACTIONS(1448),
    [anon_sym_u_SQUOTE] = ACTIONS(1448),
    [anon_sym_U_SQUOTE] = ACTIONS(1448),
    [anon_sym_u8_SQUOTE] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_L_DQUOTE] = ACTIONS(1448),
    [anon_sym_u_DQUOTE] = ACTIONS(1448),
    [anon_sym_U_DQUOTE] = ACTIONS(1448),
    [anon_sym_u8_DQUOTE] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [sym_true] = ACTIONS(1446),
    [sym_false] = ACTIONS(1446),
    [anon_sym_NULL] = ACTIONS(1446),
    [anon_sym_nullptr] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_attribute_declaration] = STATE(431),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym_seh_try_statement] = STATE(267),
    [sym_seh_leave_statement] = STATE(267),
    [sym__expression] = STATE(1268),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2092),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(431),
    [sym_identifier] = ACTIONS(1780),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1446),
    [aux_sym_preproc_def_token1] = ACTIONS(1446),
    [aux_sym_preproc_if_token1] = ACTIONS(1446),
    [aux_sym_preproc_if_token2] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1446),
    [sym_preproc_directive] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym_SEMI] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(1446),
    [anon_sym_extern] = ACTIONS(1446),
    [anon_sym___attribute__] = ACTIONS(1446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1448),
    [anon_sym___declspec] = ACTIONS(1446),
    [anon_sym___cdecl] = ACTIONS(1446),
    [anon_sym___clrcall] = ACTIONS(1446),
    [anon_sym___stdcall] = ACTIONS(1446),
    [anon_sym___fastcall] = ACTIONS(1446),
    [anon_sym___thiscall] = ACTIONS(1446),
    [anon_sym___vectorcall] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_signed] = ACTIONS(1446),
    [anon_sym_unsigned] = ACTIONS(1446),
    [anon_sym_long] = ACTIONS(1446),
    [anon_sym_short] = ACTIONS(1446),
    [anon_sym_static] = ACTIONS(1446),
    [anon_sym_auto] = ACTIONS(1446),
    [anon_sym_register] = ACTIONS(1446),
    [anon_sym_inline] = ACTIONS(1446),
    [anon_sym___inline] = ACTIONS(1446),
    [anon_sym___inline__] = ACTIONS(1446),
    [anon_sym___forceinline] = ACTIONS(1446),
    [anon_sym_thread_local] = ACTIONS(1446),
    [anon_sym___thread] = ACTIONS(1446),
    [anon_sym_const] = ACTIONS(1446),
    [anon_sym_constexpr] = ACTIONS(1446),
    [anon_sym_volatile] = ACTIONS(1446),
    [anon_sym_restrict] = ACTIONS(1446),
    [anon_sym___restrict__] = ACTIONS(1446),
    [anon_sym__Atomic] = ACTIONS(1446),
    [anon_sym__Noreturn] = ACTIONS(1446),
    [anon_sym_noreturn] = ACTIONS(1446),
    [sym_primitive_type] = ACTIONS(1446),
    [anon_sym_enum] = ACTIONS(1446),
    [anon_sym_struct] = ACTIONS(1446),
    [anon_sym_union] = ACTIONS(1446),
    [anon_sym_if] = ACTIONS(1446),
    [anon_sym_switch] = ACTIONS(1446),
    [anon_sym_case] = ACTIONS(1446),
    [anon_sym_default] = ACTIONS(1446),
    [anon_sym_while] = ACTIONS(1446),
    [anon_sym_do] = ACTIONS(1446),
    [anon_sym_for] = ACTIONS(1446),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_break] = ACTIONS(1446),
    [anon_sym_continue] = ACTIONS(1446),
    [anon_sym_goto] = ACTIONS(1446),
    [anon_sym___try] = ACTIONS(1446),
    [anon_sym___leave] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_sizeof] = ACTIONS(1446),
    [anon_sym___alignof__] = ACTIONS(1446),
    [anon_sym___alignof] = ACTIONS(1446),
    [anon_sym__alignof] = ACTIONS(1446),
    [anon_sym_alignof] = ACTIONS(1446),
    [anon_sym__Alignof] = ACTIONS(1446),
    [anon_sym_offsetof] = ACTIONS(1446),
    [anon_sym__Generic] = ACTIONS(1446),
    [anon_sym_asm] = ACTIONS(1446),
    [anon_sym___asm__] = ACTIONS(1446),
    [sym_number_literal] = ACTIONS(1448),
    [anon_sym_L_SQUOTE] = ACTIONS(1448),
    [anon_sym_u_SQUOTE] = ACTIONS(1448),
    [anon_sym_U_SQUOTE] = ACTIONS(1448),
    [anon_sym_u8_SQUOTE] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_L_DQUOTE] = ACTIONS(1448),
    [anon_sym_u_DQUOTE] = ACTIONS(1448),
    [anon_sym_U_DQUOTE] = ACTIONS(1448),
    [anon_sym_u8_DQUOTE] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [sym_true] = ACTIONS(1446),
    [sym_false] = ACTIONS(1446),
    [anon_sym_NULL] = ACTIONS(1446),
    [anon_sym_nullptr] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1442),
    [aux_sym_preproc_def_token1] = ACTIONS(1442),
    [aux_sym_preproc_if_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [sym_preproc_directive] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1444),
    [anon_sym_AMP] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1442),
    [anon_sym_typedef] = ACTIONS(1442),
    [anon_sym_extern] = ACTIONS(1442),
    [anon_sym___attribute__] = ACTIONS(1442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1444),
    [anon_sym___declspec] = ACTIONS(1442),
    [anon_sym___cdecl] = ACTIONS(1442),
    [anon_sym___clrcall] = ACTIONS(1442),
    [anon_sym___stdcall] = ACTIONS(1442),
    [anon_sym___fastcall] = ACTIONS(1442),
    [anon_sym___thiscall] = ACTIONS(1442),
    [anon_sym___vectorcall] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_signed] = ACTIONS(1442),
    [anon_sym_unsigned] = ACTIONS(1442),
    [anon_sym_long] = ACTIONS(1442),
    [anon_sym_short] = ACTIONS(1442),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_auto] = ACTIONS(1442),
    [anon_sym_register] = ACTIONS(1442),
    [anon_sym_inline] = ACTIONS(1442),
    [anon_sym___inline] = ACTIONS(1442),
    [anon_sym___inline__] = ACTIONS(1442),
    [anon_sym___forceinline] = ACTIONS(1442),
    [anon_sym_thread_local] = ACTIONS(1442),
    [anon_sym___thread] = ACTIONS(1442),
    [anon_sym_const] = ACTIONS(1442),
    [anon_sym_constexpr] = ACTIONS(1442),
    [anon_sym_volatile] = ACTIONS(1442),
    [anon_sym_restrict] = ACTIONS(1442),
    [anon_sym___restrict__] = ACTIONS(1442),
    [anon_sym__Atomic] = ACTIONS(1442),
    [anon_sym__Noreturn] = ACTIONS(1442),
    [anon_sym_noreturn] = ACTIONS(1442),
    [sym_primitive_type] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_struct] = ACTIONS(1442),
    [anon_sym_union] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_case] = ACTIONS(1442),
    [anon_sym_default] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_break] = ACTIONS(1442),
    [anon_sym_continue] = ACTIONS(1442),
    [anon_sym_goto] = ACTIONS(1442),
    [anon_sym___try] = ACTIONS(1442),
    [anon_sym___leave] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_sizeof] = ACTIONS(1442),
    [anon_sym___alignof__] = ACTIONS(1442),
    [anon_sym___alignof] = ACTIONS(1442),
    [anon_sym__alignof] = ACTIONS(1442),
    [anon_sym_alignof] = ACTIONS(1442),
    [anon_sym__Alignof] = ACTIONS(1442),
    [anon_sym_offsetof] = ACTIONS(1442),
    [anon_sym__Generic] = ACTIONS(1442),
    [anon_sym_asm] = ACTIONS(1442),
    [anon_sym___asm__] = ACTIONS(1442),
    [sym_number_literal] = ACTIONS(1444),
    [anon_sym_L_SQUOTE] = ACTIONS(1444),
    [anon_sym_u_SQUOTE] = ACTIONS(1444),
    [anon_sym_U_SQUOTE] = ACTIONS(1444),
    [anon_sym_u8_SQUOTE] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_L_DQUOTE] = ACTIONS(1444),
    [anon_sym_u_DQUOTE] = ACTIONS(1444),
    [anon_sym_U_DQUOTE] = ACTIONS(1444),
    [anon_sym_u8_DQUOTE] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [sym_true] = ACTIONS(1442),
    [sym_false] = ACTIONS(1442),
    [anon_sym_NULL] = ACTIONS(1442),
    [anon_sym_nullptr] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1442),
    [aux_sym_preproc_def_token1] = ACTIONS(1442),
    [aux_sym_preproc_if_token1] = ACTIONS(1442),
    [aux_sym_preproc_if_token2] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [sym_preproc_directive] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1444),
    [anon_sym_AMP] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1442),
    [anon_sym_typedef] = ACTIONS(1442),
    [anon_sym_extern] = ACTIONS(1442),
    [anon_sym___attribute__] = ACTIONS(1442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1444),
    [anon_sym___declspec] = ACTIONS(1442),
    [anon_sym___cdecl] = ACTIONS(1442),
    [anon_sym___clrcall] = ACTIONS(1442),
    [anon_sym___stdcall] = ACTIONS(1442),
    [anon_sym___fastcall] = ACTIONS(1442),
    [anon_sym___thiscall] = ACTIONS(1442),
    [anon_sym___vectorcall] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_signed] = ACTIONS(1442),
    [anon_sym_unsigned] = ACTIONS(1442),
    [anon_sym_long] = ACTIONS(1442),
    [anon_sym_short] = ACTIONS(1442),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_auto] = ACTIONS(1442),
    [anon_sym_register] = ACTIONS(1442),
    [anon_sym_inline] = ACTIONS(1442),
    [anon_sym___inline] = ACTIONS(1442),
    [anon_sym___inline__] = ACTIONS(1442),
    [anon_sym___forceinline] = ACTIONS(1442),
    [anon_sym_thread_local] = ACTIONS(1442),
    [anon_sym___thread] = ACTIONS(1442),
    [anon_sym_const] = ACTIONS(1442),
    [anon_sym_constexpr] = ACTIONS(1442),
    [anon_sym_volatile] = ACTIONS(1442),
    [anon_sym_restrict] = ACTIONS(1442),
    [anon_sym___restrict__] = ACTIONS(1442),
    [anon_sym__Atomic] = ACTIONS(1442),
    [anon_sym__Noreturn] = ACTIONS(1442),
    [anon_sym_noreturn] = ACTIONS(1442),
    [sym_primitive_type] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_struct] = ACTIONS(1442),
    [anon_sym_union] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_case] = ACTIONS(1442),
    [anon_sym_default] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_break] = ACTIONS(1442),
    [anon_sym_continue] = ACTIONS(1442),
    [anon_sym_goto] = ACTIONS(1442),
    [anon_sym___try] = ACTIONS(1442),
    [anon_sym___leave] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_sizeof] = ACTIONS(1442),
    [anon_sym___alignof__] = ACTIONS(1442),
    [anon_sym___alignof] = ACTIONS(1442),
    [anon_sym__alignof] = ACTIONS(1442),
    [anon_sym_alignof] = ACTIONS(1442),
    [anon_sym__Alignof] = ACTIONS(1442),
    [anon_sym_offsetof] = ACTIONS(1442),
    [anon_sym__Generic] = ACTIONS(1442),
    [anon_sym_asm] = ACTIONS(1442),
    [anon_sym___asm__] = ACTIONS(1442),
    [sym_number_literal] = ACTIONS(1444),
    [anon_sym_L_SQUOTE] = ACTIONS(1444),
    [anon_sym_u_SQUOTE] = ACTIONS(1444),
    [anon_sym_U_SQUOTE] = ACTIONS(1444),
    [anon_sym_u8_SQUOTE] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_L_DQUOTE] = ACTIONS(1444),
    [anon_sym_u_DQUOTE] = ACTIONS(1444),
    [anon_sym_U_DQUOTE] = ACTIONS(1444),
    [anon_sym_u8_DQUOTE] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [sym_true] = ACTIONS(1442),
    [sym_false] = ACTIONS(1442),
    [anon_sym_NULL] = ACTIONS(1442),
    [anon_sym_nullptr] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym_SEMI] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1438),
    [anon_sym_typedef] = ACTIONS(1438),
    [anon_sym_extern] = ACTIONS(1438),
    [anon_sym___attribute__] = ACTIONS(1438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1440),
    [anon_sym___declspec] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(1438),
    [anon_sym_unsigned] = ACTIONS(1438),
    [anon_sym_long] = ACTIONS(1438),
    [anon_sym_short] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_auto] = ACTIONS(1438),
    [anon_sym_register] = ACTIONS(1438),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym___inline] = ACTIONS(1438),
    [anon_sym___inline__] = ACTIONS(1438),
    [anon_sym___forceinline] = ACTIONS(1438),
    [anon_sym_thread_local] = ACTIONS(1438),
    [anon_sym___thread] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_constexpr] = ACTIONS(1438),
    [anon_sym_volatile] = ACTIONS(1438),
    [anon_sym_restrict] = ACTIONS(1438),
    [anon_sym___restrict__] = ACTIONS(1438),
    [anon_sym__Atomic] = ACTIONS(1438),
    [anon_sym__Noreturn] = ACTIONS(1438),
    [anon_sym_noreturn] = ACTIONS(1438),
    [sym_primitive_type] = ACTIONS(1438),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_struct] = ACTIONS(1438),
    [anon_sym_union] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym___try] = ACTIONS(1438),
    [anon_sym___leave] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_sizeof] = ACTIONS(1438),
    [anon_sym___alignof__] = ACTIONS(1438),
    [anon_sym___alignof] = ACTIONS(1438),
    [anon_sym__alignof] = ACTIONS(1438),
    [anon_sym_alignof] = ACTIONS(1438),
    [anon_sym__Alignof] = ACTIONS(1438),
    [anon_sym_offsetof] = ACTIONS(1438),
    [anon_sym__Generic] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym___asm__] = ACTIONS(1438),
    [sym_number_literal] = ACTIONS(1440),
    [anon_sym_L_SQUOTE] = ACTIONS(1440),
    [anon_sym_u_SQUOTE] = ACTIONS(1440),
    [anon_sym_U_SQUOTE] = ACTIONS(1440),
    [anon_sym_u8_SQUOTE] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_L_DQUOTE] = ACTIONS(1440),
    [anon_sym_u_DQUOTE] = ACTIONS(1440),
    [anon_sym_U_DQUOTE] = ACTIONS(1440),
    [anon_sym_u8_DQUOTE] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_NULL] = ACTIONS(1438),
    [anon_sym_nullptr] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(529),
    [sym_attributed_statement] = STATE(529),
    [sym_labeled_statement] = STATE(529),
    [sym_expression_statement] = STATE(529),
    [sym_if_statement] = STATE(529),
    [sym_switch_statement] = STATE(529),
    [sym_case_statement] = STATE(529),
    [sym_while_statement] = STATE(529),
    [sym_do_statement] = STATE(529),
    [sym_for_statement] = STATE(529),
    [sym_return_statement] = STATE(529),
    [sym_break_statement] = STATE(529),
    [sym_continue_statement] = STATE(529),
    [sym_goto_statement] = STATE(529),
    [sym_seh_try_statement] = STATE(529),
    [sym_seh_leave_statement] = STATE(529),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_identifier] = ACTIONS(1454),
    [aux_sym_preproc_include_token1] = ACTIONS(1454),
    [aux_sym_preproc_def_token1] = ACTIONS(1454),
    [aux_sym_preproc_if_token1] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1454),
    [sym_preproc_directive] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1454),
    [anon_sym_typedef] = ACTIONS(1454),
    [anon_sym_extern] = ACTIONS(1454),
    [anon_sym___attribute__] = ACTIONS(1454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1456),
    [anon_sym___declspec] = ACTIONS(1454),
    [anon_sym___cdecl] = ACTIONS(1454),
    [anon_sym___clrcall] = ACTIONS(1454),
    [anon_sym___stdcall] = ACTIONS(1454),
    [anon_sym___fastcall] = ACTIONS(1454),
    [anon_sym___thiscall] = ACTIONS(1454),
    [anon_sym___vectorcall] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [anon_sym_signed] = ACTIONS(1454),
    [anon_sym_unsigned] = ACTIONS(1454),
    [anon_sym_long] = ACTIONS(1454),
    [anon_sym_short] = ACTIONS(1454),
    [anon_sym_static] = ACTIONS(1454),
    [anon_sym_auto] = ACTIONS(1454),
    [anon_sym_register] = ACTIONS(1454),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym___inline] = ACTIONS(1454),
    [anon_sym___inline__] = ACTIONS(1454),
    [anon_sym___forceinline] = ACTIONS(1454),
    [anon_sym_thread_local] = ACTIONS(1454),
    [anon_sym___thread] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_constexpr] = ACTIONS(1454),
    [anon_sym_volatile] = ACTIONS(1454),
    [anon_sym_restrict] = ACTIONS(1454),
    [anon_sym___restrict__] = ACTIONS(1454),
    [anon_sym__Atomic] = ACTIONS(1454),
    [anon_sym__Noreturn] = ACTIONS(1454),
    [anon_sym_noreturn] = ACTIONS(1454),
    [sym_primitive_type] = ACTIONS(1454),
    [anon_sym_enum] = ACTIONS(1454),
    [anon_sym_struct] = ACTIONS(1454),
    [anon_sym_union] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_switch] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1454),
    [anon_sym_default] = ACTIONS(1454),
    [anon_sym_while] = ACTIONS(1454),
    [anon_sym_do] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym___try] = ACTIONS(1454),
    [anon_sym___leave] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_sizeof] = ACTIONS(1454),
    [anon_sym___alignof__] = ACTIONS(1454),
    [anon_sym___alignof] = ACTIONS(1454),
    [anon_sym__alignof] = ACTIONS(1454),
    [anon_sym_alignof] = ACTIONS(1454),
    [anon_sym__Alignof] = ACTIONS(1454),
    [anon_sym_offsetof] = ACTIONS(1454),
    [anon_sym__Generic] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym___asm__] = ACTIONS(1454),
    [sym_number_literal] = ACTIONS(1456),
    [anon_sym_L_SQUOTE] = ACTIONS(1456),
    [anon_sym_u_SQUOTE] = ACTIONS(1456),
    [anon_sym_U_SQUOTE] = ACTIONS(1456),
    [anon_sym_u8_SQUOTE] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_L_DQUOTE] = ACTIONS(1456),
    [anon_sym_u_DQUOTE] = ACTIONS(1456),
    [anon_sym_U_DQUOTE] = ACTIONS(1456),
    [anon_sym_u8_DQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_NULL] = ACTIONS(1454),
    [anon_sym_nullptr] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1434),
    [anon_sym_typedef] = ACTIONS(1434),
    [anon_sym_extern] = ACTIONS(1434),
    [anon_sym___attribute__] = ACTIONS(1434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1436),
    [anon_sym___declspec] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(1434),
    [anon_sym_unsigned] = ACTIONS(1434),
    [anon_sym_long] = ACTIONS(1434),
    [anon_sym_short] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_auto] = ACTIONS(1434),
    [anon_sym_register] = ACTIONS(1434),
    [anon_sym_inline] = ACTIONS(1434),
    [anon_sym___inline] = ACTIONS(1434),
    [anon_sym___inline__] = ACTIONS(1434),
    [anon_sym___forceinline] = ACTIONS(1434),
    [anon_sym_thread_local] = ACTIONS(1434),
    [anon_sym___thread] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(1434),
    [anon_sym_constexpr] = ACTIONS(1434),
    [anon_sym_volatile] = ACTIONS(1434),
    [anon_sym_restrict] = ACTIONS(1434),
    [anon_sym___restrict__] = ACTIONS(1434),
    [anon_sym__Atomic] = ACTIONS(1434),
    [anon_sym__Noreturn] = ACTIONS(1434),
    [anon_sym_noreturn] = ACTIONS(1434),
    [sym_primitive_type] = ACTIONS(1434),
    [anon_sym_enum] = ACTIONS(1434),
    [anon_sym_struct] = ACTIONS(1434),
    [anon_sym_union] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_do] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_break] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_goto] = ACTIONS(1434),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_sizeof] = ACTIONS(1434),
    [anon_sym___alignof__] = ACTIONS(1434),
    [anon_sym___alignof] = ACTIONS(1434),
    [anon_sym__alignof] = ACTIONS(1434),
    [anon_sym_alignof] = ACTIONS(1434),
    [anon_sym__Alignof] = ACTIONS(1434),
    [anon_sym_offsetof] = ACTIONS(1434),
    [anon_sym__Generic] = ACTIONS(1434),
    [anon_sym_asm] = ACTIONS(1434),
    [anon_sym___asm__] = ACTIONS(1434),
    [sym_number_literal] = ACTIONS(1436),
    [anon_sym_L_SQUOTE] = ACTIONS(1436),
    [anon_sym_u_SQUOTE] = ACTIONS(1436),
    [anon_sym_U_SQUOTE] = ACTIONS(1436),
    [anon_sym_u8_SQUOTE] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_L_DQUOTE] = ACTIONS(1436),
    [anon_sym_u_DQUOTE] = ACTIONS(1436),
    [anon_sym_U_DQUOTE] = ACTIONS(1436),
    [anon_sym_u8_DQUOTE] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [sym_true] = ACTIONS(1434),
    [sym_false] = ACTIONS(1434),
    [anon_sym_NULL] = ACTIONS(1434),
    [anon_sym_nullptr] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_attribute_declaration] = STATE(390),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1434),
    [anon_sym_typedef] = ACTIONS(1434),
    [anon_sym_extern] = ACTIONS(1434),
    [anon_sym___attribute__] = ACTIONS(1434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1436),
    [anon_sym___declspec] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(1434),
    [anon_sym_unsigned] = ACTIONS(1434),
    [anon_sym_long] = ACTIONS(1434),
    [anon_sym_short] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_auto] = ACTIONS(1434),
    [anon_sym_register] = ACTIONS(1434),
    [anon_sym_inline] = ACTIONS(1434),
    [anon_sym___inline] = ACTIONS(1434),
    [anon_sym___inline__] = ACTIONS(1434),
    [anon_sym___forceinline] = ACTIONS(1434),
    [anon_sym_thread_local] = ACTIONS(1434),
    [anon_sym___thread] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(1434),
    [anon_sym_constexpr] = ACTIONS(1434),
    [anon_sym_volatile] = ACTIONS(1434),
    [anon_sym_restrict] = ACTIONS(1434),
    [anon_sym___restrict__] = ACTIONS(1434),
    [anon_sym__Atomic] = ACTIONS(1434),
    [anon_sym__Noreturn] = ACTIONS(1434),
    [anon_sym_noreturn] = ACTIONS(1434),
    [sym_primitive_type] = ACTIONS(1434),
    [anon_sym_enum] = ACTIONS(1434),
    [anon_sym_struct] = ACTIONS(1434),
    [anon_sym_union] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_do] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_break] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_goto] = ACTIONS(1434),
    [anon_sym___try] = ACTIONS(1434),
    [anon_sym___leave] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_sizeof] = ACTIONS(1434),
    [anon_sym___alignof__] = ACTIONS(1434),
    [anon_sym___alignof] = ACTIONS(1434),
    [anon_sym__alignof] = ACTIONS(1434),
    [anon_sym_alignof] = ACTIONS(1434),
    [anon_sym__Alignof] = ACTIONS(1434),
    [anon_sym_offsetof] = ACTIONS(1434),
    [anon_sym__Generic] = ACTIONS(1434),
    [anon_sym_asm] = ACTIONS(1434),
    [anon_sym___asm__] = ACTIONS(1434),
    [sym_number_literal] = ACTIONS(1436),
    [anon_sym_L_SQUOTE] = ACTIONS(1436),
    [anon_sym_u_SQUOTE] = ACTIONS(1436),
    [anon_sym_U_SQUOTE] = ACTIONS(1436),
    [anon_sym_u8_SQUOTE] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_L_DQUOTE] = ACTIONS(1436),
    [anon_sym_u_DQUOTE] = ACTIONS(1436),
    [anon_sym_U_DQUOTE] = ACTIONS(1436),
    [anon_sym_u8_DQUOTE] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [sym_true] = ACTIONS(1434),
    [sym_false] = ACTIONS(1434),
    [anon_sym_NULL] = ACTIONS(1434),
    [anon_sym_nullptr] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token2] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym___try] = ACTIONS(1512),
    [anon_sym___leave] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token2] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym___try] = ACTIONS(1508),
    [anon_sym___leave] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(368),
    [sym_attributed_statement] = STATE(368),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_seh_try_statement] = STATE(368),
    [sym_seh_leave_statement] = STATE(368),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(284),
    [sym_attributed_statement] = STATE(284),
    [sym_labeled_statement] = STATE(284),
    [sym_expression_statement] = STATE(284),
    [sym_if_statement] = STATE(284),
    [sym_switch_statement] = STATE(284),
    [sym_case_statement] = STATE(284),
    [sym_while_statement] = STATE(284),
    [sym_do_statement] = STATE(284),
    [sym_for_statement] = STATE(284),
    [sym_return_statement] = STATE(284),
    [sym_break_statement] = STATE(284),
    [sym_continue_statement] = STATE(284),
    [sym_goto_statement] = STATE(284),
    [sym_seh_try_statement] = STATE(284),
    [sym_seh_leave_statement] = STATE(284),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [sym_attribute_declaration] = STATE(390),
    [sym_compound_statement] = STATE(270),
    [sym_attributed_statement] = STATE(271),
    [sym_labeled_statement] = STATE(275),
    [sym_expression_statement] = STATE(281),
    [sym_if_statement] = STATE(282),
    [sym_switch_statement] = STATE(283),
    [sym_case_statement] = STATE(289),
    [sym_while_statement] = STATE(295),
    [sym_do_statement] = STATE(297),
    [sym_for_statement] = STATE(300),
    [sym_return_statement] = STATE(301),
    [sym_break_statement] = STATE(302),
    [sym_continue_statement] = STATE(303),
    [sym_goto_statement] = STATE(304),
    [sym_seh_try_statement] = STATE(305),
    [sym_seh_leave_statement] = STATE(306),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(390),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_identifier] = ACTIONS(1466),
    [aux_sym_preproc_include_token1] = ACTIONS(1466),
    [aux_sym_preproc_def_token1] = ACTIONS(1466),
    [aux_sym_preproc_if_token1] = ACTIONS(1466),
    [aux_sym_preproc_if_token2] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1466),
    [sym_preproc_directive] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym_SEMI] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1466),
    [anon_sym_typedef] = ACTIONS(1466),
    [anon_sym_extern] = ACTIONS(1466),
    [anon_sym___attribute__] = ACTIONS(1466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1468),
    [anon_sym___declspec] = ACTIONS(1466),
    [anon_sym___cdecl] = ACTIONS(1466),
    [anon_sym___clrcall] = ACTIONS(1466),
    [anon_sym___stdcall] = ACTIONS(1466),
    [anon_sym___fastcall] = ACTIONS(1466),
    [anon_sym___thiscall] = ACTIONS(1466),
    [anon_sym___vectorcall] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_signed] = ACTIONS(1466),
    [anon_sym_unsigned] = ACTIONS(1466),
    [anon_sym_long] = ACTIONS(1466),
    [anon_sym_short] = ACTIONS(1466),
    [anon_sym_static] = ACTIONS(1466),
    [anon_sym_auto] = ACTIONS(1466),
    [anon_sym_register] = ACTIONS(1466),
    [anon_sym_inline] = ACTIONS(1466),
    [anon_sym___inline] = ACTIONS(1466),
    [anon_sym___inline__] = ACTIONS(1466),
    [anon_sym___forceinline] = ACTIONS(1466),
    [anon_sym_thread_local] = ACTIONS(1466),
    [anon_sym___thread] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_constexpr] = ACTIONS(1466),
    [anon_sym_volatile] = ACTIONS(1466),
    [anon_sym_restrict] = ACTIONS(1466),
    [anon_sym___restrict__] = ACTIONS(1466),
    [anon_sym__Atomic] = ACTIONS(1466),
    [anon_sym__Noreturn] = ACTIONS(1466),
    [anon_sym_noreturn] = ACTIONS(1466),
    [sym_primitive_type] = ACTIONS(1466),
    [anon_sym_enum] = ACTIONS(1466),
    [anon_sym_struct] = ACTIONS(1466),
    [anon_sym_union] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_switch] = ACTIONS(1466),
    [anon_sym_case] = ACTIONS(1466),
    [anon_sym_default] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_do] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym___try] = ACTIONS(1466),
    [anon_sym___leave] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_sizeof] = ACTIONS(1466),
    [anon_sym___alignof__] = ACTIONS(1466),
    [anon_sym___alignof] = ACTIONS(1466),
    [anon_sym__alignof] = ACTIONS(1466),
    [anon_sym_alignof] = ACTIONS(1466),
    [anon_sym__Alignof] = ACTIONS(1466),
    [anon_sym_offsetof] = ACTIONS(1466),
    [anon_sym__Generic] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym___asm__] = ACTIONS(1466),
    [sym_number_literal] = ACTIONS(1468),
    [anon_sym_L_SQUOTE] = ACTIONS(1468),
    [anon_sym_u_SQUOTE] = ACTIONS(1468),
    [anon_sym_U_SQUOTE] = ACTIONS(1468),
    [anon_sym_u8_SQUOTE] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_L_DQUOTE] = ACTIONS(1468),
    [anon_sym_u_DQUOTE] = ACTIONS(1468),
    [anon_sym_U_DQUOTE] = ACTIONS(1468),
    [anon_sym_u8_DQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_NULL] = ACTIONS(1466),
    [anon_sym_nullptr] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [sym_identifier] = ACTIONS(1450),
    [aux_sym_preproc_include_token1] = ACTIONS(1450),
    [aux_sym_preproc_def_token1] = ACTIONS(1450),
    [aux_sym_preproc_if_token1] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1450),
    [sym_preproc_directive] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(1450),
    [anon_sym_extern] = ACTIONS(1450),
    [anon_sym___attribute__] = ACTIONS(1450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1452),
    [anon_sym___declspec] = ACTIONS(1450),
    [anon_sym___cdecl] = ACTIONS(1450),
    [anon_sym___clrcall] = ACTIONS(1450),
    [anon_sym___stdcall] = ACTIONS(1450),
    [anon_sym___fastcall] = ACTIONS(1450),
    [anon_sym___thiscall] = ACTIONS(1450),
    [anon_sym___vectorcall] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [anon_sym_signed] = ACTIONS(1450),
    [anon_sym_unsigned] = ACTIONS(1450),
    [anon_sym_long] = ACTIONS(1450),
    [anon_sym_short] = ACTIONS(1450),
    [anon_sym_static] = ACTIONS(1450),
    [anon_sym_auto] = ACTIONS(1450),
    [anon_sym_register] = ACTIONS(1450),
    [anon_sym_inline] = ACTIONS(1450),
    [anon_sym___inline] = ACTIONS(1450),
    [anon_sym___inline__] = ACTIONS(1450),
    [anon_sym___forceinline] = ACTIONS(1450),
    [anon_sym_thread_local] = ACTIONS(1450),
    [anon_sym___thread] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_constexpr] = ACTIONS(1450),
    [anon_sym_volatile] = ACTIONS(1450),
    [anon_sym_restrict] = ACTIONS(1450),
    [anon_sym___restrict__] = ACTIONS(1450),
    [anon_sym__Atomic] = ACTIONS(1450),
    [anon_sym__Noreturn] = ACTIONS(1450),
    [anon_sym_noreturn] = ACTIONS(1450),
    [sym_primitive_type] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_struct] = ACTIONS(1450),
    [anon_sym_union] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_case] = ACTIONS(1450),
    [anon_sym_default] = ACTIONS(1450),
    [anon_sym_while] = ACTIONS(1450),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym___try] = ACTIONS(1450),
    [anon_sym___leave] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_sizeof] = ACTIONS(1450),
    [anon_sym___alignof__] = ACTIONS(1450),
    [anon_sym___alignof] = ACTIONS(1450),
    [anon_sym__alignof] = ACTIONS(1450),
    [anon_sym_alignof] = ACTIONS(1450),
    [anon_sym__Alignof] = ACTIONS(1450),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym___asm__] = ACTIONS(1450),
    [sym_number_literal] = ACTIONS(1452),
    [anon_sym_L_SQUOTE] = ACTIONS(1452),
    [anon_sym_u_SQUOTE] = ACTIONS(1452),
    [anon_sym_U_SQUOTE] = ACTIONS(1452),
    [anon_sym_u8_SQUOTE] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_L_DQUOTE] = ACTIONS(1452),
    [anon_sym_u_DQUOTE] = ACTIONS(1452),
    [anon_sym_U_DQUOTE] = ACTIONS(1452),
    [anon_sym_u8_DQUOTE] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_NULL] = ACTIONS(1450),
    [anon_sym_nullptr] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(307),
    [sym_attributed_statement] = STATE(307),
    [sym_labeled_statement] = STATE(307),
    [sym_expression_statement] = STATE(307),
    [sym_if_statement] = STATE(307),
    [sym_switch_statement] = STATE(307),
    [sym_case_statement] = STATE(307),
    [sym_while_statement] = STATE(307),
    [sym_do_statement] = STATE(307),
    [sym_for_statement] = STATE(307),
    [sym_return_statement] = STATE(307),
    [sym_break_statement] = STATE(307),
    [sym_continue_statement] = STATE(307),
    [sym_goto_statement] = STATE(307),
    [sym_seh_try_statement] = STATE(307),
    [sym_seh_leave_statement] = STATE(307),
    [sym__expression] = STATE(1243),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2110),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1552),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [sym_identifier] = ACTIONS(1418),
    [aux_sym_preproc_include_token1] = ACTIONS(1418),
    [aux_sym_preproc_def_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token1] = ACTIONS(1418),
    [aux_sym_preproc_if_token2] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1418),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1418),
    [sym_preproc_directive] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_STAR] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1420),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym___extension__] = ACTIONS(1418),
    [anon_sym_typedef] = ACTIONS(1418),
    [anon_sym_extern] = ACTIONS(1418),
    [anon_sym___attribute__] = ACTIONS(1418),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1420),
    [anon_sym___declspec] = ACTIONS(1418),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(1418),
    [anon_sym_unsigned] = ACTIONS(1418),
    [anon_sym_long] = ACTIONS(1418),
    [anon_sym_short] = ACTIONS(1418),
    [anon_sym_static] = ACTIONS(1418),
    [anon_sym_auto] = ACTIONS(1418),
    [anon_sym_register] = ACTIONS(1418),
    [anon_sym_inline] = ACTIONS(1418),
    [anon_sym___inline] = ACTIONS(1418),
    [anon_sym___inline__] = ACTIONS(1418),
    [anon_sym___forceinline] = ACTIONS(1418),
    [anon_sym_thread_local] = ACTIONS(1418),
    [anon_sym___thread] = ACTIONS(1418),
    [anon_sym_const] = ACTIONS(1418),
    [anon_sym_constexpr] = ACTIONS(1418),
    [anon_sym_volatile] = ACTIONS(1418),
    [anon_sym_restrict] = ACTIONS(1418),
    [anon_sym___restrict__] = ACTIONS(1418),
    [anon_sym__Atomic] = ACTIONS(1418),
    [anon_sym__Noreturn] = ACTIONS(1418),
    [anon_sym_noreturn] = ACTIONS(1418),
    [sym_primitive_type] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1418),
    [anon_sym_struct] = ACTIONS(1418),
    [anon_sym_union] = ACTIONS(1418),
    [anon_sym_if] = ACTIONS(1418),
    [anon_sym_switch] = ACTIONS(1418),
    [anon_sym_case] = ACTIONS(1418),
    [anon_sym_default] = ACTIONS(1418),
    [anon_sym_while] = ACTIONS(1418),
    [anon_sym_do] = ACTIONS(1418),
    [anon_sym_for] = ACTIONS(1418),
    [anon_sym_return] = ACTIONS(1418),
    [anon_sym_break] = ACTIONS(1418),
    [anon_sym_continue] = ACTIONS(1418),
    [anon_sym_goto] = ACTIONS(1418),
    [anon_sym___try] = ACTIONS(1418),
    [anon_sym___leave] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_sizeof] = ACTIONS(1418),
    [anon_sym___alignof__] = ACTIONS(1418),
    [anon_sym___alignof] = ACTIONS(1418),
    [anon_sym__alignof] = ACTIONS(1418),
    [anon_sym_alignof] = ACTIONS(1418),
    [anon_sym__Alignof] = ACTIONS(1418),
    [anon_sym_offsetof] = ACTIONS(1418),
    [anon_sym__Generic] = ACTIONS(1418),
    [anon_sym_asm] = ACTIONS(1418),
    [anon_sym___asm__] = ACTIONS(1418),
    [sym_number_literal] = ACTIONS(1420),
    [anon_sym_L_SQUOTE] = ACTIONS(1420),
    [anon_sym_u_SQUOTE] = ACTIONS(1420),
    [anon_sym_U_SQUOTE] = ACTIONS(1420),
    [anon_sym_u8_SQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_L_DQUOTE] = ACTIONS(1420),
    [anon_sym_u_DQUOTE] = ACTIONS(1420),
    [anon_sym_U_DQUOTE] = ACTIONS(1420),
    [anon_sym_u8_DQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [sym_true] = ACTIONS(1418),
    [sym_false] = ACTIONS(1418),
    [anon_sym_NULL] = ACTIONS(1418),
    [anon_sym_nullptr] = ACTIONS(1418),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token2] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1426),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym___inline] = ACTIONS(1426),
    [anon_sym___inline__] = ACTIONS(1426),
    [anon_sym___forceinline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym___thread] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym___try] = ACTIONS(1426),
    [anon_sym___leave] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym___alignof__] = ACTIONS(1426),
    [anon_sym___alignof] = ACTIONS(1426),
    [anon_sym__alignof] = ACTIONS(1426),
    [anon_sym_alignof] = ACTIONS(1426),
    [anon_sym__Alignof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token2] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1422),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym___inline] = ACTIONS(1422),
    [anon_sym___inline__] = ACTIONS(1422),
    [anon_sym___forceinline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym___thread] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym___try] = ACTIONS(1422),
    [anon_sym___leave] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym___alignof__] = ACTIONS(1422),
    [anon_sym___alignof] = ACTIONS(1422),
    [anon_sym__alignof] = ACTIONS(1422),
    [anon_sym_alignof] = ACTIONS(1422),
    [anon_sym__Alignof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [sym_identifier] = ACTIONS(1458),
    [aux_sym_preproc_include_token1] = ACTIONS(1458),
    [aux_sym_preproc_def_token1] = ACTIONS(1458),
    [aux_sym_preproc_if_token1] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1458),
    [sym_preproc_directive] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(1458),
    [anon_sym_extern] = ACTIONS(1458),
    [anon_sym___attribute__] = ACTIONS(1458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1460),
    [anon_sym___declspec] = ACTIONS(1458),
    [anon_sym___cdecl] = ACTIONS(1458),
    [anon_sym___clrcall] = ACTIONS(1458),
    [anon_sym___stdcall] = ACTIONS(1458),
    [anon_sym___fastcall] = ACTIONS(1458),
    [anon_sym___thiscall] = ACTIONS(1458),
    [anon_sym___vectorcall] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [anon_sym_signed] = ACTIONS(1458),
    [anon_sym_unsigned] = ACTIONS(1458),
    [anon_sym_long] = ACTIONS(1458),
    [anon_sym_short] = ACTIONS(1458),
    [anon_sym_static] = ACTIONS(1458),
    [anon_sym_auto] = ACTIONS(1458),
    [anon_sym_register] = ACTIONS(1458),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym___inline] = ACTIONS(1458),
    [anon_sym___inline__] = ACTIONS(1458),
    [anon_sym___forceinline] = ACTIONS(1458),
    [anon_sym_thread_local] = ACTIONS(1458),
    [anon_sym___thread] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_constexpr] = ACTIONS(1458),
    [anon_sym_volatile] = ACTIONS(1458),
    [anon_sym_restrict] = ACTIONS(1458),
    [anon_sym___restrict__] = ACTIONS(1458),
    [anon_sym__Atomic] = ACTIONS(1458),
    [anon_sym__Noreturn] = ACTIONS(1458),
    [anon_sym_noreturn] = ACTIONS(1458),
    [sym_primitive_type] = ACTIONS(1458),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_struct] = ACTIONS(1458),
    [anon_sym_union] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_case] = ACTIONS(1458),
    [anon_sym_default] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_do] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym___try] = ACTIONS(1458),
    [anon_sym___leave] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_sizeof] = ACTIONS(1458),
    [anon_sym___alignof__] = ACTIONS(1458),
    [anon_sym___alignof] = ACTIONS(1458),
    [anon_sym__alignof] = ACTIONS(1458),
    [anon_sym_alignof] = ACTIONS(1458),
    [anon_sym__Alignof] = ACTIONS(1458),
    [anon_sym_offsetof] = ACTIONS(1458),
    [anon_sym__Generic] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym___asm__] = ACTIONS(1458),
    [sym_number_literal] = ACTIONS(1460),
    [anon_sym_L_SQUOTE] = ACTIONS(1460),
    [anon_sym_u_SQUOTE] = ACTIONS(1460),
    [anon_sym_U_SQUOTE] = ACTIONS(1460),
    [anon_sym_u8_SQUOTE] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_L_DQUOTE] = ACTIONS(1460),
    [anon_sym_u_DQUOTE] = ACTIONS(1460),
    [anon_sym_U_DQUOTE] = ACTIONS(1460),
    [anon_sym_u8_DQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_NULL] = ACTIONS(1458),
    [anon_sym_nullptr] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [sym_identifier] = ACTIONS(1458),
    [aux_sym_preproc_include_token1] = ACTIONS(1458),
    [aux_sym_preproc_def_token1] = ACTIONS(1458),
    [aux_sym_preproc_if_token1] = ACTIONS(1458),
    [aux_sym_preproc_if_token2] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1458),
    [sym_preproc_directive] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(1458),
    [anon_sym_extern] = ACTIONS(1458),
    [anon_sym___attribute__] = ACTIONS(1458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1460),
    [anon_sym___declspec] = ACTIONS(1458),
    [anon_sym___cdecl] = ACTIONS(1458),
    [anon_sym___clrcall] = ACTIONS(1458),
    [anon_sym___stdcall] = ACTIONS(1458),
    [anon_sym___fastcall] = ACTIONS(1458),
    [anon_sym___thiscall] = ACTIONS(1458),
    [anon_sym___vectorcall] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_signed] = ACTIONS(1458),
    [anon_sym_unsigned] = ACTIONS(1458),
    [anon_sym_long] = ACTIONS(1458),
    [anon_sym_short] = ACTIONS(1458),
    [anon_sym_static] = ACTIONS(1458),
    [anon_sym_auto] = ACTIONS(1458),
    [anon_sym_register] = ACTIONS(1458),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym___inline] = ACTIONS(1458),
    [anon_sym___inline__] = ACTIONS(1458),
    [anon_sym___forceinline] = ACTIONS(1458),
    [anon_sym_thread_local] = ACTIONS(1458),
    [anon_sym___thread] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_constexpr] = ACTIONS(1458),
    [anon_sym_volatile] = ACTIONS(1458),
    [anon_sym_restrict] = ACTIONS(1458),
    [anon_sym___restrict__] = ACTIONS(1458),
    [anon_sym__Atomic] = ACTIONS(1458),
    [anon_sym__Noreturn] = ACTIONS(1458),
    [anon_sym_noreturn] = ACTIONS(1458),
    [sym_primitive_type] = ACTIONS(1458),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_struct] = ACTIONS(1458),
    [anon_sym_union] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_case] = ACTIONS(1458),
    [anon_sym_default] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_do] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym___try] = ACTIONS(1458),
    [anon_sym___leave] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_sizeof] = ACTIONS(1458),
    [anon_sym___alignof__] = ACTIONS(1458),
    [anon_sym___alignof] = ACTIONS(1458),
    [anon_sym__alignof] = ACTIONS(1458),
    [anon_sym_alignof] = ACTIONS(1458),
    [anon_sym__Alignof] = ACTIONS(1458),
    [anon_sym_offsetof] = ACTIONS(1458),
    [anon_sym__Generic] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym___asm__] = ACTIONS(1458),
    [sym_number_literal] = ACTIONS(1460),
    [anon_sym_L_SQUOTE] = ACTIONS(1460),
    [anon_sym_u_SQUOTE] = ACTIONS(1460),
    [anon_sym_U_SQUOTE] = ACTIONS(1460),
    [anon_sym_u8_SQUOTE] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_L_DQUOTE] = ACTIONS(1460),
    [anon_sym_u_DQUOTE] = ACTIONS(1460),
    [anon_sym_U_DQUOTE] = ACTIONS(1460),
    [anon_sym_u8_DQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_NULL] = ACTIONS(1458),
    [anon_sym_nullptr] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1426),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym___inline] = ACTIONS(1426),
    [anon_sym___inline__] = ACTIONS(1426),
    [anon_sym___forceinline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym___thread] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym___try] = ACTIONS(1426),
    [anon_sym___leave] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym___alignof__] = ACTIONS(1426),
    [anon_sym___alignof] = ACTIONS(1426),
    [anon_sym__alignof] = ACTIONS(1426),
    [anon_sym_alignof] = ACTIONS(1426),
    [anon_sym__Alignof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(370),
    [sym_attributed_statement] = STATE(375),
    [sym_labeled_statement] = STATE(377),
    [sym_expression_statement] = STATE(273),
    [sym_if_statement] = STATE(263),
    [sym_switch_statement] = STATE(354),
    [sym_case_statement] = STATE(352),
    [sym_while_statement] = STATE(351),
    [sym_do_statement] = STATE(347),
    [sym_for_statement] = STATE(345),
    [sym_return_statement] = STATE(343),
    [sym_break_statement] = STATE(336),
    [sym_continue_statement] = STATE(334),
    [sym_goto_statement] = STATE(332),
    [sym_seh_try_statement] = STATE(317),
    [sym_seh_leave_statement] = STATE(286),
    [sym__expression] = STATE(1284),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2035),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1249),
    [anon_sym___leave] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1422),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym___inline] = ACTIONS(1422),
    [anon_sym___inline__] = ACTIONS(1422),
    [anon_sym___forceinline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym___thread] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym___try] = ACTIONS(1422),
    [anon_sym___leave] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym___alignof__] = ACTIONS(1422),
    [anon_sym___alignof] = ACTIONS(1422),
    [anon_sym__alignof] = ACTIONS(1422),
    [anon_sym_alignof] = ACTIONS(1422),
    [anon_sym__Alignof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1482),
    [aux_sym_preproc_include_token1] = ACTIONS(1482),
    [aux_sym_preproc_def_token1] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1482),
    [sym_preproc_directive] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1484),
    [anon_sym___extension__] = ACTIONS(1482),
    [anon_sym_typedef] = ACTIONS(1482),
    [anon_sym_extern] = ACTIONS(1482),
    [anon_sym___attribute__] = ACTIONS(1482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1484),
    [anon_sym___declspec] = ACTIONS(1482),
    [anon_sym___cdecl] = ACTIONS(1482),
    [anon_sym___clrcall] = ACTIONS(1482),
    [anon_sym___stdcall] = ACTIONS(1482),
    [anon_sym___fastcall] = ACTIONS(1482),
    [anon_sym___thiscall] = ACTIONS(1482),
    [anon_sym___vectorcall] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_signed] = ACTIONS(1482),
    [anon_sym_unsigned] = ACTIONS(1482),
    [anon_sym_long] = ACTIONS(1482),
    [anon_sym_short] = ACTIONS(1482),
    [anon_sym_static] = ACTIONS(1482),
    [anon_sym_auto] = ACTIONS(1482),
    [anon_sym_register] = ACTIONS(1482),
    [anon_sym_inline] = ACTIONS(1482),
    [anon_sym___inline] = ACTIONS(1482),
    [anon_sym___inline__] = ACTIONS(1482),
    [anon_sym___forceinline] = ACTIONS(1482),
    [anon_sym_thread_local] = ACTIONS(1482),
    [anon_sym___thread] = ACTIONS(1482),
    [anon_sym_const] = ACTIONS(1482),
    [anon_sym_constexpr] = ACTIONS(1482),
    [anon_sym_volatile] = ACTIONS(1482),
    [anon_sym_restrict] = ACTIONS(1482),
    [anon_sym___restrict__] = ACTIONS(1482),
    [anon_sym__Atomic] = ACTIONS(1482),
    [anon_sym__Noreturn] = ACTIONS(1482),
    [anon_sym_noreturn] = ACTIONS(1482),
    [sym_primitive_type] = ACTIONS(1482),
    [anon_sym_enum] = ACTIONS(1482),
    [anon_sym_struct] = ACTIONS(1482),
    [anon_sym_union] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_switch] = ACTIONS(1482),
    [anon_sym_case] = ACTIONS(1482),
    [anon_sym_default] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_do] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_break] = ACTIONS(1482),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_goto] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_sizeof] = ACTIONS(1482),
    [anon_sym___alignof__] = ACTIONS(1482),
    [anon_sym___alignof] = ACTIONS(1482),
    [anon_sym__alignof] = ACTIONS(1482),
    [anon_sym_alignof] = ACTIONS(1482),
    [anon_sym__Alignof] = ACTIONS(1482),
    [anon_sym_offsetof] = ACTIONS(1482),
    [anon_sym__Generic] = ACTIONS(1482),
    [anon_sym_asm] = ACTIONS(1482),
    [anon_sym___asm__] = ACTIONS(1482),
    [sym_number_literal] = ACTIONS(1484),
    [anon_sym_L_SQUOTE] = ACTIONS(1484),
    [anon_sym_u_SQUOTE] = ACTIONS(1484),
    [anon_sym_U_SQUOTE] = ACTIONS(1484),
    [anon_sym_u8_SQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_L_DQUOTE] = ACTIONS(1484),
    [anon_sym_u_DQUOTE] = ACTIONS(1484),
    [anon_sym_U_DQUOTE] = ACTIONS(1484),
    [anon_sym_u8_DQUOTE] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [sym_true] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [anon_sym_NULL] = ACTIONS(1482),
    [anon_sym_nullptr] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_identifier] = ACTIONS(1474),
    [aux_sym_preproc_include_token1] = ACTIONS(1474),
    [aux_sym_preproc_def_token1] = ACTIONS(1474),
    [anon_sym_COMMA] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1474),
    [sym_preproc_directive] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_STAR] = ACTIONS(1476),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym___extension__] = ACTIONS(1474),
    [anon_sym_typedef] = ACTIONS(1474),
    [anon_sym_extern] = ACTIONS(1474),
    [anon_sym___attribute__] = ACTIONS(1474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1476),
    [anon_sym___declspec] = ACTIONS(1474),
    [anon_sym___cdecl] = ACTIONS(1474),
    [anon_sym___clrcall] = ACTIONS(1474),
    [anon_sym___stdcall] = ACTIONS(1474),
    [anon_sym___fastcall] = ACTIONS(1474),
    [anon_sym___thiscall] = ACTIONS(1474),
    [anon_sym___vectorcall] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_signed] = ACTIONS(1474),
    [anon_sym_unsigned] = ACTIONS(1474),
    [anon_sym_long] = ACTIONS(1474),
    [anon_sym_short] = ACTIONS(1474),
    [anon_sym_static] = ACTIONS(1474),
    [anon_sym_auto] = ACTIONS(1474),
    [anon_sym_register] = ACTIONS(1474),
    [anon_sym_inline] = ACTIONS(1474),
    [anon_sym___inline] = ACTIONS(1474),
    [anon_sym___inline__] = ACTIONS(1474),
    [anon_sym___forceinline] = ACTIONS(1474),
    [anon_sym_thread_local] = ACTIONS(1474),
    [anon_sym___thread] = ACTIONS(1474),
    [anon_sym_const] = ACTIONS(1474),
    [anon_sym_constexpr] = ACTIONS(1474),
    [anon_sym_volatile] = ACTIONS(1474),
    [anon_sym_restrict] = ACTIONS(1474),
    [anon_sym___restrict__] = ACTIONS(1474),
    [anon_sym__Atomic] = ACTIONS(1474),
    [anon_sym__Noreturn] = ACTIONS(1474),
    [anon_sym_noreturn] = ACTIONS(1474),
    [sym_primitive_type] = ACTIONS(1474),
    [anon_sym_enum] = ACTIONS(1474),
    [anon_sym_struct] = ACTIONS(1474),
    [anon_sym_union] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_switch] = ACTIONS(1474),
    [anon_sym_case] = ACTIONS(1474),
    [anon_sym_default] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_do] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_break] = ACTIONS(1474),
    [anon_sym_continue] = ACTIONS(1474),
    [anon_sym_goto] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_sizeof] = ACTIONS(1474),
    [anon_sym___alignof__] = ACTIONS(1474),
    [anon_sym___alignof] = ACTIONS(1474),
    [anon_sym__alignof] = ACTIONS(1474),
    [anon_sym_alignof] = ACTIONS(1474),
    [anon_sym__Alignof] = ACTIONS(1474),
    [anon_sym_offsetof] = ACTIONS(1474),
    [anon_sym__Generic] = ACTIONS(1474),
    [anon_sym_asm] = ACTIONS(1474),
    [anon_sym___asm__] = ACTIONS(1474),
    [sym_number_literal] = ACTIONS(1476),
    [anon_sym_L_SQUOTE] = ACTIONS(1476),
    [anon_sym_u_SQUOTE] = ACTIONS(1476),
    [anon_sym_U_SQUOTE] = ACTIONS(1476),
    [anon_sym_u8_SQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_L_DQUOTE] = ACTIONS(1476),
    [anon_sym_u_DQUOTE] = ACTIONS(1476),
    [anon_sym_U_DQUOTE] = ACTIONS(1476),
    [anon_sym_u8_DQUOTE] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [sym_true] = ACTIONS(1474),
    [sym_false] = ACTIONS(1474),
    [anon_sym_NULL] = ACTIONS(1474),
    [anon_sym_nullptr] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym__expression] = STATE(1013),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(843),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(843),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_initializer_list] = STATE(827),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_identifier] = ACTIONS(1532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_TILDE] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1520),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1520),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1520),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1520),
    [anon_sym_GT_GT] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_RBRACK] = ACTIONS(1522),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1903),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1434),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_STAR] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1436),
    [anon_sym___extension__] = ACTIONS(1434),
    [anon_sym_typedef] = ACTIONS(1434),
    [anon_sym_extern] = ACTIONS(1434),
    [anon_sym___attribute__] = ACTIONS(1434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1436),
    [anon_sym___declspec] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(1434),
    [anon_sym_unsigned] = ACTIONS(1434),
    [anon_sym_long] = ACTIONS(1434),
    [anon_sym_short] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_auto] = ACTIONS(1434),
    [anon_sym_register] = ACTIONS(1434),
    [anon_sym_inline] = ACTIONS(1434),
    [anon_sym___inline] = ACTIONS(1434),
    [anon_sym___inline__] = ACTIONS(1434),
    [anon_sym___forceinline] = ACTIONS(1434),
    [anon_sym_thread_local] = ACTIONS(1434),
    [anon_sym___thread] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(1434),
    [anon_sym_constexpr] = ACTIONS(1434),
    [anon_sym_volatile] = ACTIONS(1434),
    [anon_sym_restrict] = ACTIONS(1434),
    [anon_sym___restrict__] = ACTIONS(1434),
    [anon_sym__Atomic] = ACTIONS(1434),
    [anon_sym__Noreturn] = ACTIONS(1434),
    [anon_sym_noreturn] = ACTIONS(1434),
    [sym_primitive_type] = ACTIONS(1434),
    [anon_sym_enum] = ACTIONS(1434),
    [anon_sym_struct] = ACTIONS(1434),
    [anon_sym_union] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1434),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_do] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_break] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_goto] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_sizeof] = ACTIONS(1434),
    [anon_sym___alignof__] = ACTIONS(1434),
    [anon_sym___alignof] = ACTIONS(1434),
    [anon_sym__alignof] = ACTIONS(1434),
    [anon_sym_alignof] = ACTIONS(1434),
    [anon_sym__Alignof] = ACTIONS(1434),
    [anon_sym_offsetof] = ACTIONS(1434),
    [anon_sym__Generic] = ACTIONS(1434),
    [anon_sym_asm] = ACTIONS(1434),
    [anon_sym___asm__] = ACTIONS(1434),
    [sym_number_literal] = ACTIONS(1436),
    [anon_sym_L_SQUOTE] = ACTIONS(1436),
    [anon_sym_u_SQUOTE] = ACTIONS(1436),
    [anon_sym_U_SQUOTE] = ACTIONS(1436),
    [anon_sym_u8_SQUOTE] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_L_DQUOTE] = ACTIONS(1436),
    [anon_sym_u_DQUOTE] = ACTIONS(1436),
    [anon_sym_U_DQUOTE] = ACTIONS(1436),
    [anon_sym_u8_DQUOTE] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [sym_true] = ACTIONS(1434),
    [sym_false] = ACTIONS(1434),
    [anon_sym_NULL] = ACTIONS(1434),
    [anon_sym_nullptr] = ACTIONS(1434),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_identifier] = ACTIONS(1422),
    [aux_sym_preproc_include_token1] = ACTIONS(1422),
    [aux_sym_preproc_def_token1] = ACTIONS(1422),
    [aux_sym_preproc_if_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1422),
    [sym_preproc_directive] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1424),
    [anon_sym_AMP] = ACTIONS(1424),
    [anon_sym___extension__] = ACTIONS(1422),
    [anon_sym_typedef] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym___attribute__] = ACTIONS(1422),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(1422),
    [anon_sym___cdecl] = ACTIONS(1422),
    [anon_sym___clrcall] = ACTIONS(1422),
    [anon_sym___stdcall] = ACTIONS(1422),
    [anon_sym___fastcall] = ACTIONS(1422),
    [anon_sym___thiscall] = ACTIONS(1422),
    [anon_sym___vectorcall] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_signed] = ACTIONS(1422),
    [anon_sym_unsigned] = ACTIONS(1422),
    [anon_sym_long] = ACTIONS(1422),
    [anon_sym_short] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_auto] = ACTIONS(1422),
    [anon_sym_register] = ACTIONS(1422),
    [anon_sym_inline] = ACTIONS(1422),
    [anon_sym___inline] = ACTIONS(1422),
    [anon_sym___inline__] = ACTIONS(1422),
    [anon_sym___forceinline] = ACTIONS(1422),
    [anon_sym_thread_local] = ACTIONS(1422),
    [anon_sym___thread] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_constexpr] = ACTIONS(1422),
    [anon_sym_volatile] = ACTIONS(1422),
    [anon_sym_restrict] = ACTIONS(1422),
    [anon_sym___restrict__] = ACTIONS(1422),
    [anon_sym__Atomic] = ACTIONS(1422),
    [anon_sym__Noreturn] = ACTIONS(1422),
    [anon_sym_noreturn] = ACTIONS(1422),
    [sym_primitive_type] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_switch] = ACTIONS(1422),
    [anon_sym_case] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_do] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_goto] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_sizeof] = ACTIONS(1422),
    [anon_sym___alignof__] = ACTIONS(1422),
    [anon_sym___alignof] = ACTIONS(1422),
    [anon_sym__alignof] = ACTIONS(1422),
    [anon_sym_alignof] = ACTIONS(1422),
    [anon_sym__Alignof] = ACTIONS(1422),
    [anon_sym_offsetof] = ACTIONS(1422),
    [anon_sym__Generic] = ACTIONS(1422),
    [anon_sym_asm] = ACTIONS(1422),
    [anon_sym___asm__] = ACTIONS(1422),
    [sym_number_literal] = ACTIONS(1424),
    [anon_sym_L_SQUOTE] = ACTIONS(1424),
    [anon_sym_u_SQUOTE] = ACTIONS(1424),
    [anon_sym_U_SQUOTE] = ACTIONS(1424),
    [anon_sym_u8_SQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_L_DQUOTE] = ACTIONS(1424),
    [anon_sym_u_DQUOTE] = ACTIONS(1424),
    [anon_sym_U_DQUOTE] = ACTIONS(1424),
    [anon_sym_u8_DQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [sym_true] = ACTIONS(1422),
    [sym_false] = ACTIONS(1422),
    [anon_sym_NULL] = ACTIONS(1422),
    [anon_sym_nullptr] = ACTIONS(1422),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1442),
    [aux_sym_preproc_def_token1] = ACTIONS(1442),
    [aux_sym_preproc_if_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1442),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1442),
    [sym_preproc_directive] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1444),
    [anon_sym_AMP] = ACTIONS(1444),
    [anon_sym___extension__] = ACTIONS(1442),
    [anon_sym_typedef] = ACTIONS(1442),
    [anon_sym_extern] = ACTIONS(1442),
    [anon_sym___attribute__] = ACTIONS(1442),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1444),
    [anon_sym___declspec] = ACTIONS(1442),
    [anon_sym___cdecl] = ACTIONS(1442),
    [anon_sym___clrcall] = ACTIONS(1442),
    [anon_sym___stdcall] = ACTIONS(1442),
    [anon_sym___fastcall] = ACTIONS(1442),
    [anon_sym___thiscall] = ACTIONS(1442),
    [anon_sym___vectorcall] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_signed] = ACTIONS(1442),
    [anon_sym_unsigned] = ACTIONS(1442),
    [anon_sym_long] = ACTIONS(1442),
    [anon_sym_short] = ACTIONS(1442),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_auto] = ACTIONS(1442),
    [anon_sym_register] = ACTIONS(1442),
    [anon_sym_inline] = ACTIONS(1442),
    [anon_sym___inline] = ACTIONS(1442),
    [anon_sym___inline__] = ACTIONS(1442),
    [anon_sym___forceinline] = ACTIONS(1442),
    [anon_sym_thread_local] = ACTIONS(1442),
    [anon_sym___thread] = ACTIONS(1442),
    [anon_sym_const] = ACTIONS(1442),
    [anon_sym_constexpr] = ACTIONS(1442),
    [anon_sym_volatile] = ACTIONS(1442),
    [anon_sym_restrict] = ACTIONS(1442),
    [anon_sym___restrict__] = ACTIONS(1442),
    [anon_sym__Atomic] = ACTIONS(1442),
    [anon_sym__Noreturn] = ACTIONS(1442),
    [anon_sym_noreturn] = ACTIONS(1442),
    [sym_primitive_type] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_struct] = ACTIONS(1442),
    [anon_sym_union] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_case] = ACTIONS(1442),
    [anon_sym_default] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_break] = ACTIONS(1442),
    [anon_sym_continue] = ACTIONS(1442),
    [anon_sym_goto] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_sizeof] = ACTIONS(1442),
    [anon_sym___alignof__] = ACTIONS(1442),
    [anon_sym___alignof] = ACTIONS(1442),
    [anon_sym__alignof] = ACTIONS(1442),
    [anon_sym_alignof] = ACTIONS(1442),
    [anon_sym__Alignof] = ACTIONS(1442),
    [anon_sym_offsetof] = ACTIONS(1442),
    [anon_sym__Generic] = ACTIONS(1442),
    [anon_sym_asm] = ACTIONS(1442),
    [anon_sym___asm__] = ACTIONS(1442),
    [sym_number_literal] = ACTIONS(1444),
    [anon_sym_L_SQUOTE] = ACTIONS(1444),
    [anon_sym_u_SQUOTE] = ACTIONS(1444),
    [anon_sym_U_SQUOTE] = ACTIONS(1444),
    [anon_sym_u8_SQUOTE] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_L_DQUOTE] = ACTIONS(1444),
    [anon_sym_u_DQUOTE] = ACTIONS(1444),
    [anon_sym_U_DQUOTE] = ACTIONS(1444),
    [anon_sym_u8_DQUOTE] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [sym_true] = ACTIONS(1442),
    [sym_false] = ACTIONS(1442),
    [anon_sym_NULL] = ACTIONS(1442),
    [anon_sym_nullptr] = ACTIONS(1442),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1905),
    [sym_identifier] = ACTIONS(1907),
    [aux_sym_preproc_include_token1] = ACTIONS(1907),
    [aux_sym_preproc_def_token1] = ACTIONS(1907),
    [aux_sym_preproc_if_token1] = ACTIONS(1907),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1907),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1907),
    [sym_preproc_directive] = ACTIONS(1907),
    [anon_sym_LPAREN2] = ACTIONS(1905),
    [anon_sym_BANG] = ACTIONS(1905),
    [anon_sym_TILDE] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1907),
    [anon_sym_PLUS] = ACTIONS(1907),
    [anon_sym_STAR] = ACTIONS(1905),
    [anon_sym_AMP] = ACTIONS(1905),
    [anon_sym___extension__] = ACTIONS(1907),
    [anon_sym_typedef] = ACTIONS(1907),
    [anon_sym_extern] = ACTIONS(1907),
    [anon_sym___attribute__] = ACTIONS(1907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1905),
    [anon_sym___declspec] = ACTIONS(1907),
    [anon_sym___cdecl] = ACTIONS(1907),
    [anon_sym___clrcall] = ACTIONS(1907),
    [anon_sym___stdcall] = ACTIONS(1907),
    [anon_sym___fastcall] = ACTIONS(1907),
    [anon_sym___thiscall] = ACTIONS(1907),
    [anon_sym___vectorcall] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_signed] = ACTIONS(1907),
    [anon_sym_unsigned] = ACTIONS(1907),
    [anon_sym_long] = ACTIONS(1907),
    [anon_sym_short] = ACTIONS(1907),
    [anon_sym_static] = ACTIONS(1907),
    [anon_sym_auto] = ACTIONS(1907),
    [anon_sym_register] = ACTIONS(1907),
    [anon_sym_inline] = ACTIONS(1907),
    [anon_sym___inline] = ACTIONS(1907),
    [anon_sym___inline__] = ACTIONS(1907),
    [anon_sym___forceinline] = ACTIONS(1907),
    [anon_sym_thread_local] = ACTIONS(1907),
    [anon_sym___thread] = ACTIONS(1907),
    [anon_sym_const] = ACTIONS(1907),
    [anon_sym_constexpr] = ACTIONS(1907),
    [anon_sym_volatile] = ACTIONS(1907),
    [anon_sym_restrict] = ACTIONS(1907),
    [anon_sym___restrict__] = ACTIONS(1907),
    [anon_sym__Atomic] = ACTIONS(1907),
    [anon_sym__Noreturn] = ACTIONS(1907),
    [anon_sym_noreturn] = ACTIONS(1907),
    [sym_primitive_type] = ACTIONS(1907),
    [anon_sym_enum] = ACTIONS(1907),
    [anon_sym_struct] = ACTIONS(1907),
    [anon_sym_union] = ACTIONS(1907),
    [anon_sym_if] = ACTIONS(1907),
    [anon_sym_switch] = ACTIONS(1907),
    [anon_sym_case] = ACTIONS(1907),
    [anon_sym_default] = ACTIONS(1907),
    [anon_sym_while] = ACTIONS(1907),
    [anon_sym_do] = ACTIONS(1907),
    [anon_sym_for] = ACTIONS(1907),
    [anon_sym_return] = ACTIONS(1907),
    [anon_sym_break] = ACTIONS(1907),
    [anon_sym_continue] = ACTIONS(1907),
    [anon_sym_goto] = ACTIONS(1907),
    [anon_sym_DASH_DASH] = ACTIONS(1905),
    [anon_sym_PLUS_PLUS] = ACTIONS(1905),
    [anon_sym_sizeof] = ACTIONS(1907),
    [anon_sym___alignof__] = ACTIONS(1907),
    [anon_sym___alignof] = ACTIONS(1907),
    [anon_sym__alignof] = ACTIONS(1907),
    [anon_sym_alignof] = ACTIONS(1907),
    [anon_sym__Alignof] = ACTIONS(1907),
    [anon_sym_offsetof] = ACTIONS(1907),
    [anon_sym__Generic] = ACTIONS(1907),
    [anon_sym_asm] = ACTIONS(1907),
    [anon_sym___asm__] = ACTIONS(1907),
    [sym_number_literal] = ACTIONS(1905),
    [anon_sym_L_SQUOTE] = ACTIONS(1905),
    [anon_sym_u_SQUOTE] = ACTIONS(1905),
    [anon_sym_U_SQUOTE] = ACTIONS(1905),
    [anon_sym_u8_SQUOTE] = ACTIONS(1905),
    [anon_sym_SQUOTE] = ACTIONS(1905),
    [anon_sym_L_DQUOTE] = ACTIONS(1905),
    [anon_sym_u_DQUOTE] = ACTIONS(1905),
    [anon_sym_U_DQUOTE] = ACTIONS(1905),
    [anon_sym_u8_DQUOTE] = ACTIONS(1905),
    [anon_sym_DQUOTE] = ACTIONS(1905),
    [sym_true] = ACTIONS(1907),
    [sym_false] = ACTIONS(1907),
    [anon_sym_NULL] = ACTIONS(1907),
    [anon_sym_nullptr] = ACTIONS(1907),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_STAR] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1440),
    [anon_sym___extension__] = ACTIONS(1438),
    [anon_sym_typedef] = ACTIONS(1438),
    [anon_sym_extern] = ACTIONS(1438),
    [anon_sym___attribute__] = ACTIONS(1438),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1440),
    [anon_sym___declspec] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(1438),
    [anon_sym_unsigned] = ACTIONS(1438),
    [anon_sym_long] = ACTIONS(1438),
    [anon_sym_short] = ACTIONS(1438),
    [anon_sym_static] = ACTIONS(1438),
    [anon_sym_auto] = ACTIONS(1438),
    [anon_sym_register] = ACTIONS(1438),
    [anon_sym_inline] = ACTIONS(1438),
    [anon_sym___inline] = ACTIONS(1438),
    [anon_sym___inline__] = ACTIONS(1438),
    [anon_sym___forceinline] = ACTIONS(1438),
    [anon_sym_thread_local] = ACTIONS(1438),
    [anon_sym___thread] = ACTIONS(1438),
    [anon_sym_const] = ACTIONS(1438),
    [anon_sym_constexpr] = ACTIONS(1438),
    [anon_sym_volatile] = ACTIONS(1438),
    [anon_sym_restrict] = ACTIONS(1438),
    [anon_sym___restrict__] = ACTIONS(1438),
    [anon_sym__Atomic] = ACTIONS(1438),
    [anon_sym__Noreturn] = ACTIONS(1438),
    [anon_sym_noreturn] = ACTIONS(1438),
    [sym_primitive_type] = ACTIONS(1438),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_struct] = ACTIONS(1438),
    [anon_sym_union] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_break] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_goto] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_sizeof] = ACTIONS(1438),
    [anon_sym___alignof__] = ACTIONS(1438),
    [anon_sym___alignof] = ACTIONS(1438),
    [anon_sym__alignof] = ACTIONS(1438),
    [anon_sym_alignof] = ACTIONS(1438),
    [anon_sym__Alignof] = ACTIONS(1438),
    [anon_sym_offsetof] = ACTIONS(1438),
    [anon_sym__Generic] = ACTIONS(1438),
    [anon_sym_asm] = ACTIONS(1438),
    [anon_sym___asm__] = ACTIONS(1438),
    [sym_number_literal] = ACTIONS(1440),
    [anon_sym_L_SQUOTE] = ACTIONS(1440),
    [anon_sym_u_SQUOTE] = ACTIONS(1440),
    [anon_sym_U_SQUOTE] = ACTIONS(1440),
    [anon_sym_u8_SQUOTE] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_L_DQUOTE] = ACTIONS(1440),
    [anon_sym_u_DQUOTE] = ACTIONS(1440),
    [anon_sym_U_DQUOTE] = ACTIONS(1440),
    [anon_sym_u8_DQUOTE] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [sym_true] = ACTIONS(1438),
    [sym_false] = ACTIONS(1438),
    [anon_sym_NULL] = ACTIONS(1438),
    [anon_sym_nullptr] = ACTIONS(1438),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_identifier] = ACTIONS(1470),
    [aux_sym_preproc_include_token1] = ACTIONS(1470),
    [aux_sym_preproc_def_token1] = ACTIONS(1470),
    [aux_sym_preproc_if_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1470),
    [sym_preproc_directive] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym___extension__] = ACTIONS(1470),
    [anon_sym_typedef] = ACTIONS(1470),
    [anon_sym_extern] = ACTIONS(1470),
    [anon_sym___attribute__] = ACTIONS(1470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1472),
    [anon_sym___declspec] = ACTIONS(1470),
    [anon_sym___cdecl] = ACTIONS(1470),
    [anon_sym___clrcall] = ACTIONS(1470),
    [anon_sym___stdcall] = ACTIONS(1470),
    [anon_sym___fastcall] = ACTIONS(1470),
    [anon_sym___thiscall] = ACTIONS(1470),
    [anon_sym___vectorcall] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_signed] = ACTIONS(1470),
    [anon_sym_unsigned] = ACTIONS(1470),
    [anon_sym_long] = ACTIONS(1470),
    [anon_sym_short] = ACTIONS(1470),
    [anon_sym_static] = ACTIONS(1470),
    [anon_sym_auto] = ACTIONS(1470),
    [anon_sym_register] = ACTIONS(1470),
    [anon_sym_inline] = ACTIONS(1470),
    [anon_sym___inline] = ACTIONS(1470),
    [anon_sym___inline__] = ACTIONS(1470),
    [anon_sym___forceinline] = ACTIONS(1470),
    [anon_sym_thread_local] = ACTIONS(1470),
    [anon_sym___thread] = ACTIONS(1470),
    [anon_sym_const] = ACTIONS(1470),
    [anon_sym_constexpr] = ACTIONS(1470),
    [anon_sym_volatile] = ACTIONS(1470),
    [anon_sym_restrict] = ACTIONS(1470),
    [anon_sym___restrict__] = ACTIONS(1470),
    [anon_sym__Atomic] = ACTIONS(1470),
    [anon_sym__Noreturn] = ACTIONS(1470),
    [anon_sym_noreturn] = ACTIONS(1470),
    [sym_primitive_type] = ACTIONS(1470),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_struct] = ACTIONS(1470),
    [anon_sym_union] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(1470),
    [anon_sym_case] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_do] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_break] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_goto] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_sizeof] = ACTIONS(1470),
    [anon_sym___alignof__] = ACTIONS(1470),
    [anon_sym___alignof] = ACTIONS(1470),
    [anon_sym__alignof] = ACTIONS(1470),
    [anon_sym_alignof] = ACTIONS(1470),
    [anon_sym__Alignof] = ACTIONS(1470),
    [anon_sym_offsetof] = ACTIONS(1470),
    [anon_sym__Generic] = ACTIONS(1470),
    [anon_sym_asm] = ACTIONS(1470),
    [anon_sym___asm__] = ACTIONS(1470),
    [sym_number_literal] = ACTIONS(1472),
    [anon_sym_L_SQUOTE] = ACTIONS(1472),
    [anon_sym_u_SQUOTE] = ACTIONS(1472),
    [anon_sym_U_SQUOTE] = ACTIONS(1472),
    [anon_sym_u8_SQUOTE] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_L_DQUOTE] = ACTIONS(1472),
    [anon_sym_u_DQUOTE] = ACTIONS(1472),
    [anon_sym_U_DQUOTE] = ACTIONS(1472),
    [anon_sym_u8_DQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [sym_true] = ACTIONS(1470),
    [sym_false] = ACTIONS(1470),
    [anon_sym_NULL] = ACTIONS(1470),
    [anon_sym_nullptr] = ACTIONS(1470),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_identifier] = ACTIONS(1450),
    [aux_sym_preproc_include_token1] = ACTIONS(1450),
    [aux_sym_preproc_def_token1] = ACTIONS(1450),
    [aux_sym_preproc_if_token1] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1450),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1450),
    [sym_preproc_directive] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym___extension__] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(1450),
    [anon_sym_extern] = ACTIONS(1450),
    [anon_sym___attribute__] = ACTIONS(1450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1452),
    [anon_sym___declspec] = ACTIONS(1450),
    [anon_sym___cdecl] = ACTIONS(1450),
    [anon_sym___clrcall] = ACTIONS(1450),
    [anon_sym___stdcall] = ACTIONS(1450),
    [anon_sym___fastcall] = ACTIONS(1450),
    [anon_sym___thiscall] = ACTIONS(1450),
    [anon_sym___vectorcall] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_signed] = ACTIONS(1450),
    [anon_sym_unsigned] = ACTIONS(1450),
    [anon_sym_long] = ACTIONS(1450),
    [anon_sym_short] = ACTIONS(1450),
    [anon_sym_static] = ACTIONS(1450),
    [anon_sym_auto] = ACTIONS(1450),
    [anon_sym_register] = ACTIONS(1450),
    [anon_sym_inline] = ACTIONS(1450),
    [anon_sym___inline] = ACTIONS(1450),
    [anon_sym___inline__] = ACTIONS(1450),
    [anon_sym___forceinline] = ACTIONS(1450),
    [anon_sym_thread_local] = ACTIONS(1450),
    [anon_sym___thread] = ACTIONS(1450),
    [anon_sym_const] = ACTIONS(1450),
    [anon_sym_constexpr] = ACTIONS(1450),
    [anon_sym_volatile] = ACTIONS(1450),
    [anon_sym_restrict] = ACTIONS(1450),
    [anon_sym___restrict__] = ACTIONS(1450),
    [anon_sym__Atomic] = ACTIONS(1450),
    [anon_sym__Noreturn] = ACTIONS(1450),
    [anon_sym_noreturn] = ACTIONS(1450),
    [sym_primitive_type] = ACTIONS(1450),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_struct] = ACTIONS(1450),
    [anon_sym_union] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_case] = ACTIONS(1450),
    [anon_sym_default] = ACTIONS(1450),
    [anon_sym_while] = ACTIONS(1450),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_break] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_goto] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_sizeof] = ACTIONS(1450),
    [anon_sym___alignof__] = ACTIONS(1450),
    [anon_sym___alignof] = ACTIONS(1450),
    [anon_sym__alignof] = ACTIONS(1450),
    [anon_sym_alignof] = ACTIONS(1450),
    [anon_sym__Alignof] = ACTIONS(1450),
    [anon_sym_offsetof] = ACTIONS(1450),
    [anon_sym__Generic] = ACTIONS(1450),
    [anon_sym_asm] = ACTIONS(1450),
    [anon_sym___asm__] = ACTIONS(1450),
    [sym_number_literal] = ACTIONS(1452),
    [anon_sym_L_SQUOTE] = ACTIONS(1452),
    [anon_sym_u_SQUOTE] = ACTIONS(1452),
    [anon_sym_U_SQUOTE] = ACTIONS(1452),
    [anon_sym_u8_SQUOTE] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_L_DQUOTE] = ACTIONS(1452),
    [anon_sym_u_DQUOTE] = ACTIONS(1452),
    [anon_sym_U_DQUOTE] = ACTIONS(1452),
    [anon_sym_u8_DQUOTE] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [sym_true] = ACTIONS(1450),
    [sym_false] = ACTIONS(1450),
    [anon_sym_NULL] = ACTIONS(1450),
    [anon_sym_nullptr] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1430),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym___extension__] = ACTIONS(1430),
    [anon_sym_typedef] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym___attribute__] = ACTIONS(1430),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1432),
    [anon_sym___declspec] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(1430),
    [anon_sym_unsigned] = ACTIONS(1430),
    [anon_sym_long] = ACTIONS(1430),
    [anon_sym_short] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1430),
    [anon_sym_register] = ACTIONS(1430),
    [anon_sym_inline] = ACTIONS(1430),
    [anon_sym___inline] = ACTIONS(1430),
    [anon_sym___inline__] = ACTIONS(1430),
    [anon_sym___forceinline] = ACTIONS(1430),
    [anon_sym_thread_local] = ACTIONS(1430),
    [anon_sym___thread] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_constexpr] = ACTIONS(1430),
    [anon_sym_volatile] = ACTIONS(1430),
    [anon_sym_restrict] = ACTIONS(1430),
    [anon_sym___restrict__] = ACTIONS(1430),
    [anon_sym__Atomic] = ACTIONS(1430),
    [anon_sym__Noreturn] = ACTIONS(1430),
    [anon_sym_noreturn] = ACTIONS(1430),
    [sym_primitive_type] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1430),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_do] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_goto] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_sizeof] = ACTIONS(1430),
    [anon_sym___alignof__] = ACTIONS(1430),
    [anon_sym___alignof] = ACTIONS(1430),
    [anon_sym__alignof] = ACTIONS(1430),
    [anon_sym_alignof] = ACTIONS(1430),
    [anon_sym__Alignof] = ACTIONS(1430),
    [anon_sym_offsetof] = ACTIONS(1430),
    [anon_sym__Generic] = ACTIONS(1430),
    [anon_sym_asm] = ACTIONS(1430),
    [anon_sym___asm__] = ACTIONS(1430),
    [sym_number_literal] = ACTIONS(1432),
    [anon_sym_L_SQUOTE] = ACTIONS(1432),
    [anon_sym_u_SQUOTE] = ACTIONS(1432),
    [anon_sym_U_SQUOTE] = ACTIONS(1432),
    [anon_sym_u8_SQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_L_DQUOTE] = ACTIONS(1432),
    [anon_sym_u_DQUOTE] = ACTIONS(1432),
    [anon_sym_U_DQUOTE] = ACTIONS(1432),
    [anon_sym_u8_DQUOTE] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [sym_true] = ACTIONS(1430),
    [sym_false] = ACTIONS(1430),
    [anon_sym_NULL] = ACTIONS(1430),
    [anon_sym_nullptr] = ACTIONS(1430),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_identifier] = ACTIONS(1486),
    [aux_sym_preproc_include_token1] = ACTIONS(1486),
    [aux_sym_preproc_def_token1] = ACTIONS(1486),
    [aux_sym_preproc_if_token1] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1486),
    [sym_preproc_directive] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_STAR] = ACTIONS(1488),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym___extension__] = ACTIONS(1486),
    [anon_sym_typedef] = ACTIONS(1486),
    [anon_sym_extern] = ACTIONS(1486),
    [anon_sym___attribute__] = ACTIONS(1486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1488),
    [anon_sym___declspec] = ACTIONS(1486),
    [anon_sym___cdecl] = ACTIONS(1486),
    [anon_sym___clrcall] = ACTIONS(1486),
    [anon_sym___stdcall] = ACTIONS(1486),
    [anon_sym___fastcall] = ACTIONS(1486),
    [anon_sym___thiscall] = ACTIONS(1486),
    [anon_sym___vectorcall] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_signed] = ACTIONS(1486),
    [anon_sym_unsigned] = ACTIONS(1486),
    [anon_sym_long] = ACTIONS(1486),
    [anon_sym_short] = ACTIONS(1486),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_auto] = ACTIONS(1486),
    [anon_sym_register] = ACTIONS(1486),
    [anon_sym_inline] = ACTIONS(1486),
    [anon_sym___inline] = ACTIONS(1486),
    [anon_sym___inline__] = ACTIONS(1486),
    [anon_sym___forceinline] = ACTIONS(1486),
    [anon_sym_thread_local] = ACTIONS(1486),
    [anon_sym___thread] = ACTIONS(1486),
    [anon_sym_const] = ACTIONS(1486),
    [anon_sym_constexpr] = ACTIONS(1486),
    [anon_sym_volatile] = ACTIONS(1486),
    [anon_sym_restrict] = ACTIONS(1486),
    [anon_sym___restrict__] = ACTIONS(1486),
    [anon_sym__Atomic] = ACTIONS(1486),
    [anon_sym__Noreturn] = ACTIONS(1486),
    [anon_sym_noreturn] = ACTIONS(1486),
    [sym_primitive_type] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1486),
    [anon_sym_struct] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(1486),
    [anon_sym_if] = ACTIONS(1486),
    [anon_sym_switch] = ACTIONS(1486),
    [anon_sym_case] = ACTIONS(1486),
    [anon_sym_default] = ACTIONS(1486),
    [anon_sym_while] = ACTIONS(1486),
    [anon_sym_do] = ACTIONS(1486),
    [anon_sym_for] = ACTIONS(1486),
    [anon_sym_return] = ACTIONS(1486),
    [anon_sym_break] = ACTIONS(1486),
    [anon_sym_continue] = ACTIONS(1486),
    [anon_sym_goto] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_sizeof] = ACTIONS(1486),
    [anon_sym___alignof__] = ACTIONS(1486),
    [anon_sym___alignof] = ACTIONS(1486),
    [anon_sym__alignof] = ACTIONS(1486),
    [anon_sym_alignof] = ACTIONS(1486),
    [anon_sym__Alignof] = ACTIONS(1486),
    [anon_sym_offsetof] = ACTIONS(1486),
    [anon_sym__Generic] = ACTIONS(1486),
    [anon_sym_asm] = ACTIONS(1486),
    [anon_sym___asm__] = ACTIONS(1486),
    [sym_number_literal] = ACTIONS(1488),
    [anon_sym_L_SQUOTE] = ACTIONS(1488),
    [anon_sym_u_SQUOTE] = ACTIONS(1488),
    [anon_sym_U_SQUOTE] = ACTIONS(1488),
    [anon_sym_u8_SQUOTE] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_L_DQUOTE] = ACTIONS(1488),
    [anon_sym_u_DQUOTE] = ACTIONS(1488),
    [anon_sym_U_DQUOTE] = ACTIONS(1488),
    [anon_sym_u8_DQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [sym_true] = ACTIONS(1486),
    [sym_false] = ACTIONS(1486),
    [anon_sym_NULL] = ACTIONS(1486),
    [anon_sym_nullptr] = ACTIONS(1486),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_identifier] = ACTIONS(1478),
    [aux_sym_preproc_include_token1] = ACTIONS(1478),
    [aux_sym_preproc_def_token1] = ACTIONS(1478),
    [aux_sym_preproc_if_token1] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1478),
    [sym_preproc_directive] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_STAR] = ACTIONS(1480),
    [anon_sym_AMP] = ACTIONS(1480),
    [anon_sym___extension__] = ACTIONS(1478),
    [anon_sym_typedef] = ACTIONS(1478),
    [anon_sym_extern] = ACTIONS(1478),
    [anon_sym___attribute__] = ACTIONS(1478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1480),
    [anon_sym___declspec] = ACTIONS(1478),
    [anon_sym___cdecl] = ACTIONS(1478),
    [anon_sym___clrcall] = ACTIONS(1478),
    [anon_sym___stdcall] = ACTIONS(1478),
    [anon_sym___fastcall] = ACTIONS(1478),
    [anon_sym___thiscall] = ACTIONS(1478),
    [anon_sym___vectorcall] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_signed] = ACTIONS(1478),
    [anon_sym_unsigned] = ACTIONS(1478),
    [anon_sym_long] = ACTIONS(1478),
    [anon_sym_short] = ACTIONS(1478),
    [anon_sym_static] = ACTIONS(1478),
    [anon_sym_auto] = ACTIONS(1478),
    [anon_sym_register] = ACTIONS(1478),
    [anon_sym_inline] = ACTIONS(1478),
    [anon_sym___inline] = ACTIONS(1478),
    [anon_sym___inline__] = ACTIONS(1478),
    [anon_sym___forceinline] = ACTIONS(1478),
    [anon_sym_thread_local] = ACTIONS(1478),
    [anon_sym___thread] = ACTIONS(1478),
    [anon_sym_const] = ACTIONS(1478),
    [anon_sym_constexpr] = ACTIONS(1478),
    [anon_sym_volatile] = ACTIONS(1478),
    [anon_sym_restrict] = ACTIONS(1478),
    [anon_sym___restrict__] = ACTIONS(1478),
    [anon_sym__Atomic] = ACTIONS(1478),
    [anon_sym__Noreturn] = ACTIONS(1478),
    [anon_sym_noreturn] = ACTIONS(1478),
    [sym_primitive_type] = ACTIONS(1478),
    [anon_sym_enum] = ACTIONS(1478),
    [anon_sym_struct] = ACTIONS(1478),
    [anon_sym_union] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_case] = ACTIONS(1478),
    [anon_sym_default] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_goto] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_sizeof] = ACTIONS(1478),
    [anon_sym___alignof__] = ACTIONS(1478),
    [anon_sym___alignof] = ACTIONS(1478),
    [anon_sym__alignof] = ACTIONS(1478),
    [anon_sym_alignof] = ACTIONS(1478),
    [anon_sym__Alignof] = ACTIONS(1478),
    [anon_sym_offsetof] = ACTIONS(1478),
    [anon_sym__Generic] = ACTIONS(1478),
    [anon_sym_asm] = ACTIONS(1478),
    [anon_sym___asm__] = ACTIONS(1478),
    [sym_number_literal] = ACTIONS(1480),
    [anon_sym_L_SQUOTE] = ACTIONS(1480),
    [anon_sym_u_SQUOTE] = ACTIONS(1480),
    [anon_sym_U_SQUOTE] = ACTIONS(1480),
    [anon_sym_u8_SQUOTE] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_L_DQUOTE] = ACTIONS(1480),
    [anon_sym_u_DQUOTE] = ACTIONS(1480),
    [anon_sym_U_DQUOTE] = ACTIONS(1480),
    [anon_sym_u8_DQUOTE] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [sym_true] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [anon_sym_NULL] = ACTIONS(1478),
    [anon_sym_nullptr] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_identifier] = ACTIONS(1426),
    [aux_sym_preproc_include_token1] = ACTIONS(1426),
    [aux_sym_preproc_def_token1] = ACTIONS(1426),
    [aux_sym_preproc_if_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1426),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1426),
    [sym_preproc_directive] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1428),
    [anon_sym_AMP] = ACTIONS(1428),
    [anon_sym___extension__] = ACTIONS(1426),
    [anon_sym_typedef] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym___attribute__] = ACTIONS(1426),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1428),
    [anon_sym___declspec] = ACTIONS(1426),
    [anon_sym___cdecl] = ACTIONS(1426),
    [anon_sym___clrcall] = ACTIONS(1426),
    [anon_sym___stdcall] = ACTIONS(1426),
    [anon_sym___fastcall] = ACTIONS(1426),
    [anon_sym___thiscall] = ACTIONS(1426),
    [anon_sym___vectorcall] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_signed] = ACTIONS(1426),
    [anon_sym_unsigned] = ACTIONS(1426),
    [anon_sym_long] = ACTIONS(1426),
    [anon_sym_short] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_auto] = ACTIONS(1426),
    [anon_sym_register] = ACTIONS(1426),
    [anon_sym_inline] = ACTIONS(1426),
    [anon_sym___inline] = ACTIONS(1426),
    [anon_sym___inline__] = ACTIONS(1426),
    [anon_sym___forceinline] = ACTIONS(1426),
    [anon_sym_thread_local] = ACTIONS(1426),
    [anon_sym___thread] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_constexpr] = ACTIONS(1426),
    [anon_sym_volatile] = ACTIONS(1426),
    [anon_sym_restrict] = ACTIONS(1426),
    [anon_sym___restrict__] = ACTIONS(1426),
    [anon_sym__Atomic] = ACTIONS(1426),
    [anon_sym__Noreturn] = ACTIONS(1426),
    [anon_sym_noreturn] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_switch] = ACTIONS(1426),
    [anon_sym_case] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_do] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_goto] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_sizeof] = ACTIONS(1426),
    [anon_sym___alignof__] = ACTIONS(1426),
    [anon_sym___alignof] = ACTIONS(1426),
    [anon_sym__alignof] = ACTIONS(1426),
    [anon_sym_alignof] = ACTIONS(1426),
    [anon_sym__Alignof] = ACTIONS(1426),
    [anon_sym_offsetof] = ACTIONS(1426),
    [anon_sym__Generic] = ACTIONS(1426),
    [anon_sym_asm] = ACTIONS(1426),
    [anon_sym___asm__] = ACTIONS(1426),
    [sym_number_literal] = ACTIONS(1428),
    [anon_sym_L_SQUOTE] = ACTIONS(1428),
    [anon_sym_u_SQUOTE] = ACTIONS(1428),
    [anon_sym_U_SQUOTE] = ACTIONS(1428),
    [anon_sym_u8_SQUOTE] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_L_DQUOTE] = ACTIONS(1428),
    [anon_sym_u_DQUOTE] = ACTIONS(1428),
    [anon_sym_U_DQUOTE] = ACTIONS(1428),
    [anon_sym_u8_DQUOTE] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [sym_true] = ACTIONS(1426),
    [sym_false] = ACTIONS(1426),
    [anon_sym_NULL] = ACTIONS(1426),
    [anon_sym_nullptr] = ACTIONS(1426),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_identifier] = ACTIONS(1508),
    [aux_sym_preproc_include_token1] = ACTIONS(1508),
    [aux_sym_preproc_def_token1] = ACTIONS(1508),
    [aux_sym_preproc_if_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1508),
    [sym_preproc_directive] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1510),
    [anon_sym_AMP] = ACTIONS(1510),
    [anon_sym___extension__] = ACTIONS(1508),
    [anon_sym_typedef] = ACTIONS(1508),
    [anon_sym_extern] = ACTIONS(1508),
    [anon_sym___attribute__] = ACTIONS(1508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1510),
    [anon_sym___declspec] = ACTIONS(1508),
    [anon_sym___cdecl] = ACTIONS(1508),
    [anon_sym___clrcall] = ACTIONS(1508),
    [anon_sym___stdcall] = ACTIONS(1508),
    [anon_sym___fastcall] = ACTIONS(1508),
    [anon_sym___thiscall] = ACTIONS(1508),
    [anon_sym___vectorcall] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_signed] = ACTIONS(1508),
    [anon_sym_unsigned] = ACTIONS(1508),
    [anon_sym_long] = ACTIONS(1508),
    [anon_sym_short] = ACTIONS(1508),
    [anon_sym_static] = ACTIONS(1508),
    [anon_sym_auto] = ACTIONS(1508),
    [anon_sym_register] = ACTIONS(1508),
    [anon_sym_inline] = ACTIONS(1508),
    [anon_sym___inline] = ACTIONS(1508),
    [anon_sym___inline__] = ACTIONS(1508),
    [anon_sym___forceinline] = ACTIONS(1508),
    [anon_sym_thread_local] = ACTIONS(1508),
    [anon_sym___thread] = ACTIONS(1508),
    [anon_sym_const] = ACTIONS(1508),
    [anon_sym_constexpr] = ACTIONS(1508),
    [anon_sym_volatile] = ACTIONS(1508),
    [anon_sym_restrict] = ACTIONS(1508),
    [anon_sym___restrict__] = ACTIONS(1508),
    [anon_sym__Atomic] = ACTIONS(1508),
    [anon_sym__Noreturn] = ACTIONS(1508),
    [anon_sym_noreturn] = ACTIONS(1508),
    [sym_primitive_type] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1508),
    [anon_sym_struct] = ACTIONS(1508),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1508),
    [anon_sym_case] = ACTIONS(1508),
    [anon_sym_default] = ACTIONS(1508),
    [anon_sym_while] = ACTIONS(1508),
    [anon_sym_do] = ACTIONS(1508),
    [anon_sym_for] = ACTIONS(1508),
    [anon_sym_return] = ACTIONS(1508),
    [anon_sym_break] = ACTIONS(1508),
    [anon_sym_continue] = ACTIONS(1508),
    [anon_sym_goto] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [anon_sym_sizeof] = ACTIONS(1508),
    [anon_sym___alignof__] = ACTIONS(1508),
    [anon_sym___alignof] = ACTIONS(1508),
    [anon_sym__alignof] = ACTIONS(1508),
    [anon_sym_alignof] = ACTIONS(1508),
    [anon_sym__Alignof] = ACTIONS(1508),
    [anon_sym_offsetof] = ACTIONS(1508),
    [anon_sym__Generic] = ACTIONS(1508),
    [anon_sym_asm] = ACTIONS(1508),
    [anon_sym___asm__] = ACTIONS(1508),
    [sym_number_literal] = ACTIONS(1510),
    [anon_sym_L_SQUOTE] = ACTIONS(1510),
    [anon_sym_u_SQUOTE] = ACTIONS(1510),
    [anon_sym_U_SQUOTE] = ACTIONS(1510),
    [anon_sym_u8_SQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_L_DQUOTE] = ACTIONS(1510),
    [anon_sym_u_DQUOTE] = ACTIONS(1510),
    [anon_sym_U_DQUOTE] = ACTIONS(1510),
    [anon_sym_u8_DQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [sym_true] = ACTIONS(1508),
    [sym_false] = ACTIONS(1508),
    [anon_sym_NULL] = ACTIONS(1508),
    [anon_sym_nullptr] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_identifier] = ACTIONS(1466),
    [aux_sym_preproc_include_token1] = ACTIONS(1466),
    [aux_sym_preproc_def_token1] = ACTIONS(1466),
    [aux_sym_preproc_if_token1] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1466),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1466),
    [sym_preproc_directive] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_STAR] = ACTIONS(1468),
    [anon_sym_AMP] = ACTIONS(1468),
    [anon_sym___extension__] = ACTIONS(1466),
    [anon_sym_typedef] = ACTIONS(1466),
    [anon_sym_extern] = ACTIONS(1466),
    [anon_sym___attribute__] = ACTIONS(1466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1468),
    [anon_sym___declspec] = ACTIONS(1466),
    [anon_sym___cdecl] = ACTIONS(1466),
    [anon_sym___clrcall] = ACTIONS(1466),
    [anon_sym___stdcall] = ACTIONS(1466),
    [anon_sym___fastcall] = ACTIONS(1466),
    [anon_sym___thiscall] = ACTIONS(1466),
    [anon_sym___vectorcall] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_signed] = ACTIONS(1466),
    [anon_sym_unsigned] = ACTIONS(1466),
    [anon_sym_long] = ACTIONS(1466),
    [anon_sym_short] = ACTIONS(1466),
    [anon_sym_static] = ACTIONS(1466),
    [anon_sym_auto] = ACTIONS(1466),
    [anon_sym_register] = ACTIONS(1466),
    [anon_sym_inline] = ACTIONS(1466),
    [anon_sym___inline] = ACTIONS(1466),
    [anon_sym___inline__] = ACTIONS(1466),
    [anon_sym___forceinline] = ACTIONS(1466),
    [anon_sym_thread_local] = ACTIONS(1466),
    [anon_sym___thread] = ACTIONS(1466),
    [anon_sym_const] = ACTIONS(1466),
    [anon_sym_constexpr] = ACTIONS(1466),
    [anon_sym_volatile] = ACTIONS(1466),
    [anon_sym_restrict] = ACTIONS(1466),
    [anon_sym___restrict__] = ACTIONS(1466),
    [anon_sym__Atomic] = ACTIONS(1466),
    [anon_sym__Noreturn] = ACTIONS(1466),
    [anon_sym_noreturn] = ACTIONS(1466),
    [sym_primitive_type] = ACTIONS(1466),
    [anon_sym_enum] = ACTIONS(1466),
    [anon_sym_struct] = ACTIONS(1466),
    [anon_sym_union] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_switch] = ACTIONS(1466),
    [anon_sym_case] = ACTIONS(1466),
    [anon_sym_default] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_do] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_break] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_goto] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_sizeof] = ACTIONS(1466),
    [anon_sym___alignof__] = ACTIONS(1466),
    [anon_sym___alignof] = ACTIONS(1466),
    [anon_sym__alignof] = ACTIONS(1466),
    [anon_sym_alignof] = ACTIONS(1466),
    [anon_sym__Alignof] = ACTIONS(1466),
    [anon_sym_offsetof] = ACTIONS(1466),
    [anon_sym__Generic] = ACTIONS(1466),
    [anon_sym_asm] = ACTIONS(1466),
    [anon_sym___asm__] = ACTIONS(1466),
    [sym_number_literal] = ACTIONS(1468),
    [anon_sym_L_SQUOTE] = ACTIONS(1468),
    [anon_sym_u_SQUOTE] = ACTIONS(1468),
    [anon_sym_U_SQUOTE] = ACTIONS(1468),
    [anon_sym_u8_SQUOTE] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_L_DQUOTE] = ACTIONS(1468),
    [anon_sym_u_DQUOTE] = ACTIONS(1468),
    [anon_sym_U_DQUOTE] = ACTIONS(1468),
    [anon_sym_u8_DQUOTE] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [sym_true] = ACTIONS(1466),
    [sym_false] = ACTIONS(1466),
    [anon_sym_NULL] = ACTIONS(1466),
    [anon_sym_nullptr] = ACTIONS(1466),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_identifier] = ACTIONS(1512),
    [aux_sym_preproc_include_token1] = ACTIONS(1512),
    [aux_sym_preproc_def_token1] = ACTIONS(1512),
    [aux_sym_preproc_if_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1512),
    [sym_preproc_directive] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_STAR] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1514),
    [anon_sym___extension__] = ACTIONS(1512),
    [anon_sym_typedef] = ACTIONS(1512),
    [anon_sym_extern] = ACTIONS(1512),
    [anon_sym___attribute__] = ACTIONS(1512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1514),
    [anon_sym___declspec] = ACTIONS(1512),
    [anon_sym___cdecl] = ACTIONS(1512),
    [anon_sym___clrcall] = ACTIONS(1512),
    [anon_sym___stdcall] = ACTIONS(1512),
    [anon_sym___fastcall] = ACTIONS(1512),
    [anon_sym___thiscall] = ACTIONS(1512),
    [anon_sym___vectorcall] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_signed] = ACTIONS(1512),
    [anon_sym_unsigned] = ACTIONS(1512),
    [anon_sym_long] = ACTIONS(1512),
    [anon_sym_short] = ACTIONS(1512),
    [anon_sym_static] = ACTIONS(1512),
    [anon_sym_auto] = ACTIONS(1512),
    [anon_sym_register] = ACTIONS(1512),
    [anon_sym_inline] = ACTIONS(1512),
    [anon_sym___inline] = ACTIONS(1512),
    [anon_sym___inline__] = ACTIONS(1512),
    [anon_sym___forceinline] = ACTIONS(1512),
    [anon_sym_thread_local] = ACTIONS(1512),
    [anon_sym___thread] = ACTIONS(1512),
    [anon_sym_const] = ACTIONS(1512),
    [anon_sym_constexpr] = ACTIONS(1512),
    [anon_sym_volatile] = ACTIONS(1512),
    [anon_sym_restrict] = ACTIONS(1512),
    [anon_sym___restrict__] = ACTIONS(1512),
    [anon_sym__Atomic] = ACTIONS(1512),
    [anon_sym__Noreturn] = ACTIONS(1512),
    [anon_sym_noreturn] = ACTIONS(1512),
    [sym_primitive_type] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1512),
    [anon_sym_struct] = ACTIONS(1512),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1512),
    [anon_sym_case] = ACTIONS(1512),
    [anon_sym_default] = ACTIONS(1512),
    [anon_sym_while] = ACTIONS(1512),
    [anon_sym_do] = ACTIONS(1512),
    [anon_sym_for] = ACTIONS(1512),
    [anon_sym_return] = ACTIONS(1512),
    [anon_sym_break] = ACTIONS(1512),
    [anon_sym_continue] = ACTIONS(1512),
    [anon_sym_goto] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [anon_sym_sizeof] = ACTIONS(1512),
    [anon_sym___alignof__] = ACTIONS(1512),
    [anon_sym___alignof] = ACTIONS(1512),
    [anon_sym__alignof] = ACTIONS(1512),
    [anon_sym_alignof] = ACTIONS(1512),
    [anon_sym__Alignof] = ACTIONS(1512),
    [anon_sym_offsetof] = ACTIONS(1512),
    [anon_sym__Generic] = ACTIONS(1512),
    [anon_sym_asm] = ACTIONS(1512),
    [anon_sym___asm__] = ACTIONS(1512),
    [sym_number_literal] = ACTIONS(1514),
    [anon_sym_L_SQUOTE] = ACTIONS(1514),
    [anon_sym_u_SQUOTE] = ACTIONS(1514),
    [anon_sym_U_SQUOTE] = ACTIONS(1514),
    [anon_sym_u8_SQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_L_DQUOTE] = ACTIONS(1514),
    [anon_sym_u_DQUOTE] = ACTIONS(1514),
    [anon_sym_U_DQUOTE] = ACTIONS(1514),
    [anon_sym_u8_DQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [sym_true] = ACTIONS(1512),
    [sym_false] = ACTIONS(1512),
    [anon_sym_NULL] = ACTIONS(1512),
    [anon_sym_nullptr] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_identifier] = ACTIONS(1458),
    [aux_sym_preproc_include_token1] = ACTIONS(1458),
    [aux_sym_preproc_def_token1] = ACTIONS(1458),
    [aux_sym_preproc_if_token1] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1458),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1458),
    [sym_preproc_directive] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_STAR] = ACTIONS(1460),
    [anon_sym_AMP] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(1458),
    [anon_sym_extern] = ACTIONS(1458),
    [anon_sym___attribute__] = ACTIONS(1458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1460),
    [anon_sym___declspec] = ACTIONS(1458),
    [anon_sym___cdecl] = ACTIONS(1458),
    [anon_sym___clrcall] = ACTIONS(1458),
    [anon_sym___stdcall] = ACTIONS(1458),
    [anon_sym___fastcall] = ACTIONS(1458),
    [anon_sym___thiscall] = ACTIONS(1458),
    [anon_sym___vectorcall] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_signed] = ACTIONS(1458),
    [anon_sym_unsigned] = ACTIONS(1458),
    [anon_sym_long] = ACTIONS(1458),
    [anon_sym_short] = ACTIONS(1458),
    [anon_sym_static] = ACTIONS(1458),
    [anon_sym_auto] = ACTIONS(1458),
    [anon_sym_register] = ACTIONS(1458),
    [anon_sym_inline] = ACTIONS(1458),
    [anon_sym___inline] = ACTIONS(1458),
    [anon_sym___inline__] = ACTIONS(1458),
    [anon_sym___forceinline] = ACTIONS(1458),
    [anon_sym_thread_local] = ACTIONS(1458),
    [anon_sym___thread] = ACTIONS(1458),
    [anon_sym_const] = ACTIONS(1458),
    [anon_sym_constexpr] = ACTIONS(1458),
    [anon_sym_volatile] = ACTIONS(1458),
    [anon_sym_restrict] = ACTIONS(1458),
    [anon_sym___restrict__] = ACTIONS(1458),
    [anon_sym__Atomic] = ACTIONS(1458),
    [anon_sym__Noreturn] = ACTIONS(1458),
    [anon_sym_noreturn] = ACTIONS(1458),
    [sym_primitive_type] = ACTIONS(1458),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_struct] = ACTIONS(1458),
    [anon_sym_union] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_case] = ACTIONS(1458),
    [anon_sym_default] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_do] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_break] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_goto] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_sizeof] = ACTIONS(1458),
    [anon_sym___alignof__] = ACTIONS(1458),
    [anon_sym___alignof] = ACTIONS(1458),
    [anon_sym__alignof] = ACTIONS(1458),
    [anon_sym_alignof] = ACTIONS(1458),
    [anon_sym__Alignof] = ACTIONS(1458),
    [anon_sym_offsetof] = ACTIONS(1458),
    [anon_sym__Generic] = ACTIONS(1458),
    [anon_sym_asm] = ACTIONS(1458),
    [anon_sym___asm__] = ACTIONS(1458),
    [sym_number_literal] = ACTIONS(1460),
    [anon_sym_L_SQUOTE] = ACTIONS(1460),
    [anon_sym_u_SQUOTE] = ACTIONS(1460),
    [anon_sym_U_SQUOTE] = ACTIONS(1460),
    [anon_sym_u8_SQUOTE] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_L_DQUOTE] = ACTIONS(1460),
    [anon_sym_u_DQUOTE] = ACTIONS(1460),
    [anon_sym_U_DQUOTE] = ACTIONS(1460),
    [anon_sym_u8_DQUOTE] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [sym_true] = ACTIONS(1458),
    [sym_false] = ACTIONS(1458),
    [anon_sym_NULL] = ACTIONS(1458),
    [anon_sym_nullptr] = ACTIONS(1458),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_identifier] = ACTIONS(1446),
    [aux_sym_preproc_include_token1] = ACTIONS(1446),
    [aux_sym_preproc_def_token1] = ACTIONS(1446),
    [aux_sym_preproc_if_token1] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1446),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1446),
    [sym_preproc_directive] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_STAR] = ACTIONS(1448),
    [anon_sym_AMP] = ACTIONS(1448),
    [anon_sym___extension__] = ACTIONS(1446),
    [anon_sym_typedef] = ACTIONS(1446),
    [anon_sym_extern] = ACTIONS(1446),
    [anon_sym___attribute__] = ACTIONS(1446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1448),
    [anon_sym___declspec] = ACTIONS(1446),
    [anon_sym___cdecl] = ACTIONS(1446),
    [anon_sym___clrcall] = ACTIONS(1446),
    [anon_sym___stdcall] = ACTIONS(1446),
    [anon_sym___fastcall] = ACTIONS(1446),
    [anon_sym___thiscall] = ACTIONS(1446),
    [anon_sym___vectorcall] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_signed] = ACTIONS(1446),
    [anon_sym_unsigned] = ACTIONS(1446),
    [anon_sym_long] = ACTIONS(1446),
    [anon_sym_short] = ACTIONS(1446),
    [anon_sym_static] = ACTIONS(1446),
    [anon_sym_auto] = ACTIONS(1446),
    [anon_sym_register] = ACTIONS(1446),
    [anon_sym_inline] = ACTIONS(1446),
    [anon_sym___inline] = ACTIONS(1446),
    [anon_sym___inline__] = ACTIONS(1446),
    [anon_sym___forceinline] = ACTIONS(1446),
    [anon_sym_thread_local] = ACTIONS(1446),
    [anon_sym___thread] = ACTIONS(1446),
    [anon_sym_const] = ACTIONS(1446),
    [anon_sym_constexpr] = ACTIONS(1446),
    [anon_sym_volatile] = ACTIONS(1446),
    [anon_sym_restrict] = ACTIONS(1446),
    [anon_sym___restrict__] = ACTIONS(1446),
    [anon_sym__Atomic] = ACTIONS(1446),
    [anon_sym__Noreturn] = ACTIONS(1446),
    [anon_sym_noreturn] = ACTIONS(1446),
    [sym_primitive_type] = ACTIONS(1446),
    [anon_sym_enum] = ACTIONS(1446),
    [anon_sym_struct] = ACTIONS(1446),
    [anon_sym_union] = ACTIONS(1446),
    [anon_sym_if] = ACTIONS(1446),
    [anon_sym_switch] = ACTIONS(1446),
    [anon_sym_case] = ACTIONS(1446),
    [anon_sym_default] = ACTIONS(1446),
    [anon_sym_while] = ACTIONS(1446),
    [anon_sym_do] = ACTIONS(1446),
    [anon_sym_for] = ACTIONS(1446),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_break] = ACTIONS(1446),
    [anon_sym_continue] = ACTIONS(1446),
    [anon_sym_goto] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_sizeof] = ACTIONS(1446),
    [anon_sym___alignof__] = ACTIONS(1446),
    [anon_sym___alignof] = ACTIONS(1446),
    [anon_sym__alignof] = ACTIONS(1446),
    [anon_sym_alignof] = ACTIONS(1446),
    [anon_sym__Alignof] = ACTIONS(1446),
    [anon_sym_offsetof] = ACTIONS(1446),
    [anon_sym__Generic] = ACTIONS(1446),
    [anon_sym_asm] = ACTIONS(1446),
    [anon_sym___asm__] = ACTIONS(1446),
    [sym_number_literal] = ACTIONS(1448),
    [anon_sym_L_SQUOTE] = ACTIONS(1448),
    [anon_sym_u_SQUOTE] = ACTIONS(1448),
    [anon_sym_U_SQUOTE] = ACTIONS(1448),
    [anon_sym_u8_SQUOTE] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_L_DQUOTE] = ACTIONS(1448),
    [anon_sym_u_DQUOTE] = ACTIONS(1448),
    [anon_sym_U_DQUOTE] = ACTIONS(1448),
    [anon_sym_u8_DQUOTE] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [sym_true] = ACTIONS(1446),
    [sym_false] = ACTIONS(1446),
    [anon_sym_NULL] = ACTIONS(1446),
    [anon_sym_nullptr] = ACTIONS(1446),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1462),
    [aux_sym_preproc_include_token1] = ACTIONS(1462),
    [aux_sym_preproc_def_token1] = ACTIONS(1462),
    [aux_sym_preproc_if_token1] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1462),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1462),
    [sym_preproc_directive] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_STAR] = ACTIONS(1464),
    [anon_sym_AMP] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1462),
    [anon_sym_typedef] = ACTIONS(1462),
    [anon_sym_extern] = ACTIONS(1462),
    [anon_sym___attribute__] = ACTIONS(1462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1464),
    [anon_sym___declspec] = ACTIONS(1462),
    [anon_sym___cdecl] = ACTIONS(1462),
    [anon_sym___clrcall] = ACTIONS(1462),
    [anon_sym___stdcall] = ACTIONS(1462),
    [anon_sym___fastcall] = ACTIONS(1462),
    [anon_sym___thiscall] = ACTIONS(1462),
    [anon_sym___vectorcall] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_signed] = ACTIONS(1462),
    [anon_sym_unsigned] = ACTIONS(1462),
    [anon_sym_long] = ACTIONS(1462),
    [anon_sym_short] = ACTIONS(1462),
    [anon_sym_static] = ACTIONS(1462),
    [anon_sym_auto] = ACTIONS(1462),
    [anon_sym_register] = ACTIONS(1462),
    [anon_sym_inline] = ACTIONS(1462),
    [anon_sym___inline] = ACTIONS(1462),
    [anon_sym___inline__] = ACTIONS(1462),
    [anon_sym___forceinline] = ACTIONS(1462),
    [anon_sym_thread_local] = ACTIONS(1462),
    [anon_sym___thread] = ACTIONS(1462),
    [anon_sym_const] = ACTIONS(1462),
    [anon_sym_constexpr] = ACTIONS(1462),
    [anon_sym_volatile] = ACTIONS(1462),
    [anon_sym_restrict] = ACTIONS(1462),
    [anon_sym___restrict__] = ACTIONS(1462),
    [anon_sym__Atomic] = ACTIONS(1462),
    [anon_sym__Noreturn] = ACTIONS(1462),
    [anon_sym_noreturn] = ACTIONS(1462),
    [sym_primitive_type] = ACTIONS(1462),
    [anon_sym_enum] = ACTIONS(1462),
    [anon_sym_struct] = ACTIONS(1462),
    [anon_sym_union] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_switch] = ACTIONS(1462),
    [anon_sym_case] = ACTIONS(1462),
    [anon_sym_default] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_do] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_break] = ACTIONS(1462),
    [anon_sym_continue] = ACTIONS(1462),
    [anon_sym_goto] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_sizeof] = ACTIONS(1462),
    [anon_sym___alignof__] = ACTIONS(1462),
    [anon_sym___alignof] = ACTIONS(1462),
    [anon_sym__alignof] = ACTIONS(1462),
    [anon_sym_alignof] = ACTIONS(1462),
    [anon_sym__Alignof] = ACTIONS(1462),
    [anon_sym_offsetof] = ACTIONS(1462),
    [anon_sym__Generic] = ACTIONS(1462),
    [anon_sym_asm] = ACTIONS(1462),
    [anon_sym___asm__] = ACTIONS(1462),
    [sym_number_literal] = ACTIONS(1464),
    [anon_sym_L_SQUOTE] = ACTIONS(1464),
    [anon_sym_u_SQUOTE] = ACTIONS(1464),
    [anon_sym_U_SQUOTE] = ACTIONS(1464),
    [anon_sym_u8_SQUOTE] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_L_DQUOTE] = ACTIONS(1464),
    [anon_sym_u_DQUOTE] = ACTIONS(1464),
    [anon_sym_U_DQUOTE] = ACTIONS(1464),
    [anon_sym_u8_DQUOTE] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [sym_true] = ACTIONS(1462),
    [sym_false] = ACTIONS(1462),
    [anon_sym_NULL] = ACTIONS(1462),
    [anon_sym_nullptr] = ACTIONS(1462),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_identifier] = ACTIONS(1414),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym___extension__] = ACTIONS(1414),
    [anon_sym_typedef] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym___attribute__] = ACTIONS(1414),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1416),
    [anon_sym___declspec] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_signed] = ACTIONS(1414),
    [anon_sym_unsigned] = ACTIONS(1414),
    [anon_sym_long] = ACTIONS(1414),
    [anon_sym_short] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_auto] = ACTIONS(1414),
    [anon_sym_register] = ACTIONS(1414),
    [anon_sym_inline] = ACTIONS(1414),
    [anon_sym___inline] = ACTIONS(1414),
    [anon_sym___inline__] = ACTIONS(1414),
    [anon_sym___forceinline] = ACTIONS(1414),
    [anon_sym_thread_local] = ACTIONS(1414),
    [anon_sym___thread] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_constexpr] = ACTIONS(1414),
    [anon_sym_volatile] = ACTIONS(1414),
    [anon_sym_restrict] = ACTIONS(1414),
    [anon_sym___restrict__] = ACTIONS(1414),
    [anon_sym__Atomic] = ACTIONS(1414),
    [anon_sym__Noreturn] = ACTIONS(1414),
    [anon_sym_noreturn] = ACTIONS(1414),
    [sym_primitive_type] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1414),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_do] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_goto] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_sizeof] = ACTIONS(1414),
    [anon_sym___alignof__] = ACTIONS(1414),
    [anon_sym___alignof] = ACTIONS(1414),
    [anon_sym__alignof] = ACTIONS(1414),
    [anon_sym_alignof] = ACTIONS(1414),
    [anon_sym__Alignof] = ACTIONS(1414),
    [anon_sym_offsetof] = ACTIONS(1414),
    [anon_sym__Generic] = ACTIONS(1414),
    [anon_sym_asm] = ACTIONS(1414),
    [anon_sym___asm__] = ACTIONS(1414),
    [sym_number_literal] = ACTIONS(1416),
    [anon_sym_L_SQUOTE] = ACTIONS(1416),
    [anon_sym_u_SQUOTE] = ACTIONS(1416),
    [anon_sym_U_SQUOTE] = ACTIONS(1416),
    [anon_sym_u8_SQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_L_DQUOTE] = ACTIONS(1416),
    [anon_sym_u_DQUOTE] = ACTIONS(1416),
    [anon_sym_U_DQUOTE] = ACTIONS(1416),
    [anon_sym_u8_DQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [sym_true] = ACTIONS(1414),
    [sym_false] = ACTIONS(1414),
    [anon_sym_NULL] = ACTIONS(1414),
    [anon_sym_nullptr] = ACTIONS(1414),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1909),
    [sym_identifier] = ACTIONS(1911),
    [aux_sym_preproc_include_token1] = ACTIONS(1911),
    [aux_sym_preproc_def_token1] = ACTIONS(1911),
    [aux_sym_preproc_if_token1] = ACTIONS(1911),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1911),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1911),
    [sym_preproc_directive] = ACTIONS(1911),
    [anon_sym_LPAREN2] = ACTIONS(1909),
    [anon_sym_BANG] = ACTIONS(1909),
    [anon_sym_TILDE] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym___extension__] = ACTIONS(1911),
    [anon_sym_typedef] = ACTIONS(1911),
    [anon_sym_extern] = ACTIONS(1911),
    [anon_sym___attribute__] = ACTIONS(1911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1909),
    [anon_sym___declspec] = ACTIONS(1911),
    [anon_sym___cdecl] = ACTIONS(1911),
    [anon_sym___clrcall] = ACTIONS(1911),
    [anon_sym___stdcall] = ACTIONS(1911),
    [anon_sym___fastcall] = ACTIONS(1911),
    [anon_sym___thiscall] = ACTIONS(1911),
    [anon_sym___vectorcall] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_signed] = ACTIONS(1911),
    [anon_sym_unsigned] = ACTIONS(1911),
    [anon_sym_long] = ACTIONS(1911),
    [anon_sym_short] = ACTIONS(1911),
    [anon_sym_static] = ACTIONS(1911),
    [anon_sym_auto] = ACTIONS(1911),
    [anon_sym_register] = ACTIONS(1911),
    [anon_sym_inline] = ACTIONS(1911),
    [anon_sym___inline] = ACTIONS(1911),
    [anon_sym___inline__] = ACTIONS(1911),
    [anon_sym___forceinline] = ACTIONS(1911),
    [anon_sym_thread_local] = ACTIONS(1911),
    [anon_sym___thread] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(1911),
    [anon_sym_constexpr] = ACTIONS(1911),
    [anon_sym_volatile] = ACTIONS(1911),
    [anon_sym_restrict] = ACTIONS(1911),
    [anon_sym___restrict__] = ACTIONS(1911),
    [anon_sym__Atomic] = ACTIONS(1911),
    [anon_sym__Noreturn] = ACTIONS(1911),
    [anon_sym_noreturn] = ACTIONS(1911),
    [sym_primitive_type] = ACTIONS(1911),
    [anon_sym_enum] = ACTIONS(1911),
    [anon_sym_struct] = ACTIONS(1911),
    [anon_sym_union] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1911),
    [anon_sym_switch] = ACTIONS(1911),
    [anon_sym_case] = ACTIONS(1911),
    [anon_sym_default] = ACTIONS(1911),
    [anon_sym_while] = ACTIONS(1911),
    [anon_sym_do] = ACTIONS(1911),
    [anon_sym_for] = ACTIONS(1911),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1911),
    [anon_sym_continue] = ACTIONS(1911),
    [anon_sym_goto] = ACTIONS(1911),
    [anon_sym_DASH_DASH] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1909),
    [anon_sym_sizeof] = ACTIONS(1911),
    [anon_sym___alignof__] = ACTIONS(1911),
    [anon_sym___alignof] = ACTIONS(1911),
    [anon_sym__alignof] = ACTIONS(1911),
    [anon_sym_alignof] = ACTIONS(1911),
    [anon_sym__Alignof] = ACTIONS(1911),
    [anon_sym_offsetof] = ACTIONS(1911),
    [anon_sym__Generic] = ACTIONS(1911),
    [anon_sym_asm] = ACTIONS(1911),
    [anon_sym___asm__] = ACTIONS(1911),
    [sym_number_literal] = ACTIONS(1909),
    [anon_sym_L_SQUOTE] = ACTIONS(1909),
    [anon_sym_u_SQUOTE] = ACTIONS(1909),
    [anon_sym_U_SQUOTE] = ACTIONS(1909),
    [anon_sym_u8_SQUOTE] = ACTIONS(1909),
    [anon_sym_SQUOTE] = ACTIONS(1909),
    [anon_sym_L_DQUOTE] = ACTIONS(1909),
    [anon_sym_u_DQUOTE] = ACTIONS(1909),
    [anon_sym_U_DQUOTE] = ACTIONS(1909),
    [anon_sym_u8_DQUOTE] = ACTIONS(1909),
    [anon_sym_DQUOTE] = ACTIONS(1909),
    [sym_true] = ACTIONS(1911),
    [sym_false] = ACTIONS(1911),
    [anon_sym_NULL] = ACTIONS(1911),
    [anon_sym_nullptr] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_identifier] = ACTIONS(1516),
    [aux_sym_preproc_include_token1] = ACTIONS(1516),
    [aux_sym_preproc_def_token1] = ACTIONS(1516),
    [aux_sym_preproc_if_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1516),
    [sym_preproc_directive] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_STAR] = ACTIONS(1518),
    [anon_sym_AMP] = ACTIONS(1518),
    [anon_sym___extension__] = ACTIONS(1516),
    [anon_sym_typedef] = ACTIONS(1516),
    [anon_sym_extern] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1518),
    [anon_sym___declspec] = ACTIONS(1516),
    [anon_sym___cdecl] = ACTIONS(1516),
    [anon_sym___clrcall] = ACTIONS(1516),
    [anon_sym___stdcall] = ACTIONS(1516),
    [anon_sym___fastcall] = ACTIONS(1516),
    [anon_sym___thiscall] = ACTIONS(1516),
    [anon_sym___vectorcall] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_signed] = ACTIONS(1516),
    [anon_sym_unsigned] = ACTIONS(1516),
    [anon_sym_long] = ACTIONS(1516),
    [anon_sym_short] = ACTIONS(1516),
    [anon_sym_static] = ACTIONS(1516),
    [anon_sym_auto] = ACTIONS(1516),
    [anon_sym_register] = ACTIONS(1516),
    [anon_sym_inline] = ACTIONS(1516),
    [anon_sym___inline] = ACTIONS(1516),
    [anon_sym___inline__] = ACTIONS(1516),
    [anon_sym___forceinline] = ACTIONS(1516),
    [anon_sym_thread_local] = ACTIONS(1516),
    [anon_sym___thread] = ACTIONS(1516),
    [anon_sym_const] = ACTIONS(1516),
    [anon_sym_constexpr] = ACTIONS(1516),
    [anon_sym_volatile] = ACTIONS(1516),
    [anon_sym_restrict] = ACTIONS(1516),
    [anon_sym___restrict__] = ACTIONS(1516),
    [anon_sym__Atomic] = ACTIONS(1516),
    [anon_sym__Noreturn] = ACTIONS(1516),
    [anon_sym_noreturn] = ACTIONS(1516),
    [sym_primitive_type] = ACTIONS(1516),
    [anon_sym_enum] = ACTIONS(1516),
    [anon_sym_struct] = ACTIONS(1516),
    [anon_sym_union] = ACTIONS(1516),
    [anon_sym_if] = ACTIONS(1516),
    [anon_sym_switch] = ACTIONS(1516),
    [anon_sym_case] = ACTIONS(1516),
    [anon_sym_default] = ACTIONS(1516),
    [anon_sym_while] = ACTIONS(1516),
    [anon_sym_do] = ACTIONS(1516),
    [anon_sym_for] = ACTIONS(1516),
    [anon_sym_return] = ACTIONS(1516),
    [anon_sym_break] = ACTIONS(1516),
    [anon_sym_continue] = ACTIONS(1516),
    [anon_sym_goto] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_sizeof] = ACTIONS(1516),
    [anon_sym___alignof__] = ACTIONS(1516),
    [anon_sym___alignof] = ACTIONS(1516),
    [anon_sym__alignof] = ACTIONS(1516),
    [anon_sym_alignof] = ACTIONS(1516),
    [anon_sym__Alignof] = ACTIONS(1516),
    [anon_sym_offsetof] = ACTIONS(1516),
    [anon_sym__Generic] = ACTIONS(1516),
    [anon_sym_asm] = ACTIONS(1516),
    [anon_sym___asm__] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(1518),
    [anon_sym_L_SQUOTE] = ACTIONS(1518),
    [anon_sym_u_SQUOTE] = ACTIONS(1518),
    [anon_sym_U_SQUOTE] = ACTIONS(1518),
    [anon_sym_u8_SQUOTE] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_L_DQUOTE] = ACTIONS(1518),
    [anon_sym_u_DQUOTE] = ACTIONS(1518),
    [anon_sym_U_DQUOTE] = ACTIONS(1518),
    [anon_sym_u8_DQUOTE] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [sym_true] = ACTIONS(1516),
    [sym_false] = ACTIONS(1516),
    [anon_sym_NULL] = ACTIONS(1516),
    [anon_sym_nullptr] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_identifier] = ACTIONS(1454),
    [aux_sym_preproc_include_token1] = ACTIONS(1454),
    [aux_sym_preproc_def_token1] = ACTIONS(1454),
    [aux_sym_preproc_if_token1] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1454),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1454),
    [sym_preproc_directive] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym___extension__] = ACTIONS(1454),
    [anon_sym_typedef] = ACTIONS(1454),
    [anon_sym_extern] = ACTIONS(1454),
    [anon_sym___attribute__] = ACTIONS(1454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1456),
    [anon_sym___declspec] = ACTIONS(1454),
    [anon_sym___cdecl] = ACTIONS(1454),
    [anon_sym___clrcall] = ACTIONS(1454),
    [anon_sym___stdcall] = ACTIONS(1454),
    [anon_sym___fastcall] = ACTIONS(1454),
    [anon_sym___thiscall] = ACTIONS(1454),
    [anon_sym___vectorcall] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_signed] = ACTIONS(1454),
    [anon_sym_unsigned] = ACTIONS(1454),
    [anon_sym_long] = ACTIONS(1454),
    [anon_sym_short] = ACTIONS(1454),
    [anon_sym_static] = ACTIONS(1454),
    [anon_sym_auto] = ACTIONS(1454),
    [anon_sym_register] = ACTIONS(1454),
    [anon_sym_inline] = ACTIONS(1454),
    [anon_sym___inline] = ACTIONS(1454),
    [anon_sym___inline__] = ACTIONS(1454),
    [anon_sym___forceinline] = ACTIONS(1454),
    [anon_sym_thread_local] = ACTIONS(1454),
    [anon_sym___thread] = ACTIONS(1454),
    [anon_sym_const] = ACTIONS(1454),
    [anon_sym_constexpr] = ACTIONS(1454),
    [anon_sym_volatile] = ACTIONS(1454),
    [anon_sym_restrict] = ACTIONS(1454),
    [anon_sym___restrict__] = ACTIONS(1454),
    [anon_sym__Atomic] = ACTIONS(1454),
    [anon_sym__Noreturn] = ACTIONS(1454),
    [anon_sym_noreturn] = ACTIONS(1454),
    [sym_primitive_type] = ACTIONS(1454),
    [anon_sym_enum] = ACTIONS(1454),
    [anon_sym_struct] = ACTIONS(1454),
    [anon_sym_union] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_switch] = ACTIONS(1454),
    [anon_sym_case] = ACTIONS(1454),
    [anon_sym_default] = ACTIONS(1454),
    [anon_sym_while] = ACTIONS(1454),
    [anon_sym_do] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_break] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_goto] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_sizeof] = ACTIONS(1454),
    [anon_sym___alignof__] = ACTIONS(1454),
    [anon_sym___alignof] = ACTIONS(1454),
    [anon_sym__alignof] = ACTIONS(1454),
    [anon_sym_alignof] = ACTIONS(1454),
    [anon_sym__Alignof] = ACTIONS(1454),
    [anon_sym_offsetof] = ACTIONS(1454),
    [anon_sym__Generic] = ACTIONS(1454),
    [anon_sym_asm] = ACTIONS(1454),
    [anon_sym___asm__] = ACTIONS(1454),
    [sym_number_literal] = ACTIONS(1456),
    [anon_sym_L_SQUOTE] = ACTIONS(1456),
    [anon_sym_u_SQUOTE] = ACTIONS(1456),
    [anon_sym_U_SQUOTE] = ACTIONS(1456),
    [anon_sym_u8_SQUOTE] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_L_DQUOTE] = ACTIONS(1456),
    [anon_sym_u_DQUOTE] = ACTIONS(1456),
    [anon_sym_U_DQUOTE] = ACTIONS(1456),
    [anon_sym_u8_DQUOTE] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [sym_true] = ACTIONS(1454),
    [sym_false] = ACTIONS(1454),
    [anon_sym_NULL] = ACTIONS(1454),
    [anon_sym_nullptr] = ACTIONS(1454),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2245),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2254),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2123),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2210),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2064),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2087),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1294),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2193),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2052),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2037),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2038),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1294),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2193),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2045),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1294),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2193),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2033),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2065),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2269),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2098),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1279),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2139),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2138),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_type_qualifier] = STATE(1324),
    [sym__type_specifier] = STATE(1353),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__expression] = STATE(1294),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_comma_expression] = STATE(2193),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_type_descriptor] = STATE(2189),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__type_definition_type_repeat1] = STATE(1324),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1363),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1915),
    [anon_sym_unsigned] = ACTIONS(1915),
    [anon_sym_long] = ACTIONS(1915),
    [anon_sym_short] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1917),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym__expression] = STATE(868),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_initializer_list] = STATE(827),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_identifier] = ACTIONS(1919),
    [anon_sym_COMMA] = ACTIONS(1522),
    [anon_sym_RPAREN] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1522),
    [anon_sym___attribute__] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_COLON] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LPAREN2] = ACTIONS(1923),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1923),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1921),
    [anon_sym_extern] = ACTIONS(1921),
    [anon_sym___attribute__] = ACTIONS(1921),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1923),
    [anon_sym___declspec] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_signed] = ACTIONS(1921),
    [anon_sym_unsigned] = ACTIONS(1921),
    [anon_sym_long] = ACTIONS(1921),
    [anon_sym_short] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_EQ] = ACTIONS(1923),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_auto] = ACTIONS(1921),
    [anon_sym_register] = ACTIONS(1921),
    [anon_sym_inline] = ACTIONS(1921),
    [anon_sym___inline] = ACTIONS(1921),
    [anon_sym___inline__] = ACTIONS(1921),
    [anon_sym___forceinline] = ACTIONS(1921),
    [anon_sym_thread_local] = ACTIONS(1921),
    [anon_sym___thread] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_constexpr] = ACTIONS(1921),
    [anon_sym_volatile] = ACTIONS(1921),
    [anon_sym_restrict] = ACTIONS(1921),
    [anon_sym___restrict__] = ACTIONS(1921),
    [anon_sym__Atomic] = ACTIONS(1921),
    [anon_sym__Noreturn] = ACTIONS(1921),
    [anon_sym_noreturn] = ACTIONS(1921),
    [sym_primitive_type] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1923),
    [anon_sym_struct] = ACTIONS(1921),
    [anon_sym_union] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_goto] = ACTIONS(1921),
    [anon_sym___try] = ACTIONS(1921),
    [anon_sym___leave] = ACTIONS(1921),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_sizeof] = ACTIONS(1921),
    [anon_sym___alignof__] = ACTIONS(1921),
    [anon_sym___alignof] = ACTIONS(1921),
    [anon_sym__alignof] = ACTIONS(1921),
    [anon_sym_alignof] = ACTIONS(1921),
    [anon_sym__Alignof] = ACTIONS(1921),
    [anon_sym_offsetof] = ACTIONS(1921),
    [anon_sym__Generic] = ACTIONS(1921),
    [anon_sym_asm] = ACTIONS(1921),
    [anon_sym___asm__] = ACTIONS(1921),
    [sym_number_literal] = ACTIONS(1923),
    [anon_sym_L_SQUOTE] = ACTIONS(1923),
    [anon_sym_u_SQUOTE] = ACTIONS(1923),
    [anon_sym_U_SQUOTE] = ACTIONS(1923),
    [anon_sym_u8_SQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_L_DQUOTE] = ACTIONS(1923),
    [anon_sym_u_DQUOTE] = ACTIONS(1923),
    [anon_sym_U_DQUOTE] = ACTIONS(1923),
    [anon_sym_u8_DQUOTE] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [anon_sym_NULL] = ACTIONS(1921),
    [anon_sym_nullptr] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_COMMA] = ACTIONS(1927),
    [anon_sym_RPAREN] = ACTIONS(1927),
    [anon_sym_LPAREN2] = ACTIONS(1927),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1927),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym___extension__] = ACTIONS(1925),
    [anon_sym_extern] = ACTIONS(1925),
    [anon_sym___attribute__] = ACTIONS(1925),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1927),
    [anon_sym___declspec] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_signed] = ACTIONS(1925),
    [anon_sym_unsigned] = ACTIONS(1925),
    [anon_sym_long] = ACTIONS(1925),
    [anon_sym_short] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_EQ] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_auto] = ACTIONS(1925),
    [anon_sym_register] = ACTIONS(1925),
    [anon_sym_inline] = ACTIONS(1925),
    [anon_sym___inline] = ACTIONS(1925),
    [anon_sym___inline__] = ACTIONS(1925),
    [anon_sym___forceinline] = ACTIONS(1925),
    [anon_sym_thread_local] = ACTIONS(1925),
    [anon_sym___thread] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_constexpr] = ACTIONS(1925),
    [anon_sym_volatile] = ACTIONS(1925),
    [anon_sym_restrict] = ACTIONS(1925),
    [anon_sym___restrict__] = ACTIONS(1925),
    [anon_sym__Atomic] = ACTIONS(1925),
    [anon_sym__Noreturn] = ACTIONS(1925),
    [anon_sym_noreturn] = ACTIONS(1925),
    [sym_primitive_type] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [anon_sym_COLON] = ACTIONS(1927),
    [anon_sym_struct] = ACTIONS(1925),
    [anon_sym_union] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_goto] = ACTIONS(1925),
    [anon_sym___try] = ACTIONS(1925),
    [anon_sym___leave] = ACTIONS(1925),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_sizeof] = ACTIONS(1925),
    [anon_sym___alignof__] = ACTIONS(1925),
    [anon_sym___alignof] = ACTIONS(1925),
    [anon_sym__alignof] = ACTIONS(1925),
    [anon_sym_alignof] = ACTIONS(1925),
    [anon_sym__Alignof] = ACTIONS(1925),
    [anon_sym_offsetof] = ACTIONS(1925),
    [anon_sym__Generic] = ACTIONS(1925),
    [anon_sym_asm] = ACTIONS(1925),
    [anon_sym___asm__] = ACTIONS(1925),
    [sym_number_literal] = ACTIONS(1927),
    [anon_sym_L_SQUOTE] = ACTIONS(1927),
    [anon_sym_u_SQUOTE] = ACTIONS(1927),
    [anon_sym_U_SQUOTE] = ACTIONS(1927),
    [anon_sym_u8_SQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [anon_sym_L_DQUOTE] = ACTIONS(1927),
    [anon_sym_u_DQUOTE] = ACTIONS(1927),
    [anon_sym_U_DQUOTE] = ACTIONS(1927),
    [anon_sym_u8_DQUOTE] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [anon_sym_NULL] = ACTIONS(1925),
    [anon_sym_nullptr] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym__expression] = STATE(868),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(916),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(916),
    [sym_call_expression] = STATE(916),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(916),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(916),
    [sym_initializer_list] = STATE(827),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(867),
    [sym_null] = STATE(843),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1522),
    [aux_sym_preproc_if_token2] = ACTIONS(1522),
    [aux_sym_preproc_else_token1] = ACTIONS(1522),
    [aux_sym_preproc_elif_token1] = ACTIONS(1520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1522),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1929),
    [anon_sym_TILDE] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1933),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [sym__expression] = STATE(949),
    [sym__expression_not_binary] = STATE(990),
    [sym__string] = STATE(990),
    [sym_conditional_expression] = STATE(990),
    [sym_assignment_expression] = STATE(990),
    [sym_pointer_expression] = STATE(995),
    [sym_unary_expression] = STATE(990),
    [sym_binary_expression] = STATE(990),
    [sym_update_expression] = STATE(990),
    [sym_cast_expression] = STATE(990),
    [sym_sizeof_expression] = STATE(990),
    [sym_alignof_expression] = STATE(990),
    [sym_offsetof_expression] = STATE(990),
    [sym_generic_expression] = STATE(990),
    [sym_subscript_expression] = STATE(995),
    [sym_call_expression] = STATE(995),
    [sym_gnu_asm_expression] = STATE(990),
    [sym_field_expression] = STATE(995),
    [sym_compound_literal_expression] = STATE(990),
    [sym_parenthesized_expression] = STATE(995),
    [sym_initializer_list] = STATE(984),
    [sym_char_literal] = STATE(990),
    [sym_concatenated_string] = STATE(990),
    [sym_string_literal] = STATE(877),
    [sym_null] = STATE(990),
    [sym_identifier] = ACTIONS(1520),
    [anon_sym_COMMA] = ACTIONS(1522),
    [aux_sym_preproc_if_token2] = ACTIONS(1522),
    [aux_sym_preproc_else_token1] = ACTIONS(1522),
    [aux_sym_preproc_elif_token1] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_TILDE] = ACTIONS(1937),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1939),
    [anon_sym___alignof__] = ACTIONS(1714),
    [anon_sym___alignof] = ACTIONS(1714),
    [anon_sym__alignof] = ACTIONS(1714),
    [anon_sym_alignof] = ACTIONS(1714),
    [anon_sym__Alignof] = ACTIONS(1714),
    [anon_sym_offsetof] = ACTIONS(1716),
    [anon_sym__Generic] = ACTIONS(1718),
    [anon_sym_asm] = ACTIONS(1720),
    [anon_sym___asm__] = ACTIONS(1720),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [sym_number_literal] = ACTIONS(1722),
    [anon_sym_L_SQUOTE] = ACTIONS(1724),
    [anon_sym_u_SQUOTE] = ACTIONS(1724),
    [anon_sym_U_SQUOTE] = ACTIONS(1724),
    [anon_sym_u8_SQUOTE] = ACTIONS(1724),
    [anon_sym_SQUOTE] = ACTIONS(1724),
    [anon_sym_L_DQUOTE] = ACTIONS(1726),
    [anon_sym_u_DQUOTE] = ACTIONS(1726),
    [anon_sym_U_DQUOTE] = ACTIONS(1726),
    [anon_sym_u8_DQUOTE] = ACTIONS(1726),
    [anon_sym_DQUOTE] = ACTIONS(1726),
    [sym_true] = ACTIONS(1728),
    [sym_false] = ACTIONS(1728),
    [anon_sym_NULL] = ACTIONS(1730),
    [anon_sym_nullptr] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [sym__expression] = STATE(1013),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_initializer_list] = STATE(827),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1943),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1520),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1522),
    [anon_sym_AMP_AMP] = ACTIONS(1522),
    [anon_sym_PIPE] = ACTIONS(1520),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1520),
    [anon_sym_EQ_EQ] = ACTIONS(1522),
    [anon_sym_BANG_EQ] = ACTIONS(1522),
    [anon_sym_GT] = ACTIONS(1520),
    [anon_sym_GT_EQ] = ACTIONS(1522),
    [anon_sym_LT_EQ] = ACTIONS(1522),
    [anon_sym_LT] = ACTIONS(1520),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_RBRACK] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1520),
    [anon_sym_DASH_GT] = ACTIONS(1522),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym_else_clause] = STATE(314),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1949),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [sym_identifier] = ACTIONS(1951),
    [anon_sym_LPAREN2] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_TILDE] = ACTIONS(1954),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1954),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym___extension__] = ACTIONS(1958),
    [anon_sym_extern] = ACTIONS(1958),
    [anon_sym___attribute__] = ACTIONS(1958),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1960),
    [anon_sym___declspec] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_signed] = ACTIONS(1958),
    [anon_sym_unsigned] = ACTIONS(1958),
    [anon_sym_long] = ACTIONS(1958),
    [anon_sym_short] = ACTIONS(1958),
    [anon_sym_static] = ACTIONS(1958),
    [anon_sym_auto] = ACTIONS(1958),
    [anon_sym_register] = ACTIONS(1958),
    [anon_sym_inline] = ACTIONS(1958),
    [anon_sym___inline] = ACTIONS(1958),
    [anon_sym___inline__] = ACTIONS(1958),
    [anon_sym___forceinline] = ACTIONS(1958),
    [anon_sym_thread_local] = ACTIONS(1958),
    [anon_sym___thread] = ACTIONS(1958),
    [anon_sym_const] = ACTIONS(1958),
    [anon_sym_constexpr] = ACTIONS(1958),
    [anon_sym_volatile] = ACTIONS(1958),
    [anon_sym_restrict] = ACTIONS(1958),
    [anon_sym___restrict__] = ACTIONS(1958),
    [anon_sym__Atomic] = ACTIONS(1958),
    [anon_sym__Noreturn] = ACTIONS(1958),
    [anon_sym_noreturn] = ACTIONS(1958),
    [sym_primitive_type] = ACTIONS(1958),
    [anon_sym_enum] = ACTIONS(1958),
    [anon_sym_struct] = ACTIONS(1958),
    [anon_sym_union] = ACTIONS(1958),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_switch] = ACTIONS(1956),
    [anon_sym_case] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym___try] = ACTIONS(1956),
    [anon_sym___leave] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1954),
    [anon_sym_PLUS_PLUS] = ACTIONS(1954),
    [anon_sym_sizeof] = ACTIONS(1956),
    [anon_sym___alignof__] = ACTIONS(1956),
    [anon_sym___alignof] = ACTIONS(1956),
    [anon_sym__alignof] = ACTIONS(1956),
    [anon_sym_alignof] = ACTIONS(1956),
    [anon_sym__Alignof] = ACTIONS(1956),
    [anon_sym_offsetof] = ACTIONS(1956),
    [anon_sym__Generic] = ACTIONS(1956),
    [anon_sym_asm] = ACTIONS(1956),
    [anon_sym___asm__] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(1954),
    [anon_sym_L_SQUOTE] = ACTIONS(1954),
    [anon_sym_u_SQUOTE] = ACTIONS(1954),
    [anon_sym_U_SQUOTE] = ACTIONS(1954),
    [anon_sym_u8_SQUOTE] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1954),
    [anon_sym_L_DQUOTE] = ACTIONS(1954),
    [anon_sym_u_DQUOTE] = ACTIONS(1954),
    [anon_sym_U_DQUOTE] = ACTIONS(1954),
    [anon_sym_u8_DQUOTE] = ACTIONS(1954),
    [anon_sym_DQUOTE] = ACTIONS(1954),
    [sym_true] = ACTIONS(1956),
    [sym_false] = ACTIONS(1956),
    [anon_sym_NULL] = ACTIONS(1956),
    [anon_sym_nullptr] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1985),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1989),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1985),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1989),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1993),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1995),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1993),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1991),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [sym_string_literal] = STATE(799),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1106),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1965),
    [anon_sym_LPAREN2] = ACTIONS(1967),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1973),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1965),
    [anon_sym_AMP_AMP] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1965),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_GT_GT] = ACTIONS(1971),
    [anon_sym_SEMI] = ACTIONS(1965),
    [anon_sym___extension__] = ACTIONS(1963),
    [anon_sym_extern] = ACTIONS(1963),
    [anon_sym___attribute__] = ACTIONS(1963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1979),
    [anon_sym___declspec] = ACTIONS(1963),
    [anon_sym___based] = ACTIONS(1963),
    [anon_sym_signed] = ACTIONS(1981),
    [anon_sym_unsigned] = ACTIONS(1981),
    [anon_sym_long] = ACTIONS(1981),
    [anon_sym_short] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1963),
    [anon_sym_auto] = ACTIONS(1963),
    [anon_sym_register] = ACTIONS(1963),
    [anon_sym_inline] = ACTIONS(1963),
    [anon_sym___inline] = ACTIONS(1963),
    [anon_sym___inline__] = ACTIONS(1963),
    [anon_sym___forceinline] = ACTIONS(1963),
    [anon_sym_thread_local] = ACTIONS(1963),
    [anon_sym___thread] = ACTIONS(1963),
    [anon_sym_const] = ACTIONS(1963),
    [anon_sym_constexpr] = ACTIONS(1963),
    [anon_sym_volatile] = ACTIONS(1963),
    [anon_sym_restrict] = ACTIONS(1963),
    [anon_sym___restrict__] = ACTIONS(1963),
    [anon_sym__Atomic] = ACTIONS(1963),
    [anon_sym__Noreturn] = ACTIONS(1963),
    [anon_sym_noreturn] = ACTIONS(1963),
    [anon_sym_QMARK] = ACTIONS(1965),
    [anon_sym_STAR_EQ] = ACTIONS(1987),
    [anon_sym_SLASH_EQ] = ACTIONS(1987),
    [anon_sym_PERCENT_EQ] = ACTIONS(1987),
    [anon_sym_PLUS_EQ] = ACTIONS(1987),
    [anon_sym_DASH_EQ] = ACTIONS(1987),
    [anon_sym_LT_LT_EQ] = ACTIONS(1987),
    [anon_sym_GT_GT_EQ] = ACTIONS(1987),
    [anon_sym_AMP_EQ] = ACTIONS(1987),
    [anon_sym_CARET_EQ] = ACTIONS(1987),
    [anon_sym_PIPE_EQ] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_DASH_GT] = ACTIONS(1965),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [sym_type_qualifier] = STATE(544),
    [sym__expression] = STATE(1339),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(544),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2001),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2007),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [sym_type_qualifier] = STATE(878),
    [sym__expression] = STATE(1319),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(878),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2011),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_type_qualifier] = STATE(878),
    [sym__expression] = STATE(1311),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(878),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [sym_type_qualifier] = STATE(547),
    [sym__expression] = STATE(1305),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(547),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2019),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2021),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [sym_type_qualifier] = STATE(878),
    [sym__expression] = STATE(1326),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(878),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2023),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2025),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [sym_type_qualifier] = STATE(878),
    [sym__expression] = STATE(1317),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(878),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2029),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [sym_type_qualifier] = STATE(545),
    [sym__expression] = STATE(1306),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(545),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2033),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [sym_type_qualifier] = STATE(878),
    [sym__expression] = STATE(1321),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(878),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2035),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2037),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [sym_type_qualifier] = STATE(550),
    [sym__expression] = STATE(1329),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(550),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2039),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2041),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [sym_type_qualifier] = STATE(548),
    [sym__expression] = STATE(1325),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(1046),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(1046),
    [sym_call_expression] = STATE(1046),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(1046),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym__type_definition_type_repeat1] = STATE(548),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_LPAREN2] = ACTIONS(1999),
    [anon_sym_BANG] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(2043),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym___extension__] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_constexpr] = ACTIONS(2005),
    [anon_sym_volatile] = ACTIONS(2005),
    [anon_sym_restrict] = ACTIONS(2005),
    [anon_sym___restrict__] = ACTIONS(2005),
    [anon_sym__Atomic] = ACTIONS(2005),
    [anon_sym__Noreturn] = ACTIONS(2005),
    [anon_sym_noreturn] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2009),
    [anon_sym_sizeof] = ACTIONS(1947),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [sym__expression] = STATE(1240),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_initializer_list] = STATE(1787),
    [sym_initializer_pair] = STATE(1787),
    [sym_subscript_designator] = STATE(1641),
    [sym_subscript_range_designator] = STATE(1641),
    [sym_field_designator] = STATE(1641),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_initializer_pair_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(2047),
    [anon_sym_COMMA] = ACTIONS(2049),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym__expression] = STATE(1233),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_initializer_list] = STATE(1810),
    [sym_initializer_pair] = STATE(1810),
    [sym_subscript_designator] = STATE(1641),
    [sym_subscript_range_designator] = STATE(1641),
    [sym_field_designator] = STATE(1641),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_initializer_pair_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(2047),
    [anon_sym_COMMA] = ACTIONS(2057),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(2059),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [sym__expression] = STATE(1291),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_initializer_list] = STATE(1959),
    [sym_initializer_pair] = STATE(1959),
    [sym_subscript_designator] = STATE(1641),
    [sym_subscript_range_designator] = STATE(1641),
    [sym_field_designator] = STATE(1641),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_initializer_pair_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(2047),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [sym__expression] = STATE(1291),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_initializer_list] = STATE(1959),
    [sym_initializer_pair] = STATE(1959),
    [sym_subscript_designator] = STATE(1641),
    [sym_subscript_range_designator] = STATE(1641),
    [sym_field_designator] = STATE(1641),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_initializer_pair_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(2047),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(2063),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [sym__expression] = STATE(1291),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_initializer_list] = STATE(1959),
    [sym_initializer_pair] = STATE(1959),
    [sym_subscript_designator] = STATE(1641),
    [sym_subscript_range_designator] = STATE(1641),
    [sym_field_designator] = STATE(1641),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_initializer_pair_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(2047),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [sym__expression] = STATE(1291),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_initializer_list] = STATE(1959),
    [sym_initializer_pair] = STATE(1959),
    [sym_subscript_designator] = STATE(1641),
    [sym_subscript_range_designator] = STATE(1641),
    [sym_field_designator] = STATE(1641),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_initializer_pair_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(2047),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [sym__expression] = STATE(1291),
    [sym__expression_not_binary] = STATE(843),
    [sym__string] = STATE(843),
    [sym_conditional_expression] = STATE(843),
    [sym_assignment_expression] = STATE(843),
    [sym_pointer_expression] = STATE(947),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_update_expression] = STATE(843),
    [sym_cast_expression] = STATE(843),
    [sym_sizeof_expression] = STATE(843),
    [sym_alignof_expression] = STATE(843),
    [sym_offsetof_expression] = STATE(843),
    [sym_generic_expression] = STATE(843),
    [sym_subscript_expression] = STATE(947),
    [sym_call_expression] = STATE(947),
    [sym_gnu_asm_expression] = STATE(843),
    [sym_field_expression] = STATE(947),
    [sym_compound_literal_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(947),
    [sym_initializer_list] = STATE(1959),
    [sym_initializer_pair] = STATE(1959),
    [sym_subscript_designator] = STATE(1641),
    [sym_subscript_range_designator] = STATE(1641),
    [sym_field_designator] = STATE(1641),
    [sym_char_literal] = STATE(843),
    [sym_concatenated_string] = STATE(843),
    [sym_string_literal] = STATE(816),
    [sym_null] = STATE(843),
    [aux_sym_initializer_pair_repeat1] = STATE(1641),
    [sym_identifier] = ACTIONS(2047),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(2055),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [sym_preproc_def] = STATE(571),
    [sym_preproc_function_def] = STATE(571),
    [sym_preproc_call] = STATE(571),
    [sym_preproc_if_in_field_declaration_list] = STATE(571),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(571),
    [sym_preproc_else_in_field_declaration_list] = STATE(2150),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2150),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2150),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(571),
    [sym_field_declaration] = STATE(571),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(571),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token2] = ACTIONS(2075),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2077),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2083),
    [sym_preproc_directive] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [sym_preproc_def] = STATE(568),
    [sym_preproc_function_def] = STATE(568),
    [sym_preproc_call] = STATE(568),
    [sym_preproc_if_in_field_declaration_list] = STATE(568),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(568),
    [sym_preproc_else_in_field_declaration_list] = STATE(2221),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2221),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2221),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(568),
    [sym_field_declaration] = STATE(568),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(568),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token2] = ACTIONS(2087),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2077),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2083),
    [sym_preproc_directive] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [sym_preproc_def] = STATE(565),
    [sym_preproc_function_def] = STATE(565),
    [sym_preproc_call] = STATE(565),
    [sym_preproc_if_in_field_declaration_list] = STATE(565),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(565),
    [sym_preproc_else_in_field_declaration_list] = STATE(2102),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2102),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2102),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(565),
    [sym_field_declaration] = STATE(565),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(565),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token2] = ACTIONS(2089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2077),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2083),
    [sym_preproc_directive] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [sym_preproc_def] = STATE(571),
    [sym_preproc_function_def] = STATE(571),
    [sym_preproc_call] = STATE(571),
    [sym_preproc_if_in_field_declaration_list] = STATE(571),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(571),
    [sym_preproc_else_in_field_declaration_list] = STATE(2053),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2053),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2053),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(571),
    [sym_field_declaration] = STATE(571),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(571),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token2] = ACTIONS(2091),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2077),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2083),
    [sym_preproc_directive] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1389),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_ms_based_modifier] = STATE(2088),
    [sym__declarator] = STATE(1636),
    [sym__abstract_declarator] = STATE(1783),
    [sym_parenthesized_declarator] = STATE(1575),
    [sym_abstract_parenthesized_declarator] = STATE(1703),
    [sym_attributed_declarator] = STATE(1575),
    [sym_pointer_declarator] = STATE(1575),
    [sym_abstract_pointer_declarator] = STATE(1703),
    [sym_function_declarator] = STATE(1575),
    [sym_abstract_function_declarator] = STATE(1703),
    [sym_array_declarator] = STATE(1575),
    [sym_abstract_array_declarator] = STATE(1703),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym_variadic_parameter] = STATE(1848),
    [sym_parameter_list] = STATE(1705),
    [sym_parameter_declaration] = STATE(1848),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2095),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [anon_sym_LPAREN2] = ACTIONS(2099),
    [anon_sym_STAR] = ACTIONS(2101),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___based] = ACTIONS(2103),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [sym_preproc_def] = STATE(571),
    [sym_preproc_function_def] = STATE(571),
    [sym_preproc_call] = STATE(571),
    [sym_preproc_if_in_field_declaration_list] = STATE(571),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(571),
    [sym_preproc_else_in_field_declaration_list] = STATE(2222),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2222),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2222),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(571),
    [sym_field_declaration] = STATE(571),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(571),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token2] = ACTIONS(2107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2077),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2083),
    [sym_preproc_directive] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [sym_preproc_def] = STATE(563),
    [sym_preproc_function_def] = STATE(563),
    [sym_preproc_call] = STATE(563),
    [sym_preproc_if_in_field_declaration_list] = STATE(563),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(563),
    [sym_preproc_else_in_field_declaration_list] = STATE(2081),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2081),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2081),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(563),
    [sym_field_declaration] = STATE(563),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(563),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token2] = ACTIONS(2109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2077),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2083),
    [sym_preproc_directive] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [sym_preproc_def] = STATE(560),
    [sym_preproc_function_def] = STATE(560),
    [sym_preproc_call] = STATE(560),
    [sym_preproc_if_in_field_declaration_list] = STATE(560),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(560),
    [sym_preproc_else_in_field_declaration_list] = STATE(2162),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2162),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2162),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(560),
    [sym_field_declaration] = STATE(560),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(560),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token2] = ACTIONS(2111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2077),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2083),
    [sym_preproc_directive] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [sym_preproc_def] = STATE(571),
    [sym_preproc_function_def] = STATE(571),
    [sym_preproc_call] = STATE(571),
    [sym_preproc_if_in_field_declaration_list] = STATE(571),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(571),
    [sym_preproc_else_in_field_declaration_list] = STATE(2233),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2233),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2233),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(571),
    [sym_field_declaration] = STATE(571),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(571),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token1] = ACTIONS(2073),
    [aux_sym_preproc_if_token2] = ACTIONS(2113),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2077),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2083),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2083),
    [sym_preproc_directive] = ACTIONS(2085),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [sym_preproc_def] = STATE(585),
    [sym_preproc_function_def] = STATE(585),
    [sym_preproc_call] = STATE(585),
    [sym_preproc_if_in_field_declaration_list] = STATE(585),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(585),
    [sym_preproc_else_in_field_declaration_list] = STATE(2196),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2196),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(585),
    [sym_field_declaration] = STATE(585),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(585),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [sym_preproc_def] = STATE(585),
    [sym_preproc_function_def] = STATE(585),
    [sym_preproc_call] = STATE(585),
    [sym_preproc_if_in_field_declaration_list] = STATE(585),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(585),
    [sym_preproc_else_in_field_declaration_list] = STATE(2148),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2148),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(585),
    [sym_field_declaration] = STATE(585),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(585),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2125),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [sym_preproc_def] = STATE(571),
    [sym_preproc_function_def] = STATE(571),
    [sym_preproc_call] = STATE(571),
    [sym_preproc_if_in_field_declaration_list] = STATE(571),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(571),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1507),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(571),
    [sym_field_declaration] = STATE(571),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(571),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2127),
    [aux_sym_preproc_def_token1] = ACTIONS(2130),
    [aux_sym_preproc_if_token1] = ACTIONS(2133),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2141),
    [anon_sym___extension__] = ACTIONS(2144),
    [anon_sym_extern] = ACTIONS(2147),
    [anon_sym___attribute__] = ACTIONS(2150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2153),
    [anon_sym___declspec] = ACTIONS(2156),
    [anon_sym_signed] = ACTIONS(2159),
    [anon_sym_unsigned] = ACTIONS(2159),
    [anon_sym_long] = ACTIONS(2159),
    [anon_sym_short] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2147),
    [anon_sym_auto] = ACTIONS(2147),
    [anon_sym_register] = ACTIONS(2147),
    [anon_sym_inline] = ACTIONS(2147),
    [anon_sym___inline] = ACTIONS(2147),
    [anon_sym___inline__] = ACTIONS(2147),
    [anon_sym___forceinline] = ACTIONS(2147),
    [anon_sym_thread_local] = ACTIONS(2147),
    [anon_sym___thread] = ACTIONS(2147),
    [anon_sym_const] = ACTIONS(2144),
    [anon_sym_constexpr] = ACTIONS(2144),
    [anon_sym_volatile] = ACTIONS(2144),
    [anon_sym_restrict] = ACTIONS(2144),
    [anon_sym___restrict__] = ACTIONS(2144),
    [anon_sym__Atomic] = ACTIONS(2144),
    [anon_sym__Noreturn] = ACTIONS(2144),
    [anon_sym_noreturn] = ACTIONS(2144),
    [sym_primitive_type] = ACTIONS(2162),
    [anon_sym_enum] = ACTIONS(2165),
    [anon_sym_struct] = ACTIONS(2168),
    [anon_sym_union] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [sym_preproc_def] = STATE(574),
    [sym_preproc_function_def] = STATE(574),
    [sym_preproc_call] = STATE(574),
    [sym_preproc_if_in_field_declaration_list] = STATE(574),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(574),
    [sym_preproc_else_in_field_declaration_list] = STATE(2242),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2242),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(574),
    [sym_field_declaration] = STATE(574),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [sym_preproc_def] = STATE(570),
    [sym_preproc_function_def] = STATE(570),
    [sym_preproc_call] = STATE(570),
    [sym_preproc_if_in_field_declaration_list] = STATE(570),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(570),
    [sym_preproc_else_in_field_declaration_list] = STATE(2159),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2159),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(570),
    [sym_field_declaration] = STATE(570),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(570),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [sym_preproc_def] = STATE(585),
    [sym_preproc_function_def] = STATE(585),
    [sym_preproc_call] = STATE(585),
    [sym_preproc_if_in_field_declaration_list] = STATE(585),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(585),
    [sym_preproc_else_in_field_declaration_list] = STATE(2101),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2101),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(585),
    [sym_field_declaration] = STATE(585),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(585),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [sym_preproc_def] = STATE(585),
    [sym_preproc_function_def] = STATE(585),
    [sym_preproc_call] = STATE(585),
    [sym_preproc_if_in_field_declaration_list] = STATE(585),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(585),
    [sym_preproc_else_in_field_declaration_list] = STATE(2040),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2040),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(585),
    [sym_field_declaration] = STATE(585),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(585),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [sym_preproc_def] = STATE(580),
    [sym_preproc_function_def] = STATE(580),
    [sym_preproc_call] = STATE(580),
    [sym_preproc_if_in_field_declaration_list] = STATE(580),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(580),
    [sym_preproc_else_in_field_declaration_list] = STATE(2100),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2100),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(580),
    [sym_field_declaration] = STATE(580),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(580),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [sym_preproc_def] = STATE(575),
    [sym_preproc_function_def] = STATE(575),
    [sym_preproc_call] = STATE(575),
    [sym_preproc_if_in_field_declaration_list] = STATE(575),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(575),
    [sym_preproc_else_in_field_declaration_list] = STATE(2044),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2044),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(575),
    [sym_field_declaration] = STATE(575),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(575),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym_preproc_def] = STATE(569),
    [sym_preproc_function_def] = STATE(569),
    [sym_preproc_call] = STATE(569),
    [sym_preproc_if_in_field_declaration_list] = STATE(569),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(569),
    [sym_preproc_else_in_field_declaration_list] = STATE(2246),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2246),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(569),
    [sym_field_declaration] = STATE(569),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(569),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_preproc_def] = STATE(585),
    [sym_preproc_function_def] = STATE(585),
    [sym_preproc_call] = STATE(585),
    [sym_preproc_if_in_field_declaration_list] = STATE(585),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(585),
    [sym_preproc_else_in_field_declaration_list] = STATE(2049),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2049),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(585),
    [sym_field_declaration] = STATE(585),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(585),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_preproc_def] = STATE(585),
    [sym_preproc_function_def] = STATE(585),
    [sym_preproc_call] = STATE(585),
    [sym_preproc_if_in_field_declaration_list] = STATE(585),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(585),
    [sym_preproc_else_in_field_declaration_list] = STATE(2043),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2043),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(585),
    [sym_field_declaration] = STATE(585),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(585),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_preproc_def] = STATE(579),
    [sym_preproc_function_def] = STATE(579),
    [sym_preproc_call] = STATE(579),
    [sym_preproc_if_in_field_declaration_list] = STATE(579),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(579),
    [sym_preproc_else_in_field_declaration_list] = STATE(2055),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2055),
    [sym__declaration_modifiers] = STATE(893),
    [sym__declaration_specifiers] = STATE(1505),
    [sym_attribute_specifier] = STATE(893),
    [sym_attribute_declaration] = STATE(893),
    [sym_ms_declspec_modifier] = STATE(893),
    [sym_storage_class_specifier] = STATE(893),
    [sym_type_qualifier] = STATE(893),
    [sym__type_specifier] = STATE(1073),
    [sym_sized_type_specifier] = STATE(1137),
    [sym_enum_specifier] = STATE(1137),
    [sym_struct_specifier] = STATE(1137),
    [sym_union_specifier] = STATE(1137),
    [sym__field_declaration_list_item] = STATE(579),
    [sym_field_declaration] = STATE(579),
    [sym_macro_type_specifier] = STATE(1137),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(579),
    [aux_sym__declaration_specifiers_repeat1] = STATE(893),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(2069),
    [aux_sym_preproc_def_token1] = ACTIONS(2115),
    [aux_sym_preproc_if_token1] = ACTIONS(2117),
    [aux_sym_preproc_if_token2] = ACTIONS(2192),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2121),
    [aux_sym_preproc_else_token1] = ACTIONS(2079),
    [aux_sym_preproc_elif_token1] = ACTIONS(2081),
    [sym_preproc_directive] = ACTIONS(2123),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2194), 1,
      anon_sym_RPAREN,
    ACTIONS(2196), 1,
      anon_sym___extension__,
    STATE(816), 1,
      sym_string_literal,
    STATE(1234), 1,
      sym__expression,
    STATE(1875), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [115] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2198), 1,
      anon_sym_RPAREN,
    ACTIONS(2200), 1,
      anon_sym___extension__,
    STATE(816), 1,
      sym_string_literal,
    STATE(1236), 1,
      sym__expression,
    STATE(1904), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [230] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2202), 1,
      anon_sym___extension__,
    STATE(816), 1,
      sym_string_literal,
    STATE(1282), 1,
      sym__expression,
    STATE(1917), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [342] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym___attribute__,
    ACTIONS(2153), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2156), 1,
      anon_sym___declspec,
    ACTIONS(2162), 1,
      sym_primitive_type,
    ACTIONS(2165), 1,
      anon_sym_enum,
    ACTIONS(2168), 1,
      anon_sym_struct,
    ACTIONS(2171), 1,
      anon_sym_union,
    ACTIONS(2204), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2207), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2213), 1,
      sym_preproc_directive,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1505), 1,
      sym__declaration_specifiers,
    ACTIONS(2210), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2136), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(585), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2144), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2147), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [452] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1288), 1,
      sym__expression,
    STATE(1960), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [561] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      sym_string_literal,
    STATE(1258), 1,
      sym__expression,
    STATE(2136), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [670] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(827), 1,
      sym_initializer_list,
    STATE(1013), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [779] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2218), 1,
      anon_sym_RPAREN,
    STATE(816), 1,
      sym_string_literal,
    STATE(1278), 1,
      sym__expression,
    STATE(2213), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [888] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LBRACE,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(949), 1,
      sym__expression,
    STATE(984), 1,
      sym_initializer_list,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [997] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2228), 1,
      anon_sym_RPAREN,
    STATE(816), 1,
      sym_string_literal,
    STATE(1271), 1,
      sym__expression,
    STATE(2211), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1106] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(827), 1,
      sym_initializer_list,
    STATE(868), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1213] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2234), 1,
      anon_sym_RPAREN,
    STATE(816), 1,
      sym_string_literal,
    STATE(1281), 1,
      sym__expression,
    STATE(2217), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1322] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2236), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      sym_string_literal,
    STATE(1250), 1,
      sym__expression,
    STATE(2279), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1431] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LBRACE,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(949), 1,
      sym__expression,
    STATE(984), 1,
      sym_initializer_list,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1538] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(827), 1,
      sym_initializer_list,
    STATE(1013), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1645] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      sym_string_literal,
    STATE(1290), 1,
      sym__expression,
    STATE(2027), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1754] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2250), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      sym_string_literal,
    STATE(1244), 1,
      sym__expression,
    STATE(2079), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1863] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2252), 1,
      anon_sym_RPAREN,
    STATE(816), 1,
      sym_string_literal,
    STATE(1297), 1,
      sym__expression,
    STATE(2094), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1972] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(827), 1,
      sym_initializer_list,
    STATE(867), 1,
      sym_string_literal,
    STATE(868), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2079] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(827), 1,
      sym_initializer_list,
    STATE(867), 1,
      sym_string_literal,
    STATE(868), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2188] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2266), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      sym_string_literal,
    STATE(1253), 1,
      sym__expression,
    STATE(2029), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2297] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2268), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      sym_string_literal,
    STATE(1275), 1,
      sym__expression,
    STATE(2247), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2406] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2270), 1,
      anon_sym_RPAREN,
    STATE(816), 1,
      sym_string_literal,
    STATE(1241), 1,
      sym__expression,
    STATE(2244), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2515] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      sym_string_literal,
    STATE(1261), 1,
      sym__expression,
    STATE(2250), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2624] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1295), 1,
      sym__expression,
    STATE(1955), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2733] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2274), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      sym_string_literal,
    STATE(1257), 1,
      sym__expression,
    STATE(2135), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2842] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_RPAREN,
    STATE(816), 1,
      sym_string_literal,
    STATE(1292), 1,
      sym__expression,
    STATE(2237), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2951] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1299), 1,
      sym__expression,
    STATE(1956), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3060] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1528), 1,
      anon_sym_LBRACE,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(827), 1,
      sym_initializer_list,
    STATE(868), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3169] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1260), 1,
      sym__expression,
    STATE(2070), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3275] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2278), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3379] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2280), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2282), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2284), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2288), 1,
      sym_preproc_directive,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1499), 1,
      sym__declaration_specifiers,
    ACTIONS(2286), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(626), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [3487] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2290), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_string_literal,
    STATE(1334), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3593] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1235), 1,
      sym__expression,
    STATE(1974), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3699] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2292), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_string_literal,
    STATE(1318), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3805] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2294), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_string_literal,
    STATE(1309), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3911] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2296), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4015] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym___attribute__,
    ACTIONS(2153), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2156), 1,
      anon_sym___declspec,
    ACTIONS(2162), 1,
      sym_primitive_type,
    ACTIONS(2165), 1,
      anon_sym_enum,
    ACTIONS(2168), 1,
      anon_sym_struct,
    ACTIONS(2171), 1,
      anon_sym_union,
    ACTIONS(2298), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2301), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2307), 1,
      sym_preproc_directive,
    ACTIONS(2310), 1,
      anon_sym_RBRACE,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1503), 1,
      sym__declaration_specifiers,
    ACTIONS(2304), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(619), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2144), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2147), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [4123] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2312), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4227] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2314), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_string_literal,
    STATE(1333), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4333] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2316), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_string_literal,
    STATE(1314), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4439] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2318), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4543] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2320), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4647] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2322), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4751] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2280), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2282), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2288), 1,
      sym_preproc_directive,
    ACTIONS(2324), 1,
      aux_sym_preproc_if_token2,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1499), 1,
      sym__declaration_specifiers,
    ACTIONS(2286), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(632), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [4859] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2326), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4963] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2328), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2330), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2334), 1,
      sym_preproc_directive,
    ACTIONS(2336), 1,
      anon_sym_RBRACE,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1503), 1,
      sym__declaration_specifiers,
    ACTIONS(2332), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(634), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [5071] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_string_literal,
    STATE(1310), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5177] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2340), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5281] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2342), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5385] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2150), 1,
      anon_sym___attribute__,
    ACTIONS(2153), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2156), 1,
      anon_sym___declspec,
    ACTIONS(2162), 1,
      sym_primitive_type,
    ACTIONS(2165), 1,
      anon_sym_enum,
    ACTIONS(2168), 1,
      anon_sym_struct,
    ACTIONS(2171), 1,
      anon_sym_union,
    ACTIONS(2344), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2347), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2353), 1,
      sym_preproc_directive,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1499), 1,
      sym__declaration_specifiers,
    ACTIONS(2350), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(632), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2144), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2147), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [5493] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2356), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_string_literal,
    STATE(1335), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5599] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2328), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2330), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2334), 1,
      sym_preproc_directive,
    ACTIONS(2358), 1,
      anon_sym_RBRACE,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1503), 1,
      sym__declaration_specifiers,
    ACTIONS(2332), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(619), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [5707] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    ACTIONS(2360), 1,
      anon_sym_RBRACK,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5811] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2362), 1,
      anon_sym_COLON,
    STATE(816), 1,
      sym_string_literal,
    STATE(1304), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5917] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1279), 1,
      sym__expression,
    STATE(2139), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6023] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1285), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6126] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(950), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6227] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1313), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6330] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1232), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6433] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1035), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6534] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(932), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6635] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1307), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6738] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1337), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6841] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1289), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6944] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(926), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7045] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2364), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(933), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7148] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2095), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2097), 1,
      anon_sym_RPAREN,
    ACTIONS(2105), 1,
      anon_sym_LBRACK,
    ACTIONS(2366), 1,
      anon_sym_LPAREN2,
    ACTIONS(2368), 1,
      anon_sym_STAR,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1389), 1,
      sym__declaration_specifiers,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(1783), 1,
      sym__abstract_declarator,
    STATE(1848), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [7261] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(950), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7364] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(932), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7467] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1206), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7570] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1308), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7673] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2370), 1,
      anon_sym_LPAREN2,
    STATE(866), 1,
      sym__expression,
    STATE(867), 1,
      sym_string_literal,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7774] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(869), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7875] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(945), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7976] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1037), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8077] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(944), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8178] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(943), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8279] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(942), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8380] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(941), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8481] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(940), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8582] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(939), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8683] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(938), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1303), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8887] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(937), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8988] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(935), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9089] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(914), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9190] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(936), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9291] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1038), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9392] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1322), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9495] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(860), 1,
      sym__expression,
    STATE(867), 1,
      sym_string_literal,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9598] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(946), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9699] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2240), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(948), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1259), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9903] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(864), 1,
      sym__expression,
    STATE(867), 1,
      sym_string_literal,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10006] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1262), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10109] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(901), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10210] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(997), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10311] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(860), 1,
      sym__expression,
    STATE(867), 1,
      sym_string_literal,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10412] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1270), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10515] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1034), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10616] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1033), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10717] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1039), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10818] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1017), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1188), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11024] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(903), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11125] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1265), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11228] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1032), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11329] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1301), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11432] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1026), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11533] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(998), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11634] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2372), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1020), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1256), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11838] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1255), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11941] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(907), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12042] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(909), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12143] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(910), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12244] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(911), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12345] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(902), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12446] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1036), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12547] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(913), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12648] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1312), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12751] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(912), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12852] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_sizeof,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(2238), 1,
      sym_identifier,
    ACTIONS(2374), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(933), 1,
      sym__expression,
    ACTIONS(1706), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1708), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(990), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12953] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(906), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13054] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1040), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13155] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1017), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13256] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1042), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13357] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1320), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13460] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1231), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13563] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1264), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13666] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1266), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13769] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(905), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13870] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1187), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13973] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(864), 1,
      sym__expression,
    STATE(867), 1,
      sym_string_literal,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14074] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1252), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14177] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1191), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14280] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(919), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14381] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(920), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14482] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(921), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14583] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(922), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14684] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(923), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14785] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1327), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14888] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1207), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14991] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1251), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15094] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(864), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15195] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1530), 1,
      anon_sym_sizeof,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(870), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1524), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1526), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15296] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1176), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15399] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1193), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15502] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(860), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15603] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2376), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(866), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1331), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15807] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1237), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15910] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1195), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16013] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1196), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16116] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    ACTIONS(2378), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(866), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16219] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1330), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16322] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(860), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16425] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1171), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16528] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(864), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16631] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2380), 1,
      anon_sym_LPAREN2,
    STATE(866), 1,
      sym__expression,
    STATE(867), 1,
      sym_string_literal,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16734] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1163), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16837] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(869), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16940] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1174), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17043] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1172), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17146] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1204), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17249] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1161), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17352] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1197), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1026), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17558] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1170), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17661] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1168), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17764] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1903), 1,
      anon_sym_sizeof,
    ACTIONS(2244), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1901), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2246), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17865] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1167), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17968] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(998), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18071] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(2382), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1020), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18174] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1328), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18277] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1323), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18380] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(924), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18481] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1166), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1164), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18687] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1280), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18790] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1199), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18893] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1178), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18996] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1192), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19099] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1198), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19202] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(869), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19305] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(931), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19406] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(925), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19507] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1162), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19610] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1248), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19713] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1941), 1,
      sym_identifier,
    ACTIONS(1947), 1,
      anon_sym_sizeof,
    ACTIONS(1999), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(1249), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1943), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1945), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2003), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2009), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1046), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19816] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1173), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19919] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(869), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20020] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(928), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20121] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1532), 1,
      sym_identifier,
    ACTIONS(1538), 1,
      anon_sym_sizeof,
    ACTIONS(2230), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_string_literal,
    STATE(870), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1534), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1536), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2232), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(843), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20222] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1211), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20325] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1212), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20428] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1214), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20531] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1201), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20634] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1215), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20737] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1216), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20840] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1217), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20943] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1218), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21046] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(935), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21149] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1202), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21252] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1239), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21355] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1933), 1,
      anon_sym_sizeof,
    ACTIONS(2260), 1,
      sym_identifier,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(867), 1,
      sym_string_literal,
    STATE(1165), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1929), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1931), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2256), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2264), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(916), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21458] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_offsetof,
    ACTIONS(1718), 1,
      anon_sym__Generic,
    ACTIONS(1722), 1,
      sym_number_literal,
    ACTIONS(1939), 1,
      anon_sym_sizeof,
    ACTIONS(2220), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_string_literal,
    STATE(1213), 1,
      sym__expression,
    ACTIONS(1720), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(1728), 2,
      sym_true,
      sym_false,
    ACTIONS(1730), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(1935), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1937), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2224), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2226), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1714), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(1724), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(995), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(990), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21561] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1919), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1238), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(947), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(843), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [21664] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 1,
      anon_sym_const,
    ACTIONS(1967), 1,
      anon_sym_LPAREN2,
    ACTIONS(1973), 1,
      anon_sym_STAR,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    STATE(799), 1,
      sym_string_literal,
    STATE(1106), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1976), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2384), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1979), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2386), 1,
      sym_identifier,
    STATE(792), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2393), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2391), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2389), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21823] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2396), 1,
      anon_sym_LBRACE,
    STATE(890), 1,
      sym_ms_call_modifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1522), 1,
      sym__declaration_specifiers,
    STATE(386), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [21924] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2398), 1,
      anon_sym_LBRACE,
    STATE(882), 1,
      sym_ms_call_modifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1512), 1,
      sym__declaration_specifiers,
    STATE(239), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 1,
      sym_identifier,
    STATE(792), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2404), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2402), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22096] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2406), 1,
      anon_sym_LBRACE,
    STATE(888), 1,
      sym_ms_call_modifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1524), 1,
      sym__declaration_specifiers,
    STATE(413), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22197] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2408), 1,
      anon_sym_LBRACE,
    STATE(885), 1,
      sym_ms_call_modifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1517), 1,
      sym__declaration_specifiers,
    STATE(492), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22298] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2410), 1,
      anon_sym_LBRACE,
    STATE(883), 1,
      sym_ms_call_modifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1521), 1,
      sym__declaration_specifiers,
    STATE(155), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      sym_identifier,
    STATE(795), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2416), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2414), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1971), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(1965), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2420), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2424), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [22664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2428), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2432), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2436), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2440), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2444), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2448), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2452), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2456), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2460), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2464), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1921), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2468), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2466), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      sym_identifier,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2474), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2472), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1925), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23585] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(150), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23677] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(149), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2478), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2482), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23885] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(449), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(840), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2486), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24035] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2095), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2097), 1,
      anon_sym_RPAREN,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1389), 1,
      sym__declaration_specifiers,
    STATE(1848), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24127] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(434), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(845), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24219] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(476), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(852), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2490), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2494), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2498), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24485] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(438), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2502), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24635] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(217), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2506), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24785] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(222), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(832), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [24877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2510), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2512), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2514), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24993] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(226), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25085] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(472), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(830), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2518), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25235] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(475), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25327] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(142), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(819), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2522), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2526), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25535] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(493), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(849), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25627] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(474), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25719] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(157), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(818), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2530), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25869] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(241), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(837), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [25961] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(506), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26053] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2095), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2532), 1,
      sym_identifier,
    ACTIONS(2534), 1,
      anon_sym_RPAREN,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1389), 1,
      sym__declaration_specifiers,
    STATE(1758), 1,
      sym_variadic_parameter,
    STATE(1848), 1,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26147] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(491), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(853), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26239] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(458), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26331] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(499), 1,
      sym_compound_statement,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2538), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [26481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2540), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2542), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [26539] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(2095), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1389), 1,
      sym__declaration_specifiers,
    STATE(1914), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26628] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2095), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2544), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1389), 1,
      sym__declaration_specifiers,
    STATE(1914), 1,
      sym_parameter_declaration,
    STATE(1972), 1,
      sym_variadic_parameter,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2548), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2552), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26833] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2554), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2556), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [26900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      sym_identifier,
    ACTIONS(2575), 1,
      anon_sym___attribute__,
    ACTIONS(2578), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2581), 1,
      anon_sym___declspec,
    ACTIONS(2584), 1,
      anon_sym_LBRACE,
    ACTIONS(2589), 1,
      sym_primitive_type,
    ACTIONS(2592), 1,
      anon_sym_enum,
    ACTIONS(2595), 1,
      anon_sym_struct,
    ACTIONS(2598), 1,
      anon_sym_union,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1516), 1,
      sym__declaration_specifiers,
    STATE(861), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(2586), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2569), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2572), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2603), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_EQ,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2607), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1965), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2609), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2611), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [27176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2615), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27233] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2617), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2619), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2474), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2472), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27361] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2621), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2623), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27428] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2625), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2627), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2629), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2631), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [27562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 1,
      sym_identifier,
    STATE(874), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2404), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2402), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2635), 1,
      sym_identifier,
    STATE(871), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2416), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2414), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    STATE(874), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2640), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2391), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2389), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27812] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_EQ,
    STATE(872), 1,
      sym_string_literal,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2645), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1965), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(872), 1,
      sym_string_literal,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1971), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(1965), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(872), 1,
      sym_string_literal,
    ACTIONS(1726), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2474), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2472), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(878), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2651), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2647), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2649), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [28052] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1542), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28134] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1539), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2424), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [28270] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1554), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28352] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1559), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28434] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1537), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28516] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1545), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28598] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1536), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2420), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [28734] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1553), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28816] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1541), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28898] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1073), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1555), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(893), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28980] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1989), 1,
      anon_sym_COLON,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29043] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1995), 1,
      anon_sym_COLON,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29106] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1052), 1,
      sym__type_specifier,
    STATE(1118), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(897), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29185] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1993), 1,
      anon_sym_COLON,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2654), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [29301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(2658), 1,
      anon_sym_COLON,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29364] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym___attribute__,
    ACTIONS(2673), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2676), 1,
      anon_sym___declspec,
    ACTIONS(2662), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(897), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2664), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2667), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2660), 11,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29429] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_COLON,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29492] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1997), 1,
      anon_sym_COLON,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1991), 1,
      anon_sym_COLON,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29618] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2689), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2691), 1,
      anon_sym_PIPE,
    ACTIONS(2693), 1,
      anon_sym_CARET,
    ACTIONS(2695), 1,
      anon_sym_AMP,
    ACTIONS(2705), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2681), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2679), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29704] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2695), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2627), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29780] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2689), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2691), 1,
      anon_sym_PIPE,
    ACTIONS(2693), 1,
      anon_sym_CARET,
    ACTIONS(2695), 1,
      anon_sym_AMP,
    ACTIONS(2705), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2709), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2707), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29866] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2689), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2691), 1,
      anon_sym_PIPE,
    ACTIONS(2693), 1,
      anon_sym_CARET,
    ACTIONS(2695), 1,
      anon_sym_AMP,
    ACTIONS(2705), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2713), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2711), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29952] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2689), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2691), 1,
      anon_sym_PIPE,
    ACTIONS(2693), 1,
      anon_sym_CARET,
    ACTIONS(2695), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2625), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30098] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30164] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_EQ,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2717), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1965), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [30224] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2627), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30292] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2627), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30364] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2627), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30438] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2691), 1,
      anon_sym_PIPE,
    ACTIONS(2693), 1,
      anon_sym_CARET,
    ACTIONS(2695), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2625), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30518] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2693), 1,
      anon_sym_CARET,
    ACTIONS(2695), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2683), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2697), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2699), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2701), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2703), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2685), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30596] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2681), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2725), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2727), 1,
      anon_sym_PIPE,
    ACTIONS(2729), 1,
      anon_sym_CARET,
    ACTIONS(2731), 1,
      anon_sym_AMP,
    ACTIONS(2741), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2733), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2679), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30681] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2713), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2725), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2727), 1,
      anon_sym_PIPE,
    ACTIONS(2729), 1,
      anon_sym_CARET,
    ACTIONS(2731), 1,
      anon_sym_AMP,
    ACTIONS(2741), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2733), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2711), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_EQ,
    ACTIONS(2607), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [30821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2615), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [30872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2745), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2743), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
  [30923] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30988] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2627), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31055] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2627), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31126] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2733), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2627), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31199] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2731), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2733), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31274] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2729), 1,
      anon_sym_CARET,
    ACTIONS(2731), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2733), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31351] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_EQ,
    ACTIONS(2727), 1,
      anon_sym_PIPE,
    ACTIONS(2729), 1,
      anon_sym_CARET,
    ACTIONS(2731), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2733), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31430] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2725), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2727), 1,
      anon_sym_PIPE,
    ACTIONS(2729), 1,
      anon_sym_CARET,
    ACTIONS(2731), 1,
      anon_sym_AMP,
    ACTIONS(2741), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2733), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2707), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2603), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [31566] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_EQ,
    ACTIONS(2725), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2727), 1,
      anon_sym_PIPE,
    ACTIONS(2729), 1,
      anon_sym_CARET,
    ACTIONS(2731), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2719), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2733), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2735), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2737), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2739), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2552), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [31698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2548), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [31749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2721), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31812] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2609), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2611), 24,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_identifier,
  [31870] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2617), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2619), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [31930] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2713), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(2759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2763), 1,
      anon_sym_PIPE,
    ACTIONS(2765), 1,
      anon_sym_CARET,
    ACTIONS(2767), 1,
      anon_sym_AMP,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2711), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32014] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2625), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32074] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32136] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(2761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2763), 1,
      anon_sym_PIPE,
    ACTIONS(2765), 1,
      anon_sym_CARET,
    ACTIONS(2767), 1,
      anon_sym_AMP,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(2763), 1,
      anon_sym_PIPE,
    ACTIONS(2765), 1,
      anon_sym_CARET,
    ACTIONS(2767), 1,
      anon_sym_AMP,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32294] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      anon_sym_CARET,
    ACTIONS(2767), 1,
      anon_sym_AMP,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32370] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_AMP,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32444] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2627), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32516] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2627), 20,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32586] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2627), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32652] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32716] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(2759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2763), 1,
      anon_sym_PIPE,
    ACTIONS(2765), 1,
      anon_sym_CARET,
    ACTIONS(2767), 1,
      anon_sym_AMP,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2707), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32800] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(2759), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2761), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2763), 1,
      anon_sym_PIPE,
    ACTIONS(2765), 1,
      anon_sym_CARET,
    ACTIONS(2767), 1,
      anon_sym_AMP,
    ACTIONS(2777), 1,
      anon_sym_QMARK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2771), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2773), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2775), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2757), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2679), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_EQ,
    ACTIONS(1987), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [32938] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2629), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2631), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32998] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2621), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2623), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [33058] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2554), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2556), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [33118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2482), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2460), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2783), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2522), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2452), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2428), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2512), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2514), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2486), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2787), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2791), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2795), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2444), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2440), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2540), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2542), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2799), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [33902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2538), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [33951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2456), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2464), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2502), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2448), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2530), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2468), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2805), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2803), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1430), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1462), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1414), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1482), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2494), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2498), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1496), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1474), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2518), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2490), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2478), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2807), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [34882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2506), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2436), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [34980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2432), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2526), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2510), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2811), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2815), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2819), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_EQ,
    ACTIONS(2645), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1965), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2823), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35376] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2831), 1,
      anon_sym_CARET,
    ACTIONS(2833), 1,
      anon_sym_AMP,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2835), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35451] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2554), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2556), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2823), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2819), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1462), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2815), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2811), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2807), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2805), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2803), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_field_declaration_list,
    STATE(1114), 1,
      sym_attribute_specifier,
    ACTIONS(2847), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2845), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2654), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [35988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1430), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2783), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2787), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2791), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2621), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2623), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2795), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2799), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 2,
      anon_sym___attribute__,
      sym_identifier,
    ACTIONS(2858), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2861), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2854), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2856), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [36382] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2625), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    STATE(1049), 1,
      sym_field_declaration_list,
    STATE(1138), 1,
      sym_attribute_specifier,
    ACTIONS(2865), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2863), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [36496] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2713), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2831), 1,
      anon_sym_CARET,
    ACTIONS(2833), 1,
      anon_sym_AMP,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(2867), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2871), 1,
      anon_sym_PIPE,
    ACTIONS(2873), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2835), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2711), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36579] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2617), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2619), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36638] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    STATE(1081), 1,
      sym_field_declaration_list,
    STATE(1123), 1,
      sym_attribute_specifier,
    ACTIONS(2877), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2875), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [36693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1414), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [36740] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_LPAREN2,
    ACTIONS(2101), 1,
      anon_sym_STAR,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1533), 1,
      sym__declarator,
    STATE(1671), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(2088), 1,
      sym_ms_based_modifier,
    ACTIONS(2881), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1205), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1225), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 2,
      anon_sym___attribute__,
      sym_identifier,
    ACTIONS(2896), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2899), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2892), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2894), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
  [36872] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2629), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2631), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36931] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2609), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2611), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [36988] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    STATE(1102), 1,
      sym_field_declaration_list,
    STATE(1110), 1,
      sym_attribute_specifier,
    ACTIONS(2903), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2901), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [37043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2905), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1474), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1496), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1482), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2681), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2831), 1,
      anon_sym_CARET,
    ACTIONS(2833), 1,
      anon_sym_AMP,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(2867), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2871), 1,
      anon_sym_PIPE,
    ACTIONS(2873), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2835), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2679), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37314] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2709), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2831), 1,
      anon_sym_CARET,
    ACTIONS(2833), 1,
      anon_sym_AMP,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(2867), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2871), 1,
      anon_sym_PIPE,
    ACTIONS(2873), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2835), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2707), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37397] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37460] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2627), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37525] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2627), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37594] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2835), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2627), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2833), 1,
      anon_sym_AMP,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2835), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37738] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2625), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2831), 1,
      anon_sym_CARET,
    ACTIONS(2833), 1,
      anon_sym_AMP,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(2871), 1,
      anon_sym_PIPE,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2835), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37815] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2625), 1,
      anon_sym_EQ,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2831), 1,
      anon_sym_CARET,
    ACTIONS(2833), 1,
      anon_sym_AMP,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(2869), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2871), 1,
      anon_sym_PIPE,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2827), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2835), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2837), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2839), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2841), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2627), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37894] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_field_declaration_list,
    STATE(1135), 1,
      sym_attribute_specifier,
    ACTIONS(2911), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2909), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [37949] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2829), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2625), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2627), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2418), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1925), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2422), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_EQ,
    ACTIONS(2717), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1971), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1965), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [38198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2913), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1921), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1134), 1,
      sym_attribute_specifier,
    ACTIONS(2919), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2917), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1462), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2921), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2923), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(897), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [38441] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2925), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2927), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1104), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [38498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2823), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1121), 1,
      sym_attribute_specifier,
    ACTIONS(2931), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2929), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1430), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2819), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2815), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2811), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2807), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2937), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2935), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2933), 25,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2805), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2803), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2779), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [38956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2783), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2787), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2791), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2795), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2799), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1462), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(793), 1,
      sym_string_literal,
    ACTIONS(2940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2913), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1414), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2821), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2819), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(797), 1,
      sym_string_literal,
    ACTIONS(2940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2913), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39414] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2942), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2944), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1051), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [39471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1108), 1,
      sym_attribute_specifier,
    ACTIONS(2948), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2946), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1124), 1,
      sym_attribute_specifier,
    ACTIONS(2952), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2950), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1139), 1,
      sym_attribute_specifier,
    ACTIONS(2956), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2954), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2823), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1105), 1,
      sym_attribute_specifier,
    ACTIONS(2960), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2958), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2783), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2817), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2815), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1145), 1,
      sym_attribute_specifier,
    ACTIONS(2964), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2962), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1143), 1,
      sym_attribute_specifier,
    ACTIONS(2968), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2966), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2787), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2799), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2791), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(796), 1,
      sym_string_literal,
    ACTIONS(2940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2913), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(794), 1,
      sym_string_literal,
    ACTIONS(2940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2913), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2811), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2795), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1474), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(798), 1,
      sym_string_literal,
    ACTIONS(2940), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2913), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1496), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1482), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1474), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1414), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1430), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2807), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1496), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1482), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2805), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2803), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2779), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1140), 1,
      sym_attribute_specifier,
    ACTIONS(2972), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2970), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1131), 1,
      sym_attribute_specifier,
    ACTIONS(2976), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2974), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40865] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2978), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2980), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(897), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [40922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2982), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [40966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2990), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2988), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2986), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2990), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2994), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2992), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2996), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3002), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3000), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3006), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2990), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3012), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3010), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3014), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3018), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3024), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3022), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1107), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3030), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3028), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3026), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2990), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3034), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3032), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1302), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1304), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [41518] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 1,
      sym_identifier,
    ACTIONS(3045), 1,
      sym_primitive_type,
    STATE(1125), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3043), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3039), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3041), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1340), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [41614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1116), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3051), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3049), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3047), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3055), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3053), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1340), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [41750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3057), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3061), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2933), 1,
      sym_primitive_type,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2937), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3068), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3065), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3071), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3077), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3075), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [41976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1360), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [42020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1388), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [42064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3079), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3085), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3083), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_LPAREN2,
    STATE(1106), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1979), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1963), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3092), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3090), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3094), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3098), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3102), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3047), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3106), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3110), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3116), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3114), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3118), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3122), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3126), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3132), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3130), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3134), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1360), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [42818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3140), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3138), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [42862] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1570), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1332), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1341), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_LPAREN2,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(1106), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1798), 1,
      aux_sym__old_style_parameter_list_repeat1,
    ACTIONS(1979), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1963), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [42986] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1570), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1151), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1332), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1567), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1315), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1341), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43124] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1582), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1148), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1338), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43193] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_LPAREN2,
    ACTIONS(3165), 1,
      anon_sym_LBRACK,
    STATE(1106), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1979), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(3158), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1963), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [43245] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3168), 1,
      anon_sym_SEMI,
    ACTIONS(2942), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2944), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1051), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [43301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3174), 1,
      anon_sym___attribute__,
    ACTIONS(3177), 1,
      anon_sym_LBRACE,
    ACTIONS(3179), 1,
      anon_sym_COLON,
    STATE(1141), 1,
      sym_attribute_specifier,
    STATE(1209), 1,
      sym_enumerator_list,
    ACTIONS(3172), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3170), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [43353] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3181), 1,
      anon_sym_SEMI,
    ACTIONS(2942), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2944), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1051), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [43409] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3183), 1,
      anon_sym_SEMI,
    ACTIONS(2942), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2944), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1051), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [43465] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3185), 1,
      anon_sym_SEMI,
    ACTIONS(2942), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2944), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1051), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [43521] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3187), 1,
      anon_sym_SEMI,
    ACTIONS(2942), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2944), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1051), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [43577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_LPAREN2,
    STATE(1106), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(1979), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3189), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1981), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1963), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [43627] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    ACTIONS(3198), 1,
      anon_sym_CARET,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2625), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [43696] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    ACTIONS(3198), 1,
      anon_sym_CARET,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    ACTIONS(3210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3214), 1,
      anon_sym_PIPE,
    ACTIONS(3216), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [43773] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2625), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [43828] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2625), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [43885] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2681), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    ACTIONS(3198), 1,
      anon_sym_CARET,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    ACTIONS(3210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3214), 1,
      anon_sym_PIPE,
    ACTIONS(3216), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2679), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [43962] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [44021] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2627), 12,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [44084] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2627), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [44149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_LBRACE,
    ACTIONS(3222), 1,
      anon_sym___attribute__,
    STATE(1126), 1,
      sym_attribute_specifier,
    STATE(1203), 1,
      sym_enumerator_list,
    ACTIONS(3220), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3218), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [44198] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2625), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [44265] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2713), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    ACTIONS(3198), 1,
      anon_sym_CARET,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    ACTIONS(3210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3214), 1,
      anon_sym_PIPE,
    ACTIONS(3216), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2711), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [44342] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    ACTIONS(3198), 1,
      anon_sym_CARET,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    ACTIONS(3214), 1,
      anon_sym_PIPE,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [44413] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    ACTIONS(3198), 1,
      anon_sym_CARET,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    ACTIONS(3210), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3214), 1,
      anon_sym_PIPE,
    ACTIONS(3216), 1,
      anon_sym_QMARK,
    ACTIONS(3227), 1,
      aux_sym_preproc_elif_token1,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3225), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [44490] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3196), 1,
      anon_sym_SLASH,
    ACTIONS(3198), 1,
      anon_sym_CARET,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    ACTIONS(3212), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3214), 1,
      anon_sym_PIPE,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3192), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3194), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3202), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3204), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3206), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3208), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [44563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1338), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44603] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [44659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3237), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(3235), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44699] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [44773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3259), 1,
      anon_sym_typedef,
    ACTIONS(2654), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3261), 1,
      anon_sym_typedef,
    ACTIONS(2654), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1358), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3263), 1,
      anon_sym_typedef,
    ACTIONS(2654), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3265), 1,
      anon_sym_typedef,
    ACTIONS(2654), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [44981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1358), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1302), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1338), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45101] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2711), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [45175] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2679), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [45249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3269), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(3267), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1386), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45329] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2625), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45383] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45451] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3271), 1,
      anon_sym_typedef,
    ACTIONS(2654), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45551] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45613] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45677] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_PIPE,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45743] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45813] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2625), 1,
      anon_sym_PIPE,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [45881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3273), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2856), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [45921] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [45984] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2625), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [46037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym___attribute__,
    STATE(1112), 1,
      sym_attribute_specifier,
    ACTIONS(3291), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3289), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [46080] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    ACTIONS(3296), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3298), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    ACTIONS(3302), 1,
      anon_sym_CARET,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_QMARK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2707), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [46153] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_LPAREN2,
    ACTIONS(2101), 1,
      anon_sym_STAR,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1534), 1,
      sym__declarator,
    STATE(1692), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(2088), 1,
      sym_ms_based_modifier,
    ACTIONS(3308), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46216] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    ACTIONS(3296), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3298), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    ACTIONS(3302), 1,
      anon_sym_CARET,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_QMARK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3225), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [46289] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    ACTIONS(3296), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3298), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    ACTIONS(3302), 1,
      anon_sym_CARET,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_QMARK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2679), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [46362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym___attribute__,
    STATE(1144), 1,
      sym_attribute_specifier,
    ACTIONS(3312), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3310), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [46405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3321), 1,
      anon_sym___attribute__,
    STATE(1130), 1,
      sym_attribute_specifier,
    ACTIONS(3319), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3317), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [46448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3324), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [46487] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [46542] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 13,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [46599] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    ACTIONS(3296), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3298), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    ACTIONS(3302), 1,
      anon_sym_CARET,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    ACTIONS(3306), 1,
      anon_sym_QMARK,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2711), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [46672] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 11,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [46733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_PIPE,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [46798] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_PIPE,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    ACTIONS(3302), 1,
      anon_sym_CARET,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [46865] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    ACTIONS(3302), 1,
      anon_sym_CARET,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [46932] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2749), 1,
      anon_sym_LBRACK,
    ACTIONS(3279), 1,
      anon_sym_SLASH,
    ACTIONS(3298), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3300), 1,
      anon_sym_PIPE,
    ACTIONS(3302), 1,
      anon_sym_CARET,
    ACTIONS(3304), 1,
      anon_sym_AMP,
    STATE(980), 1,
      sym_argument_list,
    ACTIONS(2751), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3277), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3281), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3283), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3285), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3287), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 7,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [47001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3330), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [47039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3332), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3334), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [47077] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1561), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1341), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1362), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47137] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1534), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1226), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1364), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47197] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1552), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1221), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1358), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3348), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [47295] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1534), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1341), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1364), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47355] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1531), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1341), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1365), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47415] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1544), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1228), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1360), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47475] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1552), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1341), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1358), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47535] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1533), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    ACTIONS(2885), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1225), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1357), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2883), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3350), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3352), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [47633] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(3356), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    STATE(1878), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47708] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3358), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [47779] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3360), 1,
      anon_sym_COMMA,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
    STATE(829), 1,
      sym_argument_list,
    STATE(1789), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47854] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3366), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    STATE(1900), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47929] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3370), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [48002] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3372), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    STATE(1823), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48077] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3374), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    STATE(1901), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48152] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(3376), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    STATE(1833), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48227] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3378), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    STATE(1797), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48302] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    ACTIONS(3382), 1,
      anon_sym_RBRACE,
    STATE(829), 1,
      sym_argument_list,
    STATE(1897), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48377] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3384), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48449] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3386), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48521] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3388), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48593] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3390), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48665] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1353), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2046), 1,
      sym_type_descriptor,
    STATE(1324), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48721] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(3392), 1,
      anon_sym_enum,
    STATE(1353), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2167), 1,
      sym_type_descriptor,
    STATE(1336), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48777] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1353), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2022), 1,
      sym_type_descriptor,
    STATE(1324), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48833] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2627), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [48893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2625), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2627), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [48955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3408), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49027] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2625), 1,
      anon_sym_PIPE,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2627), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49091] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2707), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3422), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49235] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3424), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49307] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2625), 1,
      anon_sym_PIPE,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2627), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49373] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2627), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [49439] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3426), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49511] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3428), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49583] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    ACTIONS(3430), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3432), 1,
      anon_sym_RBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49657] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3434), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49729] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3436), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49801] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2711), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49873] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3438), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49945] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2679), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50017] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2627), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [50085] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3225), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50155] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(3392), 1,
      anon_sym_enum,
    STATE(1353), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2258), 1,
      sym_type_descriptor,
    STATE(1336), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50211] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3440), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50283] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1353), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2256), 1,
      sym_type_descriptor,
    STATE(1324), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50339] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2625), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [50391] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3442), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50463] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1488), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50519] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1492), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50575] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(3392), 1,
      anon_sym_enum,
    STATE(1353), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2252), 1,
      sym_type_descriptor,
    STATE(1336), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50631] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3450), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50703] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1482), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50759] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1485), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3452), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50887] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3454), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50959] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [51013] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3456), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51085] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [51155] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1486), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51211] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3460), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51283] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2564), 1,
      anon_sym_DASH_GT,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(2843), 1,
      anon_sym_DOT,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2625), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2627), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [51339] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1487), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51395] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1353), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2025), 1,
      sym_type_descriptor,
    STATE(1324), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51451] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3462), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51521] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [51591] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3466), 1,
      anon_sym_SEMI,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51663] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3468), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51733] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3470), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51805] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1490), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51861] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3472), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51933] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3474), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [52003] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1491), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52059] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3476), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52131] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1484), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52187] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3478), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52257] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1353), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2075), 1,
      sym_type_descriptor,
    STATE(1324), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52313] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3480), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52383] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1394), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1483), 1,
      sym__type_definition_type,
    STATE(1316), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52439] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3482), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52508] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3484), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52577] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52646] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52715] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3486), 1,
      anon_sym_COMMA,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52784] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52853] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3490), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52922] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3492), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52991] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53060] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3494), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53129] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3496), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53198] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3498), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53267] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1579), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53320] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(3444), 1,
      sym_identifier,
    ACTIONS(3448), 1,
      sym_primitive_type,
    STATE(1401), 1,
      sym__type_specifier,
    STATE(1451), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3446), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53373] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53442] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3500), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53511] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53580] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3502), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53649] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53718] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3504), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53787] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    ACTIONS(3506), 1,
      anon_sym_RBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53856] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1917), 1,
      anon_sym_enum,
    ACTIONS(2069), 1,
      sym_identifier,
    STATE(1349), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53909] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53978] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54047] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    ACTIONS(3508), 1,
      anon_sym_RBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54116] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3510), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54185] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54254] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    ACTIONS(3512), 1,
      anon_sym_RBRACK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54323] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3514), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54392] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1567), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54445] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3516), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54514] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54583] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3520), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54652] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(2069), 1,
      sym_identifier,
    ACTIONS(3392), 1,
      anon_sym_enum,
    STATE(1349), 1,
      sym__type_specifier,
    STATE(1363), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1915), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1137), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54705] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    ACTIONS(3522), 1,
      anon_sym_COLON,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54774] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1570), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [54827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_RBRACK,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(2747), 1,
      anon_sym_LPAREN2,
    ACTIONS(3398), 1,
      anon_sym_SLASH,
    ACTIONS(3410), 1,
      anon_sym_AMP,
    ACTIONS(3412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3416), 1,
      anon_sym_PIPE,
    ACTIONS(3418), 1,
      anon_sym_CARET,
    ACTIONS(3420), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3394), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3396), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3400), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3402), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3404), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3406), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3524), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2647), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [54935] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1356), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3529), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3534), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1341), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3531), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3527), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [54977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_SEMI,
    ACTIONS(2524), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2526), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [55013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3177), 1,
      anon_sym_LBRACE,
    ACTIONS(3539), 1,
      anon_sym_COLON,
    STATE(1141), 1,
      sym_attribute_specifier,
    STATE(1347), 1,
      sym_enumerator_list,
    ACTIONS(3172), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(3170), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [55057] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(2560), 1,
      anon_sym_LBRACK,
    ACTIONS(3233), 1,
      anon_sym_SLASH,
    ACTIONS(3239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(3245), 1,
      anon_sym_CARET,
    ACTIONS(3247), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_QMARK,
    STATE(829), 1,
      sym_argument_list,
    ACTIONS(2562), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2564), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3229), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3231), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3251), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55123] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3177), 1,
      anon_sym_LBRACE,
    STATE(1126), 1,
      sym_attribute_specifier,
    STATE(1346), 1,
      sym_enumerator_list,
    ACTIONS(3220), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3218), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [55165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1112), 1,
      sym_attribute_specifier,
    ACTIONS(3291), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3289), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [55201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1130), 1,
      sym_attribute_specifier,
    ACTIONS(3319), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3317), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [55237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(1144), 1,
      sym_attribute_specifier,
    ACTIONS(3312), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3310), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [55273] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2366), 1,
      anon_sym_LPAREN2,
    ACTIONS(2368), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1679), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(1351), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3541), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3543), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3545), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [55351] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2366), 1,
      anon_sym_LPAREN2,
    ACTIONS(2368), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1684), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3549), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3543), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55398] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2366), 1,
      anon_sym_LPAREN2,
    ACTIONS(2368), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1692), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3308), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3543), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55445] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2366), 1,
      anon_sym_LPAREN2,
    ACTIONS(2368), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1691), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(1355), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3551), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3543), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55492] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2366), 1,
      anon_sym_LPAREN2,
    ACTIONS(2368), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1671), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(1352), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2881), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3543), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2366), 1,
      anon_sym_LPAREN2,
    ACTIONS(2368), 1,
      anon_sym_STAR,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1665), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3553), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3543), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3555), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [55617] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1534), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55661] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1561), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2933), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(2937), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3068), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3065), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55741] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1552), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    STATE(1220), 1,
      sym_preproc_argument_list,
    ACTIONS(3563), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3559), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55819] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1549), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3045), 1,
      sym_primitive_type,
    ACTIONS(3565), 1,
      sym_identifier,
    STATE(1359), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3039), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3041), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55901] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1531), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55945] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1528), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55989] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3571), 1,
      anon_sym_RPAREN,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3581), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1369), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56032] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(3587), 1,
      anon_sym_RPAREN,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3597), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    STATE(1821), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3597), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3613), 1,
      anon_sym_RPAREN,
    STATE(1841), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56142] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3597), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    STATE(1905), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56197] = 5,
    ACTIONS(3559), 1,
      anon_sym_LF,
    ACTIONS(3617), 1,
      anon_sym_LPAREN2,
    ACTIONS(3619), 1,
      sym_comment,
    STATE(1460), 1,
      sym_preproc_argument_list,
    ACTIONS(3563), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56230] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3621), 1,
      anon_sym_RPAREN,
    ACTIONS(3623), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1368), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56273] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3625), 1,
      anon_sym_RPAREN,
    ACTIONS(3627), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1367), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3629), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1396), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3641), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1480), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3647), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3645), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [56428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3649), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1430), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3651), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1447), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3653), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1408), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56548] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3655), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1479), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56588] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3657), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1445), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56628] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3659), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1440), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3661), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1472), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3663), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1403), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3665), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1443), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3667), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1441), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56828] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3669), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1444), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3671), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1474), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3673), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1459), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56948] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 1,
      anon_sym_LPAREN2,
    ACTIONS(2101), 1,
      anon_sym_STAR,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(2887), 1,
      anon_sym_LBRACK,
    STATE(1622), 1,
      sym__declarator,
    STATE(1704), 1,
      sym__abstract_declarator,
    STATE(1705), 1,
      sym_parameter_list,
    STATE(2088), 1,
      sym_ms_based_modifier,
    ACTIONS(3675), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1703), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [56996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3677), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1448), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57036] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3679), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1450), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3681), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1453), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57116] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3683), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1426), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1375), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3685), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3689), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1424), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3693), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3691), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3693), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3691), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [57304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3695), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3699), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1477), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57372] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3701), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1478), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3705), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1404), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3703), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57444] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3597), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3707), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57494] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3693), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3691), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [57540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3711), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1340), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3709), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3713), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1432), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3717), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3715), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3719), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1468), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3723), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3721), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3727), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3725), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3693), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3691), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57768] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3729), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1470), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3731), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1439), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3693), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3691), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57876] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3597), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3691), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [57924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3733), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1458), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3735), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1471), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3737), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1410), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58044] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3739), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1481), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58084] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3741), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1455), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3743), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1446), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58164] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3745), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1413), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58204] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3747), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1436), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58244] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3749), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1397), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3693), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3691), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58318] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3751), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1402), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58358] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3693), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3691), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [58402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2530), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3753), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1438), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3755), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1465), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58510] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3693), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3691), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [58552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3757), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1464), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58592] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3691), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [58638] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 1,
      sym_identifier,
    ACTIONS(3573), 1,
      anon_sym_LPAREN2,
    ACTIONS(3575), 1,
      anon_sym_defined,
    ACTIONS(3759), 1,
      sym_number_literal,
    ACTIONS(3577), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3579), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3583), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1414), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3633), 1,
      anon_sym_LPAREN2,
    ACTIONS(3635), 1,
      anon_sym_defined,
    ACTIONS(3761), 1,
      sym_number_literal,
    ACTIONS(3637), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3639), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3643), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1435), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [58718] = 7,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3693), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [58753] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3771), 1,
      anon_sym_LF,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58798] = 3,
    ACTIONS(3348), 1,
      anon_sym_LF,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3346), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58825] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3597), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58874] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3787), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58919] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3693), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58946] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58991] = 3,
    ACTIONS(3352), 1,
      anon_sym_LF,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3350), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59018] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3789), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59063] = 11,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3693), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59106] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3693), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59135] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3791), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59180] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3793), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59225] = 10,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3693), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59266] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3715), 1,
      anon_sym_LF,
    ACTIONS(3717), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59293] = 9,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3693), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3795), 1,
      sym_identifier,
    ACTIONS(3801), 1,
      sym_primitive_type,
    STATE(1473), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3039), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3798), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3041), 10,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [59367] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_LF,
    ACTIONS(3727), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59394] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3804), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59439] = 3,
    ACTIONS(2530), 1,
      anon_sym_LF,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(2528), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59466] = 8,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3693), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [59503] = 3,
    ACTIONS(3330), 1,
      anon_sym_LF,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3328), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59530] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3695), 1,
      anon_sym_LF,
    ACTIONS(3697), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59557] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3806), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59602] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3808), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59647] = 3,
    ACTIONS(3334), 1,
      anon_sym_LF,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3332), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2994), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3810), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2992), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59705] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_STAR,
    ACTIONS(3087), 1,
      anon_sym_LPAREN2,
    STATE(1469), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3813), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(1963), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1461), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3028), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3816), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3026), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59769] = 6,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3693), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59802] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3691), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3693), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [59833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1475), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3002), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3819), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3000), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3034), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3032), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59895] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3825), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [59940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2988), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2986), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [59971] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3830), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [60016] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3832), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [60061] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_SLASH,
    ACTIONS(3595), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3597), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3599), 1,
      anon_sym_PIPE,
    ACTIONS(3601), 1,
      anon_sym_CARET,
    ACTIONS(3603), 1,
      anon_sym_AMP,
    ACTIONS(3834), 1,
      anon_sym_RPAREN,
    ACTIONS(3589), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3591), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3605), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3607), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3609), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3611), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3068), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3836), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3065), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [60141] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3840), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [60186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1060), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3012), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3842), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3010), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [60217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1467), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3049), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3845), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3047), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [60248] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3848), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [60293] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3850), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [60338] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3852), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [60383] = 12,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3775), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3777), 1,
      anon_sym_PIPE,
    ACTIONS(3779), 1,
      anon_sym_CARET,
    ACTIONS(3781), 1,
      anon_sym_AMP,
    ACTIONS(3854), 1,
      anon_sym_LF,
    ACTIONS(3763), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3769), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3765), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3767), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [60428] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(3721), 1,
      anon_sym_LF,
    ACTIONS(3723), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [60455] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1730), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60496] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1776), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1768), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1721), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60619] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1744), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60660] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1731), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60701] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1757), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60742] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_const,
    ACTIONS(3177), 1,
      anon_sym_LBRACE,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(3858), 1,
      anon_sym_COLON,
    STATE(1141), 1,
      sym_attribute_specifier,
    STATE(1347), 1,
      sym_enumerator_list,
    ACTIONS(3172), 11,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [60777] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1774), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60818] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1751), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60859] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1565), 1,
      sym__type_declarator,
    STATE(1733), 1,
      sym__type_definition_declarators,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60900] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1655), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60938] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3861), 1,
      sym_identifier,
    ACTIONS(3867), 1,
      anon_sym_LBRACK,
    STATE(1498), 1,
      sym_gnu_asm_expression,
    STATE(1546), 1,
      sym_attribute_specifier,
    STATE(1638), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3863), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1497), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3865), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [60978] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3861), 1,
      sym_identifier,
    ACTIONS(3867), 1,
      anon_sym_LBRACK,
    STATE(1508), 1,
      sym_gnu_asm_expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1497), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3865), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61012] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3142), 1,
      sym_identifier,
    ACTIONS(3144), 1,
      anon_sym_LPAREN2,
    ACTIONS(3146), 1,
      anon_sym_STAR,
    ACTIONS(3150), 1,
      sym_primitive_type,
    STATE(1588), 1,
      sym__type_declarator,
    STATE(2034), 1,
      sym_ms_based_modifier,
    ACTIONS(3148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1652), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3861), 1,
      sym_identifier,
    ACTIONS(3871), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1510), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3869), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61079] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3861), 1,
      sym_identifier,
    ACTIONS(3871), 1,
      anon_sym_LBRACK,
    STATE(1546), 1,
      sym_attribute_specifier,
    STATE(1649), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(3873), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3875), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1511), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3869), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61116] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    ACTIONS(3877), 1,
      anon_sym_SEMI,
    STATE(1540), 1,
      sym__field_declarator,
    STATE(1887), 1,
      sym__field_declaration_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(2197), 1,
      sym_attribute_specifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61157] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(825), 1,
      sym__old_style_function_declarator,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1580), 1,
      sym__declarator,
    STATE(1675), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1860), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61200] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 1,
      sym_identifier,
    ACTIONS(3883), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3885), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3887), 1,
      aux_sym_preproc_elif_token1,
    STATE(1558), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1560), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1637), 1,
      sym_enumerator,
    ACTIONS(3889), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2205), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(2207), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [61239] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(846), 1,
      sym__old_style_function_declarator,
    STATE(1572), 1,
      sym__declarator,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1664), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1815), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61282] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    ACTIONS(3891), 1,
      anon_sym_SEMI,
    STATE(1540), 1,
      sym__field_declarator,
    STATE(1830), 1,
      sym__field_declaration_declarator,
    STATE(2118), 1,
      sym_attribute_specifier,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61323] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(848), 1,
      sym__old_style_function_declarator,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1576), 1,
      sym__declarator,
    STATE(1690), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1786), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61366] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    ACTIONS(3893), 1,
      anon_sym_SEMI,
    STATE(1540), 1,
      sym__field_declarator,
    STATE(1834), 1,
      sym__field_declaration_declarator,
    STATE(2106), 1,
      sym_attribute_specifier,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61407] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(851), 1,
      sym__old_style_function_declarator,
    STATE(1573), 1,
      sym__declarator,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1670), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1881), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61450] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    ACTIONS(3895), 1,
      anon_sym_SEMI,
    STATE(1540), 1,
      sym__field_declarator,
    STATE(1888), 1,
      sym__field_declaration_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(2175), 1,
      sym_attribute_specifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3861), 1,
      sym_identifier,
    ACTIONS(3871), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1511), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3869), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61520] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(822), 1,
      sym__old_style_function_declarator,
    STATE(1571), 1,
      sym__declarator,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1668), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1853), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3897), 1,
      sym_identifier,
    ACTIONS(3902), 1,
      anon_sym___attribute__,
    ACTIONS(3905), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1510), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3900), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(3861), 1,
      sym_identifier,
    ACTIONS(3909), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1510), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(3907), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61621] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1593), 1,
      sym__declarator,
    STATE(1690), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1786), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61661] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1640), 1,
      sym__declarator,
    STATE(1664), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1815), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61701] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1640), 1,
      sym__declarator,
    STATE(1675), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1860), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3913), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3916), 1,
      anon_sym_LBRACK,
    STATE(1515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3911), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [61767] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1640), 1,
      sym__declarator,
    STATE(1656), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1870), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61807] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1598), 1,
      sym__declarator,
    STATE(1670), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1881), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61847] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1640), 1,
      sym__declarator,
    STATE(1681), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1907), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61887] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1640), 1,
      sym__declarator,
    STATE(1668), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1853), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61927] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1640), 1,
      sym__declarator,
    STATE(1690), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1786), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [61967] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1601), 1,
      sym__declarator,
    STATE(1664), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1815), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62007] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1586), 1,
      sym__declarator,
    STATE(1675), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1860), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62047] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1640), 1,
      sym__declarator,
    STATE(1670), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1881), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62087] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1591), 1,
      sym__declarator,
    STATE(1668), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1853), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62127] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_function_declarator,
    STATE(1640), 1,
      sym__declarator,
    STATE(1696), 1,
      sym__declaration_declarator,
    STATE(1778), 1,
      sym__function_declaration_declarator,
    STATE(1954), 1,
      sym_init_declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1584), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3918), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3920), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [62188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2892), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [62209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3922), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3930), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3934), 1,
      anon_sym_RBRACE,
    ACTIONS(3932), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1916), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(2282), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1535), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [62271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(2854), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [62292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3936), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 1,
      anon_sym_LPAREN2,
    STATE(1220), 1,
      sym_preproc_argument_list,
    ACTIONS(3938), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3940), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [62346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3942), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3944), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62404] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3930), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(3946), 1,
      anon_sym_RBRACE,
    ACTIONS(3932), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1969), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(2111), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1563), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [62437] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(841), 1,
      sym__old_style_function_declarator,
    STATE(1592), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62469] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(844), 1,
      sym__old_style_function_declarator,
    STATE(1597), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3950), 1,
      anon_sym_LBRACK,
    STATE(1515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3948), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(838), 1,
      sym__old_style_function_declarator,
    STATE(1600), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62557] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    ACTIONS(3956), 1,
      anon_sym_LBRACK,
    ACTIONS(3958), 1,
      anon_sym_COLON,
    STATE(1613), 1,
      sym_parameter_list,
    STATE(1752), 1,
      sym_bitfield_clause,
    STATE(1754), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3954), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1564), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [62593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(834), 1,
      sym__old_style_function_declarator,
    STATE(1587), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(826), 1,
      sym__old_style_function_declarator,
    STATE(1596), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62657] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1636), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3956), 1,
      anon_sym_LBRACK,
    STATE(1613), 1,
      sym_parameter_list,
    STATE(1564), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3960), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [62713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1617), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 1,
      anon_sym___attribute__,
    ACTIONS(3938), 2,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(3962), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3967), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3940), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [62767] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3971), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3973), 1,
      aux_sym_preproc_elif_token1,
    STATE(1606), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1623), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1693), 1,
      sym_enumerator,
    STATE(2188), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(2248), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [62800] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3973), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3975), 1,
      aux_sym_preproc_if_token2,
    STATE(1607), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1608), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1693), 1,
      sym_enumerator,
    STATE(2195), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(2297), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [62833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3956), 1,
      anon_sym_LBRACK,
    STATE(1613), 1,
      sym_parameter_list,
    STATE(1564), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3977), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [62860] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1654), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [62889] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3979), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3981), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3983), 1,
      aux_sym_preproc_elif_token1,
    STATE(1558), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2267), 1,
      sym_enumerator,
    ACTIONS(3985), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2205), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [62920] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3956), 1,
      anon_sym_LBRACK,
    STATE(1613), 1,
      sym_parameter_list,
    STATE(1564), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3987), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [62947] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1609), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [62976] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1632), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63005] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1624), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3956), 1,
      anon_sym_LBRACK,
    ACTIONS(3958), 1,
      anon_sym_COLON,
    STATE(1613), 1,
      sym_parameter_list,
    STATE(1837), 1,
      sym_bitfield_clause,
    STATE(1564), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3989), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(3336), 1,
      sym_identifier,
    ACTIONS(3338), 1,
      anon_sym_LPAREN2,
    ACTIONS(3340), 1,
      anon_sym_STAR,
    STATE(1556), 1,
      sym__field_declarator,
    STATE(2119), 1,
      sym_ms_based_modifier,
    STATE(1626), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [63094] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3981), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3983), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3991), 1,
      aux_sym_preproc_if_token2,
    STATE(1610), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2267), 1,
      sym_enumerator,
    ACTIONS(3985), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2268), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [63125] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym___based,
    ACTIONS(2879), 1,
      sym_identifier,
    ACTIONS(3342), 1,
      anon_sym_LPAREN2,
    ACTIONS(3344), 1,
      anon_sym_STAR,
    STATE(1615), 1,
      sym__declarator,
    STATE(2088), 1,
      sym_ms_based_modifier,
    STATE(1575), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 1,
      sym_identifier,
    ACTIONS(3993), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3995), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3997), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3999), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1611), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2263), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [63183] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3956), 1,
      anon_sym_LBRACK,
    STATE(1613), 1,
      sym_parameter_list,
    STATE(1564), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4001), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [63210] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3885), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3973), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4003), 1,
      aux_sym_preproc_if_token2,
    STATE(1628), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(1629), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1693), 1,
      sym_enumerator,
    STATE(2117), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(2125), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [63243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      sym_identifier,
    ACTIONS(4008), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4014), 1,
      sym_preproc_directive,
    ACTIONS(4017), 1,
      anon_sym_RBRACE,
    ACTIONS(4011), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2216), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1563), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [63272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4021), 1,
      anon_sym_LBRACK,
    STATE(1515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4019), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [63294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4023), 1,
      anon_sym_COMMA,
    ACTIONS(4027), 1,
      anon_sym_LBRACK,
    STATE(1651), 1,
      sym_parameter_list,
    STATE(1712), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4025), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_LBRACK,
    STATE(1760), 1,
      sym_gnu_asm_output_operand,
    STATE(2255), 1,
      sym_string_literal,
    ACTIONS(4029), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63348] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4027), 1,
      anon_sym_LBRACK,
    STATE(1651), 1,
      sym_parameter_list,
    STATE(1595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4033), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4037), 1,
      anon_sym_LBRACK,
    ACTIONS(4035), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_LBRACK,
    ACTIONS(4039), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63410] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4027), 1,
      anon_sym_LBRACK,
    STATE(1651), 1,
      sym_parameter_list,
    STATE(1595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4043), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63436] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(447), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63468] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(162), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63500] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(487), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4051), 1,
      anon_sym_LBRACK,
    ACTIONS(4049), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_LBRACK,
    ACTIONS(4053), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63568] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(214), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 1,
      anon_sym_LBRACK,
    ACTIONS(4057), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4063), 1,
      anon_sym_LBRACK,
    ACTIONS(4061), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4027), 1,
      anon_sym_LBRACK,
    STATE(1651), 1,
      sym_parameter_list,
    STATE(1595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4065), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63662] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(428), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 1,
      anon_sym_LBRACK,
    STATE(1726), 1,
      sym_gnu_asm_input_operand,
    STATE(2194), 1,
      sym_string_literal,
    ACTIONS(4067), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4027), 1,
      anon_sym_LBRACK,
    STATE(1651), 1,
      sym_parameter_list,
    STATE(1595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4071), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1827), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_LBRACK,
    ACTIONS(4053), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4075), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [63784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      sym_identifier,
    ACTIONS(4081), 1,
      sym_system_lib_string,
    STATE(2113), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4079), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63805] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(428), 1,
      sym_compound_statement,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    STATE(223), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4027), 1,
      anon_sym_LBRACK,
    STATE(1651), 1,
      sym_parameter_list,
    STATE(1595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4083), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 1,
      sym_identifier,
    ACTIONS(4087), 1,
      sym_system_lib_string,
    STATE(2084), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4079), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 1,
      sym_identifier,
    ACTIONS(4091), 1,
      sym_system_lib_string,
    STATE(2124), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4079), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [63930] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(447), 1,
      sym_compound_statement,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    STATE(141), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(214), 1,
      sym_compound_statement,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 1,
      sym_identifier,
    ACTIONS(4095), 1,
      sym_system_lib_string,
    STATE(2180), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4079), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4099), 1,
      anon_sym_LBRACK,
    STATE(1515), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4097), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [64059] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    STATE(478), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64088] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    STATE(483), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64117] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(487), 1,
      sym_compound_statement,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1868), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64167] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4045), 1,
      anon_sym_LPAREN2,
    STATE(473), 1,
      sym_compound_statement,
    STATE(1189), 1,
      sym__old_style_parameter_list,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(162), 1,
      sym_compound_statement,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1871), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 1,
      sym_identifier,
    ACTIONS(4103), 1,
      sym_system_lib_string,
    STATE(2156), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4079), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(816), 1,
      sym_string_literal,
    STATE(1891), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3995), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4105), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4107), 1,
      aux_sym_preproc_elif_token1,
    STATE(1629), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2117), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [64312] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3995), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4107), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4109), 1,
      aux_sym_preproc_if_token2,
    STATE(1682), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2179), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [64336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3995), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4107), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4111), 1,
      aux_sym_preproc_if_token2,
    STATE(1682), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2127), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [64360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3981), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4113), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4115), 1,
      aux_sym_preproc_elif_token1,
    STATE(1680), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2128), 1,
      sym_enumerator,
    STATE(2132), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [64386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(473), 1,
      sym_compound_statement,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 1,
      sym_identifier,
    ACTIONS(4122), 1,
      aux_sym_preproc_elif_token1,
    STATE(1610), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2267), 1,
      sym_enumerator,
    ACTIONS(4120), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [64434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4124), 1,
      sym_identifier,
    ACTIONS(4129), 1,
      aux_sym_preproc_elif_token1,
    STATE(1611), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(4127), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [64454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_LBRACK,
    ACTIONS(4131), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_LBRACK,
    ACTIONS(4135), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_LBRACK,
    ACTIONS(4139), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(141), 1,
      sym_compound_statement,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_LBRACK,
    STATE(1859), 1,
      sym_gnu_asm_output_operand,
    STATE(2255), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(483), 1,
      sym_compound_statement,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_LBRACK,
    ACTIONS(4143), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1772), 1,
      sym_string_literal,
    ACTIONS(4147), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3995), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4107), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4149), 1,
      aux_sym_preproc_if_token2,
    STATE(1606), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2188), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [64632] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3971), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(3981), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4115), 1,
      aux_sym_preproc_elif_token1,
    STATE(1623), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2128), 1,
      sym_enumerator,
    STATE(2248), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [64658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(1495), 1,
      sym_parameter_list,
    ACTIONS(4151), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64682] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3981), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4115), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4153), 1,
      aux_sym_preproc_if_token2,
    STATE(1680), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2128), 1,
      sym_enumerator,
    STATE(2172), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [64708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(478), 1,
      sym_compound_statement,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4159), 1,
      anon_sym_EQ,
    ACTIONS(4155), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [64752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym_LBRACK,
    ACTIONS(4161), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_LBRACK,
    ACTIONS(4165), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3981), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4115), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4169), 1,
      aux_sym_preproc_if_token2,
    STATE(1680), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2128), 1,
      sym_enumerator,
    STATE(2083), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [64810] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3969), 1,
      sym_identifier,
    ACTIONS(3995), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4107), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4171), 1,
      aux_sym_preproc_if_token2,
    STATE(1682), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2076), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [64834] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3981), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4003), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4115), 1,
      aux_sym_preproc_elif_token1,
    STATE(1628), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2128), 1,
      sym_enumerator,
    STATE(2125), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [64860] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3981), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4115), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4173), 1,
      aux_sym_preproc_if_token2,
    STATE(1608), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2128), 1,
      sym_enumerator,
    STATE(2297), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [64886] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    STATE(223), 1,
      sym_compound_statement,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4177), 1,
      anon_sym_LBRACK,
    ACTIONS(4175), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [64944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4069), 1,
      anon_sym_LBRACK,
    STATE(1844), 1,
      sym_gnu_asm_input_operand,
    STATE(2194), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4183), 1,
      anon_sym_RPAREN,
    STATE(1495), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [64987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_COMMA,
    ACTIONS(4189), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4185), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [65004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3873), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [65021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4191), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65036] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3926), 1,
      anon_sym_LBRACK,
    ACTIONS(4047), 1,
      anon_sym_EQ,
    STATE(1494), 1,
      sym_parameter_list,
    STATE(1538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_EQ,
    ACTIONS(4197), 1,
      anon_sym_DOT,
    STATE(1644), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [65078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4201), 1,
      anon_sym_LBRACK,
    ACTIONS(4199), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_LBRACK,
    ACTIONS(4203), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    ACTIONS(4210), 1,
      anon_sym_EQ,
    ACTIONS(4212), 1,
      anon_sym_DOT,
    STATE(1644), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [65127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_LBRACK,
    ACTIONS(4215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym___attribute__,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(4219), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [65159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_LBRACK,
    ACTIONS(4224), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4230), 1,
      anon_sym_LBRACK,
    ACTIONS(4228), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(4232), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [65206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    ACTIONS(4234), 1,
      sym_identifier,
    STATE(1103), 1,
      sym_field_declaration_list,
    STATE(1694), 1,
      sym_attribute_specifier,
    STATE(1836), 1,
      sym_ms_declspec_modifier,
  [65231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4238), 1,
      anon_sym_LBRACK,
    ACTIONS(4236), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_LBRACK,
    ACTIONS(4240), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_LBRACK,
    ACTIONS(4244), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [65276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(3956), 1,
      anon_sym_LBRACK,
    ACTIONS(4248), 1,
      anon_sym_RPAREN,
    STATE(1613), 1,
      sym_parameter_list,
    STATE(1564), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4027), 1,
      anon_sym_LBRACK,
    ACTIONS(4250), 1,
      anon_sym_RPAREN,
    STATE(1651), 1,
      sym_parameter_list,
    STATE(1595), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4254), 1,
      anon_sym_SEMI,
    STATE(1865), 1,
      aux_sym_declaration_repeat1,
    STATE(1866), 1,
      sym_gnu_asm_expression,
    ACTIONS(4256), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [65342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4258), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4260), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1790), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(4155), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [65384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_LPAREN2,
    STATE(1662), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4266), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [65400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4268), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4270), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_LPAREN2,
    STATE(1678), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4266), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [65430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2011), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65444] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4274), 1,
      anon_sym_SEMI,
    STATE(1806), 1,
      sym_gnu_asm_expression,
    STATE(1807), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4256), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [65464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4278), 1,
      anon_sym_LBRACK,
    STATE(1711), 1,
      sym_parameter_list,
    ACTIONS(4276), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4280), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4282), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_LPAREN2,
    STATE(1669), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4266), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [65512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4286), 1,
      anon_sym_SEMI,
    STATE(1851), 1,
      aux_sym_declaration_repeat1,
    STATE(1852), 1,
      sym_gnu_asm_expression,
    ACTIONS(4256), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [65532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_LPAREN2,
    STATE(1678), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4266), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [65548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4290), 1,
      anon_sym_SEMI,
    STATE(1895), 1,
      sym_gnu_asm_expression,
    STATE(1898), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4256), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [65568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4278), 1,
      anon_sym_LBRACK,
    STATE(1711), 1,
      sym_parameter_list,
    ACTIONS(4292), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4280), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4282), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4017), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4294), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4120), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [65628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_SEMI,
    STATE(1872), 1,
      sym_gnu_asm_expression,
    STATE(1873), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(4256), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [65648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(799), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4300), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_LPAREN2,
    STATE(1678), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4304), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [65692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4278), 1,
      anon_sym_LBRACK,
    STATE(1711), 1,
      sym_parameter_list,
    ACTIONS(4307), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4117), 1,
      sym_identifier,
    STATE(1680), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2128), 1,
      sym_enumerator,
    ACTIONS(4120), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [65728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4309), 1,
      anon_sym_SEMI,
    STATE(1896), 1,
      aux_sym_declaration_repeat1,
    STATE(1899), 1,
      sym_gnu_asm_expression,
    ACTIONS(4256), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [65748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4311), 1,
      sym_identifier,
    STATE(1682), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(4127), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [65764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4314), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4316), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4278), 1,
      anon_sym_LBRACK,
    STATE(1711), 1,
      sym_parameter_list,
    ACTIONS(4318), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4322), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2016), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4324), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4326), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4258), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4260), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4328), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4330), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [65866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4332), 1,
      anon_sym_SEMI,
    STATE(1857), 1,
      aux_sym_declaration_repeat1,
    STATE(1858), 1,
      sym_gnu_asm_expression,
    ACTIONS(4256), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [65886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4278), 1,
      anon_sym_LBRACK,
    STATE(1711), 1,
      sym_parameter_list,
    ACTIONS(4334), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4278), 1,
      anon_sym_LBRACK,
    STATE(1711), 1,
      sym_parameter_list,
    ACTIONS(4336), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [65922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_COMMA,
    ACTIONS(4185), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [65935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    ACTIONS(4340), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_field_declaration_list,
    STATE(1820), 1,
      sym_ms_declspec_modifier,
  [65954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4342), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [65965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1919), 1,
      sym_gnu_asm_expression,
    ACTIONS(4256), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4344), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [65980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4346), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [65991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4348), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4350), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4352), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    ACTIONS(4354), 1,
      sym_identifier,
    STATE(1054), 1,
      sym_field_declaration_list,
    STATE(1842), 1,
      sym_ms_declspec_modifier,
  [66043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 1,
      sym_identifier,
    ACTIONS(4356), 1,
      aux_sym_preproc_if_token2,
    STATE(1637), 1,
      sym_enumerator,
    STATE(1734), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1784), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [66062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4358), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4278), 1,
      anon_sym_LBRACK,
    STATE(1711), 1,
      sym_parameter_list,
    ACTIONS(4151), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [66090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4360), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4362), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4364), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    ACTIONS(4368), 1,
      anon_sym_COLON_COLON,
    STATE(1988), 1,
      sym_argument_list,
    ACTIONS(4366), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [66140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4372), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [66173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4023), 1,
      anon_sym_COMMA,
    STATE(1729), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4376), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [66187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4378), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [66197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4380), 1,
      anon_sym_COMMA,
    STATE(1714), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4383), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66211] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_DQUOTE,
    ACTIONS(4387), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4389), 1,
      sym_escape_sequence,
    STATE(1718), 1,
      aux_sym_string_literal_repeat1,
  [66227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4391), 1,
      anon_sym___except,
    ACTIONS(4393), 1,
      anon_sym___finally,
    STATE(309), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [66241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4395), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66255] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_DQUOTE,
    ACTIONS(4399), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4402), 1,
      sym_escape_sequence,
    STATE(1718), 1,
      aux_sym_string_literal_repeat1,
  [66271] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4405), 1,
      anon_sym_SQUOTE,
    STATE(1719), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4407), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [66285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4120), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [66295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4410), 1,
      anon_sym_SEMI,
    STATE(1736), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66309] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4387), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4389), 1,
      sym_escape_sequence,
    ACTIONS(4412), 1,
      anon_sym_DQUOTE,
    STATE(1718), 1,
      aux_sym_string_literal_repeat1,
  [66325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym___except,
    ACTIONS(4416), 1,
      anon_sym___finally,
    STATE(248), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [66339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4418), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66353] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_DQUOTE,
    ACTIONS(4422), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4424), 1,
      sym_escape_sequence,
    STATE(1755), 1,
      aux_sym_string_literal_repeat1,
  [66369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    STATE(1775), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4428), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym___except,
    ACTIONS(4432), 1,
      anon_sym___finally,
    STATE(348), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [66397] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_SQUOTE,
    STATE(1719), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4436), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [66411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_COMMA,
    STATE(1729), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4441), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [66425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4443), 1,
      anon_sym_SEMI,
    STATE(1766), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4445), 1,
      anon_sym_SEMI,
    STATE(1745), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym___except,
    ACTIONS(4449), 1,
      anon_sym___finally,
    STATE(194), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [66467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4451), 1,
      anon_sym_SEMI,
    STATE(1753), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 1,
      sym_identifier,
    ACTIONS(4453), 1,
      aux_sym_preproc_if_token2,
    STATE(1611), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [66495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(1714), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4457), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4459), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66523] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4461), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4465), 1,
      sym_preproc_arg,
    STATE(1993), 1,
      sym_preproc_params,
  [66539] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_DQUOTE,
    ACTIONS(4469), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4471), 1,
      sym_escape_sequence,
    STATE(1722), 1,
      aux_sym_string_literal_repeat1,
  [66555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    STATE(1937), 1,
      sym_argument_list,
    ACTIONS(4473), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [66569] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_SQUOTE,
    STATE(1719), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4436), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [66583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4477), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym_COMMA,
    STATE(1742), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4482), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym___except,
    ACTIONS(4486), 1,
      anon_sym___finally,
    STATE(348), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [66625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4488), 1,
      anon_sym_SEMI,
    STATE(1759), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4490), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_COMMA,
    STATE(1773), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4494), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_COMMA,
    STATE(1747), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4499), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [66681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    STATE(1747), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4501), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [66695] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_DQUOTE,
    ACTIONS(4505), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4507), 1,
      sym_escape_sequence,
    STATE(1715), 1,
      aux_sym_string_literal_repeat1,
  [66711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4509), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4511), 1,
      anon_sym_SEMI,
    STATE(1741), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    STATE(1748), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4513), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [66753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4515), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    STATE(1747), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(4517), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [66781] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4387), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4389), 1,
      sym_escape_sequence,
    ACTIONS(4519), 1,
      anon_sym_DQUOTE,
    STATE(1718), 1,
      aux_sym_string_literal_repeat1,
  [66797] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_DQUOTE,
    ACTIONS(4523), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4525), 1,
      sym_escape_sequence,
    STATE(1782), 1,
      aux_sym_string_literal_repeat1,
  [66813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4527), 1,
      anon_sym_SEMI,
    STATE(1717), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4529), 1,
      anon_sym_COMMA,
    ACTIONS(4531), 1,
      anon_sym_RPAREN,
    STATE(1798), 1,
      aux_sym__old_style_parameter_list_repeat1,
    STATE(1813), 1,
      aux_sym_parameter_list_repeat1,
  [66843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4533), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(1735), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4535), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [66871] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4537), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4539), 1,
      sym_preproc_arg,
    STATE(1911), 1,
      sym_preproc_params,
  [66887] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4541), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4543), 1,
      sym_preproc_arg,
    STATE(1989), 1,
      sym_preproc_params,
  [66903] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4545), 1,
      anon_sym_SQUOTE,
    STATE(1719), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4436), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [66917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4547), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3881), 1,
      sym_identifier,
    ACTIONS(4549), 1,
      aux_sym_preproc_if_token2,
    STATE(1734), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [66945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4551), 1,
      anon_sym_SEMI,
    STATE(1646), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(4356), 1,
      aux_sym_preproc_if_token2,
    STATE(1784), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2267), 1,
      sym_enumerator,
  [66975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4553), 1,
      anon_sym_SEMI,
    STATE(1724), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [66989] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4555), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4557), 1,
      sym_preproc_arg,
    STATE(1995), 1,
      sym_preproc_params,
  [67005] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4559), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4561), 1,
      sym_preproc_arg,
    STATE(1912), 1,
      sym_preproc_params,
  [67021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4563), 1,
      anon_sym___except,
    ACTIONS(4565), 1,
      anon_sym___finally,
    STATE(116), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [67035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_COMMA,
    STATE(1746), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4567), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_COMMA,
    STATE(1773), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4572), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4574), 1,
      anon_sym_SEMI,
    STATE(1764), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [67077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    STATE(1742), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4576), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4578), 1,
      anon_sym_SEMI,
    STATE(1750), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [67105] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4580), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4582), 1,
      sym_preproc_arg,
    STATE(2005), 1,
      sym_preproc_params,
  [67121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [67131] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4588), 1,
      sym_preproc_arg,
    STATE(1992), 1,
      sym_preproc_params,
  [67147] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4590), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4592), 1,
      sym_preproc_arg,
    STATE(2007), 1,
      sym_preproc_params,
  [67163] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_SQUOTE,
    STATE(1719), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4436), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [67177] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4387), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4389), 1,
      sym_escape_sequence,
    ACTIONS(4596), 1,
      anon_sym_DQUOTE,
    STATE(1718), 1,
      aux_sym_string_literal_repeat1,
  [67193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 1,
      anon_sym_LPAREN2,
    ACTIONS(4278), 1,
      anon_sym_LBRACK,
    ACTIONS(4598), 1,
      anon_sym_RPAREN,
    STATE(1711), 1,
      sym_parameter_list,
  [67209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(4600), 1,
      aux_sym_preproc_if_token2,
    STATE(1610), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2267), 1,
      sym_enumerator,
  [67225] = 5,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    ACTIONS(4602), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4604), 1,
      sym_preproc_arg,
    STATE(1934), 1,
      sym_preproc_params,
  [67241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4606), 1,
      anon_sym_SEMI,
    STATE(1856), 1,
      aux_sym_declaration_repeat1,
  [67254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    ACTIONS(3382), 1,
      anon_sym_RBRACE,
    STATE(1897), 1,
      aux_sym_initializer_list_repeat1,
  [67267] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4610), 1,
      anon_sym_LPAREN2,
    STATE(2186), 1,
      sym_preproc_argument_list,
  [67280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      anon_sym_RBRACE,
    ACTIONS(4612), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      aux_sym_initializer_list_repeat1,
  [67293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [67311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_COMMA,
    ACTIONS(4621), 1,
      anon_sym_RPAREN,
    STATE(1792), 1,
      aux_sym_parameter_list_repeat1,
  [67324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4623), 1,
      anon_sym_RPAREN,
    ACTIONS(4625), 1,
      anon_sym_COLON,
    STATE(1884), 1,
      sym_gnu_asm_clobber_list,
  [67337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 1,
      anon_sym_COMMA,
    ACTIONS(4630), 1,
      anon_sym_RPAREN,
    STATE(1794), 1,
      aux_sym_preproc_params_repeat1,
  [67350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    ACTIONS(4632), 1,
      anon_sym_COMMA,
    STATE(1795), 1,
      aux_sym_preproc_argument_list_repeat1,
  [67363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3458), 1,
      anon_sym_RPAREN,
    ACTIONS(4635), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [67376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(4638), 1,
      anon_sym_RPAREN,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [67389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_COMMA,
    ACTIONS(4642), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [67402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    ACTIONS(4646), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1832), 1,
      aux_sym_attribute_declaration_repeat1,
  [67415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4648), 1,
      sym_identifier,
    STATE(1908), 1,
      sym_variadic_parameter,
  [67428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_RPAREN,
    ACTIONS(4652), 1,
      anon_sym_COLON,
    STATE(1793), 1,
      sym_gnu_asm_input_operand_list,
  [67441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 1,
      anon_sym_COLON,
    ACTIONS(4654), 1,
      anon_sym_RPAREN,
    STATE(1812), 1,
      sym_gnu_asm_clobber_list,
  [67454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_LBRACE,
    ACTIONS(4656), 1,
      sym_identifier,
    STATE(1208), 1,
      sym_enumerator_list,
  [67467] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    STATE(1728), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4658), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [67478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    ACTIONS(4660), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1799), 1,
      aux_sym_attribute_declaration_repeat1,
  [67491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4662), 1,
      anon_sym_SEMI,
    STATE(1838), 1,
      aux_sym_declaration_repeat1,
  [67504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4664), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [67517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_EQ,
    ACTIONS(4155), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [67528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4668), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [67541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3360), 1,
      anon_sym_COMMA,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
    STATE(1789), 1,
      aux_sym_initializer_list_repeat1,
  [67554] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    STATE(1740), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4670), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [67565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_RPAREN,
    ACTIONS(4674), 1,
      anon_sym_COLON,
    STATE(2165), 1,
      sym_gnu_asm_goto_list,
  [67578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_COMMA,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
    STATE(1792), 1,
      aux_sym_parameter_list_repeat1,
  [67591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_COMMA,
    ACTIONS(4683), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [67604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4685), 1,
      anon_sym_SEMI,
    STATE(1809), 1,
      aux_sym_declaration_repeat1,
  [67617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 1,
      anon_sym_COMMA,
    ACTIONS(4690), 1,
      anon_sym_RPAREN,
    STATE(1816), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [67630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_COMMA,
    ACTIONS(4694), 1,
      anon_sym_RPAREN,
    STATE(1794), 1,
      aux_sym_preproc_params_repeat1,
  [67643] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    STATE(1781), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4696), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [67654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [67663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    ACTIONS(4700), 1,
      sym_identifier,
    STATE(1075), 1,
      sym_field_declaration_list,
  [67676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
    STATE(1795), 1,
      aux_sym_preproc_argument_list_repeat1,
  [67689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [67698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3378), 1,
      anon_sym_RPAREN,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [67711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4706), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [67724] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_LPAREN2,
    ACTIONS(4708), 1,
      aux_sym_preproc_include_token2,
    STATE(2186), 1,
      sym_preproc_argument_list,
  [67737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_RBRACE,
    ACTIONS(4710), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      aux_sym_initializer_list_repeat1,
  [67750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4713), 1,
      anon_sym_RPAREN,
    ACTIONS(4715), 1,
      anon_sym_COLON,
    STATE(1801), 1,
      sym_gnu_asm_output_operand_list,
  [67763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 1,
      anon_sym_COMMA,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    STATE(1882), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [67776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_COLON,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
    STATE(1802), 1,
      sym_gnu_asm_input_operand_list,
  [67789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4723), 1,
      anon_sym_SEMI,
    STATE(2223), 1,
      sym_attribute_specifier,
  [67802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    ACTIONS(4725), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1839), 1,
      aux_sym_attribute_declaration_repeat1,
  [67815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4727), 1,
      anon_sym_COMMA,
    ACTIONS(4730), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1832), 1,
      aux_sym_attribute_declaration_repeat1,
  [67828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(4732), 1,
      anon_sym_RPAREN,
    STATE(1840), 1,
      aux_sym_generic_expression_repeat1,
  [67841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4734), 1,
      anon_sym_SEMI,
    STATE(2059), 1,
      sym_attribute_specifier,
  [67854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_LBRACE,
    ACTIONS(4736), 1,
      sym_identifier,
    STATE(1348), 1,
      sym_enumerator_list,
  [67867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    ACTIONS(4738), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_field_declaration_list,
  [67880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4740), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [67889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4742), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [67902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    ACTIONS(4744), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1832), 1,
      aux_sym_attribute_declaration_repeat1,
  [67915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_COMMA,
    ACTIONS(4749), 1,
      anon_sym_RPAREN,
    STATE(1840), 1,
      aux_sym_generic_expression_repeat1,
  [67928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(4751), 1,
      anon_sym_RPAREN,
    STATE(1795), 1,
      aux_sym_preproc_argument_list_repeat1,
  [67941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_LBRACE,
    ACTIONS(4753), 1,
      sym_identifier,
    STATE(1082), 1,
      sym_field_declaration_list,
  [67954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_LBRACE,
    ACTIONS(4755), 1,
      sym_identifier,
    STATE(1348), 1,
      sym_enumerator_list,
  [67967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4757), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [67976] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_LPAREN2,
    ACTIONS(4759), 1,
      aux_sym_preproc_include_token2,
    STATE(2186), 1,
      sym_preproc_argument_list,
  [67989] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    STATE(1763), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4761), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [68000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4763), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [68009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_COMMA,
    ACTIONS(4765), 1,
      anon_sym_RPAREN,
    STATE(1813), 1,
      aux_sym_parameter_list_repeat1,
  [68022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4767), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4769), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4771), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4773), 1,
      anon_sym_SEMI,
    STATE(1849), 1,
      aux_sym_declaration_repeat1,
  [68074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4775), 1,
      anon_sym_SEMI,
    STATE(1850), 1,
      aux_sym_declaration_repeat1,
  [68087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    ACTIONS(4777), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1867), 1,
      aux_sym_attribute_declaration_repeat1,
  [68100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4779), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4781), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4783), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4785), 1,
      anon_sym_SEMI,
    STATE(1855), 1,
      aux_sym_declaration_repeat1,
  [68152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4787), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [68161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4789), 1,
      anon_sym_SEMI,
    STATE(1874), 1,
      aux_sym_declaration_repeat1,
  [68174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4791), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_COMMA,
    ACTIONS(4793), 1,
      anon_sym_RPAREN,
    STATE(1817), 1,
      aux_sym_preproc_params_repeat1,
  [68200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4795), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [68209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4797), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4799), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4801), 1,
      anon_sym_SEMI,
    STATE(1861), 1,
      aux_sym_declaration_repeat1,
  [68248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_COMMA,
    ACTIONS(4803), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1832), 1,
      aux_sym_attribute_declaration_repeat1,
  [68261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_COLON,
    ACTIONS(4805), 1,
      anon_sym_RPAREN,
    STATE(1829), 1,
      sym_gnu_asm_output_operand_list,
  [68274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4807), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [68283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4809), 1,
      anon_sym_SEMI,
    STATE(1864), 1,
      aux_sym_declaration_repeat1,
  [68296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_COLON,
    ACTIONS(4811), 1,
      anon_sym_RPAREN,
    STATE(1889), 1,
      sym_gnu_asm_output_operand_list,
  [68309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4813), 1,
      anon_sym_SEMI,
    STATE(1893), 1,
      aux_sym_declaration_repeat1,
  [68322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4815), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4817), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3366), 1,
      anon_sym_RPAREN,
    STATE(1900), 1,
      aux_sym_argument_list_repeat1,
  [68361] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_LPAREN2,
    ACTIONS(4819), 1,
      aux_sym_preproc_include_token2,
    STATE(2186), 1,
      sym_preproc_argument_list,
  [68374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 1,
      anon_sym_COMMA,
    ACTIONS(4824), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [68387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(4826), 1,
      anon_sym_RPAREN,
    STATE(1840), 1,
      aux_sym_generic_expression_repeat1,
  [68400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_COLON,
    ACTIONS(4828), 1,
      anon_sym_RPAREN,
    STATE(2109), 1,
      sym_gnu_asm_goto_list,
  [68413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4830), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [68422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4832), 1,
      anon_sym_SEMI,
    STATE(1906), 1,
      aux_sym_declaration_repeat1,
  [68435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4717), 1,
      anon_sym_COMMA,
    ACTIONS(4834), 1,
      anon_sym_RPAREN,
    STATE(1877), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [68448] = 4,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_LPAREN2,
    ACTIONS(4836), 1,
      aux_sym_preproc_include_token2,
    STATE(2186), 1,
      sym_preproc_argument_list,
  [68461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_COLON,
    ACTIONS(4838), 1,
      anon_sym_RPAREN,
    STATE(2164), 1,
      sym_gnu_asm_goto_list,
  [68474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4840), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_RPAREN,
    ACTIONS(4842), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [68498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4846), 1,
      anon_sym_SEMI,
    STATE(2160), 1,
      sym_attribute_specifier,
  [68511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym___attribute__,
    ACTIONS(4848), 1,
      anon_sym_SEMI,
    STATE(2275), 1,
      sym_attribute_specifier,
  [68524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_COLON,
    ACTIONS(4850), 1,
      anon_sym_RPAREN,
    STATE(1903), 1,
      sym_gnu_asm_input_operand_list,
  [68537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 1,
      anon_sym_COLON,
    ACTIONS(4852), 1,
      anon_sym_RPAREN,
    STATE(1879), 1,
      sym_gnu_asm_clobber_list,
  [68550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_RPAREN,
    STATE(1902), 1,
      sym_gnu_asm_output_operand_list,
  [68563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_COLON,
    ACTIONS(4856), 1,
      anon_sym_RPAREN,
    STATE(2147), 1,
      sym_gnu_asm_goto_list,
  [68576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4858), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4860), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4862), 1,
      anon_sym_SEMI,
    STATE(1824), 1,
      aux_sym_declaration_repeat1,
  [68615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4864), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_RBRACE,
    ACTIONS(4866), 1,
      anon_sym_COMMA,
    STATE(1826), 1,
      aux_sym_initializer_list_repeat1,
  [68641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4868), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4870), 1,
      anon_sym_SEMI,
    STATE(1885), 1,
      aux_sym_declaration_repeat1,
  [68667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3374), 1,
      anon_sym_RPAREN,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [68680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(4872), 1,
      anon_sym_RPAREN,
    STATE(1796), 1,
      aux_sym_argument_list_repeat1,
  [68693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_COLON,
    ACTIONS(4874), 1,
      anon_sym_RPAREN,
    STATE(1890), 1,
      sym_gnu_asm_input_operand_list,
  [68706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 1,
      anon_sym_COLON,
    ACTIONS(4876), 1,
      anon_sym_RPAREN,
    STATE(1892), 1,
      sym_gnu_asm_clobber_list,
  [68719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3372), 1,
      anon_sym_RPAREN,
    STATE(1823), 1,
      aux_sym_argument_list_repeat1,
  [68732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3585), 1,
      anon_sym_COMMA,
    ACTIONS(4878), 1,
      anon_sym_RPAREN,
    STATE(1795), 1,
      aux_sym_preproc_argument_list_repeat1,
  [68745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4880), 1,
      anon_sym_SEMI,
    STATE(1814), 1,
      aux_sym_declaration_repeat1,
  [68758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4882), 1,
      anon_sym_SEMI,
    STATE(1894), 1,
      aux_sym_declaration_repeat1,
  [68771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4884), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(378), 1,
      sym_compound_statement,
  [68797] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4886), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4888), 1,
      sym_preproc_arg,
  [68807] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4890), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4892), 1,
      sym_preproc_arg,
  [68817] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4894), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4896), 1,
      sym_preproc_arg,
  [68827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4621), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_RBRACE,
    ACTIONS(4898), 1,
      anon_sym_COMMA,
  [68853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      sym_identifier,
    STATE(1831), 1,
      sym_attribute,
  [68871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [68879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(126), 1,
      sym_compound_statement,
  [68889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(388), 1,
      sym_parenthesized_expression,
  [68899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1727), 1,
      sym_compound_statement,
  [68909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1979), 1,
      sym_parenthesized_expression,
  [68919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(415), 1,
      sym_parenthesized_expression,
  [68929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1999), 1,
      sym_parenthesized_expression,
  [68939] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4908), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4910), 1,
      sym_preproc_arg,
  [68949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(171), 1,
      sym_compound_statement,
  [68959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(2002), 1,
      sym_parenthesized_expression,
  [68969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(2021), 1,
      sym_parenthesized_expression,
  [68979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_compound_statement,
  [68989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1980), 1,
      sym_parenthesized_expression,
  [68999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1948), 1,
      sym_parenthesized_expression,
  [69009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(2187), 1,
      sym_parenthesized_expression,
  [69019] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4912), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4914), 1,
      sym_preproc_arg,
  [69029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(378), 1,
      sym_compound_statement,
  [69039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(109), 1,
      sym_compound_statement,
  [69049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4916), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [69057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1732), 1,
      sym_compound_statement,
  [69067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(439), 1,
      sym_parenthesized_expression,
  [69077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1927), 1,
      sym_parenthesized_expression,
  [69087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(440), 1,
      sym_parenthesized_expression,
  [69097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1977), 1,
      sym_parenthesized_expression,
  [69107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(2105), 1,
      sym_parenthesized_expression,
  [69117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1771), 1,
      sym_compound_statement,
  [69127] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4918), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4920), 1,
      sym_preproc_arg,
  [69137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [69145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(279), 1,
      sym_compound_statement,
  [69155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(108), 1,
      sym_compound_statement,
  [69165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(379), 1,
      sym_parenthesized_expression,
  [69175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1920), 1,
      sym_parenthesized_expression,
  [69185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      sym_identifier,
    ACTIONS(4926), 1,
      anon_sym_RPAREN,
  [69195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(399), 1,
      sym_parenthesized_expression,
  [69205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      sym_identifier,
    STATE(1805), 1,
      sym_attribute,
  [69215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4344), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [69223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [69231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3478), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      sym_identifier,
    ACTIONS(4930), 1,
      anon_sym_LPAREN2,
  [69249] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4932), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4934), 1,
      sym_preproc_arg,
  [69259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3462), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [69275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(466), 1,
      sym_parenthesized_expression,
  [69285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1910), 1,
      sym_parenthesized_expression,
  [69303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    STATE(2048), 1,
      sym_argument_list,
  [69313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(265), 1,
      sym_compound_statement,
  [69323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(2204), 1,
      sym_parenthesized_expression,
  [69333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(457), 1,
      sym_parenthesized_expression,
  [69343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1743), 1,
      sym_compound_statement,
  [69353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_COMMA,
    ACTIONS(4938), 1,
      anon_sym_RBRACE,
  [69363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(279), 1,
      sym_compound_statement,
  [69373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(1935), 1,
      sym_parenthesized_expression,
  [69383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4940), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69391] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4943), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4945), 1,
      sym_preproc_arg,
  [69401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [69409] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4947), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4949), 1,
      sym_preproc_arg,
  [69419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1723), 1,
      sym_compound_statement,
  [69429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_compound_statement,
  [69439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(408), 1,
      sym_parenthesized_expression,
  [69449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(280), 1,
      sym_compound_statement,
  [69459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(287), 1,
      sym_compound_statement,
  [69469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(404), 1,
      sym_parenthesized_expression,
  [69479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      sym_identifier,
    STATE(1996), 1,
      sym_attribute,
  [69489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(384), 1,
      sym_parenthesized_expression,
  [69499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4953), 1,
      anon_sym_LPAREN2,
  [69509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(2006), 1,
      sym_parenthesized_expression,
  [69519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN2,
    STATE(385), 1,
      sym_parenthesized_expression,
  [69529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4900), 1,
      sym_identifier,
    STATE(1854), 1,
      sym_attribute,
  [69539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [69547] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4957), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4959), 1,
      sym_preproc_arg,
  [69557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LPAREN2,
    STATE(2074), 1,
      sym_argument_list,
  [69567] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4961), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4963), 1,
      sym_preproc_arg,
  [69577] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4965), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4967), 1,
      sym_preproc_arg,
  [69587] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4969), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4971), 1,
      sym_preproc_arg,
  [69597] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4973), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4975), 1,
      sym_preproc_arg,
  [69607] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4977), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4979), 1,
      sym_preproc_arg,
  [69617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [69625] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4981), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4983), 1,
      sym_preproc_arg,
  [69635] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4985), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4987), 1,
      sym_preproc_arg,
  [69645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_compound_statement,
  [69655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN2,
    STATE(2134), 1,
      sym_parenthesized_expression,
  [69665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_compound_statement,
  [69675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(193), 1,
      sym_compound_statement,
  [69685] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4989), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4991), 1,
      sym_preproc_arg,
  [69695] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4993), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4995), 1,
      sym_preproc_arg,
  [69705] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4997), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4999), 1,
      sym_preproc_arg,
  [69715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_compound_statement,
  [69725] = 3,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5001), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5003), 1,
      sym_preproc_arg,
  [69735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(209), 1,
      sym_compound_statement,
  [69745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
  [69752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 1,
      sym_identifier,
  [69759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 1,
      anon_sym_LPAREN2,
  [69766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 1,
      aux_sym_preproc_if_token2,
  [69773] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5013), 1,
      aux_sym_preproc_include_token2,
  [69780] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5015), 1,
      aux_sym_preproc_include_token2,
  [69787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 1,
      aux_sym_preproc_if_token2,
  [69794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5019), 1,
      anon_sym_LPAREN2,
  [69801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5021), 1,
      aux_sym_preproc_if_token2,
  [69808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5023), 1,
      sym_identifier,
  [69815] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5025), 1,
      aux_sym_preproc_include_token2,
  [69822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 1,
      anon_sym_RPAREN,
  [69829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5029), 1,
      anon_sym_SEMI,
  [69836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5031), 1,
      anon_sym_COMMA,
  [69843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5033), 1,
      aux_sym_preproc_if_token2,
  [69850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5035), 1,
      aux_sym_preproc_if_token2,
  [69857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5037), 1,
      anon_sym_RPAREN,
  [69864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 1,
      anon_sym_SEMI,
  [69871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_SEMI,
  [69878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5041), 1,
      anon_sym_COLON,
  [69885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_SEMI,
  [69892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5043), 1,
      aux_sym_preproc_if_token2,
  [69899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5045), 1,
      anon_sym_SEMI,
  [69906] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5047), 1,
      aux_sym_preproc_include_token2,
  [69913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5049), 1,
      anon_sym_RPAREN,
  [69920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5051), 1,
      anon_sym_STAR,
  [69927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_SEMI,
  [69934] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5053), 1,
      aux_sym_preproc_include_token2,
  [69941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 1,
      anon_sym_RPAREN,
  [69948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5057), 1,
      anon_sym_RPAREN,
  [69955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3424), 1,
      anon_sym_SEMI,
  [69962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5059), 1,
      aux_sym_preproc_if_token2,
  [69969] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5061), 1,
      aux_sym_preproc_include_token2,
  [69976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5063), 1,
      aux_sym_preproc_if_token2,
  [69983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5065), 1,
      aux_sym_preproc_if_token2,
  [69990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      aux_sym_preproc_if_token2,
  [69997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_RPAREN,
  [70004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_RPAREN,
  [70011] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5073), 1,
      aux_sym_preproc_include_token2,
  [70018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 1,
      anon_sym_RPAREN,
  [70025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 1,
      aux_sym_preproc_if_token2,
  [70032] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5079), 1,
      aux_sym_preproc_include_token2,
  [70039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 1,
      sym_primitive_type,
  [70046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_RPAREN,
  [70053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      aux_sym_preproc_if_token2,
  [70060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      sym_identifier,
  [70067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5089), 1,
      aux_sym_preproc_if_token2,
  [70074] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5091), 1,
      aux_sym_preproc_include_token2,
  [70081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      sym_identifier,
  [70088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 1,
      anon_sym_RPAREN,
  [70095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 1,
      anon_sym_SEMI,
  [70102] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5099), 1,
      aux_sym_preproc_include_token2,
  [70109] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5101), 1,
      aux_sym_preproc_include_token2,
  [70116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 1,
      aux_sym_preproc_if_token2,
  [70123] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5105), 1,
      aux_sym_preproc_include_token2,
  [70130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 1,
      anon_sym_RPAREN,
  [70137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 1,
      anon_sym_RPAREN,
  [70144] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5111), 1,
      aux_sym_preproc_include_token2,
  [70151] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5113), 1,
      aux_sym_preproc_include_token2,
  [70158] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5115), 1,
      aux_sym_preproc_include_token2,
  [70165] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5117), 1,
      aux_sym_preproc_include_token2,
  [70172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_RPAREN,
  [70179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      sym_identifier,
  [70186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      sym_identifier,
  [70193] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5123), 1,
      aux_sym_preproc_include_token2,
  [70200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_STAR,
  [70207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 1,
      anon_sym_RPAREN,
  [70214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 1,
      aux_sym_preproc_if_token2,
  [70221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 1,
      anon_sym_COLON,
  [70228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_SEMI,
  [70235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      anon_sym_SEMI,
  [70242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5135), 1,
      sym_identifier,
  [70249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5137), 1,
      aux_sym_preproc_if_token2,
  [70256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5139), 1,
      anon_sym_while,
  [70263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5141), 1,
      aux_sym_preproc_if_token2,
  [70270] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4759), 1,
      aux_sym_preproc_include_token2,
  [70277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_SEMI,
  [70284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_SEMI,
  [70291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5147), 1,
      anon_sym_RPAREN,
  [70298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_STAR,
  [70305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5151), 1,
      anon_sym_SEMI,
  [70312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_COLON,
  [70319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5155), 1,
      anon_sym_SEMI,
  [70326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 1,
      anon_sym_SEMI,
  [70333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_RPAREN,
  [70340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3476), 1,
      anon_sym_RPAREN,
  [70347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_SEMI,
  [70354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_RBRACK,
  [70361] = 2,
    ACTIONS(2424), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3619), 1,
      sym_comment,
  [70368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5163), 1,
      anon_sym_RPAREN,
  [70375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5165), 1,
      aux_sym_preproc_if_token2,
  [70382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      aux_sym_preproc_if_token2,
  [70389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      aux_sym_preproc_if_token2,
  [70396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      aux_sym_preproc_if_token2,
  [70403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_RPAREN,
  [70410] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5175), 1,
      aux_sym_preproc_include_token2,
  [70417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_SEMI,
  [70424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_SEMI,
  [70431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 1,
      anon_sym_SEMI,
  [70438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 1,
      anon_sym_RPAREN,
  [70445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 1,
      anon_sym_RPAREN,
  [70452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3388), 1,
      anon_sym_SEMI,
  [70459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_RBRACE,
  [70466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_SEMI,
  [70473] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4819), 1,
      aux_sym_preproc_include_token2,
  [70480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 1,
      sym_identifier,
  [70487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5191), 1,
      sym_identifier,
  [70494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5193), 1,
      aux_sym_preproc_if_token2,
  [70501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5195), 1,
      aux_sym_preproc_if_token2,
  [70508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_SEMI,
  [70515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_STAR,
  [70522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      sym_identifier,
  [70529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      aux_sym_preproc_if_token2,
  [70536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_RPAREN,
  [70543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_RPAREN,
  [70550] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4836), 1,
      aux_sym_preproc_include_token2,
  [70557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5209), 1,
      aux_sym_preproc_if_token2,
  [70564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 1,
      aux_sym_preproc_if_token2,
  [70571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5213), 1,
      aux_sym_preproc_if_token2,
  [70578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_COMMA,
  [70585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_SEMI,
  [70592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 1,
      anon_sym_RBRACE,
  [70599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      sym_identifier,
  [70606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 1,
      aux_sym_preproc_if_token2,
  [70613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 1,
      anon_sym_RBRACE,
  [70620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5225), 1,
      anon_sym_SEMI,
  [70627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_SEMI,
  [70634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3428), 1,
      anon_sym_SEMI,
  [70641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 1,
      sym_identifier,
  [70648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_RPAREN,
  [70655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_RPAREN,
  [70662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 1,
      anon_sym_COLON,
  [70669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5233), 1,
      anon_sym_SEMI,
  [70676] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5235), 1,
      aux_sym_preproc_include_token2,
  [70683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_COLON,
  [70690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5239), 1,
      anon_sym_SEMI,
  [70697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5241), 1,
      anon_sym_RPAREN,
  [70704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5243), 1,
      sym_identifier,
  [70711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_RPAREN,
  [70718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5247), 1,
      aux_sym_preproc_if_token2,
  [70725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      aux_sym_preproc_if_token2,
  [70732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5251), 1,
      aux_sym_preproc_if_token2,
  [70739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5253), 1,
      sym_identifier,
  [70746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      aux_sym_preproc_if_token2,
  [70753] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5257), 1,
      aux_sym_preproc_include_token2,
  [70760] = 2,
    ACTIONS(3330), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3619), 1,
      sym_comment,
  [70767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5259), 1,
      sym_identifier,
  [70774] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4708), 1,
      aux_sym_preproc_include_token2,
  [70781] = 2,
    ACTIONS(3348), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3619), 1,
      sym_comment,
  [70788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5261), 1,
      sym_identifier,
  [70795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5263), 1,
      aux_sym_preproc_if_token2,
  [70802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_SEMI,
  [70809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_SEMI,
  [70816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 1,
      aux_sym_preproc_if_token2,
  [70823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_identifier,
  [70830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_RPAREN,
  [70837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 1,
      anon_sym_RPAREN,
  [70844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      sym_identifier,
  [70851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_COLON,
  [70858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 1,
      aux_sym_preproc_if_token2,
  [70865] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5283), 1,
      aux_sym_preproc_include_token2,
  [70872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      sym_identifier,
  [70879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_primitive_type,
  [70886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 1,
      aux_sym_preproc_if_token2,
  [70893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 1,
      aux_sym_preproc_if_token2,
  [70900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      sym_identifier,
  [70907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5295), 1,
      anon_sym_SEMI,
  [70914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 1,
      anon_sym_RPAREN,
  [70921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5299), 1,
      aux_sym_preproc_if_token2,
  [70928] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5301), 1,
      aux_sym_preproc_include_token2,
  [70935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5303), 1,
      aux_sym_preproc_if_token2,
  [70942] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_preproc_include_token2,
  [70949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
  [70956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5305), 1,
      sym_identifier,
  [70963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 1,
      sym_identifier,
  [70970] = 2,
    ACTIONS(2420), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3619), 1,
      sym_comment,
  [70977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5309), 1,
      sym_identifier,
  [70984] = 2,
    ACTIONS(3334), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3619), 1,
      sym_comment,
  [70991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_SEMI,
  [70998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      aux_sym_preproc_if_token2,
  [71005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym_RPAREN,
  [71012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      sym_identifier,
  [71019] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5319), 1,
      aux_sym_preproc_include_token2,
  [71026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 1,
      ts_builtin_sym_end,
  [71033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_RPAREN,
  [71040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 1,
      anon_sym_LPAREN2,
  [71047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 1,
      aux_sym_preproc_if_token2,
  [71054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5327), 1,
      aux_sym_preproc_if_token2,
  [71061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5329), 1,
      anon_sym_SEMI,
  [71068] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5331), 1,
      aux_sym_preproc_include_token2,
  [71075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5333), 1,
      sym_identifier,
  [71082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 1,
      sym_identifier,
  [71089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 1,
      anon_sym_SEMI,
  [71096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_RPAREN,
  [71103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 1,
      sym_identifier,
  [71110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 1,
      anon_sym_SEMI,
  [71117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5345), 1,
      aux_sym_preproc_if_token2,
  [71124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 1,
      anon_sym_RBRACK,
  [71131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 1,
      aux_sym_preproc_if_token2,
  [71138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5351), 1,
      sym_identifier,
  [71145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 1,
      sym_identifier,
  [71152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_RPAREN,
  [71159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_RPAREN,
  [71166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_SEMI,
  [71173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      anon_sym_RPAREN,
  [71180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5357), 1,
      sym_identifier,
  [71187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5359), 1,
      sym_identifier,
  [71194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_COMMA,
  [71201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 1,
      anon_sym_RPAREN,
  [71208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      aux_sym_preproc_if_token2,
  [71215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LPAREN2,
  [71222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      sym_identifier,
  [71229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5367), 1,
      aux_sym_preproc_if_token2,
  [71236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5369), 1,
      aux_sym_preproc_if_token2,
  [71243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5371), 1,
      anon_sym_SEMI,
  [71250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5373), 1,
      aux_sym_preproc_if_token2,
  [71257] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5375), 1,
      aux_sym_preproc_include_token2,
  [71264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5377), 1,
      sym_identifier,
  [71271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5379), 1,
      anon_sym_LPAREN2,
  [71278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5381), 1,
      anon_sym_LPAREN2,
  [71285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5383), 1,
      sym_identifier,
  [71292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5385), 1,
      sym_identifier,
  [71299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 1,
      sym_identifier,
  [71306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5389), 1,
      sym_identifier,
  [71313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5391), 1,
      aux_sym_preproc_if_token2,
  [71320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5393), 1,
      sym_identifier,
  [71327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym_SEMI,
  [71334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_SEMI,
  [71341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3470), 1,
      anon_sym_RPAREN,
  [71348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_LPAREN2,
  [71355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5401), 1,
      anon_sym_LPAREN2,
  [71362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 1,
      anon_sym_RBRACE,
  [71369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 1,
      anon_sym_LPAREN2,
  [71376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 1,
      aux_sym_preproc_if_token2,
  [71383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym_COLON,
  [71390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3384), 1,
      anon_sym_RPAREN,
  [71397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5411), 1,
      anon_sym_RPAREN,
  [71404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      aux_sym_preproc_if_token2,
  [71411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3450), 1,
      anon_sym_SEMI,
  [71418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5415), 1,
      aux_sym_preproc_if_token2,
  [71425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_while,
  [71432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_SEMI,
  [71439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5419), 1,
      anon_sym_RPAREN,
  [71446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 1,
      anon_sym_COLON,
  [71453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5423), 1,
      sym_identifier,
  [71460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 1,
      anon_sym_RPAREN,
  [71467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 1,
      anon_sym_LPAREN2,
  [71474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_COMMA,
  [71481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 1,
      anon_sym_RPAREN,
  [71488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5433), 1,
      anon_sym_COLON,
  [71495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym_SEMI,
  [71502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      anon_sym_SEMI,
  [71509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5437), 1,
      anon_sym_LPAREN2,
  [71516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_SEMI,
  [71523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 1,
      aux_sym_preproc_if_token2,
  [71530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5443), 1,
      anon_sym_while,
  [71537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5445), 1,
      sym_identifier,
  [71544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 1,
      anon_sym_RBRACE,
  [71551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_COMMA,
  [71558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5449), 1,
      aux_sym_preproc_if_token2,
  [71565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_RPAREN,
  [71572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_identifier,
  [71579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5455), 1,
      sym_identifier,
  [71586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5457), 1,
      anon_sym_while,
  [71593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
  [71600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5461), 1,
      anon_sym_RPAREN,
  [71607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5463), 1,
      anon_sym_SEMI,
  [71614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5465), 1,
      anon_sym_RPAREN,
  [71621] = 2,
    ACTIONS(3352), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3619), 1,
      sym_comment,
  [71628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5467), 1,
      anon_sym_LPAREN2,
  [71635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3408), 1,
      anon_sym_SEMI,
  [71642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5469), 1,
      anon_sym_while,
  [71649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5471), 1,
      aux_sym_preproc_if_token2,
  [71656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_RBRACE,
  [71663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5473), 1,
      aux_sym_preproc_if_token2,
  [71670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5475), 1,
      aux_sym_preproc_if_token2,
  [71677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5477), 1,
      anon_sym_LPAREN2,
  [71684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5479), 1,
      aux_sym_preproc_if_token2,
  [71691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_RBRACE,
  [71698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_SEMI,
  [71705] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5483), 1,
      aux_sym_preproc_include_token2,
  [71712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5485), 1,
      anon_sym_LPAREN2,
  [71719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5487), 1,
      anon_sym_RBRACE,
  [71726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5489), 1,
      sym_identifier,
  [71733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5491), 1,
      anon_sym_LPAREN2,
  [71740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 1,
      aux_sym_preproc_if_token2,
  [71747] = 2,
    ACTIONS(3619), 1,
      sym_comment,
    ACTIONS(5495), 1,
      aux_sym_preproc_include_token2,
  [71754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5497), 1,
      anon_sym_LPAREN2,
  [71761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5499), 1,
      aux_sym_preproc_if_token2,
  [71768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5501), 1,
      sym_identifier,
  [71775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5503), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(582)] = 0,
  [SMALL_STATE(583)] = 115,
  [SMALL_STATE(584)] = 230,
  [SMALL_STATE(585)] = 342,
  [SMALL_STATE(586)] = 452,
  [SMALL_STATE(587)] = 561,
  [SMALL_STATE(588)] = 670,
  [SMALL_STATE(589)] = 779,
  [SMALL_STATE(590)] = 888,
  [SMALL_STATE(591)] = 997,
  [SMALL_STATE(592)] = 1106,
  [SMALL_STATE(593)] = 1213,
  [SMALL_STATE(594)] = 1322,
  [SMALL_STATE(595)] = 1431,
  [SMALL_STATE(596)] = 1538,
  [SMALL_STATE(597)] = 1645,
  [SMALL_STATE(598)] = 1754,
  [SMALL_STATE(599)] = 1863,
  [SMALL_STATE(600)] = 1972,
  [SMALL_STATE(601)] = 2079,
  [SMALL_STATE(602)] = 2188,
  [SMALL_STATE(603)] = 2297,
  [SMALL_STATE(604)] = 2406,
  [SMALL_STATE(605)] = 2515,
  [SMALL_STATE(606)] = 2624,
  [SMALL_STATE(607)] = 2733,
  [SMALL_STATE(608)] = 2842,
  [SMALL_STATE(609)] = 2951,
  [SMALL_STATE(610)] = 3060,
  [SMALL_STATE(611)] = 3169,
  [SMALL_STATE(612)] = 3275,
  [SMALL_STATE(613)] = 3379,
  [SMALL_STATE(614)] = 3487,
  [SMALL_STATE(615)] = 3593,
  [SMALL_STATE(616)] = 3699,
  [SMALL_STATE(617)] = 3805,
  [SMALL_STATE(618)] = 3911,
  [SMALL_STATE(619)] = 4015,
  [SMALL_STATE(620)] = 4123,
  [SMALL_STATE(621)] = 4227,
  [SMALL_STATE(622)] = 4333,
  [SMALL_STATE(623)] = 4439,
  [SMALL_STATE(624)] = 4543,
  [SMALL_STATE(625)] = 4647,
  [SMALL_STATE(626)] = 4751,
  [SMALL_STATE(627)] = 4859,
  [SMALL_STATE(628)] = 4963,
  [SMALL_STATE(629)] = 5071,
  [SMALL_STATE(630)] = 5177,
  [SMALL_STATE(631)] = 5281,
  [SMALL_STATE(632)] = 5385,
  [SMALL_STATE(633)] = 5493,
  [SMALL_STATE(634)] = 5599,
  [SMALL_STATE(635)] = 5707,
  [SMALL_STATE(636)] = 5811,
  [SMALL_STATE(637)] = 5917,
  [SMALL_STATE(638)] = 6023,
  [SMALL_STATE(639)] = 6126,
  [SMALL_STATE(640)] = 6227,
  [SMALL_STATE(641)] = 6330,
  [SMALL_STATE(642)] = 6433,
  [SMALL_STATE(643)] = 6534,
  [SMALL_STATE(644)] = 6635,
  [SMALL_STATE(645)] = 6738,
  [SMALL_STATE(646)] = 6841,
  [SMALL_STATE(647)] = 6944,
  [SMALL_STATE(648)] = 7045,
  [SMALL_STATE(649)] = 7148,
  [SMALL_STATE(650)] = 7261,
  [SMALL_STATE(651)] = 7364,
  [SMALL_STATE(652)] = 7467,
  [SMALL_STATE(653)] = 7570,
  [SMALL_STATE(654)] = 7673,
  [SMALL_STATE(655)] = 7774,
  [SMALL_STATE(656)] = 7875,
  [SMALL_STATE(657)] = 7976,
  [SMALL_STATE(658)] = 8077,
  [SMALL_STATE(659)] = 8178,
  [SMALL_STATE(660)] = 8279,
  [SMALL_STATE(661)] = 8380,
  [SMALL_STATE(662)] = 8481,
  [SMALL_STATE(663)] = 8582,
  [SMALL_STATE(664)] = 8683,
  [SMALL_STATE(665)] = 8784,
  [SMALL_STATE(666)] = 8887,
  [SMALL_STATE(667)] = 8988,
  [SMALL_STATE(668)] = 9089,
  [SMALL_STATE(669)] = 9190,
  [SMALL_STATE(670)] = 9291,
  [SMALL_STATE(671)] = 9392,
  [SMALL_STATE(672)] = 9495,
  [SMALL_STATE(673)] = 9598,
  [SMALL_STATE(674)] = 9699,
  [SMALL_STATE(675)] = 9800,
  [SMALL_STATE(676)] = 9903,
  [SMALL_STATE(677)] = 10006,
  [SMALL_STATE(678)] = 10109,
  [SMALL_STATE(679)] = 10210,
  [SMALL_STATE(680)] = 10311,
  [SMALL_STATE(681)] = 10412,
  [SMALL_STATE(682)] = 10515,
  [SMALL_STATE(683)] = 10616,
  [SMALL_STATE(684)] = 10717,
  [SMALL_STATE(685)] = 10818,
  [SMALL_STATE(686)] = 10921,
  [SMALL_STATE(687)] = 11024,
  [SMALL_STATE(688)] = 11125,
  [SMALL_STATE(689)] = 11228,
  [SMALL_STATE(690)] = 11329,
  [SMALL_STATE(691)] = 11432,
  [SMALL_STATE(692)] = 11533,
  [SMALL_STATE(693)] = 11634,
  [SMALL_STATE(694)] = 11735,
  [SMALL_STATE(695)] = 11838,
  [SMALL_STATE(696)] = 11941,
  [SMALL_STATE(697)] = 12042,
  [SMALL_STATE(698)] = 12143,
  [SMALL_STATE(699)] = 12244,
  [SMALL_STATE(700)] = 12345,
  [SMALL_STATE(701)] = 12446,
  [SMALL_STATE(702)] = 12547,
  [SMALL_STATE(703)] = 12648,
  [SMALL_STATE(704)] = 12751,
  [SMALL_STATE(705)] = 12852,
  [SMALL_STATE(706)] = 12953,
  [SMALL_STATE(707)] = 13054,
  [SMALL_STATE(708)] = 13155,
  [SMALL_STATE(709)] = 13256,
  [SMALL_STATE(710)] = 13357,
  [SMALL_STATE(711)] = 13460,
  [SMALL_STATE(712)] = 13563,
  [SMALL_STATE(713)] = 13666,
  [SMALL_STATE(714)] = 13769,
  [SMALL_STATE(715)] = 13870,
  [SMALL_STATE(716)] = 13973,
  [SMALL_STATE(717)] = 14074,
  [SMALL_STATE(718)] = 14177,
  [SMALL_STATE(719)] = 14280,
  [SMALL_STATE(720)] = 14381,
  [SMALL_STATE(721)] = 14482,
  [SMALL_STATE(722)] = 14583,
  [SMALL_STATE(723)] = 14684,
  [SMALL_STATE(724)] = 14785,
  [SMALL_STATE(725)] = 14888,
  [SMALL_STATE(726)] = 14991,
  [SMALL_STATE(727)] = 15094,
  [SMALL_STATE(728)] = 15195,
  [SMALL_STATE(729)] = 15296,
  [SMALL_STATE(730)] = 15399,
  [SMALL_STATE(731)] = 15502,
  [SMALL_STATE(732)] = 15603,
  [SMALL_STATE(733)] = 15704,
  [SMALL_STATE(734)] = 15807,
  [SMALL_STATE(735)] = 15910,
  [SMALL_STATE(736)] = 16013,
  [SMALL_STATE(737)] = 16116,
  [SMALL_STATE(738)] = 16219,
  [SMALL_STATE(739)] = 16322,
  [SMALL_STATE(740)] = 16425,
  [SMALL_STATE(741)] = 16528,
  [SMALL_STATE(742)] = 16631,
  [SMALL_STATE(743)] = 16734,
  [SMALL_STATE(744)] = 16837,
  [SMALL_STATE(745)] = 16940,
  [SMALL_STATE(746)] = 17043,
  [SMALL_STATE(747)] = 17146,
  [SMALL_STATE(748)] = 17249,
  [SMALL_STATE(749)] = 17352,
  [SMALL_STATE(750)] = 17455,
  [SMALL_STATE(751)] = 17558,
  [SMALL_STATE(752)] = 17661,
  [SMALL_STATE(753)] = 17764,
  [SMALL_STATE(754)] = 17865,
  [SMALL_STATE(755)] = 17968,
  [SMALL_STATE(756)] = 18071,
  [SMALL_STATE(757)] = 18174,
  [SMALL_STATE(758)] = 18277,
  [SMALL_STATE(759)] = 18380,
  [SMALL_STATE(760)] = 18481,
  [SMALL_STATE(761)] = 18584,
  [SMALL_STATE(762)] = 18687,
  [SMALL_STATE(763)] = 18790,
  [SMALL_STATE(764)] = 18893,
  [SMALL_STATE(765)] = 18996,
  [SMALL_STATE(766)] = 19099,
  [SMALL_STATE(767)] = 19202,
  [SMALL_STATE(768)] = 19305,
  [SMALL_STATE(769)] = 19406,
  [SMALL_STATE(770)] = 19507,
  [SMALL_STATE(771)] = 19610,
  [SMALL_STATE(772)] = 19713,
  [SMALL_STATE(773)] = 19816,
  [SMALL_STATE(774)] = 19919,
  [SMALL_STATE(775)] = 20020,
  [SMALL_STATE(776)] = 20121,
  [SMALL_STATE(777)] = 20222,
  [SMALL_STATE(778)] = 20325,
  [SMALL_STATE(779)] = 20428,
  [SMALL_STATE(780)] = 20531,
  [SMALL_STATE(781)] = 20634,
  [SMALL_STATE(782)] = 20737,
  [SMALL_STATE(783)] = 20840,
  [SMALL_STATE(784)] = 20943,
  [SMALL_STATE(785)] = 21046,
  [SMALL_STATE(786)] = 21149,
  [SMALL_STATE(787)] = 21252,
  [SMALL_STATE(788)] = 21355,
  [SMALL_STATE(789)] = 21458,
  [SMALL_STATE(790)] = 21561,
  [SMALL_STATE(791)] = 21664,
  [SMALL_STATE(792)] = 21752,
  [SMALL_STATE(793)] = 21823,
  [SMALL_STATE(794)] = 21924,
  [SMALL_STATE(795)] = 22025,
  [SMALL_STATE(796)] = 22096,
  [SMALL_STATE(797)] = 22197,
  [SMALL_STATE(798)] = 22298,
  [SMALL_STATE(799)] = 22399,
  [SMALL_STATE(800)] = 22470,
  [SMALL_STATE(801)] = 22538,
  [SMALL_STATE(802)] = 22601,
  [SMALL_STATE(803)] = 22664,
  [SMALL_STATE(804)] = 22726,
  [SMALL_STATE(805)] = 22788,
  [SMALL_STATE(806)] = 22850,
  [SMALL_STATE(807)] = 22912,
  [SMALL_STATE(808)] = 22974,
  [SMALL_STATE(809)] = 23036,
  [SMALL_STATE(810)] = 23098,
  [SMALL_STATE(811)] = 23160,
  [SMALL_STATE(812)] = 23222,
  [SMALL_STATE(813)] = 23284,
  [SMALL_STATE(814)] = 23343,
  [SMALL_STATE(815)] = 23402,
  [SMALL_STATE(816)] = 23461,
  [SMALL_STATE(817)] = 23526,
  [SMALL_STATE(818)] = 23585,
  [SMALL_STATE(819)] = 23677,
  [SMALL_STATE(820)] = 23769,
  [SMALL_STATE(821)] = 23827,
  [SMALL_STATE(822)] = 23885,
  [SMALL_STATE(823)] = 23977,
  [SMALL_STATE(824)] = 24035,
  [SMALL_STATE(825)] = 24127,
  [SMALL_STATE(826)] = 24219,
  [SMALL_STATE(827)] = 24311,
  [SMALL_STATE(828)] = 24369,
  [SMALL_STATE(829)] = 24427,
  [SMALL_STATE(830)] = 24485,
  [SMALL_STATE(831)] = 24577,
  [SMALL_STATE(832)] = 24635,
  [SMALL_STATE(833)] = 24727,
  [SMALL_STATE(834)] = 24785,
  [SMALL_STATE(835)] = 24877,
  [SMALL_STATE(836)] = 24935,
  [SMALL_STATE(837)] = 24993,
  [SMALL_STATE(838)] = 25085,
  [SMALL_STATE(839)] = 25177,
  [SMALL_STATE(840)] = 25235,
  [SMALL_STATE(841)] = 25327,
  [SMALL_STATE(842)] = 25419,
  [SMALL_STATE(843)] = 25477,
  [SMALL_STATE(844)] = 25535,
  [SMALL_STATE(845)] = 25627,
  [SMALL_STATE(846)] = 25719,
  [SMALL_STATE(847)] = 25811,
  [SMALL_STATE(848)] = 25869,
  [SMALL_STATE(849)] = 25961,
  [SMALL_STATE(850)] = 26053,
  [SMALL_STATE(851)] = 26147,
  [SMALL_STATE(852)] = 26239,
  [SMALL_STATE(853)] = 26331,
  [SMALL_STATE(854)] = 26423,
  [SMALL_STATE(855)] = 26481,
  [SMALL_STATE(856)] = 26539,
  [SMALL_STATE(857)] = 26628,
  [SMALL_STATE(858)] = 26719,
  [SMALL_STATE(859)] = 26776,
  [SMALL_STATE(860)] = 26833,
  [SMALL_STATE(861)] = 26900,
  [SMALL_STATE(862)] = 26989,
  [SMALL_STATE(863)] = 27046,
  [SMALL_STATE(864)] = 27111,
  [SMALL_STATE(865)] = 27176,
  [SMALL_STATE(866)] = 27233,
  [SMALL_STATE(867)] = 27300,
  [SMALL_STATE(868)] = 27361,
  [SMALL_STATE(869)] = 27428,
  [SMALL_STATE(870)] = 27495,
  [SMALL_STATE(871)] = 27562,
  [SMALL_STATE(872)] = 27624,
  [SMALL_STATE(873)] = 27686,
  [SMALL_STATE(874)] = 27750,
  [SMALL_STATE(875)] = 27812,
  [SMALL_STATE(876)] = 27875,
  [SMALL_STATE(877)] = 27934,
  [SMALL_STATE(878)] = 27993,
  [SMALL_STATE(879)] = 28052,
  [SMALL_STATE(880)] = 28134,
  [SMALL_STATE(881)] = 28216,
  [SMALL_STATE(882)] = 28270,
  [SMALL_STATE(883)] = 28352,
  [SMALL_STATE(884)] = 28434,
  [SMALL_STATE(885)] = 28516,
  [SMALL_STATE(886)] = 28598,
  [SMALL_STATE(887)] = 28680,
  [SMALL_STATE(888)] = 28734,
  [SMALL_STATE(889)] = 28816,
  [SMALL_STATE(890)] = 28898,
  [SMALL_STATE(891)] = 28980,
  [SMALL_STATE(892)] = 29043,
  [SMALL_STATE(893)] = 29106,
  [SMALL_STATE(894)] = 29185,
  [SMALL_STATE(895)] = 29248,
  [SMALL_STATE(896)] = 29301,
  [SMALL_STATE(897)] = 29364,
  [SMALL_STATE(898)] = 29429,
  [SMALL_STATE(899)] = 29492,
  [SMALL_STATE(900)] = 29555,
  [SMALL_STATE(901)] = 29618,
  [SMALL_STATE(902)] = 29704,
  [SMALL_STATE(903)] = 29780,
  [SMALL_STATE(904)] = 29866,
  [SMALL_STATE(905)] = 29952,
  [SMALL_STATE(906)] = 30016,
  [SMALL_STATE(907)] = 30098,
  [SMALL_STATE(908)] = 30164,
  [SMALL_STATE(909)] = 30224,
  [SMALL_STATE(910)] = 30292,
  [SMALL_STATE(911)] = 30364,
  [SMALL_STATE(912)] = 30438,
  [SMALL_STATE(913)] = 30518,
  [SMALL_STATE(914)] = 30596,
  [SMALL_STATE(915)] = 30681,
  [SMALL_STATE(916)] = 30766,
  [SMALL_STATE(917)] = 30821,
  [SMALL_STATE(918)] = 30872,
  [SMALL_STATE(919)] = 30923,
  [SMALL_STATE(920)] = 30988,
  [SMALL_STATE(921)] = 31055,
  [SMALL_STATE(922)] = 31126,
  [SMALL_STATE(923)] = 31199,
  [SMALL_STATE(924)] = 31274,
  [SMALL_STATE(925)] = 31351,
  [SMALL_STATE(926)] = 31430,
  [SMALL_STATE(927)] = 31515,
  [SMALL_STATE(928)] = 31566,
  [SMALL_STATE(929)] = 31647,
  [SMALL_STATE(930)] = 31698,
  [SMALL_STATE(931)] = 31749,
  [SMALL_STATE(932)] = 31812,
  [SMALL_STATE(933)] = 31870,
  [SMALL_STATE(934)] = 31930,
  [SMALL_STATE(935)] = 32014,
  [SMALL_STATE(936)] = 32074,
  [SMALL_STATE(937)] = 32136,
  [SMALL_STATE(938)] = 32216,
  [SMALL_STATE(939)] = 32294,
  [SMALL_STATE(940)] = 32370,
  [SMALL_STATE(941)] = 32444,
  [SMALL_STATE(942)] = 32516,
  [SMALL_STATE(943)] = 32586,
  [SMALL_STATE(944)] = 32652,
  [SMALL_STATE(945)] = 32716,
  [SMALL_STATE(946)] = 32800,
  [SMALL_STATE(947)] = 32884,
  [SMALL_STATE(948)] = 32938,
  [SMALL_STATE(949)] = 32998,
  [SMALL_STATE(950)] = 33058,
  [SMALL_STATE(951)] = 33118,
  [SMALL_STATE(952)] = 33167,
  [SMALL_STATE(953)] = 33216,
  [SMALL_STATE(954)] = 33265,
  [SMALL_STATE(955)] = 33314,
  [SMALL_STATE(956)] = 33363,
  [SMALL_STATE(957)] = 33412,
  [SMALL_STATE(958)] = 33461,
  [SMALL_STATE(959)] = 33510,
  [SMALL_STATE(960)] = 33559,
  [SMALL_STATE(961)] = 33608,
  [SMALL_STATE(962)] = 33657,
  [SMALL_STATE(963)] = 33706,
  [SMALL_STATE(964)] = 33755,
  [SMALL_STATE(965)] = 33804,
  [SMALL_STATE(966)] = 33853,
  [SMALL_STATE(967)] = 33902,
  [SMALL_STATE(968)] = 33951,
  [SMALL_STATE(969)] = 34000,
  [SMALL_STATE(970)] = 34049,
  [SMALL_STATE(971)] = 34098,
  [SMALL_STATE(972)] = 34147,
  [SMALL_STATE(973)] = 34196,
  [SMALL_STATE(974)] = 34245,
  [SMALL_STATE(975)] = 34294,
  [SMALL_STATE(976)] = 34343,
  [SMALL_STATE(977)] = 34392,
  [SMALL_STATE(978)] = 34441,
  [SMALL_STATE(979)] = 34490,
  [SMALL_STATE(980)] = 34539,
  [SMALL_STATE(981)] = 34588,
  [SMALL_STATE(982)] = 34637,
  [SMALL_STATE(983)] = 34686,
  [SMALL_STATE(984)] = 34735,
  [SMALL_STATE(985)] = 34784,
  [SMALL_STATE(986)] = 34833,
  [SMALL_STATE(987)] = 34882,
  [SMALL_STATE(988)] = 34931,
  [SMALL_STATE(989)] = 34980,
  [SMALL_STATE(990)] = 35029,
  [SMALL_STATE(991)] = 35078,
  [SMALL_STATE(992)] = 35127,
  [SMALL_STATE(993)] = 35176,
  [SMALL_STATE(994)] = 35225,
  [SMALL_STATE(995)] = 35274,
  [SMALL_STATE(996)] = 35327,
  [SMALL_STATE(997)] = 35376,
  [SMALL_STATE(998)] = 35451,
  [SMALL_STATE(999)] = 35510,
  [SMALL_STATE(1000)] = 35557,
  [SMALL_STATE(1001)] = 35604,
  [SMALL_STATE(1002)] = 35651,
  [SMALL_STATE(1003)] = 35698,
  [SMALL_STATE(1004)] = 35745,
  [SMALL_STATE(1005)] = 35792,
  [SMALL_STATE(1006)] = 35839,
  [SMALL_STATE(1007)] = 35894,
  [SMALL_STATE(1008)] = 35941,
  [SMALL_STATE(1009)] = 35988,
  [SMALL_STATE(1010)] = 36035,
  [SMALL_STATE(1011)] = 36082,
  [SMALL_STATE(1012)] = 36129,
  [SMALL_STATE(1013)] = 36176,
  [SMALL_STATE(1014)] = 36235,
  [SMALL_STATE(1015)] = 36282,
  [SMALL_STATE(1016)] = 36329,
  [SMALL_STATE(1017)] = 36382,
  [SMALL_STATE(1018)] = 36441,
  [SMALL_STATE(1019)] = 36496,
  [SMALL_STATE(1020)] = 36579,
  [SMALL_STATE(1021)] = 36638,
  [SMALL_STATE(1022)] = 36693,
  [SMALL_STATE(1023)] = 36740,
  [SMALL_STATE(1024)] = 36819,
  [SMALL_STATE(1025)] = 36872,
  [SMALL_STATE(1026)] = 36931,
  [SMALL_STATE(1027)] = 36988,
  [SMALL_STATE(1028)] = 37043,
  [SMALL_STATE(1029)] = 37090,
  [SMALL_STATE(1030)] = 37137,
  [SMALL_STATE(1031)] = 37184,
  [SMALL_STATE(1032)] = 37231,
  [SMALL_STATE(1033)] = 37314,
  [SMALL_STATE(1034)] = 37397,
  [SMALL_STATE(1035)] = 37460,
  [SMALL_STATE(1036)] = 37525,
  [SMALL_STATE(1037)] = 37594,
  [SMALL_STATE(1038)] = 37665,
  [SMALL_STATE(1039)] = 37738,
  [SMALL_STATE(1040)] = 37815,
  [SMALL_STATE(1041)] = 37894,
  [SMALL_STATE(1042)] = 37949,
  [SMALL_STATE(1043)] = 38010,
  [SMALL_STATE(1044)] = 38056,
  [SMALL_STATE(1045)] = 38102,
  [SMALL_STATE(1046)] = 38148,
  [SMALL_STATE(1047)] = 38198,
  [SMALL_STATE(1048)] = 38244,
  [SMALL_STATE(1049)] = 38290,
  [SMALL_STATE(1050)] = 38339,
  [SMALL_STATE(1051)] = 38384,
  [SMALL_STATE(1052)] = 38441,
  [SMALL_STATE(1053)] = 38498,
  [SMALL_STATE(1054)] = 38543,
  [SMALL_STATE(1055)] = 38592,
  [SMALL_STATE(1056)] = 38637,
  [SMALL_STATE(1057)] = 38682,
  [SMALL_STATE(1058)] = 38727,
  [SMALL_STATE(1059)] = 38772,
  [SMALL_STATE(1060)] = 38817,
  [SMALL_STATE(1061)] = 38866,
  [SMALL_STATE(1062)] = 38911,
  [SMALL_STATE(1063)] = 38956,
  [SMALL_STATE(1064)] = 39001,
  [SMALL_STATE(1065)] = 39046,
  [SMALL_STATE(1066)] = 39091,
  [SMALL_STATE(1067)] = 39136,
  [SMALL_STATE(1068)] = 39181,
  [SMALL_STATE(1069)] = 39226,
  [SMALL_STATE(1070)] = 39275,
  [SMALL_STATE(1071)] = 39320,
  [SMALL_STATE(1072)] = 39365,
  [SMALL_STATE(1073)] = 39414,
  [SMALL_STATE(1074)] = 39471,
  [SMALL_STATE(1075)] = 39520,
  [SMALL_STATE(1076)] = 39569,
  [SMALL_STATE(1077)] = 39618,
  [SMALL_STATE(1078)] = 39663,
  [SMALL_STATE(1079)] = 39712,
  [SMALL_STATE(1080)] = 39757,
  [SMALL_STATE(1081)] = 39802,
  [SMALL_STATE(1082)] = 39851,
  [SMALL_STATE(1083)] = 39900,
  [SMALL_STATE(1084)] = 39945,
  [SMALL_STATE(1085)] = 39990,
  [SMALL_STATE(1086)] = 40035,
  [SMALL_STATE(1087)] = 40084,
  [SMALL_STATE(1088)] = 40133,
  [SMALL_STATE(1089)] = 40178,
  [SMALL_STATE(1090)] = 40223,
  [SMALL_STATE(1091)] = 40268,
  [SMALL_STATE(1092)] = 40317,
  [SMALL_STATE(1093)] = 40362,
  [SMALL_STATE(1094)] = 40407,
  [SMALL_STATE(1095)] = 40452,
  [SMALL_STATE(1096)] = 40497,
  [SMALL_STATE(1097)] = 40542,
  [SMALL_STATE(1098)] = 40587,
  [SMALL_STATE(1099)] = 40632,
  [SMALL_STATE(1100)] = 40677,
  [SMALL_STATE(1101)] = 40722,
  [SMALL_STATE(1102)] = 40767,
  [SMALL_STATE(1103)] = 40816,
  [SMALL_STATE(1104)] = 40865,
  [SMALL_STATE(1105)] = 40922,
  [SMALL_STATE(1106)] = 40966,
  [SMALL_STATE(1107)] = 41014,
  [SMALL_STATE(1108)] = 41062,
  [SMALL_STATE(1109)] = 41106,
  [SMALL_STATE(1110)] = 41154,
  [SMALL_STATE(1111)] = 41198,
  [SMALL_STATE(1112)] = 41246,
  [SMALL_STATE(1113)] = 41290,
  [SMALL_STATE(1114)] = 41334,
  [SMALL_STATE(1115)] = 41378,
  [SMALL_STATE(1116)] = 41426,
  [SMALL_STATE(1117)] = 41474,
  [SMALL_STATE(1118)] = 41518,
  [SMALL_STATE(1119)] = 41570,
  [SMALL_STATE(1120)] = 41614,
  [SMALL_STATE(1121)] = 41662,
  [SMALL_STATE(1122)] = 41706,
  [SMALL_STATE(1123)] = 41750,
  [SMALL_STATE(1124)] = 41794,
  [SMALL_STATE(1125)] = 41838,
  [SMALL_STATE(1126)] = 41888,
  [SMALL_STATE(1127)] = 41932,
  [SMALL_STATE(1128)] = 41976,
  [SMALL_STATE(1129)] = 42020,
  [SMALL_STATE(1130)] = 42064,
  [SMALL_STATE(1131)] = 42108,
  [SMALL_STATE(1132)] = 42152,
  [SMALL_STATE(1133)] = 42202,
  [SMALL_STATE(1134)] = 42246,
  [SMALL_STATE(1135)] = 42290,
  [SMALL_STATE(1136)] = 42334,
  [SMALL_STATE(1137)] = 42378,
  [SMALL_STATE(1138)] = 42422,
  [SMALL_STATE(1139)] = 42466,
  [SMALL_STATE(1140)] = 42510,
  [SMALL_STATE(1141)] = 42554,
  [SMALL_STATE(1142)] = 42598,
  [SMALL_STATE(1143)] = 42642,
  [SMALL_STATE(1144)] = 42686,
  [SMALL_STATE(1145)] = 42730,
  [SMALL_STATE(1146)] = 42774,
  [SMALL_STATE(1147)] = 42818,
  [SMALL_STATE(1148)] = 42862,
  [SMALL_STATE(1149)] = 42931,
  [SMALL_STATE(1150)] = 42986,
  [SMALL_STATE(1151)] = 43055,
  [SMALL_STATE(1152)] = 43124,
  [SMALL_STATE(1153)] = 43193,
  [SMALL_STATE(1154)] = 43245,
  [SMALL_STATE(1155)] = 43301,
  [SMALL_STATE(1156)] = 43353,
  [SMALL_STATE(1157)] = 43409,
  [SMALL_STATE(1158)] = 43465,
  [SMALL_STATE(1159)] = 43521,
  [SMALL_STATE(1160)] = 43577,
  [SMALL_STATE(1161)] = 43627,
  [SMALL_STATE(1162)] = 43696,
  [SMALL_STATE(1163)] = 43773,
  [SMALL_STATE(1164)] = 43828,
  [SMALL_STATE(1165)] = 43885,
  [SMALL_STATE(1166)] = 43962,
  [SMALL_STATE(1167)] = 44021,
  [SMALL_STATE(1168)] = 44084,
  [SMALL_STATE(1169)] = 44149,
  [SMALL_STATE(1170)] = 44198,
  [SMALL_STATE(1171)] = 44265,
  [SMALL_STATE(1172)] = 44342,
  [SMALL_STATE(1173)] = 44413,
  [SMALL_STATE(1174)] = 44490,
  [SMALL_STATE(1175)] = 44563,
  [SMALL_STATE(1176)] = 44603,
  [SMALL_STATE(1177)] = 44659,
  [SMALL_STATE(1178)] = 44699,
  [SMALL_STATE(1179)] = 44773,
  [SMALL_STATE(1180)] = 44815,
  [SMALL_STATE(1181)] = 44857,
  [SMALL_STATE(1182)] = 44897,
  [SMALL_STATE(1183)] = 44939,
  [SMALL_STATE(1184)] = 44981,
  [SMALL_STATE(1185)] = 45021,
  [SMALL_STATE(1186)] = 45061,
  [SMALL_STATE(1187)] = 45101,
  [SMALL_STATE(1188)] = 45175,
  [SMALL_STATE(1189)] = 45249,
  [SMALL_STATE(1190)] = 45289,
  [SMALL_STATE(1191)] = 45329,
  [SMALL_STATE(1192)] = 45383,
  [SMALL_STATE(1193)] = 45451,
  [SMALL_STATE(1194)] = 45509,
  [SMALL_STATE(1195)] = 45551,
  [SMALL_STATE(1196)] = 45613,
  [SMALL_STATE(1197)] = 45677,
  [SMALL_STATE(1198)] = 45743,
  [SMALL_STATE(1199)] = 45813,
  [SMALL_STATE(1200)] = 45881,
  [SMALL_STATE(1201)] = 45921,
  [SMALL_STATE(1202)] = 45984,
  [SMALL_STATE(1203)] = 46037,
  [SMALL_STATE(1204)] = 46080,
  [SMALL_STATE(1205)] = 46153,
  [SMALL_STATE(1206)] = 46216,
  [SMALL_STATE(1207)] = 46289,
  [SMALL_STATE(1208)] = 46362,
  [SMALL_STATE(1209)] = 46405,
  [SMALL_STATE(1210)] = 46448,
  [SMALL_STATE(1211)] = 46487,
  [SMALL_STATE(1212)] = 46542,
  [SMALL_STATE(1213)] = 46599,
  [SMALL_STATE(1214)] = 46672,
  [SMALL_STATE(1215)] = 46733,
  [SMALL_STATE(1216)] = 46798,
  [SMALL_STATE(1217)] = 46865,
  [SMALL_STATE(1218)] = 46932,
  [SMALL_STATE(1219)] = 47001,
  [SMALL_STATE(1220)] = 47039,
  [SMALL_STATE(1221)] = 47077,
  [SMALL_STATE(1222)] = 47137,
  [SMALL_STATE(1223)] = 47197,
  [SMALL_STATE(1224)] = 47257,
  [SMALL_STATE(1225)] = 47295,
  [SMALL_STATE(1226)] = 47355,
  [SMALL_STATE(1227)] = 47415,
  [SMALL_STATE(1228)] = 47475,
  [SMALL_STATE(1229)] = 47535,
  [SMALL_STATE(1230)] = 47595,
  [SMALL_STATE(1231)] = 47633,
  [SMALL_STATE(1232)] = 47708,
  [SMALL_STATE(1233)] = 47779,
  [SMALL_STATE(1234)] = 47854,
  [SMALL_STATE(1235)] = 47929,
  [SMALL_STATE(1236)] = 48002,
  [SMALL_STATE(1237)] = 48077,
  [SMALL_STATE(1238)] = 48152,
  [SMALL_STATE(1239)] = 48227,
  [SMALL_STATE(1240)] = 48302,
  [SMALL_STATE(1241)] = 48377,
  [SMALL_STATE(1242)] = 48449,
  [SMALL_STATE(1243)] = 48521,
  [SMALL_STATE(1244)] = 48593,
  [SMALL_STATE(1245)] = 48665,
  [SMALL_STATE(1246)] = 48721,
  [SMALL_STATE(1247)] = 48777,
  [SMALL_STATE(1248)] = 48833,
  [SMALL_STATE(1249)] = 48893,
  [SMALL_STATE(1250)] = 48955,
  [SMALL_STATE(1251)] = 49027,
  [SMALL_STATE(1252)] = 49091,
  [SMALL_STATE(1253)] = 49163,
  [SMALL_STATE(1254)] = 49235,
  [SMALL_STATE(1255)] = 49307,
  [SMALL_STATE(1256)] = 49373,
  [SMALL_STATE(1257)] = 49439,
  [SMALL_STATE(1258)] = 49511,
  [SMALL_STATE(1259)] = 49583,
  [SMALL_STATE(1260)] = 49657,
  [SMALL_STATE(1261)] = 49729,
  [SMALL_STATE(1262)] = 49801,
  [SMALL_STATE(1263)] = 49873,
  [SMALL_STATE(1264)] = 49945,
  [SMALL_STATE(1265)] = 50017,
  [SMALL_STATE(1266)] = 50085,
  [SMALL_STATE(1267)] = 50155,
  [SMALL_STATE(1268)] = 50211,
  [SMALL_STATE(1269)] = 50283,
  [SMALL_STATE(1270)] = 50339,
  [SMALL_STATE(1271)] = 50391,
  [SMALL_STATE(1272)] = 50463,
  [SMALL_STATE(1273)] = 50519,
  [SMALL_STATE(1274)] = 50575,
  [SMALL_STATE(1275)] = 50631,
  [SMALL_STATE(1276)] = 50703,
  [SMALL_STATE(1277)] = 50759,
  [SMALL_STATE(1278)] = 50815,
  [SMALL_STATE(1279)] = 50887,
  [SMALL_STATE(1280)] = 50959,
  [SMALL_STATE(1281)] = 51013,
  [SMALL_STATE(1282)] = 51085,
  [SMALL_STATE(1283)] = 51155,
  [SMALL_STATE(1284)] = 51211,
  [SMALL_STATE(1285)] = 51283,
  [SMALL_STATE(1286)] = 51339,
  [SMALL_STATE(1287)] = 51395,
  [SMALL_STATE(1288)] = 51451,
  [SMALL_STATE(1289)] = 51521,
  [SMALL_STATE(1290)] = 51591,
  [SMALL_STATE(1291)] = 51663,
  [SMALL_STATE(1292)] = 51733,
  [SMALL_STATE(1293)] = 51805,
  [SMALL_STATE(1294)] = 51861,
  [SMALL_STATE(1295)] = 51933,
  [SMALL_STATE(1296)] = 52003,
  [SMALL_STATE(1297)] = 52059,
  [SMALL_STATE(1298)] = 52131,
  [SMALL_STATE(1299)] = 52187,
  [SMALL_STATE(1300)] = 52257,
  [SMALL_STATE(1301)] = 52313,
  [SMALL_STATE(1302)] = 52383,
  [SMALL_STATE(1303)] = 52439,
  [SMALL_STATE(1304)] = 52508,
  [SMALL_STATE(1305)] = 52577,
  [SMALL_STATE(1306)] = 52646,
  [SMALL_STATE(1307)] = 52715,
  [SMALL_STATE(1308)] = 52784,
  [SMALL_STATE(1309)] = 52853,
  [SMALL_STATE(1310)] = 52922,
  [SMALL_STATE(1311)] = 52991,
  [SMALL_STATE(1312)] = 53060,
  [SMALL_STATE(1313)] = 53129,
  [SMALL_STATE(1314)] = 53198,
  [SMALL_STATE(1315)] = 53267,
  [SMALL_STATE(1316)] = 53320,
  [SMALL_STATE(1317)] = 53373,
  [SMALL_STATE(1318)] = 53442,
  [SMALL_STATE(1319)] = 53511,
  [SMALL_STATE(1320)] = 53580,
  [SMALL_STATE(1321)] = 53649,
  [SMALL_STATE(1322)] = 53718,
  [SMALL_STATE(1323)] = 53787,
  [SMALL_STATE(1324)] = 53856,
  [SMALL_STATE(1325)] = 53909,
  [SMALL_STATE(1326)] = 53978,
  [SMALL_STATE(1327)] = 54047,
  [SMALL_STATE(1328)] = 54116,
  [SMALL_STATE(1329)] = 54185,
  [SMALL_STATE(1330)] = 54254,
  [SMALL_STATE(1331)] = 54323,
  [SMALL_STATE(1332)] = 54392,
  [SMALL_STATE(1333)] = 54445,
  [SMALL_STATE(1334)] = 54514,
  [SMALL_STATE(1335)] = 54583,
  [SMALL_STATE(1336)] = 54652,
  [SMALL_STATE(1337)] = 54705,
  [SMALL_STATE(1338)] = 54774,
  [SMALL_STATE(1339)] = 54827,
  [SMALL_STATE(1340)] = 54896,
  [SMALL_STATE(1341)] = 54935,
  [SMALL_STATE(1342)] = 54977,
  [SMALL_STATE(1343)] = 55013,
  [SMALL_STATE(1344)] = 55057,
  [SMALL_STATE(1345)] = 55123,
  [SMALL_STATE(1346)] = 55165,
  [SMALL_STATE(1347)] = 55201,
  [SMALL_STATE(1348)] = 55237,
  [SMALL_STATE(1349)] = 55273,
  [SMALL_STATE(1350)] = 55320,
  [SMALL_STATE(1351)] = 55351,
  [SMALL_STATE(1352)] = 55398,
  [SMALL_STATE(1353)] = 55445,
  [SMALL_STATE(1354)] = 55492,
  [SMALL_STATE(1355)] = 55539,
  [SMALL_STATE(1356)] = 55586,
  [SMALL_STATE(1357)] = 55617,
  [SMALL_STATE(1358)] = 55661,
  [SMALL_STATE(1359)] = 55705,
  [SMALL_STATE(1360)] = 55741,
  [SMALL_STATE(1361)] = 55785,
  [SMALL_STATE(1362)] = 55819,
  [SMALL_STATE(1363)] = 55863,
  [SMALL_STATE(1364)] = 55901,
  [SMALL_STATE(1365)] = 55945,
  [SMALL_STATE(1366)] = 55989,
  [SMALL_STATE(1367)] = 56032,
  [SMALL_STATE(1368)] = 56087,
  [SMALL_STATE(1369)] = 56142,
  [SMALL_STATE(1370)] = 56197,
  [SMALL_STATE(1371)] = 56230,
  [SMALL_STATE(1372)] = 56273,
  [SMALL_STATE(1373)] = 56316,
  [SMALL_STATE(1374)] = 56356,
  [SMALL_STATE(1375)] = 56396,
  [SMALL_STATE(1376)] = 56428,
  [SMALL_STATE(1377)] = 56468,
  [SMALL_STATE(1378)] = 56508,
  [SMALL_STATE(1379)] = 56548,
  [SMALL_STATE(1380)] = 56588,
  [SMALL_STATE(1381)] = 56628,
  [SMALL_STATE(1382)] = 56668,
  [SMALL_STATE(1383)] = 56708,
  [SMALL_STATE(1384)] = 56748,
  [SMALL_STATE(1385)] = 56788,
  [SMALL_STATE(1386)] = 56828,
  [SMALL_STATE(1387)] = 56868,
  [SMALL_STATE(1388)] = 56908,
  [SMALL_STATE(1389)] = 56948,
  [SMALL_STATE(1390)] = 56996,
  [SMALL_STATE(1391)] = 57036,
  [SMALL_STATE(1392)] = 57076,
  [SMALL_STATE(1393)] = 57116,
  [SMALL_STATE(1394)] = 57156,
  [SMALL_STATE(1395)] = 57188,
  [SMALL_STATE(1396)] = 57228,
  [SMALL_STATE(1397)] = 57268,
  [SMALL_STATE(1398)] = 57304,
  [SMALL_STATE(1399)] = 57332,
  [SMALL_STATE(1400)] = 57372,
  [SMALL_STATE(1401)] = 57412,
  [SMALL_STATE(1402)] = 57444,
  [SMALL_STATE(1403)] = 57494,
  [SMALL_STATE(1404)] = 57540,
  [SMALL_STATE(1405)] = 57572,
  [SMALL_STATE(1406)] = 57612,
  [SMALL_STATE(1407)] = 57640,
  [SMALL_STATE(1408)] = 57680,
  [SMALL_STATE(1409)] = 57708,
  [SMALL_STATE(1410)] = 57736,
  [SMALL_STATE(1411)] = 57768,
  [SMALL_STATE(1412)] = 57808,
  [SMALL_STATE(1413)] = 57848,
  [SMALL_STATE(1414)] = 57876,
  [SMALL_STATE(1415)] = 57924,
  [SMALL_STATE(1416)] = 57964,
  [SMALL_STATE(1417)] = 58004,
  [SMALL_STATE(1418)] = 58044,
  [SMALL_STATE(1419)] = 58084,
  [SMALL_STATE(1420)] = 58124,
  [SMALL_STATE(1421)] = 58164,
  [SMALL_STATE(1422)] = 58204,
  [SMALL_STATE(1423)] = 58244,
  [SMALL_STATE(1424)] = 58284,
  [SMALL_STATE(1425)] = 58318,
  [SMALL_STATE(1426)] = 58358,
  [SMALL_STATE(1427)] = 58402,
  [SMALL_STATE(1428)] = 58430,
  [SMALL_STATE(1429)] = 58470,
  [SMALL_STATE(1430)] = 58510,
  [SMALL_STATE(1431)] = 58552,
  [SMALL_STATE(1432)] = 58592,
  [SMALL_STATE(1433)] = 58638,
  [SMALL_STATE(1434)] = 58678,
  [SMALL_STATE(1435)] = 58718,
  [SMALL_STATE(1436)] = 58753,
  [SMALL_STATE(1437)] = 58798,
  [SMALL_STATE(1438)] = 58825,
  [SMALL_STATE(1439)] = 58874,
  [SMALL_STATE(1440)] = 58919,
  [SMALL_STATE(1441)] = 58946,
  [SMALL_STATE(1442)] = 58991,
  [SMALL_STATE(1443)] = 59018,
  [SMALL_STATE(1444)] = 59063,
  [SMALL_STATE(1445)] = 59106,
  [SMALL_STATE(1446)] = 59135,
  [SMALL_STATE(1447)] = 59180,
  [SMALL_STATE(1448)] = 59225,
  [SMALL_STATE(1449)] = 59266,
  [SMALL_STATE(1450)] = 59293,
  [SMALL_STATE(1451)] = 59332,
  [SMALL_STATE(1452)] = 59367,
  [SMALL_STATE(1453)] = 59394,
  [SMALL_STATE(1454)] = 59439,
  [SMALL_STATE(1455)] = 59466,
  [SMALL_STATE(1456)] = 59503,
  [SMALL_STATE(1457)] = 59530,
  [SMALL_STATE(1458)] = 59557,
  [SMALL_STATE(1459)] = 59602,
  [SMALL_STATE(1460)] = 59647,
  [SMALL_STATE(1461)] = 59674,
  [SMALL_STATE(1462)] = 59705,
  [SMALL_STATE(1463)] = 59738,
  [SMALL_STATE(1464)] = 59769,
  [SMALL_STATE(1465)] = 59802,
  [SMALL_STATE(1466)] = 59833,
  [SMALL_STATE(1467)] = 59864,
  [SMALL_STATE(1468)] = 59895,
  [SMALL_STATE(1469)] = 59940,
  [SMALL_STATE(1470)] = 59971,
  [SMALL_STATE(1471)] = 60016,
  [SMALL_STATE(1472)] = 60061,
  [SMALL_STATE(1473)] = 60110,
  [SMALL_STATE(1474)] = 60141,
  [SMALL_STATE(1475)] = 60186,
  [SMALL_STATE(1476)] = 60217,
  [SMALL_STATE(1477)] = 60248,
  [SMALL_STATE(1478)] = 60293,
  [SMALL_STATE(1479)] = 60338,
  [SMALL_STATE(1480)] = 60383,
  [SMALL_STATE(1481)] = 60428,
  [SMALL_STATE(1482)] = 60455,
  [SMALL_STATE(1483)] = 60496,
  [SMALL_STATE(1484)] = 60537,
  [SMALL_STATE(1485)] = 60578,
  [SMALL_STATE(1486)] = 60619,
  [SMALL_STATE(1487)] = 60660,
  [SMALL_STATE(1488)] = 60701,
  [SMALL_STATE(1489)] = 60742,
  [SMALL_STATE(1490)] = 60777,
  [SMALL_STATE(1491)] = 60818,
  [SMALL_STATE(1492)] = 60859,
  [SMALL_STATE(1493)] = 60900,
  [SMALL_STATE(1494)] = 60938,
  [SMALL_STATE(1495)] = 60978,
  [SMALL_STATE(1496)] = 61012,
  [SMALL_STATE(1497)] = 61050,
  [SMALL_STATE(1498)] = 61079,
  [SMALL_STATE(1499)] = 61116,
  [SMALL_STATE(1500)] = 61157,
  [SMALL_STATE(1501)] = 61200,
  [SMALL_STATE(1502)] = 61239,
  [SMALL_STATE(1503)] = 61282,
  [SMALL_STATE(1504)] = 61323,
  [SMALL_STATE(1505)] = 61366,
  [SMALL_STATE(1506)] = 61407,
  [SMALL_STATE(1507)] = 61450,
  [SMALL_STATE(1508)] = 61491,
  [SMALL_STATE(1509)] = 61520,
  [SMALL_STATE(1510)] = 61563,
  [SMALL_STATE(1511)] = 61592,
  [SMALL_STATE(1512)] = 61621,
  [SMALL_STATE(1513)] = 61661,
  [SMALL_STATE(1514)] = 61701,
  [SMALL_STATE(1515)] = 61741,
  [SMALL_STATE(1516)] = 61767,
  [SMALL_STATE(1517)] = 61807,
  [SMALL_STATE(1518)] = 61847,
  [SMALL_STATE(1519)] = 61887,
  [SMALL_STATE(1520)] = 61927,
  [SMALL_STATE(1521)] = 61967,
  [SMALL_STATE(1522)] = 62007,
  [SMALL_STATE(1523)] = 62047,
  [SMALL_STATE(1524)] = 62087,
  [SMALL_STATE(1525)] = 62127,
  [SMALL_STATE(1526)] = 62167,
  [SMALL_STATE(1527)] = 62188,
  [SMALL_STATE(1528)] = 62209,
  [SMALL_STATE(1529)] = 62238,
  [SMALL_STATE(1530)] = 62271,
  [SMALL_STATE(1531)] = 62292,
  [SMALL_STATE(1532)] = 62321,
  [SMALL_STATE(1533)] = 62346,
  [SMALL_STATE(1534)] = 62375,
  [SMALL_STATE(1535)] = 62404,
  [SMALL_STATE(1536)] = 62437,
  [SMALL_STATE(1537)] = 62469,
  [SMALL_STATE(1538)] = 62501,
  [SMALL_STATE(1539)] = 62525,
  [SMALL_STATE(1540)] = 62557,
  [SMALL_STATE(1541)] = 62593,
  [SMALL_STATE(1542)] = 62625,
  [SMALL_STATE(1543)] = 62657,
  [SMALL_STATE(1544)] = 62686,
  [SMALL_STATE(1545)] = 62713,
  [SMALL_STATE(1546)] = 62742,
  [SMALL_STATE(1547)] = 62767,
  [SMALL_STATE(1548)] = 62800,
  [SMALL_STATE(1549)] = 62833,
  [SMALL_STATE(1550)] = 62860,
  [SMALL_STATE(1551)] = 62889,
  [SMALL_STATE(1552)] = 62920,
  [SMALL_STATE(1553)] = 62947,
  [SMALL_STATE(1554)] = 62976,
  [SMALL_STATE(1555)] = 63005,
  [SMALL_STATE(1556)] = 63034,
  [SMALL_STATE(1557)] = 63065,
  [SMALL_STATE(1558)] = 63094,
  [SMALL_STATE(1559)] = 63125,
  [SMALL_STATE(1560)] = 63154,
  [SMALL_STATE(1561)] = 63183,
  [SMALL_STATE(1562)] = 63210,
  [SMALL_STATE(1563)] = 63243,
  [SMALL_STATE(1564)] = 63272,
  [SMALL_STATE(1565)] = 63294,
  [SMALL_STATE(1566)] = 63324,
  [SMALL_STATE(1567)] = 63348,
  [SMALL_STATE(1568)] = 63374,
  [SMALL_STATE(1569)] = 63392,
  [SMALL_STATE(1570)] = 63410,
  [SMALL_STATE(1571)] = 63436,
  [SMALL_STATE(1572)] = 63468,
  [SMALL_STATE(1573)] = 63500,
  [SMALL_STATE(1574)] = 63532,
  [SMALL_STATE(1575)] = 63550,
  [SMALL_STATE(1576)] = 63568,
  [SMALL_STATE(1577)] = 63600,
  [SMALL_STATE(1578)] = 63618,
  [SMALL_STATE(1579)] = 63636,
  [SMALL_STATE(1580)] = 63662,
  [SMALL_STATE(1581)] = 63694,
  [SMALL_STATE(1582)] = 63718,
  [SMALL_STATE(1583)] = 63744,
  [SMALL_STATE(1584)] = 63765,
  [SMALL_STATE(1585)] = 63784,
  [SMALL_STATE(1586)] = 63805,
  [SMALL_STATE(1587)] = 63834,
  [SMALL_STATE(1588)] = 63863,
  [SMALL_STATE(1589)] = 63888,
  [SMALL_STATE(1590)] = 63909,
  [SMALL_STATE(1591)] = 63930,
  [SMALL_STATE(1592)] = 63959,
  [SMALL_STATE(1593)] = 63988,
  [SMALL_STATE(1594)] = 64017,
  [SMALL_STATE(1595)] = 64038,
  [SMALL_STATE(1596)] = 64059,
  [SMALL_STATE(1597)] = 64088,
  [SMALL_STATE(1598)] = 64117,
  [SMALL_STATE(1599)] = 64146,
  [SMALL_STATE(1600)] = 64167,
  [SMALL_STATE(1601)] = 64196,
  [SMALL_STATE(1602)] = 64225,
  [SMALL_STATE(1603)] = 64246,
  [SMALL_STATE(1604)] = 64267,
  [SMALL_STATE(1605)] = 64288,
  [SMALL_STATE(1606)] = 64312,
  [SMALL_STATE(1607)] = 64336,
  [SMALL_STATE(1608)] = 64360,
  [SMALL_STATE(1609)] = 64386,
  [SMALL_STATE(1610)] = 64412,
  [SMALL_STATE(1611)] = 64434,
  [SMALL_STATE(1612)] = 64454,
  [SMALL_STATE(1613)] = 64470,
  [SMALL_STATE(1614)] = 64486,
  [SMALL_STATE(1615)] = 64502,
  [SMALL_STATE(1616)] = 64528,
  [SMALL_STATE(1617)] = 64548,
  [SMALL_STATE(1618)] = 64574,
  [SMALL_STATE(1619)] = 64590,
  [SMALL_STATE(1620)] = 64608,
  [SMALL_STATE(1621)] = 64632,
  [SMALL_STATE(1622)] = 64658,
  [SMALL_STATE(1623)] = 64682,
  [SMALL_STATE(1624)] = 64708,
  [SMALL_STATE(1625)] = 64734,
  [SMALL_STATE(1626)] = 64752,
  [SMALL_STATE(1627)] = 64768,
  [SMALL_STATE(1628)] = 64784,
  [SMALL_STATE(1629)] = 64810,
  [SMALL_STATE(1630)] = 64834,
  [SMALL_STATE(1631)] = 64860,
  [SMALL_STATE(1632)] = 64886,
  [SMALL_STATE(1633)] = 64912,
  [SMALL_STATE(1634)] = 64928,
  [SMALL_STATE(1635)] = 64944,
  [SMALL_STATE(1636)] = 64964,
  [SMALL_STATE(1637)] = 64987,
  [SMALL_STATE(1638)] = 65004,
  [SMALL_STATE(1639)] = 65021,
  [SMALL_STATE(1640)] = 65036,
  [SMALL_STATE(1641)] = 65059,
  [SMALL_STATE(1642)] = 65078,
  [SMALL_STATE(1643)] = 65093,
  [SMALL_STATE(1644)] = 65108,
  [SMALL_STATE(1645)] = 65127,
  [SMALL_STATE(1646)] = 65142,
  [SMALL_STATE(1647)] = 65159,
  [SMALL_STATE(1648)] = 65174,
  [SMALL_STATE(1649)] = 65189,
  [SMALL_STATE(1650)] = 65206,
  [SMALL_STATE(1651)] = 65231,
  [SMALL_STATE(1652)] = 65246,
  [SMALL_STATE(1653)] = 65261,
  [SMALL_STATE(1654)] = 65276,
  [SMALL_STATE(1655)] = 65299,
  [SMALL_STATE(1656)] = 65322,
  [SMALL_STATE(1657)] = 65342,
  [SMALL_STATE(1658)] = 65356,
  [SMALL_STATE(1659)] = 65370,
  [SMALL_STATE(1660)] = 65384,
  [SMALL_STATE(1661)] = 65400,
  [SMALL_STATE(1662)] = 65414,
  [SMALL_STATE(1663)] = 65430,
  [SMALL_STATE(1664)] = 65444,
  [SMALL_STATE(1665)] = 65464,
  [SMALL_STATE(1666)] = 65482,
  [SMALL_STATE(1667)] = 65496,
  [SMALL_STATE(1668)] = 65512,
  [SMALL_STATE(1669)] = 65532,
  [SMALL_STATE(1670)] = 65548,
  [SMALL_STATE(1671)] = 65568,
  [SMALL_STATE(1672)] = 65586,
  [SMALL_STATE(1673)] = 65600,
  [SMALL_STATE(1674)] = 65614,
  [SMALL_STATE(1675)] = 65628,
  [SMALL_STATE(1676)] = 65648,
  [SMALL_STATE(1677)] = 65662,
  [SMALL_STATE(1678)] = 65676,
  [SMALL_STATE(1679)] = 65692,
  [SMALL_STATE(1680)] = 65710,
  [SMALL_STATE(1681)] = 65728,
  [SMALL_STATE(1682)] = 65748,
  [SMALL_STATE(1683)] = 65764,
  [SMALL_STATE(1684)] = 65778,
  [SMALL_STATE(1685)] = 65796,
  [SMALL_STATE(1686)] = 65810,
  [SMALL_STATE(1687)] = 65824,
  [SMALL_STATE(1688)] = 65838,
  [SMALL_STATE(1689)] = 65852,
  [SMALL_STATE(1690)] = 65866,
  [SMALL_STATE(1691)] = 65886,
  [SMALL_STATE(1692)] = 65904,
  [SMALL_STATE(1693)] = 65922,
  [SMALL_STATE(1694)] = 65935,
  [SMALL_STATE(1695)] = 65954,
  [SMALL_STATE(1696)] = 65965,
  [SMALL_STATE(1697)] = 65980,
  [SMALL_STATE(1698)] = 65991,
  [SMALL_STATE(1699)] = 66002,
  [SMALL_STATE(1700)] = 66013,
  [SMALL_STATE(1701)] = 66024,
  [SMALL_STATE(1702)] = 66043,
  [SMALL_STATE(1703)] = 66062,
  [SMALL_STATE(1704)] = 66073,
  [SMALL_STATE(1705)] = 66090,
  [SMALL_STATE(1706)] = 66101,
  [SMALL_STATE(1707)] = 66112,
  [SMALL_STATE(1708)] = 66123,
  [SMALL_STATE(1709)] = 66140,
  [SMALL_STATE(1710)] = 66151,
  [SMALL_STATE(1711)] = 66162,
  [SMALL_STATE(1712)] = 66173,
  [SMALL_STATE(1713)] = 66187,
  [SMALL_STATE(1714)] = 66197,
  [SMALL_STATE(1715)] = 66211,
  [SMALL_STATE(1716)] = 66227,
  [SMALL_STATE(1717)] = 66241,
  [SMALL_STATE(1718)] = 66255,
  [SMALL_STATE(1719)] = 66271,
  [SMALL_STATE(1720)] = 66285,
  [SMALL_STATE(1721)] = 66295,
  [SMALL_STATE(1722)] = 66309,
  [SMALL_STATE(1723)] = 66325,
  [SMALL_STATE(1724)] = 66339,
  [SMALL_STATE(1725)] = 66353,
  [SMALL_STATE(1726)] = 66369,
  [SMALL_STATE(1727)] = 66383,
  [SMALL_STATE(1728)] = 66397,
  [SMALL_STATE(1729)] = 66411,
  [SMALL_STATE(1730)] = 66425,
  [SMALL_STATE(1731)] = 66439,
  [SMALL_STATE(1732)] = 66453,
  [SMALL_STATE(1733)] = 66467,
  [SMALL_STATE(1734)] = 66481,
  [SMALL_STATE(1735)] = 66495,
  [SMALL_STATE(1736)] = 66509,
  [SMALL_STATE(1737)] = 66523,
  [SMALL_STATE(1738)] = 66539,
  [SMALL_STATE(1739)] = 66555,
  [SMALL_STATE(1740)] = 66569,
  [SMALL_STATE(1741)] = 66583,
  [SMALL_STATE(1742)] = 66597,
  [SMALL_STATE(1743)] = 66611,
  [SMALL_STATE(1744)] = 66625,
  [SMALL_STATE(1745)] = 66639,
  [SMALL_STATE(1746)] = 66653,
  [SMALL_STATE(1747)] = 66667,
  [SMALL_STATE(1748)] = 66681,
  [SMALL_STATE(1749)] = 66695,
  [SMALL_STATE(1750)] = 66711,
  [SMALL_STATE(1751)] = 66725,
  [SMALL_STATE(1752)] = 66739,
  [SMALL_STATE(1753)] = 66753,
  [SMALL_STATE(1754)] = 66767,
  [SMALL_STATE(1755)] = 66781,
  [SMALL_STATE(1756)] = 66797,
  [SMALL_STATE(1757)] = 66813,
  [SMALL_STATE(1758)] = 66827,
  [SMALL_STATE(1759)] = 66843,
  [SMALL_STATE(1760)] = 66857,
  [SMALL_STATE(1761)] = 66871,
  [SMALL_STATE(1762)] = 66887,
  [SMALL_STATE(1763)] = 66903,
  [SMALL_STATE(1764)] = 66917,
  [SMALL_STATE(1765)] = 66931,
  [SMALL_STATE(1766)] = 66945,
  [SMALL_STATE(1767)] = 66959,
  [SMALL_STATE(1768)] = 66975,
  [SMALL_STATE(1769)] = 66989,
  [SMALL_STATE(1770)] = 67005,
  [SMALL_STATE(1771)] = 67021,
  [SMALL_STATE(1772)] = 67035,
  [SMALL_STATE(1773)] = 67049,
  [SMALL_STATE(1774)] = 67063,
  [SMALL_STATE(1775)] = 67077,
  [SMALL_STATE(1776)] = 67091,
  [SMALL_STATE(1777)] = 67105,
  [SMALL_STATE(1778)] = 67121,
  [SMALL_STATE(1779)] = 67131,
  [SMALL_STATE(1780)] = 67147,
  [SMALL_STATE(1781)] = 67163,
  [SMALL_STATE(1782)] = 67177,
  [SMALL_STATE(1783)] = 67193,
  [SMALL_STATE(1784)] = 67209,
  [SMALL_STATE(1785)] = 67225,
  [SMALL_STATE(1786)] = 67241,
  [SMALL_STATE(1787)] = 67254,
  [SMALL_STATE(1788)] = 67267,
  [SMALL_STATE(1789)] = 67280,
  [SMALL_STATE(1790)] = 67293,
  [SMALL_STATE(1791)] = 67302,
  [SMALL_STATE(1792)] = 67311,
  [SMALL_STATE(1793)] = 67324,
  [SMALL_STATE(1794)] = 67337,
  [SMALL_STATE(1795)] = 67350,
  [SMALL_STATE(1796)] = 67363,
  [SMALL_STATE(1797)] = 67376,
  [SMALL_STATE(1798)] = 67389,
  [SMALL_STATE(1799)] = 67402,
  [SMALL_STATE(1800)] = 67415,
  [SMALL_STATE(1801)] = 67428,
  [SMALL_STATE(1802)] = 67441,
  [SMALL_STATE(1803)] = 67454,
  [SMALL_STATE(1804)] = 67467,
  [SMALL_STATE(1805)] = 67478,
  [SMALL_STATE(1806)] = 67491,
  [SMALL_STATE(1807)] = 67504,
  [SMALL_STATE(1808)] = 67517,
  [SMALL_STATE(1809)] = 67528,
  [SMALL_STATE(1810)] = 67541,
  [SMALL_STATE(1811)] = 67554,
  [SMALL_STATE(1812)] = 67565,
  [SMALL_STATE(1813)] = 67578,
  [SMALL_STATE(1814)] = 67591,
  [SMALL_STATE(1815)] = 67604,
  [SMALL_STATE(1816)] = 67617,
  [SMALL_STATE(1817)] = 67630,
  [SMALL_STATE(1818)] = 67643,
  [SMALL_STATE(1819)] = 67654,
  [SMALL_STATE(1820)] = 67663,
  [SMALL_STATE(1821)] = 67676,
  [SMALL_STATE(1822)] = 67689,
  [SMALL_STATE(1823)] = 67698,
  [SMALL_STATE(1824)] = 67711,
  [SMALL_STATE(1825)] = 67724,
  [SMALL_STATE(1826)] = 67737,
  [SMALL_STATE(1827)] = 67750,
  [SMALL_STATE(1828)] = 67763,
  [SMALL_STATE(1829)] = 67776,
  [SMALL_STATE(1830)] = 67789,
  [SMALL_STATE(1831)] = 67802,
  [SMALL_STATE(1832)] = 67815,
  [SMALL_STATE(1833)] = 67828,
  [SMALL_STATE(1834)] = 67841,
  [SMALL_STATE(1835)] = 67854,
  [SMALL_STATE(1836)] = 67867,
  [SMALL_STATE(1837)] = 67880,
  [SMALL_STATE(1838)] = 67889,
  [SMALL_STATE(1839)] = 67902,
  [SMALL_STATE(1840)] = 67915,
  [SMALL_STATE(1841)] = 67928,
  [SMALL_STATE(1842)] = 67941,
  [SMALL_STATE(1843)] = 67954,
  [SMALL_STATE(1844)] = 67967,
  [SMALL_STATE(1845)] = 67976,
  [SMALL_STATE(1846)] = 67989,
  [SMALL_STATE(1847)] = 68000,
  [SMALL_STATE(1848)] = 68009,
  [SMALL_STATE(1849)] = 68022,
  [SMALL_STATE(1850)] = 68035,
  [SMALL_STATE(1851)] = 68048,
  [SMALL_STATE(1852)] = 68061,
  [SMALL_STATE(1853)] = 68074,
  [SMALL_STATE(1854)] = 68087,
  [SMALL_STATE(1855)] = 68100,
  [SMALL_STATE(1856)] = 68113,
  [SMALL_STATE(1857)] = 68126,
  [SMALL_STATE(1858)] = 68139,
  [SMALL_STATE(1859)] = 68152,
  [SMALL_STATE(1860)] = 68161,
  [SMALL_STATE(1861)] = 68174,
  [SMALL_STATE(1862)] = 68187,
  [SMALL_STATE(1863)] = 68200,
  [SMALL_STATE(1864)] = 68209,
  [SMALL_STATE(1865)] = 68222,
  [SMALL_STATE(1866)] = 68235,
  [SMALL_STATE(1867)] = 68248,
  [SMALL_STATE(1868)] = 68261,
  [SMALL_STATE(1869)] = 68274,
  [SMALL_STATE(1870)] = 68283,
  [SMALL_STATE(1871)] = 68296,
  [SMALL_STATE(1872)] = 68309,
  [SMALL_STATE(1873)] = 68322,
  [SMALL_STATE(1874)] = 68335,
  [SMALL_STATE(1875)] = 68348,
  [SMALL_STATE(1876)] = 68361,
  [SMALL_STATE(1877)] = 68374,
  [SMALL_STATE(1878)] = 68387,
  [SMALL_STATE(1879)] = 68400,
  [SMALL_STATE(1880)] = 68413,
  [SMALL_STATE(1881)] = 68422,
  [SMALL_STATE(1882)] = 68435,
  [SMALL_STATE(1883)] = 68448,
  [SMALL_STATE(1884)] = 68461,
  [SMALL_STATE(1885)] = 68474,
  [SMALL_STATE(1886)] = 68487,
  [SMALL_STATE(1887)] = 68498,
  [SMALL_STATE(1888)] = 68511,
  [SMALL_STATE(1889)] = 68524,
  [SMALL_STATE(1890)] = 68537,
  [SMALL_STATE(1891)] = 68550,
  [SMALL_STATE(1892)] = 68563,
  [SMALL_STATE(1893)] = 68576,
  [SMALL_STATE(1894)] = 68589,
  [SMALL_STATE(1895)] = 68602,
  [SMALL_STATE(1896)] = 68615,
  [SMALL_STATE(1897)] = 68628,
  [SMALL_STATE(1898)] = 68641,
  [SMALL_STATE(1899)] = 68654,
  [SMALL_STATE(1900)] = 68667,
  [SMALL_STATE(1901)] = 68680,
  [SMALL_STATE(1902)] = 68693,
  [SMALL_STATE(1903)] = 68706,
  [SMALL_STATE(1904)] = 68719,
  [SMALL_STATE(1905)] = 68732,
  [SMALL_STATE(1906)] = 68745,
  [SMALL_STATE(1907)] = 68758,
  [SMALL_STATE(1908)] = 68771,
  [SMALL_STATE(1909)] = 68779,
  [SMALL_STATE(1910)] = 68787,
  [SMALL_STATE(1911)] = 68797,
  [SMALL_STATE(1912)] = 68807,
  [SMALL_STATE(1913)] = 68817,
  [SMALL_STATE(1914)] = 68827,
  [SMALL_STATE(1915)] = 68835,
  [SMALL_STATE(1916)] = 68843,
  [SMALL_STATE(1917)] = 68853,
  [SMALL_STATE(1918)] = 68861,
  [SMALL_STATE(1919)] = 68871,
  [SMALL_STATE(1920)] = 68879,
  [SMALL_STATE(1921)] = 68889,
  [SMALL_STATE(1922)] = 68899,
  [SMALL_STATE(1923)] = 68909,
  [SMALL_STATE(1924)] = 68919,
  [SMALL_STATE(1925)] = 68929,
  [SMALL_STATE(1926)] = 68939,
  [SMALL_STATE(1927)] = 68949,
  [SMALL_STATE(1928)] = 68959,
  [SMALL_STATE(1929)] = 68969,
  [SMALL_STATE(1930)] = 68979,
  [SMALL_STATE(1931)] = 68989,
  [SMALL_STATE(1932)] = 68999,
  [SMALL_STATE(1933)] = 69009,
  [SMALL_STATE(1934)] = 69019,
  [SMALL_STATE(1935)] = 69029,
  [SMALL_STATE(1936)] = 69039,
  [SMALL_STATE(1937)] = 69049,
  [SMALL_STATE(1938)] = 69057,
  [SMALL_STATE(1939)] = 69067,
  [SMALL_STATE(1940)] = 69077,
  [SMALL_STATE(1941)] = 69087,
  [SMALL_STATE(1942)] = 69097,
  [SMALL_STATE(1943)] = 69107,
  [SMALL_STATE(1944)] = 69117,
  [SMALL_STATE(1945)] = 69127,
  [SMALL_STATE(1946)] = 69137,
  [SMALL_STATE(1947)] = 69145,
  [SMALL_STATE(1948)] = 69155,
  [SMALL_STATE(1949)] = 69165,
  [SMALL_STATE(1950)] = 69175,
  [SMALL_STATE(1951)] = 69185,
  [SMALL_STATE(1952)] = 69195,
  [SMALL_STATE(1953)] = 69205,
  [SMALL_STATE(1954)] = 69215,
  [SMALL_STATE(1955)] = 69223,
  [SMALL_STATE(1956)] = 69231,
  [SMALL_STATE(1957)] = 69239,
  [SMALL_STATE(1958)] = 69249,
  [SMALL_STATE(1959)] = 69259,
  [SMALL_STATE(1960)] = 69267,
  [SMALL_STATE(1961)] = 69275,
  [SMALL_STATE(1962)] = 69285,
  [SMALL_STATE(1963)] = 69293,
  [SMALL_STATE(1964)] = 69303,
  [SMALL_STATE(1965)] = 69313,
  [SMALL_STATE(1966)] = 69323,
  [SMALL_STATE(1967)] = 69333,
  [SMALL_STATE(1968)] = 69343,
  [SMALL_STATE(1969)] = 69353,
  [SMALL_STATE(1970)] = 69363,
  [SMALL_STATE(1971)] = 69373,
  [SMALL_STATE(1972)] = 69383,
  [SMALL_STATE(1973)] = 69391,
  [SMALL_STATE(1974)] = 69401,
  [SMALL_STATE(1975)] = 69409,
  [SMALL_STATE(1976)] = 69419,
  [SMALL_STATE(1977)] = 69429,
  [SMALL_STATE(1978)] = 69439,
  [SMALL_STATE(1979)] = 69449,
  [SMALL_STATE(1980)] = 69459,
  [SMALL_STATE(1981)] = 69469,
  [SMALL_STATE(1982)] = 69479,
  [SMALL_STATE(1983)] = 69489,
  [SMALL_STATE(1984)] = 69499,
  [SMALL_STATE(1985)] = 69509,
  [SMALL_STATE(1986)] = 69519,
  [SMALL_STATE(1987)] = 69529,
  [SMALL_STATE(1988)] = 69539,
  [SMALL_STATE(1989)] = 69547,
  [SMALL_STATE(1990)] = 69557,
  [SMALL_STATE(1991)] = 69567,
  [SMALL_STATE(1992)] = 69577,
  [SMALL_STATE(1993)] = 69587,
  [SMALL_STATE(1994)] = 69597,
  [SMALL_STATE(1995)] = 69607,
  [SMALL_STATE(1996)] = 69617,
  [SMALL_STATE(1997)] = 69625,
  [SMALL_STATE(1998)] = 69635,
  [SMALL_STATE(1999)] = 69645,
  [SMALL_STATE(2000)] = 69655,
  [SMALL_STATE(2001)] = 69665,
  [SMALL_STATE(2002)] = 69675,
  [SMALL_STATE(2003)] = 69685,
  [SMALL_STATE(2004)] = 69695,
  [SMALL_STATE(2005)] = 69705,
  [SMALL_STATE(2006)] = 69715,
  [SMALL_STATE(2007)] = 69725,
  [SMALL_STATE(2008)] = 69735,
  [SMALL_STATE(2009)] = 69745,
  [SMALL_STATE(2010)] = 69752,
  [SMALL_STATE(2011)] = 69759,
  [SMALL_STATE(2012)] = 69766,
  [SMALL_STATE(2013)] = 69773,
  [SMALL_STATE(2014)] = 69780,
  [SMALL_STATE(2015)] = 69787,
  [SMALL_STATE(2016)] = 69794,
  [SMALL_STATE(2017)] = 69801,
  [SMALL_STATE(2018)] = 69808,
  [SMALL_STATE(2019)] = 69815,
  [SMALL_STATE(2020)] = 69822,
  [SMALL_STATE(2021)] = 69829,
  [SMALL_STATE(2022)] = 69836,
  [SMALL_STATE(2023)] = 69843,
  [SMALL_STATE(2024)] = 69850,
  [SMALL_STATE(2025)] = 69857,
  [SMALL_STATE(2026)] = 69864,
  [SMALL_STATE(2027)] = 69871,
  [SMALL_STATE(2028)] = 69878,
  [SMALL_STATE(2029)] = 69885,
  [SMALL_STATE(2030)] = 69892,
  [SMALL_STATE(2031)] = 69899,
  [SMALL_STATE(2032)] = 69906,
  [SMALL_STATE(2033)] = 69913,
  [SMALL_STATE(2034)] = 69920,
  [SMALL_STATE(2035)] = 69927,
  [SMALL_STATE(2036)] = 69934,
  [SMALL_STATE(2037)] = 69941,
  [SMALL_STATE(2038)] = 69948,
  [SMALL_STATE(2039)] = 69955,
  [SMALL_STATE(2040)] = 69962,
  [SMALL_STATE(2041)] = 69969,
  [SMALL_STATE(2042)] = 69976,
  [SMALL_STATE(2043)] = 69983,
  [SMALL_STATE(2044)] = 69990,
  [SMALL_STATE(2045)] = 69997,
  [SMALL_STATE(2046)] = 70004,
  [SMALL_STATE(2047)] = 70011,
  [SMALL_STATE(2048)] = 70018,
  [SMALL_STATE(2049)] = 70025,
  [SMALL_STATE(2050)] = 70032,
  [SMALL_STATE(2051)] = 70039,
  [SMALL_STATE(2052)] = 70046,
  [SMALL_STATE(2053)] = 70053,
  [SMALL_STATE(2054)] = 70060,
  [SMALL_STATE(2055)] = 70067,
  [SMALL_STATE(2056)] = 70074,
  [SMALL_STATE(2057)] = 70081,
  [SMALL_STATE(2058)] = 70088,
  [SMALL_STATE(2059)] = 70095,
  [SMALL_STATE(2060)] = 70102,
  [SMALL_STATE(2061)] = 70109,
  [SMALL_STATE(2062)] = 70116,
  [SMALL_STATE(2063)] = 70123,
  [SMALL_STATE(2064)] = 70130,
  [SMALL_STATE(2065)] = 70137,
  [SMALL_STATE(2066)] = 70144,
  [SMALL_STATE(2067)] = 70151,
  [SMALL_STATE(2068)] = 70158,
  [SMALL_STATE(2069)] = 70165,
  [SMALL_STATE(2070)] = 70172,
  [SMALL_STATE(2071)] = 70179,
  [SMALL_STATE(2072)] = 70186,
  [SMALL_STATE(2073)] = 70193,
  [SMALL_STATE(2074)] = 70200,
  [SMALL_STATE(2075)] = 70207,
  [SMALL_STATE(2076)] = 70214,
  [SMALL_STATE(2077)] = 70221,
  [SMALL_STATE(2078)] = 70228,
  [SMALL_STATE(2079)] = 70235,
  [SMALL_STATE(2080)] = 70242,
  [SMALL_STATE(2081)] = 70249,
  [SMALL_STATE(2082)] = 70256,
  [SMALL_STATE(2083)] = 70263,
  [SMALL_STATE(2084)] = 70270,
  [SMALL_STATE(2085)] = 70277,
  [SMALL_STATE(2086)] = 70284,
  [SMALL_STATE(2087)] = 70291,
  [SMALL_STATE(2088)] = 70298,
  [SMALL_STATE(2089)] = 70305,
  [SMALL_STATE(2090)] = 70312,
  [SMALL_STATE(2091)] = 70319,
  [SMALL_STATE(2092)] = 70326,
  [SMALL_STATE(2093)] = 70333,
  [SMALL_STATE(2094)] = 70340,
  [SMALL_STATE(2095)] = 70347,
  [SMALL_STATE(2096)] = 70354,
  [SMALL_STATE(2097)] = 70361,
  [SMALL_STATE(2098)] = 70368,
  [SMALL_STATE(2099)] = 70375,
  [SMALL_STATE(2100)] = 70382,
  [SMALL_STATE(2101)] = 70389,
  [SMALL_STATE(2102)] = 70396,
  [SMALL_STATE(2103)] = 70403,
  [SMALL_STATE(2104)] = 70410,
  [SMALL_STATE(2105)] = 70417,
  [SMALL_STATE(2106)] = 70424,
  [SMALL_STATE(2107)] = 70431,
  [SMALL_STATE(2108)] = 70438,
  [SMALL_STATE(2109)] = 70445,
  [SMALL_STATE(2110)] = 70452,
  [SMALL_STATE(2111)] = 70459,
  [SMALL_STATE(2112)] = 70466,
  [SMALL_STATE(2113)] = 70473,
  [SMALL_STATE(2114)] = 70480,
  [SMALL_STATE(2115)] = 70487,
  [SMALL_STATE(2116)] = 70494,
  [SMALL_STATE(2117)] = 70501,
  [SMALL_STATE(2118)] = 70508,
  [SMALL_STATE(2119)] = 70515,
  [SMALL_STATE(2120)] = 70522,
  [SMALL_STATE(2121)] = 70529,
  [SMALL_STATE(2122)] = 70536,
  [SMALL_STATE(2123)] = 70543,
  [SMALL_STATE(2124)] = 70550,
  [SMALL_STATE(2125)] = 70557,
  [SMALL_STATE(2126)] = 70564,
  [SMALL_STATE(2127)] = 70571,
  [SMALL_STATE(2128)] = 70578,
  [SMALL_STATE(2129)] = 70585,
  [SMALL_STATE(2130)] = 70592,
  [SMALL_STATE(2131)] = 70599,
  [SMALL_STATE(2132)] = 70606,
  [SMALL_STATE(2133)] = 70613,
  [SMALL_STATE(2134)] = 70620,
  [SMALL_STATE(2135)] = 70627,
  [SMALL_STATE(2136)] = 70634,
  [SMALL_STATE(2137)] = 70641,
  [SMALL_STATE(2138)] = 70648,
  [SMALL_STATE(2139)] = 70655,
  [SMALL_STATE(2140)] = 70662,
  [SMALL_STATE(2141)] = 70669,
  [SMALL_STATE(2142)] = 70676,
  [SMALL_STATE(2143)] = 70683,
  [SMALL_STATE(2144)] = 70690,
  [SMALL_STATE(2145)] = 70697,
  [SMALL_STATE(2146)] = 70704,
  [SMALL_STATE(2147)] = 70711,
  [SMALL_STATE(2148)] = 70718,
  [SMALL_STATE(2149)] = 70725,
  [SMALL_STATE(2150)] = 70732,
  [SMALL_STATE(2151)] = 70739,
  [SMALL_STATE(2152)] = 70746,
  [SMALL_STATE(2153)] = 70753,
  [SMALL_STATE(2154)] = 70760,
  [SMALL_STATE(2155)] = 70767,
  [SMALL_STATE(2156)] = 70774,
  [SMALL_STATE(2157)] = 70781,
  [SMALL_STATE(2158)] = 70788,
  [SMALL_STATE(2159)] = 70795,
  [SMALL_STATE(2160)] = 70802,
  [SMALL_STATE(2161)] = 70809,
  [SMALL_STATE(2162)] = 70816,
  [SMALL_STATE(2163)] = 70823,
  [SMALL_STATE(2164)] = 70830,
  [SMALL_STATE(2165)] = 70837,
  [SMALL_STATE(2166)] = 70844,
  [SMALL_STATE(2167)] = 70851,
  [SMALL_STATE(2168)] = 70858,
  [SMALL_STATE(2169)] = 70865,
  [SMALL_STATE(2170)] = 70872,
  [SMALL_STATE(2171)] = 70879,
  [SMALL_STATE(2172)] = 70886,
  [SMALL_STATE(2173)] = 70893,
  [SMALL_STATE(2174)] = 70900,
  [SMALL_STATE(2175)] = 70907,
  [SMALL_STATE(2176)] = 70914,
  [SMALL_STATE(2177)] = 70921,
  [SMALL_STATE(2178)] = 70928,
  [SMALL_STATE(2179)] = 70935,
  [SMALL_STATE(2180)] = 70942,
  [SMALL_STATE(2181)] = 70949,
  [SMALL_STATE(2182)] = 70956,
  [SMALL_STATE(2183)] = 70963,
  [SMALL_STATE(2184)] = 70970,
  [SMALL_STATE(2185)] = 70977,
  [SMALL_STATE(2186)] = 70984,
  [SMALL_STATE(2187)] = 70991,
  [SMALL_STATE(2188)] = 70998,
  [SMALL_STATE(2189)] = 71005,
  [SMALL_STATE(2190)] = 71012,
  [SMALL_STATE(2191)] = 71019,
  [SMALL_STATE(2192)] = 71026,
  [SMALL_STATE(2193)] = 71033,
  [SMALL_STATE(2194)] = 71040,
  [SMALL_STATE(2195)] = 71047,
  [SMALL_STATE(2196)] = 71054,
  [SMALL_STATE(2197)] = 71061,
  [SMALL_STATE(2198)] = 71068,
  [SMALL_STATE(2199)] = 71075,
  [SMALL_STATE(2200)] = 71082,
  [SMALL_STATE(2201)] = 71089,
  [SMALL_STATE(2202)] = 71096,
  [SMALL_STATE(2203)] = 71103,
  [SMALL_STATE(2204)] = 71110,
  [SMALL_STATE(2205)] = 71117,
  [SMALL_STATE(2206)] = 71124,
  [SMALL_STATE(2207)] = 71131,
  [SMALL_STATE(2208)] = 71138,
  [SMALL_STATE(2209)] = 71145,
  [SMALL_STATE(2210)] = 71152,
  [SMALL_STATE(2211)] = 71159,
  [SMALL_STATE(2212)] = 71166,
  [SMALL_STATE(2213)] = 71173,
  [SMALL_STATE(2214)] = 71180,
  [SMALL_STATE(2215)] = 71187,
  [SMALL_STATE(2216)] = 71194,
  [SMALL_STATE(2217)] = 71201,
  [SMALL_STATE(2218)] = 71208,
  [SMALL_STATE(2219)] = 71215,
  [SMALL_STATE(2220)] = 71222,
  [SMALL_STATE(2221)] = 71229,
  [SMALL_STATE(2222)] = 71236,
  [SMALL_STATE(2223)] = 71243,
  [SMALL_STATE(2224)] = 71250,
  [SMALL_STATE(2225)] = 71257,
  [SMALL_STATE(2226)] = 71264,
  [SMALL_STATE(2227)] = 71271,
  [SMALL_STATE(2228)] = 71278,
  [SMALL_STATE(2229)] = 71285,
  [SMALL_STATE(2230)] = 71292,
  [SMALL_STATE(2231)] = 71299,
  [SMALL_STATE(2232)] = 71306,
  [SMALL_STATE(2233)] = 71313,
  [SMALL_STATE(2234)] = 71320,
  [SMALL_STATE(2235)] = 71327,
  [SMALL_STATE(2236)] = 71334,
  [SMALL_STATE(2237)] = 71341,
  [SMALL_STATE(2238)] = 71348,
  [SMALL_STATE(2239)] = 71355,
  [SMALL_STATE(2240)] = 71362,
  [SMALL_STATE(2241)] = 71369,
  [SMALL_STATE(2242)] = 71376,
  [SMALL_STATE(2243)] = 71383,
  [SMALL_STATE(2244)] = 71390,
  [SMALL_STATE(2245)] = 71397,
  [SMALL_STATE(2246)] = 71404,
  [SMALL_STATE(2247)] = 71411,
  [SMALL_STATE(2248)] = 71418,
  [SMALL_STATE(2249)] = 71425,
  [SMALL_STATE(2250)] = 71432,
  [SMALL_STATE(2251)] = 71439,
  [SMALL_STATE(2252)] = 71446,
  [SMALL_STATE(2253)] = 71453,
  [SMALL_STATE(2254)] = 71460,
  [SMALL_STATE(2255)] = 71467,
  [SMALL_STATE(2256)] = 71474,
  [SMALL_STATE(2257)] = 71481,
  [SMALL_STATE(2258)] = 71488,
  [SMALL_STATE(2259)] = 71495,
  [SMALL_STATE(2260)] = 71502,
  [SMALL_STATE(2261)] = 71509,
  [SMALL_STATE(2262)] = 71516,
  [SMALL_STATE(2263)] = 71523,
  [SMALL_STATE(2264)] = 71530,
  [SMALL_STATE(2265)] = 71537,
  [SMALL_STATE(2266)] = 71544,
  [SMALL_STATE(2267)] = 71551,
  [SMALL_STATE(2268)] = 71558,
  [SMALL_STATE(2269)] = 71565,
  [SMALL_STATE(2270)] = 71572,
  [SMALL_STATE(2271)] = 71579,
  [SMALL_STATE(2272)] = 71586,
  [SMALL_STATE(2273)] = 71593,
  [SMALL_STATE(2274)] = 71600,
  [SMALL_STATE(2275)] = 71607,
  [SMALL_STATE(2276)] = 71614,
  [SMALL_STATE(2277)] = 71621,
  [SMALL_STATE(2278)] = 71628,
  [SMALL_STATE(2279)] = 71635,
  [SMALL_STATE(2280)] = 71642,
  [SMALL_STATE(2281)] = 71649,
  [SMALL_STATE(2282)] = 71656,
  [SMALL_STATE(2283)] = 71663,
  [SMALL_STATE(2284)] = 71670,
  [SMALL_STATE(2285)] = 71677,
  [SMALL_STATE(2286)] = 71684,
  [SMALL_STATE(2287)] = 71691,
  [SMALL_STATE(2288)] = 71698,
  [SMALL_STATE(2289)] = 71705,
  [SMALL_STATE(2290)] = 71712,
  [SMALL_STATE(2291)] = 71719,
  [SMALL_STATE(2292)] = 71726,
  [SMALL_STATE(2293)] = 71733,
  [SMALL_STATE(2294)] = 71740,
  [SMALL_STATE(2295)] = 71747,
  [SMALL_STATE(2296)] = 71754,
  [SMALL_STATE(2297)] = 71761,
  [SMALL_STATE(2298)] = 71768,
  [SMALL_STATE(2299)] = 71775,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 17),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 40),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 40),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 17),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(534),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1594),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2010),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1420),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2155),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1975),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(521),
  [278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(741),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(741),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(776),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(107),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1180),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1302),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1091),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2278),
  [302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1918),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2273),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1210),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(44),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1118),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1047),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1007),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1120),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1803),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1650),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1701),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1986),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1950),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(710),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2077),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1983),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(400),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2285),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(594),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2144),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2161),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2163),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1944),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2259),
  [374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(739),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(737),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2228),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2227),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2219),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1660),
  [392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(843),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1804),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1738),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(843),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(835),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(532),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1590),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2208),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1412),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2183),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1958),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(207),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1179),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1286),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1087),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(32),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1952),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1940),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(733),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2143),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1949),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(381),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2290),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(605),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2089),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2091),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2190),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1938),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2201),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(531),
  [590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1589),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2071),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1400),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2072),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1973),
  [605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(253),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1183),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1293),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1069),
  [617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(38),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1978),
  [625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1985),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(665),
  [631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2090),
  [634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1981),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(407),
  [640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2238),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(597),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2086),
  [649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2085),
  [652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2080),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1968),
  [658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2112),
  [661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(538),
  [664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1585),
  [667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2226),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1399),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2209),
  [676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2003),
  [679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(256),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1194),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1277),
  [688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1086),
  [691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(46),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1941),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1931),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(645),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2028),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1939),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(405),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2293),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(598),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2141),
  [721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2129),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2214),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1930),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2095),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(541),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1603),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2298),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1377),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2292),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1913),
  [787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(521),
  [790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(741),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(741),
  [796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(776),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1182),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1273),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1072),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2278),
  [811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1918),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2273),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1210),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(51),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1118),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1047),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1007),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1120),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1803),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1650),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1701),
  [844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1921),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1923),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(757),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2243),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1924),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(409),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2239),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(602),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2236),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2235),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2234),
  [877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(739),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(737),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2228),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2227),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2219),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1660),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1342),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1804),
  [901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1738),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1342),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(835),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 9),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 9),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(539),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(521),
  [928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(741),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(741),
  [934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(776),
  [937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(107),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1180),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1302),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1047),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2278),
  [952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1918),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2273),
  [958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(44),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1118),
  [964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1007),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1120),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1803),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1650),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1701),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1986),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1950),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1983),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(400),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2285),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(594),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2144),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2161),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2163),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1944),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2259),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(739),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(737),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2228),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2227),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2219),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1660),
  [1030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(843),
  [1033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1804),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1738),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(843),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(835),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(535),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(207),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1179),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1286),
  [1059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(32),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1952),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1940),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1949),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(381),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2290),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(605),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2089),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2091),
  [1086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2190),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1938),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2201),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(533),
  [1098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(253),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1183),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1293),
  [1107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(38),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1978),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1985),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1981),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(407),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2238),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(597),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2086),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2085),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2080),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1968),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2112),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(540),
  [1148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(342),
  [1151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1182),
  [1154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1273),
  [1157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(51),
  [1160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1921),
  [1163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1923),
  [1166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1924),
  [1169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(409),
  [1172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2239),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(602),
  [1178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2236),
  [1181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2235),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2234),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1976),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2107),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(536),
  [1196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(256),
  [1199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1194),
  [1202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1277),
  [1205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(46),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1941),
  [1211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1931),
  [1214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1939),
  [1217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(405),
  [1220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2293),
  [1223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(598),
  [1226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2141),
  [1229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2129),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2214),
  [1235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1930),
  [1238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2095),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 9),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 9),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(537),
  [1274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1967),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1961),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2261),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1922),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 27),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 27),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 62),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 62),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, .production_id = 84),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, .production_id = 84),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 80),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 80),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, .production_id = 97),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, .production_id = 97),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 8),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 8),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 47),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 47),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 75),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 75),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 63),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 63),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 55),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 55),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, .production_id = 8),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, .production_id = 8),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 47),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 47),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 35),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 35),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 31),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 31),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 29),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 29),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 28),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 28),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 28),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 28),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, .production_id = 91),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, .production_id = 91),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 75),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 75),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 38),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 38),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 1, .production_id = 2),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 1, .production_id = 2),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 66),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 66),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 67),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 67),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 70),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 70),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 17),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 17),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 41),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 41),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 40),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 40),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 94),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 94),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 5, .production_id = 92),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 5, .production_id = 92),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 65),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 65),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 39),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 39),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 71),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 71),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 4),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 4),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 23),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 23),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 18),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 18),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 3, .production_id = 36),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 3, .production_id = 36),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 17),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 17),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 17),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 17),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 33),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 33),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 40),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 40),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 72),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 72),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 16),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 16),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 57),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 57),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(891),
  [1563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(521),
  [1566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(741),
  [1569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(741),
  [1572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(776),
  [1575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(207),
  [1578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1987),
  [1581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(32),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1952),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1940),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(733),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2143),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1949),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(381),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2290),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(605),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2089),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2091),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2190),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1938),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2201),
  [1623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(739),
  [1626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(737),
  [1629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2228),
  [1632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2227),
  [1635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2219),
  [1638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1660),
  [1641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(843),
  [1644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1804),
  [1647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1738),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(843),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(835),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(898),
  [1661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(253),
  [1664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(38),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1978),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1985),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(665),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2090),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1981),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(407),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2238),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(597),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2086),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2085),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2080),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1968),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2112),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(899),
  [1735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(342),
  [1738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(51),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1921),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1923),
  [1747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(757),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2243),
  [1753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1924),
  [1756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(409),
  [1759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2239),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(602),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2236),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2235),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2234),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1976),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2107),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(900),
  [1785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(107),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(44),
  [1791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1986),
  [1794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1950),
  [1797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(710),
  [1800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2077),
  [1803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1983),
  [1806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(400),
  [1809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2285),
  [1812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(594),
  [1815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2144),
  [1818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2161),
  [1821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2163),
  [1824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1944),
  [1827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2259),
  [1830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(894),
  [1833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(256),
  [1836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(46),
  [1839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1941),
  [1842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1931),
  [1845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(645),
  [1848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2028),
  [1851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1939),
  [1854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(405),
  [1857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2293),
  [1860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(598),
  [1863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2141),
  [1866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2129),
  [1869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2214),
  [1872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1930),
  [1875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2095),
  [1878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(892),
  [1881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1967),
  [1884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(703),
  [1887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2140),
  [1890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1961),
  [1893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2261),
  [1896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1922),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 1, .production_id = 2),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 1, .production_id = 2),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [1960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [1967] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1), SHIFT(1245),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [1973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [2127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1132),
  [2130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2230),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1416),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [2138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2120),
  [2141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1998),
  [2144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1007),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1047),
  [2150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2278),
  [2153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1953),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2273),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1118),
  [2162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1120),
  [2165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1803),
  [2168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1650),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1701),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 40),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, .production_id = 17),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 40),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, .production_id = 17),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [2204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2231),
  [2207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1415),
  [2210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2174),
  [2213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1994),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 83),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 56),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 40),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 102),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .production_id = 56),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2182),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1387),
  [2304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2271),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1997),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2232),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1374),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2200),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1991),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(792),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1738),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [2418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [2420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [2422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 106),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 106),
  [2430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 86),
  [2432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 86),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 87),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 87),
  [2438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 115),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 115),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 114),
  [2444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 114),
  [2446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 124),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 124),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 105),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 105),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 119),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 119),
  [2458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 58),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 58),
  [2462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 120),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 120),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 68),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 68),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 45),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 45),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 12),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 12),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 13),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 13),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, .production_id = 57),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, .production_id = 57),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 37),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 37),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 103),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 103),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 5),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 5),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1132),
  [2569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1007),
  [2572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1047),
  [2575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(2278),
  [2578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1953),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(2273),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2),
  [2586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1118),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1120),
  [2592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1803),
  [2595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1650),
  [2598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1701),
  [2601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 5),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 5),
  [2613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 9),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 9),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 45),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 45),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 30),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 30),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 5),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 5),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [2637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(874),
  [2640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1749),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [2651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(895),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1007),
  [2667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1047),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2278),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1953),
  [2676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2273),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 93),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 93),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 69),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 69),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 30),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 30),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [2745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 17),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 17),
  [2783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 78),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 78),
  [2787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 71),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 71),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 40),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 40),
  [2795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 72),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 72),
  [2799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 94),
  [2801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 94),
  [2803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 41),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 41),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 40),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 40),
  [2811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 78),
  [2813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 78),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 42),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 42),
  [2819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 17),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 17),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 42),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 42),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 25),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 25),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 3), REDUCE(sym__old_style_parameter_list, 3),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 3),
  [2858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 3), REDUCE(sym__old_style_parameter_list, 3),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 2), REDUCE(sym__old_style_parameter_list, 2),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [2894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 2),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2), REDUCE(sym__old_style_parameter_list, 2),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 53),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 53),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 25),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 25),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 24),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 24),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 3),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 3),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 14),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 14),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 8),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 8),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(1060),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [2942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 3),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 3),
  [2946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 52),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 52),
  [2950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 54),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 54),
  [2954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 52),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 52),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 26),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 26),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 24),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 24),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 26),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 26),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 79),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 79),
  [2974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 8),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 8),
  [2978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 14),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 14),
  [2982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 26),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 26),
  [2986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 10),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 10),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 15),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 15),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, .production_id = 52),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, .production_id = 52),
  [3000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 14),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 14),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 53),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 53),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 14),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 14),
  [3014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 77),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 77),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [3022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 25),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 25),
  [3026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 15),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 15),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 3),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 3),
  [3036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1115),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 8),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 8),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 54),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 54),
  [3065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [3068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [3071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 50),
  [3073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 50),
  [3075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [3077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [3079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 24),
  [3081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 24),
  [3083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 8),
  [3085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 8),
  [3087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1245),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 24),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 24),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 25),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 25),
  [3102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [3106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 52),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 52),
  [3114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, .production_id = 79),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, .production_id = 79),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 26),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 26),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 24),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 24),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 59),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 59),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [3152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1800),
  [3155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1200),
  [3158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3161] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1245),
  [3165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [3174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(2278),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 50),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 50),
  [3222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 50), SHIFT(2278),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 76),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, .production_id = 76),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [3235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 4),
  [3237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 4),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_declarator, 2, .production_id = 34),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_declarator, 2, .production_id = 34),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 3),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 77),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 77),
  [3293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 77), SHIFT(2278),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [3310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [3314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8), SHIFT(2278),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 24),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 24),
  [3321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 24), SHIFT(2278),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [3326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [3328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [3330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 13),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 13),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [3350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 44),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 82),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 101),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 100),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 99),
  [3458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 110),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 81),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 61),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, .production_id = 111),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 109),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [3524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(1007),
  [3527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1356),
  [3534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1350),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 14),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 14),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 3),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 3),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 3),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 3),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 42),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, .production_id = 3),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, .production_id = 3),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 30),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 30),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [3697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 14),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 14),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, .production_id = 14),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, .production_id = 14),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 5),
  [3723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 5),
  [3725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [3727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1463),
  [3798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1473),
  [3801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(1466),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 15), SHIFT(1060),
  [3813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1469),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 15), SHIFT(1461),
  [3819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 14), SHIFT(1475),
  [3822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 3), SHIFT(1060),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 10), SHIFT(1060),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3836] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT(1060),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 14), SHIFT(1060),
  [3845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1), SHIFT(1467),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [3858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(2051),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 2, .production_id = 34),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .production_id = 34),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .production_id = 34),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, .production_id = 34),
  [3871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, .production_id = 34),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 3, .production_id = 34),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declaration_declarator, 3, .production_id = 34),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2), SHIFT_REPEAT(1532),
  [3900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2),
  [3902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2), SHIFT_REPEAT(2278),
  [3905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, .production_id = 34),
  [3909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, .production_id = 34),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(1918),
  [3916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [3922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 107),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [3930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 88),
  [3938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 1),
  [3940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 1),
  [3942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 32),
  [3944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 60),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [3950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 1, .production_id = 22),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 32),
  [3962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 1),
  [3964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1), REDUCE(aux_sym_function_declarator_repeat1, 1),
  [3967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 1),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, .production_id = 40),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 107),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [3987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 60),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 32),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 88),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, .production_id = 17),
  [4005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(1808),
  [4008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(1384),
  [4011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(2215),
  [4014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(1913),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [4021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, .production_id = 22),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [4033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 88),
  [4035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [4037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [4039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 22),
  [4041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 22),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 60),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 22),
  [4051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 22),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [4055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [4057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 108),
  [4059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 108),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 89),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 89),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 107),
  [4067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 32),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [4083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 32),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [4099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, .production_id = 17),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 40),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2), SHIFT_REPEAT(1808),
  [4120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [4122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [4124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(1625),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [4129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [4131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [4133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .production_id = 34),
  [4137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .production_id = 34),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 22),
  [4141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 22),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 108),
  [4145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 108),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [4149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, .production_id = 40),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 35),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 40),
  [4155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [4157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 51),
  [4167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 51),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, .production_id = 17),
  [4171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, .production_id = 17),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 89),
  [4177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 89),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 22),
  [4181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 22),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 108),
  [4193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 108),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 22),
  [4201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 22),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 89),
  [4205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 89),
  [4207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(675),
  [4210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [4212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(2185),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [4217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [4221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(2278),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 21),
  [4226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 21),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 22),
  [4230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 22),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declaration_declarator, 4, .production_id = 34),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 34),
  [4238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 34),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [4242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [4246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [4258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 40),
  [4260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 40),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 94),
  [4270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 94),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 43),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 17),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 17),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 32),
  [4294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 41),
  [4300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 41),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [4304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(1713),
  [4307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 46),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [4311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(1659),
  [4314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 40),
  [4316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 40),
  [4318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 74),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 17),
  [4322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 17),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 71),
  [4326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 71),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 72),
  [4330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 72),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 19),
  [4336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 60),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [4344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 32),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 22),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 108),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 89),
  [4352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 95),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1),
  [4358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [4360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 20),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [4364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 73),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 6),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [4372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 22),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 34),
  [4376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, .production_id = 48),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [4380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 112), SHIFT_REPEAT(1616),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 112),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [4399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1718),
  [4402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1718),
  [4405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2),
  [4407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2), SHIFT_REPEAT(1719),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 85),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [4438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 64), SHIFT_REPEAT(1496),
  [4441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 64),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [4457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 104),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [4473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 49),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 112), SHIFT_REPEAT(1635),
  [4482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 112),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 117),
  [4496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 64), SHIFT_REPEAT(1557),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 64),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 3, .production_id = 98),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, .production_id = 22),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, .production_id = 48),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [4535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 85),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 113),
  [4569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 122), SHIFT_REPEAT(1658),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 122),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 104),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [4584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, .production_id = 11),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 113),
  [4616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 96),
  [4618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(856),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(1946),
  [4630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(1425),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(584),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 64), SHIFT_REPEAT(1525),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 64),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2), SHIFT_REPEAT(1800),
  [4690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [4698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, .production_id = 121),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(559),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 118),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(1982),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, .production_id = 32),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(1246),
  [4749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 85),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 126),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 85),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 116),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 126),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 125), SHIFT_REPEAT(2158),
  [4824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 125),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 116),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 123),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [4902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, .production_id = 90),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4),
  [4910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [4916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 49),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [4926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 118),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [4940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [4955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 6),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2),
  [4995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, .production_id = 72),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [5059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 94),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [5065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, .production_id = 72),
  [5067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 71),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [5125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [5129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, .production_id = 72),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [5141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, .production_id = 72),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [5167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, .production_id = 41),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [5195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, .production_id = 41),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [5209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, .production_id = 41),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [5217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 40),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [5223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 71),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [5281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 94),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [5289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, .production_id = 94),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 41),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [5303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, .production_id = 94),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [5313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 71),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [5321] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [5403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, .production_id = 94),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [5415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 71),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 17),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [5473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 71),
  [5475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 72),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 41),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
